<?PHP @template::ran_directly(); /* required for all templates */ ?>

<?PHP echo mod::tabs($tabs, 'agreements', 'agreement_edit', "&id=".x('id'), 'agreement_editor'); ?>


<div class='tab_content' id='assign_to_order_form' style='display:none;'>

	<?PHP errors($errors); ?>
	<div id='ajax_errors'></div>
	<h1 class='tab_content_label_2col tab_agreement_add'>
		<ul>
			<li><?PHP echo sx($agreement['name']); ?></li>
			<li class='right'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper_wp'>
	<div class='notice'><?PHP echo w('agreement_notice', 0); ?></div>
	<?PHP if (is_array($order_forms)&&!empty($order_forms)):?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<?PHP $m3=0; foreach($order_forms as $key => $value): $data=prepare_order_forms($key, $value, x('id'), $assigned_order_forms); ?>
				<tr>
					<td class='label<?PHP echo (ooe($m3+=1)?'':'_alt'); ?>'>&nbsp;<label><?PHP echo $data['checkbox']?> <?PHP echo $data['order_form']?></label></td>
				</tr>
			<?PHP endforeach; ?>
		</table>
	<?PHP else: ?><?PHP echo w('no_order_forms_found', 0); ?><?PHP endif; ?>
	</div>

</div>


<div class='tab_content' id='general' style='display:none;'>
<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_agreements'>
		<ul>
			<li><?PHP echo sx($agreement['name']); ?></li>
			<li class='right'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>

	<?PHP echo forms::action(); ?>
	<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
	<?PHP echo forms::hidden('task', 0, x('task')); ?>
	<?PHP echo forms::hidden('id', 0, x('id')); ?>
	<?PHP echo forms::hidden('show_tab', 0, 'general'); ?>
	<?PHP echo forms::hidden('update_general', 0, 'y'); ?>
	<table class='form_table'>
		<tr class='th'>
			<th colspan='2'></th>
		</tr>
		<tr>
			<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('name:'); forms::overlib(w('overlib_name', 0)); ?></td>
			<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('name', 0, forms::value('name', $agreement['name']), 0, 'large'); ?></td>
		</tr>
		<tr>
			<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('copy:'); forms::overlib(w('overlib_copy', 0)); ?></td>
			<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea('copy', 0, forms::value('copy', $agreement['copy']), '775px', '250px'); ?></td>
		</tr>
		<tr>
			<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
		</tr>
	</table>
	</form>

	</div>
</div>

<?PHP echo set_default_tab('general') ?>