<?PHP @template::ran_directly(); /* required for all templates */ ?> 



<div class='tab_content hundred_percent' id='add_new' style='display:none;'>
<?PHP errors($errors); ?>

<h1 class='tab_content_label_2col tab_customer_area_add'>
	<ul>
		<li><?PHP echo w('add_a_new_customer_area'); ?></li>
		<li id='text'><?PHP if (x('id')): ?><a class='form_button' href='<?PHP echo href('customer_areas', 'customer_area_edit', array('show_tab'=>'general', 'id'=>x('id'))); ?>'><?PHP w('go_back'); ?></a><?PHP endif; ?></li>
	</ul>
</h1>
<div class='tab_content_wrapper no_top_left_border'>

	<?PHP echo forms::action(); ?>
	<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
	<?PHP echo forms::hidden('task', 0, x('task')); ?>
	<?PHP if (x('id')): ?><?PHP echo forms::hidden('id', 0, x('id')); ?><?PHP endif; ?>
	<?PHP echo forms::hidden('show_tab', 0, 'add_new'); ?>
	<?PHP echo forms::hidden('date_format', 0, $conf['date_format']); ?>
	<?PHP echo forms::hidden('time_format', 0, $conf['time_format']); ?>
	<?PHP echo forms::hidden('email_configuration_id', 0, $email_configuration_id); ?>
	<?PHP echo forms::hidden('default_order_form_id', 0, $order_form_id); ?>
	<?PHP echo forms::hidden('default_kb_profile_id', 0, $kb_profile_id); ?>
	<?PHP echo forms::hidden('add_new', 0, 'y'); ?>
	<table class='form_table'>
		<tr class='th'>
			<th colspan='2'></th>
		</tr>
		<tr>
			<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('status:'); forms::overlib(w('overlib_status', 0)); ?></td>
			<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('status', 0, $statuses, forms::value('status')); ?></td>
		</tr>
		<tr>
			<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('name:'); forms::overlib(w('overlib_name', 0)); ?></td>
			<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('name', 0, forms::value('name'), 0, 'large'); ?></td>
		</tr>
		<tr>
			<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('url:'); forms::overlib(w('overlib_url', 0)); ?></td>
			<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('url', 0, forms::value('url'), 0, 'large'); ?></td>
		</tr>
		<tr>
			<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('company_name:'); forms::overlib(w('overlib_company_name', 0)); ?></td>
			<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('company_name', 0, forms::value('company_name', $conf['company_name']), 0, 'large'); ?></td>
		</tr>
		<tr>
			<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('company_address:'); forms::overlib(w('overlib_company_address', 0)); ?></td>
			<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea('company_address', 0, forms::value('company_address', $conf['company_address']), '300px', '75px'); ?></td>
		</tr>
		<tr>
			<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('add_new', 0), 0, 'submit', 1); ?></td>
		</tr>
	</table>
	</form>
</div>
</div>

<div class='tab_content' id='manage_existing' style='display:none;'>
<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col'>
		<ul>
			<li><?PHP echo w('existing_customer_areas'); ?></li>
			<li id='search'><?PHP echo forms::action(); ?><?PHP echo forms::hidden('mod', 0, x('mod'),0); ?><?PHP echo forms::hidden('task', 0, x('task'),0); ?><?PHP echo forms::text('customer_area_ac', 'terms', '', 0, 'larger', 0); ?> <?PHP echo forms::submit(0, 0, w('search', 0), 0, 'submit_nm', 0); ?><div id='dialog_ac_choices'></div></form></li></ul></h1>

	<?PHP if (!empty($order_forms)&&is_array($order_forms)): ?>
		<div class='tab_content_wrapper no_top_left_border'>
		<?PHP forms::action(false, 'POST', "onsubmit='return confirm(\"".w('sure_you_want_to_delete_customer_area', 0)."\");'"); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>

		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP forms::checkbox('checkbox_selector', 0, '', 0, "onclick='toggle_checkboxes(\"#manage_existing\");'"); ?></th>
				<th><?PHP echo $s['id']['image']; ?><a href='<?PHP echo $s['id']['link']; ?>'><?PHP w('id'); ?></a></th>
				<th><?PHP echo $s['name']['image']; ?><a href='<?PHP echo $s['name']['link']; ?>'><?PHP w('name'); ?></a></th>
				<th><?PHP echo $s['status']['image']; ?><a href='<?PHP echo $s['status']['link']; ?>'><?PHP w('status'); ?></a></th>
				<th><?PHP echo $s['created']['image']; ?><a href='<?PHP echo $s['created']['link']; ?>'><?PHP w('created'); ?></a></th>
				<th class='options'><?PHP w('options'); ?></th>
			</tr>
			<tr id='controls' style='display:none;'>
				<th colspan='6'><?PHP forms::submit(0, 0, w('click_to_remove', 0), 0, 'submit', 1); ?> - or - <a href='<?PHP echo href('customer_areas', 'customer_area_editor', array('show_tab' => 'manage_existing')); ?>'><?PHP w('click_to_close'); ?></a></th>
			</tr>

		<?PHP foreach ($order_forms as $order_form): $data=prepare($order_form); ?>

			<tr <?PHP echo $data['alt']; ?>>
				<td><?PHP echo $data['checkbox']; ?></td>
				<td><?PHP echo $data['id']; ?></td>
				<td><?PHP echo $data['name']; ?></td>
				<td><?PHP echo $data['status']; ?></td>
				<td><?PHP echo $data['created']; ?></td>
				<td class='options'><?PHP echo $data['config']; ?> / <?PHP echo $data['remove']; ?> / <?PHP echo $data['manage']; ?></td>
			</tr>

		<?PHP endforeach; ?>
		</table>
		</form>
		<?PHP echo $pagination; ?>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_customer_areas_found', 0); ?></p></div>
	<?PHP endif; ?>
</div>

<?PHP echo set_default_tab('manage_existing') ?>