<?PHP @template::ran_directly(); /* required for all templates */ ?>

<?PHP echo mod::tabs($tabs, 'customers', 'customer_edit', "&id=".x('id'), 'customer_editor'); ?>



<div class='tab_content' id='support_tickets' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_customer'>
		<ul>
			<li class='ticket_subject'><a href='<?PHP echo href('customers','customer_edit',array('id'=>x('id'),'show_tab'=>'general')); ?>'><?PHP echo $customer['name']; ?></a></li>
			<li class='right'>
				<?PHP if (x('to')||x('from')||x('search')): ?>
					<a class='form_button' href='<?PHP echo href('search', 'index', array('to' => x('to'), 'from' => x('from'), 'page' => x('page'), 'search' => x('search'), 'show_tab' => 'helpdesk')); ?>'><?PHP w('return_to_search'); ?></a>
				<?PHP endif; ?>
			</li>
		</ul>
	</h1>
	<div style='clear:both'></div>

	<?PHP if (empty($ticket_history)||!is_array($ticket_history)): ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_customer_ticket_history_to_show', 0); ?></p></div>	
	<?PHP else: ?>
		<div class='tab_content_wrapper  no_top_left_border'>
		<?PHP forms::action(); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>

		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP echo $a['ticket_id']['image']; ?><a href='<?PHP echo $a['ticket_id']['link']; ?>'><?PHP w('ticket_id'); ?></a></th>
				<th><?PHP echo $a['subject']['image']; ?><a href='<?PHP echo $a['subject']['link']; ?>'><?PHP w('subject'); ?></a></th>
				<th><?PHP echo $a['department']['image']; ?><a href='<?PHP echo $a['department']['link']; ?>'><?PHP w('dept'); ?></a></th>
				<th><?PHP echo $a['created']['image']; ?><a href='<?PHP echo $a['created']['link']; ?>'><?PHP w('created'); ?></a></th>
				<th><?PHP echo $a['status']['image']; ?><a href='<?PHP echo $a['status']['link']; ?>'><?PHP w('status'); ?></a></th>
				<th><?PHP w('last_reply'); ?></th>
				<th class='options'><?PHP w('options'); ?></th>
			</tr>
			<?PHP $m3=0; foreach ($ticket_history as $unique): $data=prepare_ticket_history($unique); ?>
				<tr <?PHP echo $data['alt']; ?>>
					<td><?PHP echo $data['ticket_id']; ?></td>
					<td><?PHP echo $data['subject']; ?></td>
					<td><?PHP echo $data['department']; ?></td>
					<td><?PHP echo $data['created']; ?></td>
					<td><?PHP echo $data['status']; ?></td>
					<td><?PHP echo $data['last_reply']; ?></td>
					<td class='options'><?PHP echo $data['view']; ?></td>
				</tr>
			<?PHP endforeach; ?>
		</table>
		</form>
		<?PHP echo $pagination_ticket_history; ?>
		</div>
	<?PHP endif; ?>
</div>




<div class='tab_content' id='orders' style='display:none;'>
<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_customer'>
		<ul>
			<li><a href='<?PHP echo href('customers','customer_edit',array('id'=>x('id'),'show_tab'=>'general')); ?>'><?PHP echo $customer['name']; ?></a></li>
			<li class='right'></li>
		</ul>
	</h1>
	<?PHP if (!empty($orders)&&is_array($orders)): ?>
		<div class='tab_content_wrapper  no_top_left_border'>
		<?PHP forms::action(false, 'POST', "onsubmit='return confirm(\"".w('confirm_delete', 0)."\");'"); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>

		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP echo $o['id']['image']; ?><a href='<?PHP echo $o['id']['link']; ?>'><?PHP w('id'); ?></a></th>
				<th><?PHP echo $o['user_id']['image']; ?><a href='<?PHP echo $o['user_id']['link']; ?>'><?PHP w('user'); ?></a></th>
				<th><?PHP echo $o['amount']['image']; ?><a class='on' href='<?PHP echo $o['amount']['link']; ?>'><?PHP w('amount'); ?></a></th>
				<th><?PHP echo $o['status']['image']; ?><a class='on' href='<?PHP echo $o['status']['link']; ?>'><?PHP w('status'); ?></a></th>
				<th><?PHP echo $o['created']['image']; ?><a href='<?PHP echo $o['created']['link']; ?>'><?PHP w('created'); ?></a></th>
				<th class='options'><?PHP w('options'); ?></th>
			</tr>

		<?PHP foreach ($orders as $unique): $data=prepare_orders($unique); ?>

			<tr <?PHP echo $data['alt']; ?>>
				<td><?PHP echo $data['id']; ?></td>
				<td><?PHP echo $data['user']; ?></td>
				<td><?PHP echo sx($data['amount']); ?></td>
				<td><?PHP echo $data['status']; ?></td>
				<td><?PHP echo $data['created']; ?></td>
				<td class='options'><?PHP echo $data['delete']; ?> / <?PHP echo $data['delete_entire_order']; ?> / <?PHP echo $data['manage']; ?></td>
			</tr>

		<?PHP endforeach; ?>

		</table>
		</form>
		<?PHP echo $pagination; ?>
		</div>
		<script> toggle_checkboxes(); </script>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_orders_found', 0); ?></p></div>
	<?PHP endif; ?>
</div>


<div class='tab_content' id='credits' style='display:none;'>
	
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_customer'>
		<ul>
			<li><a href='<?PHP echo href('customers','customer_edit',array('id'=>x('id'),'show_tab'=>'general')); ?>'><?PHP echo $customer['name']; ?></a></li>
			<li class='right'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper'>

		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP w('description'); ?></th>
				<th><?PHP w('created_mmddyyy'); ?></th>
				<th><?PHP w('balance'); ?></th>
				<th><?PHP w('amount'); ?></th>
				<th class='options'><?PHP w('options'); ?></th>
			</tr>

		<?PHP foreach ((array)$credits as $unique): $data=prepare_credits($unique); ?>

		<?PHP forms::action(); ?>
		<?PHP forms::hidden('id', 0, x('id')); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP forms::hidden('credit_id', 0, $data['credit_id']); ?>
		<?PHP forms::hidden('update_credit', 0, 'y'); ?>
		<?PHP echo forms::hidden('show_tab', 0, 'credits'); ?>
		<?PHP echo forms::hidden('balance', 0, $data['balance']); ?>
			<tr <?PHP echo $data['alt']; ?>>
				<td><?PHP forms::text('description', 0, $data['description'], '', 'medium_large'); ?></td>
				<th><?PHP forms::text('created', 0, $data['created'], false, 'date'); ?></th>
				<th><?PHP echo $data['balance']; ?></th>
				<td><?PHP forms::text('amount', 0, $data['amount'], false, 'money'); ?> <?PHP echo $data['currency']; ?></td>
				<td class='options'><?PHP echo $data['save']; ?> / <?PHP echo $data['remove']; ?></td>
			</tr>
		</form>

		<?PHP endforeach; ?>

		<?PHP forms::action(); ?>
		<?PHP forms::hidden('id', 0, x('id')); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP forms::hidden('add_credit', 0, 'y'); ?>
		<?PHP echo forms::hidden('show_tab', 0, 'credits'); ?>
			<tr class='alt' style='background: #fefae4;'>
				<td><?PHP forms::text('description', 0, '', '', 'medium_large'); ?></td>
				<td><?PHP forms::text('created', 0, date('m/d/Y'), false, 'date'); ?></td>
				<td>-</td>
				<td><?PHP forms::text('amount', 0, '', false, 'money'); ?> <?PHP forms::select('currency_id', 0, currency::make_select()); ?></td>
				<td class='options'><?PHP forms::submit(0, 0, w('add_credit', 0), 0, 'submit_nm', 1); ?></td>
			</tr>
		</form>

		</table>
	</div>
</div>

<div class='tab_content' id='pricing' style='display:none;'>

	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_customer'>
		<ul>
			<li><a href='<?PHP echo href('customers','customer_edit',array('id'=>x('id'),'show_tab'=>'general')); ?>'><?PHP echo $customer['name']; ?></a></li>
			<li class='right'></li>
		</ul>
	</h1>
	<?PHP if (empty($price_sheets)): ?>
		<div class='tab_content_wrapper_wp'>
		<?PHP forms::action(); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP forms::hidden('id', 0, x('id')); ?>
		<?PHP forms::hidden('show_tab', 0, 'pricing'); ?>
		<?PHP forms::hidden('add_pricing', 0, 'y'); ?>
		<?PHP echo forms::select('price_sheet_id', 0, $price_sheet_select); ?> <?PHP forms::submit(0, 0, w('add_price_sheet', 0), 0, 'form_button display_inline no_float', 1); ?>
		</form>
		</div><br />
	<?PHP endif; ?>

	<?PHP if (!empty($price_sheets)&&is_array($price_sheets)): ?>
		<div class='tab_content_wrapper  no_top_left_border'>
		<?PHP forms::action(false, 'POST', "onsubmit='return confirm(\"".w('sure_you_want_to_remove_from_customer', 0)."\");'"); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP forms::hidden('id', 0, x('id')); ?>
		<?PHP forms::hidden('show_tab', 0, 'pricing'); ?>

		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP w('id'); ?></th>
				<th><?PHP w('currency'); ?></th>
				<th><?PHP w('name'); ?></th>
				<th><?PHP w('type'); ?></th>
				<th class='options'><?PHP w('options'); ?></th>
			</tr>

		<?PHP foreach ($price_sheets as $price_sheet): $data=prepare_price_sheet($price_sheet); ?>

			<tr <?PHP echo $data['alt']; ?>>
				<td><?PHP echo $data['id']; ?></td>
				<td><?PHP echo $data['currency']; ?></td>
				<td><?PHP echo $data['name']; ?></td>
				<td><?PHP echo $data['type']; ?></td>
				<td class='options'><?PHP echo $data['remove']; ?> / <?PHP echo $data['manage']; ?></td>
			</tr>

		<?PHP endforeach; ?>

		</table>
		</form>
		<?PHP echo $pagination_pricing; ?>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_custom_pricing_assigned', 0); ?></p></div>
	<?PHP endif; ?>
</div>


<div class='tab_content' id='invoices' style='display:none;'>

	<?PHP errors($errors); ?>
	<?PHP if (x('add_new_invoice')): ?>
		<h1 class='tab_content_label_2col tab_customer'>
			<ul>
				<li><a href='<?PHP echo href('customers','customer_edit',array('id'=>x('id'),'show_tab'=>'general')); ?>'><?PHP echo $customer['name']; ?></a> <?PHP echo ' - '; w('add_new_invoice'); ?></li>
				<li class='right'><a class='form_button' href='<?PHP echo href('customers', 'customer_edit', array('show_tab'=>'invoices', 'id'=>x('id'))); ?>'><?PHP w('go_back'); ?></a></li>
			</ul>
		</h1>
		<div class='tab_content_wrapper no_top_left_border'>
			<?PHP echo forms::action(); ?>
			<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
			<?PHP echo forms::hidden('task', 0, x('task')); ?>
			<?PHP echo forms::hidden('id', 0, x('id')); ?>
			<?PHP echo forms::hidden('add_new_invoice', 0, 'y'); ?>
			<?PHP echo forms::hidden('add_invoice_now', 0, 'y'); ?>
			<table class='form_table'>
				<tr class='th'>
					<th colspan='2'></th>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('customer_area_id:'); forms::overlib(w('overlib_customer_area_id', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('customer_area_id', 0, customer_area::make_select_ca(), forms::value('customer_area_id')); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('order_form_id:'); forms::overlib(w('overlib_order_form_id', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('order_form_id', 0, order_forms::make_select(), forms::value('order_form_id')); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('currency:'); forms::overlib(w('overlib_currency', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('currency_id', 0, currency::make_select(), forms::value('currency_id')); ?></td>
				</tr>
				<tr>
					<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('continue', 0), 0, 'submit', 1); ?></td>
				</tr>
			</table>
			</form>
		</div>
	<?PHP else: ?>
		<h1 class='tab_content_label_2col tab_customer'>
			<ul>
				<li><a href='<?PHP echo href('customers','customer_edit',array('id'=>x('id'),'show_tab'=>'general')); ?>'><?PHP echo $customer['name']; ?></a></li>
				<li id='search'><?PHP echo forms::select('invoice_actions', 0, $invoice_actions, false, "onchange='load_invoice_options();'"); ?></li>
			</ul>
		</h1>

		<?PHP if (!empty($invoices)&&is_array($invoices)): ?>
			<div class='tab_content_wrapper  no_top_left_border'>
			<?PHP forms::action(false, 'POST', "onsubmit='return confirm(\"".w('confirm_remove_invoice', 0)."\");'"); ?>
			<?PHP forms::hidden('mod', 0, x('mod')); ?>
			<?PHP forms::hidden('task', 0, x('task')); ?>
			<?PHP forms::hidden('id', 0, x('id')); ?>
			<?PHP forms::hidden('show_tab', 0, 'invoices'); ?>

			<table class='data_grid'>
				<tr class='th'>
					<th><?PHP echo $sf['invoice_id']['image']; ?><a href='<?PHP echo $sf['invoice_id']['link']; ?>'><?PHP w('id'); ?></a></th>
					<th><?PHP echo $sf['created']['image']; ?><a href='<?PHP echo $sf['created']['link']; ?>'><?PHP w('created'); ?></a></th>
					<th><?PHP echo $sf['due_date']['image']; ?><a href='<?PHP echo $sf['due_date']['link']; ?>'><?PHP w('due_date'); ?></a></th>
					<!--<th><?PHP w('credits'); ?></th>-->
					<th><?PHP echo $sf['total']['image']; ?><a href='<?PHP echo $sf['total']['link']; ?>'><?PHP w('total'); ?></a></th>
					<th><?PHP echo $sf['status']['image']; ?><a href='<?PHP echo $sf['status']['link']; ?>'><?PHP w('status'); ?></a></th>
					<th class='options'><?PHP w('options'); ?></th>
				</tr>

			<?PHP foreach ($invoices as $invoice): $data=prepare_invoices($invoice); ?>

				<tr <?PHP echo $data['alt']; ?>>
					<td><?PHP echo $data['invoice_id']; ?></td>
					<td><?PHP echo $data['created']; ?></td>
					<td><?PHP echo $data['due_date']; ?></td>
					<!--<td><?PHP echo $data['credit']; ?></td>-->
					<td><?PHP echo $data['total']; ?></td>
					<td><?PHP echo $data['status']; ?></td>
					<td class='options'><?PHP echo $data['email_invoice']; ?> / <?PHP echo $data['remove']; ?> / <?PHP echo $data['credits']; ?> / <?PHP echo $data['manage']; ?></td>
				</tr>

			<?PHP endforeach; ?>

			</table>
			</form>
			<?PHP echo $pagination_invoices; ?>
			</div>
		<?PHP else: ?>
			<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_customer_invoices_found', 0); ?></p></div>
		<?PHP endif; ?>
	<?PHP endif; ?>
</div>

<div class='tab_content' id='addresses' style='display:none;'>

	<?PHP errors($errors); ?>
	<?PHP if (x('address_id')): ?>
		<h1 class='tab_content_label_2col tab_customer'><ul>
					<li><a href='<?PHP echo href('customers','customer_edit',array('id'=>x('id'),'show_tab'=>'general')); ?>'><?PHP echo $customer['name']; ?></a> <?PHP echo w('-edit_address'); ?></li>
					<li id='text'><a class='form_button' href='<?PHP echo href('customers', 'customer_edit', array('show_tab'=>'addresses', 'id'=>x('id'))); ?>'><?PHP w('go_back'); ?></a></li>
		</ul></h1>
		<div class='tab_content_wrapper no_top_left_border'>
			<?PHP echo forms::action(); ?>
			<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
			<?PHP echo forms::hidden('task', 0, x('task')); ?>
			<?PHP echo forms::hidden('id', 0, x('id')); ?>
			<?PHP echo forms::hidden('show_tab', 0, x('show_tab')); ?>
			<?PHP echo forms::hidden('address_id', 0, $address['id']); ?>
			<?PHP echo forms::hidden('sop', 0, 'province'); ?>
			<?PHP echo forms::hidden('save_address_changes', 0, 'y'); ?>
			<?PHP echo forms::hidden('state_id', 0, ''); ?>
			<table class='form_table'>
				<tr class='th'>
					<th colspan='2'></th>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('contact_type:'); forms::overlib(w('overlib_contact_type', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('contact_type', 0, array('primary' => w('primary', 0)), forms::value('contact_type', $address['contact_type'])); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('business_name:'); forms::overlib(w('overlib_business_name', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('business_name', 0, forms::value('business_name', $address['business_name'])); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('address:'); forms::overlib(w('overlib_address', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('address', 0, forms::value('address', $address['address'])); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('address_2:'); forms::overlib(w('overlib_address', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('address_2', 0, forms::value('address_2', $address['address_2'])); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('city:'); forms::overlib(w('overlib_city', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('city', 0, forms::value('city', $address['city'])); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('country:'); forms::overlib(w('overlib_country', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('country_id', 0, $countries, forms::value('country_id', $address['country_id']), "onchange='toggle_state_province();'", 0, 1); ?></td>
				</tr>
			</table>
			<?PHP echo alt($m3+=1); ?>
			<?PHP foreach ($countries_with_states as $country): ?>
				<div id='states<?PHP echo $country?>' class='states' style='display:none;'>
				<table class='form_table no_top_bottom_border'>
						<tr>
							<td class='text<?PHP echo alt($m3); ?>'><?PHP w('state_id:'); forms::overlib(w('overlib_state_id', 0)); ?></td>
							<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select("states_{$country}", 0, country_state::states($country), forms::value('state_id', $address['state_id']), "onchange='set_state_choice({$country});'"); ?></td>
						</tr>
					</table>
				<script> set_state_choice(<?PHP echo $country?>); </script>
				</div>
			<?PHP endforeach; ?>
			<div id='countries' style='display:block;'>
				<table class='form_table no_top_bottom_border'>
					<tr>
						<td class='text<?PHP echo alt($m3); ?>'><?PHP w('province:'); forms::overlib(w('overlib_province', 0)); ?></td>
						<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('province', 0, forms::value('province', $address['province'])); ?></td>
					</tr>
				</table>
			</div>
			<table class='form_table'>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('postal_code:'); forms::overlib(w('overlib_postal_code', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('postal_code', 0, forms::value('postal_code', $address['postal_code'])); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('phone:'); forms::overlib(w('overlib_phone', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('phone', 0, forms::value('phone', $address['phone'])); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('phone_alt:'); forms::overlib(w('overlib_phone_alt', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('phone_alt', 0, forms::value('phone_alt', $address['phone_alt'])); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('fax:'); forms::overlib(w('overlib_fax', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('fax', 0, forms::value('fax', $address['fax'])); ?></td>
				</tr>
				<tr>
					<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('click_to_save', 0), 0, 'submit', 1); ?></td>
				</tr>
			</table>
			</form>
		<script> toggle_state_province(); </script>
		</div>
	<?PHP elseif (x('add_address')): ?>
		<h1 class='tab_content_label_2col tab_customer'>
			<ul>
				<li><a href='<?PHP echo href('customers','customer_edit',array('id'=>x('id'),'show_tab'=>'general')); ?>'><?PHP echo $customer['name']; ?></a></li>
				<li id='text'><a class='form_button' href='<?PHP echo href('customers', 'customer_edit', array('show_tab'=>'addresses', 'id'=>x('id'))); ?>'><?PHP w('go_back'); ?></a></li>
			</ul>
		</h1>
		<div class='tab_content_wrapper no_top_left_border'>
			<?PHP echo forms::action(); ?>
			<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
			<?PHP echo forms::hidden('task', 0, x('task')); ?>
			<?PHP echo forms::hidden('id', 0, x('id')); ?>
			<?PHP echo forms::hidden('show_tab', 0, x('show_tab')); ?>
			<?PHP echo forms::hidden('add_address', 0, 'y'); ?>
			<?PHP echo forms::hidden('sop', 0, 'province'); ?>
			<?PHP echo forms::hidden('state_id', 0, ''); ?>
			<table class='form_table'>
				<tr class='th'>
					<th colspan='2'></th>
				</tr>
				<tr>
					<td class='text'><?PHP w('contact_type:'); forms::overlib(w('overlib_contact_type', 0)); ?></td>
					<td class='label'><?PHP forms::select('contact_type', 0, array('primary' => w('primary', 0)), forms::value('contact_type')); ?></td>
				</tr>
				<tr>
					<td class='text_alt'><?PHP w('business_name:'); forms::overlib(w('overlib_business_name', 0)); ?></td>
					<td class='label_alt'><?PHP forms::text('business_name', 0, forms::value('business_name')); ?></td>
				</tr>
				<tr>
					<td class='text'><?PHP w('address:'); forms::overlib(w('overlib_address', 0)); ?></td>
					<td class='label'><?PHP forms::text('address', 0, forms::value('address')); ?></td>
				</tr>
				<tr>
					<td class='text_alt'><?PHP w('city:'); forms::overlib(w('overlib_city', 0)); ?></td>
					<td class='label_alt'><?PHP forms::text('city', 0, forms::value('city')); ?></td>
				</tr>
				<tr>
					<td class='text'><?PHP w('country:'); forms::overlib(w('overlib_country', 0)); ?></td>
					<td class='label'><?PHP forms::select('country_id', 0, $countries, forms::value('country_id'), "onchange='toggle_state_province();'", 0, 1); ?></td>
				</tr>
			</table>
			<?PHP foreach ($countries_with_states as $country): ?>
				<div id='states<?PHP echo $country?>' class='states' style='display:none;'>
					<table class='form_table'>
						<tr>
							<td class='text_alt'><?PHP w('state_id:'); forms::overlib(w('overlib_state_id', 0)); ?></td>
							<td class='label_alt'><?PHP forms::select("states_{$country}", 0, country_state::states($country), forms::value('state_id'), "onchange='set_state_choice({$country});'"); ?></td>
						</tr>
					</table>
				<script> set_state_choice(<?PHP echo $country?>); </script>
				</div>
			<?PHP endforeach; ?>
			<div id='countries' style='display:block;'>
				<table class='form_table'>
					<tr>
						<td class='text_alt'><?PHP w('province:'); forms::overlib(w('overlib_province', 0)); ?></td>
						<td class='label_alt'><?PHP forms::text('province', 0, forms::value('province')); ?></td>
					</tr>
				</table>
			</div>
			<table class='form_table'>
				<tr>
					<td class='text'><?PHP w('postal_code:'); forms::overlib(w('overlib_postal_code', 0)); ?></td>
					<td class='label'><?PHP forms::text('postal_code', 0, forms::value('postal_code')); ?></td>
				</tr>
				<tr>
					<td class='text_alt'><?PHP w('phone:'); forms::overlib(w('overlib_phone', 0)); ?></td>
					<td class='label_alt'><?PHP forms::text('phone', 0, forms::value('phone')); ?></td>
				</tr>
				<tr>
					<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('click_to_save', 0), 0, 'submit', 1); ?></td>
				</tr>
			</table>
			</form>
		<script> toggle_state_province(); </script>
		</div>
	<?PHP else: ?>
		<h1 class='tab_content_label_2col tab_customer'>
			<ul>
				<li><a href='<?PHP echo href('customers','customer_edit',array('id'=>x('id'),'show_tab'=>'general')); ?>'><?PHP echo $customer['name']; ?></a></li>
					<li id='text'><a href='<?PHP echo href('customers', 'customer_edit', array('show_tab' => 'addresses', 'id' => x('id'), 'add_address' => 'y')); ?>' class='form_button'><?PHP w('add_new_address'); ?></a></li>
			</ul>
		</h1>
		<?PHP if (!empty($addresses)&&is_array($addresses)): ?>
			<div class='tab_content_wrapper  no_top_left_border'>
			<?PHP forms::action(false, 'POST', "onsubmit='return confirm(\"".w('sure_you_want_to_delete_address', 0)."\");'"); ?>
			<?PHP forms::hidden('mod', 0, x('mod')); ?>
			<?PHP forms::hidden('task', 0, x('task')); ?>
			<?PHP echo forms::hidden('show_tab', 0, x('show_tab')); ?>
			<?PHP forms::hidden('id', 0, x('id')); ?>
			<?PHP forms::hidden('show_tab', 0, 'addresses'); ?>

			<table class='data_grid'>
				<tr class='th'>
					<th><?PHP echo $sd['id']['image']; ?><a href='<?PHP echo $sd['id']['link']; ?>'><?PHP w('id'); ?></a></th>
					<th><?PHP echo $sd['contact_type']['image']; ?><a href='<?PHP echo $sd['contact_type']['link']; ?>'><?PHP w('contact_type'); ?></a></th>
					<th><?PHP echo $sd['address']['image']; ?><a href='<?PHP echo $sd['address']['link']; ?>'><?PHP w('address'); ?></a></th>
					<th><?PHP echo $sd['city']['image']; ?><a href='<?PHP echo $sd['city']['link']; ?>'><?PHP w('city'); ?></a></th>
					<th class='options'><?PHP w('options'); ?></th>
				</tr>

			<?PHP foreach ($addresses as $address): $data=prepare($address); ?>

				<tr <?PHP echo $data['alt']; ?>>
					<td><?PHP echo $data['id']; ?></td>
					<td><?PHP echo $data['contact_type']; ?></td>
					<td><?PHP echo $data['address']; ?></td>
					<td><?PHP echo $data['city']; ?></td>
					<td class='options'><?PHP echo $data['delete']; ?> / <?PHP echo $data['manage']; ?></td>
				</tr>

			<?PHP endforeach; ?>

			</table>
			</form>
			<?PHP echo $pagination_addresses; ?>
			</div>
		<?PHP else: ?>
			<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_addresses_in_db', 0); ?></p></div>
		<?PHP endif; ?>
	<?PHP endif; ?>
</div>


<div class='tab_content' id='existing_users' style='display:none;'>

	<?PHP if (x('add_user')): ?>

		<?PHP errors($errors_search); ?>
		<?PHP errors($errors); ?>
		<h1 class='tab_content_label_2col tab_customer'>
			<ul>
				<li><a href='<?PHP echo href('customers','customer_edit',array('id'=>x('id'),'show_tab'=>'general')); ?>'><?PHP echo $customer['name']; ?></a></li>
				<li class='right'><a class='form_button' href='<?PHP echo href('customers', 'customer_edit', array('show_tab'=>'existing_users', 'id'=>x('id'))); ?>'><?PHP w('go_back'); ?></a></li>
			</ul>
		</h1>
		<div class='clear'><!-- --></div>
		<div class='tab_content_wrapper_wp'>
		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, x('mod'),0); ?>
		<?PHP echo forms::hidden('id', 0, x('id'),0); ?>
		<?PHP echo forms::hidden('add_user', 0, 'y',0); ?>
		<?PHP echo forms::hidden('task', 0, x('task'),0); ?>
		<?PHP echo forms::hidden('show_tab', 0, x('show_tab'),0); ?>
		<?PHP echo forms::text('terms', 0, '', 0, 'large', 0); ?><?PHP echo forms::submit(0, 0, w('search', 0), 0, 'form_button display_inline no_float', 0); ?> <?PHP echo w('-or-'); ?> <a href='<?PHP echo href('customers', 'customer_edit', array('show_tab'=>'existing_users', 'id' => x('id'), 'add_user' => 'y', 'list_all_users' => 'y')); ?>'><?PHP echo w('list_all_users'); ?></a> / <a href='<?PHP echo href('customers', 'customer_edit', array('show_tab'=>'existing_users', 'id' => x('id'), 'add_user' => 'y', 'add_new' => 'y')); ?>'><?PHP echo w('add_a_new_user'); ?></a> / <a href='<?PHP echo href('customers', 'customer_edit', array('show_tab'=>'existing_users', 'id' => x('id'), 'add_user' => 'y')); ?>'>Start Over</a></form>


		<?PHP if (!empty($users)&&is_array($users)): ?>
		<br />
			<div class='tab_content_wrapper  no_top_left_border'>
			<?PHP forms::action(); ?>
			<?PHP forms::hidden('mod', 0, x('mod')); ?>
			<?PHP forms::hidden('task', 0, x('task')); ?>

			<table class='data_grid'>
				<tr class='th'>
					<th><?PHP echo $sa['id']['image']; ?><a href='<?PHP echo $sa['id']['link']; ?>'><?PHP w('id'); ?></a></th>
					<th><?PHP echo $sa['first_name']['image']; ?><a href='<?PHP echo $sa['first_name']['link']; ?>'><?PHP w('first_name'); ?></a></th>
					<th><?PHP echo $sa['last_name']['image']; ?><a href='<?PHP echo $sa['last_name']['link']; ?>'><?PHP w('last_name'); ?></a></th>
					<th><?PHP echo $sa['email']['image']; ?><a href='<?PHP echo $sa['email']['link']; ?>'><?PHP w('email'); ?></a></th>
					<th><?PHP echo $sa['status']['image']; ?><a href='<?PHP echo $sa['status']['link']; ?>'><?PHP w('status'); ?></a></th>
					<th class='options'><?PHP w('options'); ?></th>
				</tr>

			<?PHP foreach ($users as $user): $data=prepare_users($user); ?>

				<tr <?PHP echo $data['alt']; ?>>
					<td><?PHP echo $data['id']; ?></td>
					<td><?PHP echo $data['first_name']; ?></td>
					<td><?PHP echo $data['last_name']; ?></td>
					<td><?PHP echo $data['email']; ?></td>
					<td><?PHP echo $data['status']; ?></td>
					<td class='options'><?PHP echo $data['add_authorized']; ?> / <?PHP echo $data['add_primary']; ?></td>
				</tr>

			<?PHP endforeach; ?>

			</table>
			</form>
			<?PHP echo $add_user_pagination; ?>
			</div>
		<?PHP elseif (x('add_new')): ?>
		<br />

			<?PHP echo forms::action(); ?>
			<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
			<?PHP echo forms::hidden('task', 0, x('task')); ?>
			<?PHP echo forms::hidden('id', 0, x('id')); ?>
			<?PHP echo forms::hidden('show_tab', 0, 'existing_users'); ?>
			<?PHP echo forms::hidden('add_new', 0, 'y'); ?>
			<?PHP echo forms::hidden('add_user', 0, 'y'); ?>
			<table class='form_table'>
				<tr class='th'>
					<th colspan='2'></th>
				</tr>
				<tr>
					<td class='text'><?PHP w('status:'); forms::overlib(w('overlib_status', 0)); ?></td>
					<td class='label'><?PHP forms::select('status', 0, $statuses, x('status')); ?></td>
				</tr>
				<tr>
					<td class='text_alt'><?PHP w('user_role:'); forms::overlib(w('overlib_user_role', 0)); ?></td>
					<td class='label_alt'><?PHP forms::select('user_role', 0, $roles, x('user_role')); ?></td>
				</tr>
				<tr>
					<td class='text'><?PHP w('first_name:'); forms::overlib(w('overlib_first_name', 0)); ?></td>
					<td class='label'><?PHP forms::text('first_name', 0, forms::value('first_name')); ?></td>
				</tr>
				<tr>
					<td class='text_alt'><?PHP w('last_name:'); forms::overlib(w('overlib_last_name', 0)); ?></td>
					<td class='label_alt'><?PHP forms::text('last_name', 0, forms::value('last_name')); ?></td>
				</tr>
				<tr>
					<td class='text'><?PHP w('username:'); forms::overlib(w('overlib_username', 0)); ?></td>
					<td class='label'><?PHP forms::text('username', 0, forms::value('username')); ?></td>
				</tr>
				<tr>
					<td class='text_alt'><?PHP w('email:'); forms::overlib(w('overlib_email', 0)); ?></td>
					<td class='label_alt'><?PHP forms::text('email', 0, forms::value('email')); ?></td>
				</tr>
				<tr>
					<td class='text'><?PHP w('password:'); forms::overlib(w('overlib_password', 0)); ?></td>
					<td class='label'><?PHP forms::password('password', 0, forms::value('password')); ?></td>
				</tr>
				<tr>
					<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('add_user', 0), 0, 'submit', 1); ?></td>
				</tr>
			</table>
			</form>

		<?PHP elseif (x('terms')): ?>
			<br /><div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_users_found', 0); ?></p></div>
		<?PHP endif; ?>
	</div>
	<?PHP else: ?>
		<?PHP errors($errors); ?>
		<h1 class='tab_content_label_2col tab_customer'>
			<ul>
				<li><a href='<?PHP echo href('customers','customer_edit',array('id'=>x('id'),'show_tab'=>'general')); ?>'><?PHP echo $customer['name']; ?></a></li>
				<li class='right'><a href='<?PHP echo href('customers', 'customer_edit', array('show_tab' => 'existing_users', 'id' => x('id'), 'add_user' => 'y')); ?>' class='form_button'><?PHP w('add_new_user'); ?></a></li>
			</ul>
		</h1>

		<?PHP if (!empty($authorized_users)&&is_array($authorized_users)): ?>
			<div class='tab_content_wrapper no_top_left_border'>
			<?PHP forms::action(false, 'POST', "onsubmit='return confirm(\"".w('sure_you_want_to_remove_user', 0)."\");'"); ?>
			<?PHP forms::hidden('mod', 0, x('mod')); ?>
			<?PHP forms::hidden('task', 0, x('task')); ?>
			<?PHP forms::hidden('id', 0, x('id')); ?>

			<table class='data_grid'>
				<tr class='th'>
					<th><?PHP echo $sb['id']['image']; ?><a href='<?PHP echo $sb['id']['link']; ?>'><?PHP w('id'); ?></a></th>
					<th><?PHP echo $sb['first_name']['image']; ?><a href='<?PHP echo $sb['first_name']['link']; ?>'><?PHP w('first_name'); ?></a></th>
					<th><?PHP echo $sb['last_name']['image']; ?><a href='<?PHP echo $sb['last_name']['link']; ?>'><?PHP w('last_name'); ?></a></th>
					<th><?PHP echo $sb['email']['image']; ?><a href='<?PHP echo $sb['email']['link']; ?>'><?PHP w('email'); ?></a></th>
					<th><?PHP echo $sb['status']['image']; ?><a href='<?PHP echo $sb['status']['link']; ?>'><?PHP w('status'); ?></a></th>
					<th class='options'><?PHP w('options'); ?></th>
				</tr>

			<?PHP foreach ($authorized_users as $authorized_user): $data=prepare_authorized_users($authorized_user, $customer['primary_user_id']); ?>

				<tr <?PHP echo $data['alt']; ?>>
					<td><?PHP echo $data['id']; ?></td>
					<td><?PHP echo $data['first_name']; ?></td>
					<td><?PHP echo $data['last_name']; ?></td>
					<td><?PHP echo $data['email']; ?></td>
					<td><?PHP echo $data['status']; ?></td>
					<td class='options'><?PHP echo $data['make_primary']; ?><?PHP echo $data['remove']; ?> / <?PHP echo $data['manage']; ?></td>
				</tr>

			<?PHP endforeach; ?>

			</table>
			</form>
			<?PHP echo $user_pagination; ?>
			</div>
		<?PHP else: ?>
			<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_users_found_for_customer', 0); ?></p></div>
		<?PHP endif; ?>
	<?PHP endif; ?>
</div>

<div class='tab_content' id='packages' style='display:none;'>

	<?PHP if (x('add_package')): ?>
		<?PHP errors($errors); ?>
		<h1 class='tab_content_label_2col tab_customer'>
			<ul>
				<li><a href='<?PHP echo href('customers','customer_edit',array('id'=>x('id'),'show_tab'=>'general')); ?>'><?PHP echo $customer['name']; ?></a></li>
				<li class='right'><a href='<?PHP echo href('customers', 'customer_edit', array('show_tab' => 'packages', 'id' => x('id'))); ?>' class='form_button'><?PHP w('go_back'); ?></a></li>
			</ul>
		</h1>
		<div class='tab_content_wrapper_wp'>
			<?PHP forms::action(); ?>
			<?PHP forms::hidden('mod', 0, x('mod')); ?>
			<?PHP forms::hidden('task', 0, x('task')); ?>
			<?PHP forms::hidden('id', 0, x('id')); ?>
			<?PHP forms::hidden('show_tab', 0, 'packages'); ?>
			<?PHP forms::hidden('add_package', 0, 'y'); ?>
			<?PHP forms::hidden('package_options', 0, 'y'); ?>
			<?PHP echo forms::select('product_id', 0, $products_select, false, "onchange='package_selects(\"".x('id')."\", \"".x('product_id')."\");'"); ?> <?PHP echo forms::select('customer_area_id', 0, customer_area::make_select_ca()); ?> <label id='price_sheet_select'></label><?PHP forms::submit(0, 0, w('continue', 0), 0, 'form_button display_inline no_float', 1); ?>
			</form>
		</div>
		<script> package_selects('<?PHP echo x('id'); ?>', '<?PHP echo x('product_id'); ?>'); </script>
		<br />



		<?PHP if (!empty($packages)&&is_array($packages)): ?>
		
			<h1 class='tab_content_label_2col tab_package_add'>
				<ul>
					<li><?PHP echo $products_select[x('product_id')]; ?><?PHP echo $price_sheet_selected; ?></li>
					<li class='right'></li>
				</ul>
			</h1>
			<div class='tab_content_wrapper  no_top_left_border'>

				<table class='data_grid'>
					<tr class='th'>
						<th><?PHP w('id'); ?></th>
						<th><?PHP w('name'); ?></th>
						<th><?PHP w('payment_type'); ?></th>
						<th><?PHP w('setup_fee'); ?></th>
						<th><?PHP w('price'); ?></th>
						<th><?PHP w('price_recurring'); ?></th>
						<th class='options'><?PHP w('options'); ?></th>
					</tr>

				<?PHP foreach ($packages as $package): $data=prepare_packages($package, x('customer_area_id')); ?>

					<tr <?PHP echo $data['alt']; ?>>
						<td><?PHP echo $data['id']; ?></td>
						<td><?PHP echo $data['name']; ?></td>
						<td><?PHP echo $data['payment_type']; ?></td>
						<td><?PHP echo $data['setup_fee']; ?></td>
						<td><?PHP echo $data['price']; ?></td>
						<td><?PHP echo $data['price_recurring']; ?></td>
						<td class='options'><?PHP echo $data['add']; ?></td>
					</tr>

					<?PHP if (is_array($data['hosting_assets'])&&!empty($data['hosting_assets'])): ?>
						<tr class='package_extras' id='<?PHP echo $data['uid']; ?>' <?PHP echo $data['alt']; ?><?PHP echo ((x('sku_pricing_id')==$data['sku_pricing_id'])?'':" style='display:none;'"); ?>>
							<td colspan='7'>
								<?PHP echo forms::action(); ?>
								<?PHP echo forms::hidden('mod', 0, 'customers'); ?>
								<?PHP echo forms::hidden('task', 0, 'customer_edit'); ?>
								<?PHP echo forms::hidden('id', 0, x('id')); ?>
								<?PHP echo forms::hidden('product_id', 0, x('product_id')); ?>
								<?PHP echo forms::hidden('price_sheet_id', 0, x('price_sheet_id')); ?>
								<?PHP echo forms::hidden('sku_pricing_id', 0, $data['sku_pricing_id']); ?>
								<?PHP echo forms::hidden('customer_area_id', 0, x('customer_area_id')); ?>
								<?PHP echo forms::hidden('add_package', 0, 'y'); ?>
								<?PHP echo forms::hidden('add_package_now', 0, 'y'); ?>
								<?PHP echo forms::hidden('package_options', 0, 'y'); ?>
								<?PHP echo forms::hidden('show_tab', 0, 'packages'); ?>
								<table class='form_table'>
									<?PHP $m3i=1; foreach($data['hosting_assets'] as $key => $hosting_asset): $data=domains::prepare_domain_options($hosting_asset, x('price_sheet_id')); ?>
										<tr>
											<td class='text' style='padding-top: 12px;'><?PHP w('For Hosting Package:'); ?></td>
											<td class='label' style='padding-top: 12px;'><a href='<?PHP echo href('hosting','packages',array('id'=>$hosting_asset['hosting_package']['id'],'show_tab'=>'general')); ?>'><?PHP echo $hosting_asset['hosting_package']['name']; ?></a></td>
										</tr>
										<tr>
											<td class='text'><?PHP w('Registration Options:'); ?></td>
											<td class='label'><?PHP forms::select("domain_registration_{$hosting_asset['id']}", "domain_registration[{$hosting_asset['id']}]", $domain_registration_options, forms::value('domain_registration', 0, 0, 0, $hosting_asset['id']), " onchange='toggle_domain_options(\"{$hosting_asset['id']}\", \"".x('id')."\");'"); ?></td>
										</tr>
										<tr class='None_<?PHP echo $hosting_asset['id']; ?>' style='display:none;'>
											<td class='text' style='border-bottom: 1px dotted #ccc; padding-bottom: 12px;'><?PHP w('Enter a Domain Name:'); ?></td>
											<td class='label' style='border-bottom: 1px dotted #ccc; padding-bottom: 12px;'>
												<?PHP $val=forms::value("domain", 0, 0, 0, $hosting_asset['id'], false); ?>
												<?PHP $val2=forms::value("domain_tld", 0, 0, 0, $hosting_asset['id'], false); ?>
												www. <?PHP forms::text("domain[{$hosting_asset['id']}]", 0, (($val)?$val:'')); ?> . <?PHP forms::text("domain_tld[{$hosting_asset['id']}]", 0, (($val2)?$val2:''), 0, 'small'); ?>
											</td>
										</tr>
										<?PHP if (!empty($data['tlds_transfer'])): ?>
											<tr class='Transfer_epp_<?PHP echo $hosting_asset['id']; ?>' style='display:none;'>
												<td class='text' style=' padding-bottom: 12px;'><?PHP w('Enter the EPP Code:'); ?></td>
												<td class='label' style='padding-bottom: 12px;'>
													<?PHP $val=forms::value("epp_code", 0, 0, 0, $hosting_asset['id'], false); ?>
													<?PHP forms::text("epp_code_{$hosting_asset['id']}", "epp_code[{$hosting_asset['id']}]", (($val)?$val:'')); ?>
													<?PHP echo forms::hidden("transfer_epp[{$hosting_asset['id']}]", 0, $data['tld']['epp_code']); ?>
												</td>
											</tr>
										<?PHP endif; ?>
										<tr class='Transfer_<?PHP echo $hosting_asset['id']; ?>' style='display:none;'>
											<td class='text_top' style='border-bottom: 1px dotted #ccc; padding-bottom: 12px;'><?PHP w('Enter a Domain Name:'); ?></td>
											<td class='label' style='border-bottom: 1px dotted #ccc; padding-bottom: 12px;'>
												<?PHP if (empty($data['tlds_transfer'])): ?>
													<a href='<?PHP echo href('domains', 'slabs', array('id' => $data['domain_slab_id'], 'show_tab' => 'pricing')); ?>'><?PHP echo w('Domain transfer is not enabled for this domain slab and currency.', 0); ?>
												<?PHP else: ?>
													<?PHP $val=forms::value("transfer_domain", 0, 0, 0, $hosting_asset['id'], false); ?>
													www. <?PHP forms::text("transfer_domain[{$hosting_asset['id']}]", 0, (($val)?$val:'')); ?> . <?PHP forms::select("transfer_tld_{$hosting_asset['id']}", "transfer_tld[{$hosting_asset['id']}]", $data['tlds_transfer'], forms::value('transfer_tld', 0, 0, 0, $hosting_asset['id']), " onchange=\"toggle_years_registrar('".x('id')."', '{$hosting_asset['id']}', 'transfer', '{$data['domain_slab_id']}', '{$data['currency_id']}');\"", 'disable_fancy_select'); ?><!-- for <?PHP forms::select("transfer_years_{$hosting_asset['id']}", "transfer_years[{$hosting_asset['id']}]", $data['transfer_years'], forms::value('transfer_years', 0, 0, 0, $hosting_asset['id']), false, 'disable_fancy_select'); ?>--><br /><span id='transfer_registrar_name_<?PHP echo $hosting_asset['id']; ?>'><?PHP echo w('Domain Registrar:', 0); ?> <?PHP echo $data['registrar_transfer']; ?></span>
													<?PHP echo forms::hidden("transfer_registrar_id_{$hosting_asset['id']}", "Transfer_registrar_id[{$hosting_asset['id']}]", $data['transfer_registrar_id']); ?>
												<?PHP endif; ?>
											</td>
										</tr>
										<tr class='Register_<?PHP echo $hosting_asset['id']; ?>' style='display:none;'>
											<td class='text_top' style='border-bottom: 1px dotted #ccc; padding-bottom: 12px;'><?PHP w('Enter a Domain Name:'); ?></td>
											<td class='label' style='border-bottom: 1px dotted #ccc; padding-bottom: 12px;'>
												<?PHP if (empty($data['tlds_register'])): ?>
													<a href='<?PHP echo href('domains', 'slabs', array('id' => $data['domain_slab_id'], 'show_tab' => 'pricing')); ?>'><?PHP echo w('Domain registration is not enabled for this domain slab and currency.', 0); ?>
												<?PHP else: ?>
													<?PHP $val=forms::value("register_domain", 0, 0, 0, $hosting_asset['id'], false); ?>
													www. <?PHP forms::text("register_domain[{$hosting_asset['id']}]", 0, (($val)?$val:'')); ?> . <?PHP forms::select("register_tld_{$hosting_asset['id']}", "register_tld[{$hosting_asset['id']}]", $data['tlds_register'], forms::value('register_tld', 0, 0, 0, $hosting_asset['id']), " onchange=\"toggle_years_registrar('".x('id')."', '{$hosting_asset['id']}', 'register', '{$data['domain_slab_id']}', '{$data['currency_id']}');\"", 'disable_fancy_select'); ?> for <?PHP forms::select("register_years_{$hosting_asset['id']}", "register_years[{$hosting_asset['id']}]", $data['register_years'], forms::value('register_years', 0, 0, 0, $hosting_asset['id']), false, 'disable_fancy_select'); ?><br /><span id='register_registrar_name_<?PHP echo $hosting_asset['id']; ?>'><?PHP echo w('Domain Registrar:', 0); ?> <?PHP echo $data['registrar']; ?></span>
													<?PHP echo forms::hidden("register_registrar_id_{$hosting_asset['id']}", "Registrar_registrar_id[{$hosting_asset['id']}]", $data['registrar_id']); ?>
												<?PHP endif; ?>
											</td>
										</tr>
										<script> toggle_domain_options("<?PHP echo $hosting_asset['id']; ?>", "<?PHP echo x('id'); ?>"); </script>
								<?PHP endforeach; ?>
									<tr>
										<td class='submit' colspan='2' style='border-top: 1px solid #e6e6e6;'><?PHP forms::submit(0, 0, w('Add Package Now', 0), 0, 'submit', 1); ?></td>
									</tr>
								</table>
								</form>
							</td>
						</tr>
					<?PHP endif; ?>

				<?PHP endforeach; ?>

				</table>
			</div>
		<?PHP endif; ?>
	<?PHP elseif ($add_package_assets): ?>

		<?PHP errors($errors); ?>

		<h1 class='tab_content_label_2col tab_customer'>
			<ul>
				<li><a href='<?PHP echo href('customers','customer_edit',array('id'=>x('id'),'show_tab'=>'general')); ?>'><?PHP echo $customer['name']; ?></a></li>
				<li class='right'><a class='form_button' href='<?PHP echo href('customers', 'customer_edit', array('show_tab'=>'packages', 'id'=>x('id'), 'package_id'=>x('package_id'), 'show_asset'=>'license')); ?>'><?PHP w('view_assets'); ?></a> 

					<a class='form_button' href='<?PHP echo href('customers', 'customer_edit', array('show_tab'=>'packages', 'id'=>x('id'), 'package_id'=>x('package_id'))); ?>'><?PHP w('view_this_package'); ?></a> 

				<a class='form_button' href='<?PHP echo href('customers', 'customer_edit', array('show_tab'=>'packages', 'id'=>x('id'))); ?>'><?PHP w('go_back'); ?></a></li>
			</ul>
		</h1>
		<div class='tab_content_wrapper_wp'><?PHP

$map=array('license'=>'shield','download_control'=>'lock','media'=>'compress','support_package'=>'group');
foreach (array('license', 'download_control', 'media', 'support_package') as $key => $use_mod)
	{
	$product_tree.="<div class='tiled_bkg'>&nbsp;&nbsp;<img class='icon' src='view/images/icons/{$map[$use_mod]}.png' /> <a href='#' onclick='default_asset(\"{$use_mod}\", \"y\"); return false; '>".w($use_mod, 0)."</a></div>";

	$product_tree.="<div id='y{$use_mod}'  style='display:".((!$key)?'block':'none')."; padding: 0 12px 8px 12px;'>";
	foreach ($add_package_assets[$use_mod] as $asset)
		{
		$link=href(
				'customers', 'customer_edit', 
				array(
					'id' => x('id'), 
					'show_tab' => 'packages', 
					'package_id' => x('package_id'), 
					'asset_id' => $asset['id'], 
					'use_mod' => $use_mod,
					'show_asset' => $use_mod, 
					'add_new_asset_to_package' => 'y'
					));

		$product_tree.="<a href='{$link}' class='form_button'><span class='green'>".w('add_new', 0).":</span> {$asset['name']}</a><div class='clear'></div><br />";
		}
	$product_tree.="</div>";
	}


echo $product_tree;
?>
		</div>
	<?PHP elseif (x('show_asset')): ?>


	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_customer'>
		<ul>
			<li><a href='<?PHP echo href('customers','customer_edit',array('id'=>x('id'),'show_tab'=>'general')); ?>'><?PHP echo $customer['name']; ?></a> <?PHP  ($cpn=$customer_package['package_name'])?" - {$cpn}":''; ?> </li>
			<li class='right'>
				<?PHP if ($cpn): ?>
					<a class='form_button' href='<?PHP echo href('customers', 'customer_edit', array('show_tab'=>'packages', 'id'=>x('id'), 'package_id'=>x('package_id'), 'add_new_asset_to_package'=>'y')); ?>'><?PHP w('add_assets'); ?></a>
					<a class='form_button' href='<?PHP echo href('customers', 'customer_edit', array('show_tab'=>'packages', 'id'=>x('id'), 'package_id'=>x('package_id'))); ?>'><?PHP w('view_this_package'); ?></a> 
					<a class='form_button' href='<?PHP echo href('customers', 'customer_edit', array('show_tab'=>'packages', 'id'=>x('id'))); ?>'><?PHP w('go_back'); ?></a> 
				<?PHP else: ?>
					<a class='form_button' href='<?PHP echo href('customers', 'customer_edit', array('show_tab'=>'packages', 'id'=>x('id'), 'add_package' => 'y')); ?>'><?PHP w('add_new_package_asset'); ?></a>
				<?PHP endif; ?>
			</li>
		</ul>
	</h1>
	<div class='tab_content_wrapper_wp'>

		<!-- licenses -->
		<div class='clear'><!--ie--></div>
		
		<div class='tiled_bkg' onclick='default_asset("license", "x"); return false;'>&nbsp;&nbsp;<img src='view/<?PHP echo $conf['template']?>/images/icons/shield.png' class='icon' /> <a href='#'><?PHP echo w('license', 0); ?></a></div>
		<div id='xlicense' style='display:none; padding: 0 12px 12px 12px;'>
			<?PHP if (!empty($license_assets)&&is_array($license_assets)): ?>
				<div class='tab_content_wrapper  no_top_left_border'>

				<table class='data_grid'>
					<tr class='th'>
						<th><?PHP echo $sga['id']['image']; ?><a href='<?PHP echo $sga['id']['link']; ?>'><?PHP w('id'); ?></a></th>
						<th><?PHP echo $sga['license_key']['image']; ?><a href='<?PHP echo $sga['license_key']['link']; ?>'><?PHP w('license_key'); ?></a></th>
						<th><?PHP echo $sga['package_id']['image']; ?><a href='<?PHP echo $sga['package_id']['link']; ?>'><?PHP w('package'); ?></a></th>
						<th><?PHP echo $sga['created']['image']; ?><a href='<?PHP echo $sga['created']['link']; ?>'><?PHP w('created'); ?></a></th>
						<th><?PHP echo $sga['status']['image']; ?><a href='<?PHP echo $sga['status']['link']; ?>'><?PHP w('status'); ?></a></th>
						<th class='options'><?PHP w('options'); ?></th>
					</tr>
					<?PHP $m3=0; foreach ($license_assets as $unique): $data=prepare_licenses($unique); ?>
						<tr <?PHP echo $data['alt']; ?>>
							<td><?PHP echo $data['id']; ?></td>
							<td><?PHP echo $data['asset']; ?></td>
							<td><?PHP echo $data['package']; ?></td>
							<td><?PHP echo $data['created']; ?></td>
							<td><?PHP echo $data['status']; ?></td>
							<td class='options'><?PHP echo $data['remove']; ?></td>
						</tr>
					<?PHP endforeach; ?>
				</table>
				<?PHP echo $pagination_license; ?>
				</div>
			<?PHP else: ?>
				<div class='no_matches_found no_margin'><?PHP echo w('no_licenses_for_customer', 0); ?></div>
			<?PHP endif; ?>
		</div>


		<!-- download_control -->
		<div class='tiled_bkg' onclick='default_asset("download_control", "x"); return false;'>&nbsp;&nbsp;<img src='view/<?PHP echo $conf['template']?>/images/icons/lock.png' class='icon' /> <a href='#'><?PHP echo w('download_controls', 0); ?></a></div>
		<div id='xdownload_control' style='display:none; padding: 0 12px 12px 12px;'>
			<?PHP if (!empty($dc_assets)&&is_array($dc_assets)): ?>
				<div class='tab_content_wrapper  no_top_left_border'>
				<table class='data_grid'>
					<tr class='th'>
						<th><?PHP echo $sgb['id']['image']; ?><a href='<?PHP echo $sgb['id']['link']; ?>'><?PHP w('id'); ?></a></th>
						<th><?PHP echo $sgb['name']['image']; ?><a href='<?PHP echo $sgb['name']['link']; ?>'><?PHP w('name'); ?></a></th>
						<th><?PHP echo $sgb['package_id']['image']; ?><a href='<?PHP echo $sgb['package_id']['link']; ?>'><?PHP w('package'); ?></a></th>
						<th><?PHP echo $sgb['created']['image']; ?><a href='<?PHP echo $sgb['created']['link']; ?>'><?PHP w('created'); ?></a></th>
						<th><?PHP echo $sgb['expires']['image']; ?><a href='<?PHP echo $sgb['expires']['link']; ?>'><?PHP w('expires'); ?></a></th>
						<th><?PHP echo $sgb['status']['image']; ?><a href='<?PHP echo $sgb['status']['link']; ?>'><?PHP w('status'); ?></a></th>
						<th class='options'><?PHP w('options'); ?></th>
					</tr>
					<?PHP $m3=0; foreach ($dc_assets as $unique): $data=prepare_download_control($unique); ?>
						<tr <?PHP echo $data['alt']; ?>>
							<td><?PHP echo $data['id']; ?></td>
							<td><?PHP echo $data['asset']; ?></td>
							<td><?PHP echo $data['package']; ?></td>
							<td><?PHP echo $data['created']; ?></td>
							<td><?PHP echo $data['expires']; ?></td>
							<td><?PHP echo $data['status']; ?></td>
							<td class='options'><?PHP echo $data['remove']; ?></td>
						</tr>
					<?PHP endforeach; ?>
				</table>
				<?PHP echo $pagination_dc; ?>
				</div>
			<?PHP else: ?>
				<div class='no_matches_found no_margin'><?PHP echo w('no_download_controls_customer', 0); ?></div>
			<?PHP endif; ?>
		</div>


		<!-- media -->
		<div class='clear'><!--ie--></div>
		<div class='tiled_bkg' onclick='default_asset("media", "x"); return false;'>&nbsp;&nbsp;<img src='view/<?PHP echo $conf['template']?>/images/icons/compress.png' class='icon' /> <a href='#'><?PHP echo w('media', 0); ?></a></div>
		<div id='xmedia' style='display:none; padding: 0 12px 12px 12px;'>
			<?PHP if (!empty($media_assets)&&is_array($media_assets)): ?>
				<div class='tab_content_wrapper  no_top_left_border'>

				<table class='data_grid'>
					<tr class='th'>
						<th><?PHP echo $sgc['id']['image']; ?><a href='<?PHP echo $sgc['id']['link']; ?>'><?PHP w('id'); ?></a></th>
						<th><?PHP echo $sgc['name']['image']; ?><a href='<?PHP echo $sgc['name']['link']; ?>'><?PHP w('name'); ?></a></th>
						<th><?PHP echo $sgc['package_id']['image']; ?><a href='<?PHP echo $sgc['package_id']['link']; ?>'><?PHP w('package'); ?></a></th>
						<th><?PHP echo $sgc['created']['image']; ?><a href='<?PHP echo $sgc['created']['link']; ?>'><?PHP w('created'); ?></a></th>
						<th><?PHP echo $sgc['status']['image']; ?><a href='<?PHP echo $sgc['status']['link']; ?>'><?PHP w('status'); ?></a></th>
						<th class='options'><?PHP w('options'); ?></th>
					</tr>
					<?PHP $m3=0; foreach ($media_assets as $unique): $data=prepare_media($unique); ?>
						<tr <?PHP echo $data['alt']; ?>>
							<td><?PHP echo $data['id']; ?></td>
							<td><?PHP echo $data['asset']; ?></td>
							<td><?PHP echo $data['package']; ?></td>
							<td><?PHP echo $data['created']; ?></td>
							<td><?PHP echo $data['status']; ?></td>
							<td class='options'><?PHP echo $data['remove']; ?></td>
						</tr>
					<?PHP endforeach; ?>
				</table>
				<?PHP echo $pagination_media; ?>
				</div>
			<?PHP else: ?>
				<div class='no_matches_found no_margin'><?PHP echo w('no_media_for_customer', 0); ?></div>
			<?PHP endif; ?>
		</div>


		<!-- support_package -->
		<div class='clear'><!--ie--></div>
		<div class='tiled_bkg' onclick='default_asset("support_package", "x"); return false;'>&nbsp;&nbsp;<img src='view/<?PHP echo $conf['template']?>/images/icons/group.png' class='icon' />  <a href='#'><?PHP echo w('support_packages', 0); ?></a></div>
		<div id='xsupport_package' style='display:none; padding: 0 12px 12px 12px;'>
			<?PHP if (!empty($support_assets)&&is_array($support_assets)): ?>
				<div class='tab_content_wrapper  no_top_left_border'>

				<table class='data_grid'>
					<tr class='th'>
						<th><?PHP echo $sgd['id']['image']; ?><a href='<?PHP echo $sgd['id']['link']; ?>'><?PHP w('id'); ?></a></th>
						<th><?PHP echo $sgd['name']['image']; ?><a href='<?PHP echo $sgd['name']['link']; ?>'><?PHP w('name'); ?></a></th>
						<th><?PHP echo $sgd['package_id']['image']; ?><a href='<?PHP echo $sgd['package_id']['link']; ?>'><?PHP w('package'); ?></a></th>
						<th><?PHP echo $sgd['created']['image']; ?><a href='<?PHP echo $sgd['created']['link']; ?>'><?PHP w('created'); ?></a></th>
						<th><?PHP echo $sgd['expires']['image']; ?><a href='<?PHP echo $sgd['expires']['link']; ?>'><?PHP w('expires'); ?></a></th>
						<th><?PHP echo $sgd['status']['image']; ?><a href='<?PHP echo $sgd['status']['link']; ?>'><?PHP w('status'); ?></a></th>
						<th class='options'><?PHP w('options'); ?></th>
					</tr>
					<?PHP $m3=0; foreach ($support_assets as $unique): $data=prepare_support($unique); ?>
						<tr <?PHP echo $data['alt']; ?>>
							<td><?PHP echo $data['id']; ?></td>
							<td><?PHP echo $data['asset']; ?></td>
							<td><?PHP echo $data['package']; ?></td>
							<td><?PHP echo $data['created']; ?></td>
							<td><?PHP echo $data['expires']; ?></td>
							<td><?PHP echo $data['status']; ?></td>
							<td class='options'><?PHP echo $data['remove']; ?></td>
						</tr>
					<?PHP endforeach; ?>
				</table>
				<?PHP echo $pagination_support; ?>
				</div>
			<?PHP else: ?>
				<div class='no_matches_found no_margin'><?PHP echo w('no_support_packages_for_customer', 0); ?></div>
			<?PHP endif; ?>
		</div>




		<!-- web_hosting -->
		<div class='clear'><!--ie--></div>
		<div class='tiled_bkg' onclick='default_asset("web_hosting", "x"); return false; '>&nbsp;&nbsp;<img src='view/images/icons/group.png' class='icon' /> <a href='#'><?PHP echo w('web_hosting', 0);?></a></div>
		<div id='xweb_hosting' style='display:none; padding: 0 12px 12px 12px;'>
			<?PHP if (!empty($hosting_accounts)&&is_array($hosting_accounts)): ?>
				<div class='tab_content_wrapper  no_top_left_border'>
				<table class='data_grid'>
					<tr class='th'>
						<th><?PHP echo $sge['id']['image']; ?><a href='<?PHP echo $sge['id']['link']; ?>'><?PHP w('ID'); ?></a></th>
						<th><?PHP echo $sge['domain']['image']; ?><a href='<?PHP echo $sge['domain']['link']; ?>'><?PHP w('Domain'); ?></a></th>
						<th><?PHP echo $sge['customer_id']['image']; ?><a href='<?PHP echo $sge['customer_id']['link']; ?>'><?PHP w('Customer'); ?></a></th>
						<th><?PHP echo $sge['server_id']['image']; ?><a href='<?PHP echo $sge['server_id']['link']; ?>'><?PHP w('Server'); ?></a></th>
						<th><?PHP echo $sge['is_provisioned']['image']; ?><a href='<?PHP echo $sge['is_provisioned']['link']; ?>'><?PHP w('Provisioned?'); ?></a></th>
						<th><?PHP echo $sge['status']['image']; ?><a href='<?PHP echo $sge['status']['link']; ?>'><?PHP w('Status'); ?></a></th>
						<th><?PHP echo $sge['created']['image']; ?><a class='on' href='<?PHP echo $sge['created']['link']; ?>'><?PHP w('created'); ?></a></th>
						<th class='options'><?PHP w('options'); ?></th>
					</tr>
					<?PHP foreach ($hosting_accounts as $unique): $data=prepare_hosting($unique); ?>
						<tr <?PHP echo $data['alt']; ?>>
							<td><?PHP echo $data['id']; ?></td>
							<td><?PHP echo $data['domain']; ?></td>
							<td><?PHP echo $data['customer']; ?></td>
							<td><?PHP echo $data['server']; ?></td>
							<td><?PHP echo $data['provisioned']; ?></td>
							<td><?PHP echo $data['status']; ?></td>
							<td><?PHP echo $data['created']; ?></td>
							<td class='options'><?PHP echo $data['delete']; ?> / <!--<?PHP echo $data['terminate']; ?> / <?PHP echo $data['suspend']; ?>--> <?PHP echo $data['manage']; ?></td>
						</tr>
					<?PHP endforeach; ?>
				</table>
				<?PHP echo  $pagination_hosting; ?>
				</div>
			<?PHP else: ?>
				<div class='no_matches_found no_margin'><?PHP echo w('no_hosting_accounts_found', 0); ?></div>
			<?PHP endif; ?>
		</div>





	<script> default_asset('<?PHP echo (x('show_asset'))?''.x('show_asset'):'license'?>', "x"); </script>
	</div>

	<?PHP elseif (x('package_id')): ?>

		<?PHP errors($errors); ?>
		<h1 class='tab_content_label_2col tab_customer'>
			<ul>
				<li><a href='<?PHP echo href('customers','customer_edit',array('id'=>x('id'),'show_tab'=>'general')); ?>'><?PHP echo $customer['name']; ?></a></li>
				<li class='right'><a class='form_button' href='<?PHP echo href('customers', 'customer_edit', array('show_tab'=>'packages', 'id'=>x('id'), 'package_id'=>x('package_id'), 'show_asset'=>'license')); ?>'><?PHP w('view_assets'); ?></a> <a class='form_button' href='<?PHP echo href('customers', 'customer_edit', array('show_tab'=>'packages', 'id'=>x('id'))); ?>'><?PHP w('go_back'); ?></a></li>
			</ul>
		</h1>
		<div class='tab_content_wrapper no_top_left_border'>
			<?PHP echo forms::action(); ?>
			<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
			<?PHP echo forms::hidden('task', 0, x('task')); ?>
			<?PHP echo forms::hidden('id', 0, x('id')); ?>
			<?PHP echo forms::hidden('package_id', 0, x('package_id')); ?>
			<?PHP echo forms::hidden('update_package', 0, 'y'); ?>
			<?PHP echo forms::hidden('show_tab', 0, 'packages'); ?>
			<table class='form_table'>
				<tr class='th'>
					<th colspan='2'></th>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('package_status:'); forms::overlib(w('overlib_package_status', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('status', 0, $package_statuses, forms::value('status', $customer_package['status'])); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('invoicing_status:'); forms::overlib(w('overlib_invoicing_status', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('invoice_status', 0, $invoice_statuses, forms::value('invoice_status', $customer_package['invoice_status'])); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('package_type:'); forms::overlib(w('overlib_package_type', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('package_type', 0, $package_type, forms::value('package_type', $customer_package['package_type'])); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('parent_package:'); forms::overlib(w('overlib_parent_package', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('parent_package_id', 0, $parent_package_id, forms::value('parent_package_id', $customer_package['parent_package_id'])); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('package_name:'); forms::overlib(w('overlib_package_name', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('package_name', 0, forms::value('package_name', $customer_package['package_name']), 0, 'large'); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('start_date:'); forms::overlib(w('overlib_start_date', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('start_date', 0, forms::value('start_date', $customer_package['start_date']), false, 'date'); ?> <?PHP echo w('mm/dd/yyyy'); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('end_date:'); forms::overlib(w('overlib_end_date', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('end_date', 0, forms::value('end_date', $customer_package['end_date']), false, 'date'); ?> <?PHP echo w('mm/dd/yyyy'); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('billing_start_date:'); forms::overlib(w('overlib_billing_start_date', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('billing_start_date', 0, forms::value('billing_start_date', $customer_package['billing_start_date']), false, 'date'); ?> <?PHP echo w('mm/dd/yyyy'); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('billing_end_date:'); forms::overlib(w('overlib_billing_end_date', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('billing_end_date', 0, forms::value('billing_end_date', $customer_package['billing_end_date']), false, 'date'); ?> <?PHP echo w('mm/dd/yyyy'); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('last_renewal_date:'); forms::overlib(w('overlib_last_renewal_date', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('last_renewal_date', 0, forms::value('last_renewal_date', $customer_package['last_renewal_date']), false, 'date'); ?> <?PHP echo w('mm/dd/yyyy'); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('next_renewal_date:'); forms::overlib(w('overlib_next_renewal_date', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('next_renewal_date', 0, forms::value('next_renewal_date', $customer_package['next_renewal_date']), false, 'date'); ?> <?PHP echo w('mm/dd/yyyy'); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('setup_fee:'); forms::overlib(w('overlib_setup_fee', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('setup_fee', 0, forms::value('setup_fee', $customer_package['setup_fee']), false, 'money'); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('price:'); forms::overlib(w('overlib_price', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('price', 0, forms::value('price', $customer_package['price']), false, 'money'); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('renewal_price:'); forms::overlib(w('overlib_renewal_price', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('renewal_price', 0, forms::value('renewal_price', $customer_package['renewal_price']), false, 'money'); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('recurring_discount:'); forms::overlib(w('overlib_recurring_discount', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('recurring_discount', 0, forms::value('recurring_discount', $customer_package['recurring_discount']), false, 'money'); ?> <?PHP forms::select('recurring_discount_type', 0, $recurring_discount_type, forms::value('recurring_discount_type', $customer_package['recurring_discount_type'])); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('recurring_term:'); forms::overlib(w('overlib_recurring_term', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('recurring_term', 0, forms::value('recurring_term', $customer_package['recurring_term']), 0, 'smaller'); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('recurring_period:'); forms::overlib(w('overlib_recurring_period', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('recurring_period', 0, $periods, forms::value('recurring_period', $customer_package['recurring_period'])); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('recurring_total_invoices:'); forms::overlib(w('overlib_recurring_total_invoices', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('recurring_total_invoices', 0, forms::value('recurring_total_invoices', $customer_package['recurring_total_invoices']), 0, 'smaller'); ?> <?PHP echo $invoices_created_so_far; ?></td>
				</tr>
				<tr>
					<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('click_to_save', 0), 0, 'submit', 1); ?></td>
				</tr>
			</table>
			</form>
		</div>
	<?PHP else: ?>
		<?PHP errors($errors); ?>
		<h1 class='tab_content_label_2col tab_customer'>
			<ul>
				<li><a href='<?PHP echo href('customers','customer_edit',array('id'=>x('id'),'show_tab'=>'general')); ?>'><?PHP echo $customer['name']; ?></a></li>
				<li class='right'><a href='<?PHP echo href('customers', 'customer_edit', array('show_tab' => 'packages', 'id' => x('id'), 'add_package' => 'y')); ?>' class='form_button'><?PHP w('add_new_package'); ?></a></li>
			</ul>
		</h1>
 
		<?PHP if (!empty($customer_packages)&&is_array($customer_packages)): ?>
			<div class='tab_content_wrapper  no_top_left_border'>
			<?PHP forms::action(false, 'POST', "onsubmit='return confirm(\"".w('sure_you_want_to_remove_package', 0)."\");'"); ?>
			<?PHP forms::hidden('mod', 0, x('mod')); ?>
			<?PHP forms::hidden('task', 0, x('task')); ?>
			<?PHP forms::hidden('id', 0, x('id')); ?>

			<table class='data_grid'>
				<tr class='th'>
					<th><?PHP echo $se['id']['image']; ?><a href='<?PHP echo $se['id']['link']; ?>'><?PHP w('id'); ?></a></th>
					<th><?PHP echo $se['package_name']['image']; ?><a href='<?PHP echo $se['package_name']['link']; ?>'><?PHP w('package_name'); ?></a></th>
					<th><?PHP echo $se['status']['image']; ?><a href='<?PHP echo $se['status']['link']; ?>'><?PHP w('status'); ?></a></th>
					<th><?PHP echo $se['created']['image']; ?><a href='<?PHP echo $se['created']['link']; ?>'><?PHP w('created'); ?></a></th>
					<th class='options'><?PHP w('options'); ?></th>
				</tr>

			<?PHP foreach ($customer_packages as $package): $data=prepare_customer_packages($package); ?>

				<tr <?PHP echo $data['alt']; ?>>
					<td><?PHP echo $data['id']; ?></td>
					<td><?PHP echo $data['package_name']; ?></td>
					<td><?PHP echo $data['status']; ?></td>
					<td><?PHP echo $data['created']; ?></td>
					<td class='options'><?PHP echo $data['add_asset']; ?> / <?PHP echo $data['view_assets']; ?> / <?PHP echo w('remove')?> <?PHP echo $data['remove']; ?>  <?w('-or-')?> <?PHP echo $data['remove_all']; ?> / <?PHP echo $data['manage']; ?></td>
				</tr>

			<?PHP endforeach; ?>

			</table>
			</form>
			<?PHP echo $package_pagination; ?>
			</div>
		<?PHP else: ?>
			<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_packages_found_for_customer', 0); ?></p></div>
		<?PHP endif; ?>
	<?PHP endif; ?>
</div>




<div class='tab_content' id='assets' style='display:none;'>

	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_customer'>
		<ul>
			<li><a href='<?PHP echo href('customers','customer_edit',array('id'=>x('id'),'show_tab'=>'general')); ?>'><?PHP echo $customer['name']; ?></a></li>
			<li class='right'></li>
		</ul>
	</h1>
	<div class='clear'><!-- --></div>
	<div class='tab_content_wrapper_wp'>

		<!-- licenses -->
		<div class='clear'><!--ie--></div>


		<div class='tiled_bkg' onclick='default_asset("license", "z"); return false;'>&nbsp;&nbsp;<img src='view/images/icons/shield.png' class='icon' /> <a href='#'><?PHP echo w('license', 0);?></a></div>
		<div id='zlicense' style='display:none; padding: 0 12px 12px 12px;'>
			<?PHP if (!empty($license_assets)&&is_array($license_assets)): ?>
				<div class='tab_content_wrapper  no_top_left_border'>

				<table class='data_grid'>
					<tr class='th'>
						<th><?PHP echo  $sga['id']['image']; ?><a href='<?PHP echo  $sga['id']['link']; ?>'><?PHP w('id'); ?></a></th>
						<th><?PHP echo  $sga['license_key']['image']; ?><a href='<?PHP echo  $sga['license_key']['link']; ?>'><?PHP w('license_key'); ?></a></th>
						<th><?PHP echo  $sga['package_id']['image']; ?><a href='<?PHP echo  $sga['package_id']['link']; ?>'><?PHP w('package'); ?></a></th>
						<th><?PHP echo  $sga['created']['image']; ?><a href='<?PHP echo  $sga['created']['link']; ?>'><?PHP w('created'); ?></a></th>
						<th><?PHP echo  $sga['status']['image']; ?><a href='<?PHP echo  $sga['status']['link']; ?>'><?PHP w('status'); ?></a></th>
						<th class='options'><?PHP w('options'); ?></th>
					</tr>
					<?PHP $m3=0; foreach ($license_assets as $unique): $data=prepare_licenses($unique); ?>
						<tr <?PHP echo  $data['alt']; ?>>
							<td><?PHP echo  $data['id']; ?></td>
							<td><?PHP echo  $data['asset']; ?></td>
							<td><?PHP echo  $data['package']; ?></td>
							<td><?PHP echo  $data['created']; ?></td>
							<td><?PHP echo  $data['status']; ?></td>
							<td class='options'><?PHP echo  $data['remove']; ?></td>
						</tr>
					<?PHP endforeach; ?>
				</table>
				<?PHP echo  $pagination_license; ?>
				</div>
			<?PHP else: ?>
				<div class='no_matches_found no_margin'><?PHP echo w('no_licenses_for_customer', 0); ?></div>
			<?PHP endif; ?>
		</div>


		<!-- download_control -->
		<div class='tiled_bkg' onclick='default_asset("download_control", "z"); return false; '>&nbsp;&nbsp;<img src='view/images/icons/lock.png' class='icon' /> <a href='#'><?PHP echo w('download_control', 0);?></a></div>
		<div id='zdownload_control' style='display:none; padding: 0 12px 12px 12px;'>
			<?PHP if (!empty($dc_assets)&&is_array($dc_assets)): ?>
				<div class='tab_content_wrapper  no_top_left_border'>
				<table class='data_grid'>
					<tr class='th'>
						<th><?PHP echo  $sgb['id']['image']; ?><a href='<?PHP echo  $sgb['id']['link']; ?>'><?PHP w('id'); ?></a></th>
						<th><?PHP echo  $sgb['name']['image']; ?><a href='<?PHP echo  $sgb['name']['link']; ?>'><?PHP w('name'); ?></a></th>
						<th><?PHP echo  $sgb['package_id']['image']; ?><a href='<?PHP echo  $sgb['package_id']['link']; ?>'><?PHP w('package'); ?></a></th>
						<th><?PHP echo  $sgb['created']['image']; ?><a href='<?PHP echo  $sgb['created']['link']; ?>'><?PHP w('created'); ?></a></th>
						<th><?PHP echo  $sgb['expires']['image']; ?><a href='<?PHP echo  $sgb['expires']['link']; ?>'><?PHP w('expires'); ?></a></th>
						<th><?PHP echo  $sgb['status']['image']; ?><a href='<?PHP echo  $sgb['status']['link']; ?>'><?PHP w('status'); ?></a></th>
						<th class='options'><?PHP w('options'); ?></th>
					</tr>
					<?PHP $m3=0; foreach ($dc_assets as $unique): $data=prepare_download_control($unique); ?>
						<tr <?PHP echo  $data['alt']; ?>>
							<td><?PHP echo  $data['id']; ?></td>
							<td><?PHP echo  $data['asset']; ?></td>
							<td><?PHP echo  $data['package']; ?></td>
							<td><?PHP echo  $data['created']; ?></td>
							<td><?PHP echo  $data['expires']; ?></td>
							<td><?PHP echo  $data['status']; ?></td>
							<td class='options'><?PHP echo  $data['remove']; ?></td>
						</tr>
					<?PHP endforeach; ?>
				</table>
				<?PHP echo  $pagination_dc; ?>
				</div>
			<?PHP else: ?>
				<div class='no_matches_found no_margin'><?PHP echo w('no_download_controls_customer', 0); ?></div>
			<?PHP endif; ?>
		</div>


		<!-- media -->
		<div class='clear'><!--ie--></div>
		<div class='tiled_bkg' onclick='default_asset("media", "z"); return false; '>&nbsp;&nbsp;<img src='view/images/icons/compress.png' class='icon' /> <a href='#'><?PHP echo w('media', 0);?></a></div>
		<div id='zmedia' style='display:none; padding: 0 12px 12px 12px;'>
			<?PHP if (!empty($media_assets)&&is_array($media_assets)): ?>
				<div class='tab_content_wrapper  no_top_left_border'>

				<table class='data_grid'>
					<tr class='th'>
						<th><?PHP echo  $sgc['id']['image']; ?><a href='<?PHP echo  $sgc['id']['link']; ?>'><?PHP w('id'); ?></a></th>
						<th><?PHP echo  $sgc['name']['image']; ?><a href='<?PHP echo  $sgc['name']['link']; ?>'><?PHP w('name'); ?></a></th>
						<th><?PHP echo  $sgc['package_id']['image']; ?><a href='<?PHP echo  $sgc['package_id']['link']; ?>'><?PHP w('package'); ?></a></th>
						<th><?PHP echo  $sgc['created']['image']; ?><a href='<?PHP echo  $sgc['created']['link']; ?>'><?PHP w('created'); ?></a></th>
						<th><?PHP echo  $sgc['status']['image']; ?><a href='<?PHP echo  $sgc['status']['link']; ?>'><?PHP w('status'); ?></a></th>
						<th class='options'><?PHP w('options'); ?></th>
					</tr>
					<?PHP $m3=0; foreach ($media_assets as $unique): $data=prepare_media($unique); ?>
						<tr <?PHP echo  $data['alt']; ?>>
							<td><?PHP echo  $data['id']; ?></td>
							<td><?PHP echo  $data['asset']; ?></td>
							<td><?PHP echo  $data['package']; ?></td>
							<td><?PHP echo  $data['created']; ?></td>
							<td><?PHP echo  $data['status']; ?></td>
							<td class='options'><?PHP echo  $data['remove']; ?></td>
						</tr>
					<?PHP endforeach; ?>
				</table>
				<?PHP echo  $pagination_media; ?>
				</div>
			<?PHP else: ?>
				<div class='no_matches_found no_margin'><?PHP echo w('no_media_for_customer', 0); ?></div>
			<?PHP endif; ?>
		</div>


		<!-- support_package -->
		<div class='clear'><!--ie--></div>
		<div class='tiled_bkg' onclick='default_asset("support_package", "z"); return false; '>&nbsp;&nbsp;<img src='view/images/icons/group.png' class='icon' /> <a href='#'><?PHP echo w('support_package', 0);?></a></div>
		<div id='zsupport_package' style='display:none; padding: 0 12px 12px 12px;'>
			<?PHP if (!empty($support_assets)&&is_array($support_assets)): ?>
				<div class='tab_content_wrapper  no_top_left_border'>

				<table class='data_grid'>
					<tr class='th'>
						<th><?PHP echo  $sgd['id']['image']; ?><a href='<?PHP echo  $sgd['id']['link']; ?>'><?PHP w('id'); ?></a></th>
						<th><?PHP echo  $sgd['name']['image']; ?><a href='<?PHP echo  $sgd['name']['link']; ?>'><?PHP w('name'); ?></a></th>
						<th><?PHP echo  $sgd['package_id']['image']; ?><a href='<?PHP echo  $sgd['package_id']['link']; ?>'><?PHP w('package'); ?></a></th>
						<th><?PHP echo  $sgd['created']['image']; ?><a href='<?PHP echo  $sgd['created']['link']; ?>'><?PHP w('created'); ?></a></th>
						<th><?PHP echo  $sgd['expires']['image']; ?><a href='<?PHP echo  $sgd['expires']['link']; ?>'><?PHP w('expires'); ?></a></th>
						<th><?PHP echo  $sgd['status']['image']; ?><a href='<?PHP echo  $sgd['status']['link']; ?>'><?PHP w('status'); ?></a></th>
						<th class='options'><?PHP w('options'); ?></th>
					</tr>
					<?PHP $m3=0; foreach ($support_assets as $unique): $data=prepare_support($unique); ?>
						<tr <?PHP echo  $data['alt']; ?>>
							<td><?PHP echo  $data['id']; ?></td>
							<td><?PHP echo  $data['asset']; ?></td>
							<td><?PHP echo  $data['package']; ?></td>
							<td><?PHP echo  $data['created']; ?></td>
							<td><?PHP echo  $data['expires']; ?></td>
							<td><?PHP echo  $data['status']; ?></td>
							<td class='options'><?PHP echo  $data['remove']; ?></td>
						</tr>
					<?PHP endforeach; ?>
				</table>
				<?PHP echo  $pagination_support; ?>
				</div>
			<?PHP else: ?>
				<div class='no_matches_found no_margin'><?PHP echo w('no_support_packages_for_customer', 0); ?></div>
			<?PHP endif; ?>
		</div>


		<!-- web_hosting -->
		<div class='clear'><!--ie--></div>
		<div class='tiled_bkg' onclick='default_asset("web_hosting", "z"); return false; '>&nbsp;&nbsp;<img src='view/images/icons/group.png' class='icon' /> <a href='#'><?PHP echo w('web_hosting', 0);?></a></div>
		<div id='zweb_hosting' style='display:none; padding: 0 12px 12px 12px;'>
			<?PHP if (!empty($hosting_accounts)&&is_array($hosting_accounts)): ?>
				<div class='tab_content_wrapper  no_top_left_border'>
				<table class='data_grid'>
					<tr class='th'>
						<th><?PHP echo $sge['id']['image']; ?><a href='<?PHP echo $sge['id']['link']; ?>'><?PHP w('ID'); ?></a></th>
						<th><?PHP echo $sge['domain']['image']; ?><a href='<?PHP echo $sge['domain']['link']; ?>'><?PHP w('Domain'); ?></a></th>
						<th><?PHP echo $sge['customer_id']['image']; ?><a href='<?PHP echo $sge['customer_id']['link']; ?>'><?PHP w('Customer'); ?></a></th>
						<th><?PHP echo $sge['server_id']['image']; ?><a href='<?PHP echo $sge['server_id']['link']; ?>'><?PHP w('Server'); ?></a></th>
						<th><?PHP echo $sge['is_provisioned']['image']; ?><a href='<?PHP echo $sge['is_provisioned']['link']; ?>'><?PHP w('Provisioned?'); ?></a></th>
						<th><?PHP echo $sge['status']['image']; ?><a href='<?PHP echo $sge['status']['link']; ?>'><?PHP w('Status'); ?></a></th>
						<th><?PHP echo $sge['created']['image']; ?><a class='on' href='<?PHP echo $sge['created']['link']; ?>'><?PHP w('created'); ?></a></th>
						<th class='options'><?PHP w('options'); ?></th>
					</tr>
					<?PHP foreach ($hosting_accounts as $unique): $data=prepare_hosting($unique); ?>
						<tr <?PHP echo $data['alt']; ?>>
							<td><?PHP echo $data['id']; ?></td>
							<td><?PHP echo $data['domain']; ?></td>
							<td><?PHP echo $data['customer']; ?></td>
							<td><?PHP echo $data['server']; ?></td>
							<td><?PHP echo $data['provisioned']; ?></td>
							<td><?PHP echo $data['status']; ?></td>
							<td><?PHP echo $data['created']; ?></td>
							<td class='options'><?PHP echo $data['delete']; ?> / <!--<?PHP echo $data['terminate']; ?> / <?PHP echo $data['suspend']; ?>--> <?PHP echo $data['manage']; ?></td>
						</tr>
					<?PHP endforeach; ?>
				</table>
				<?PHP echo  $pagination_hosting; ?>
				</div>
			<?PHP else: ?>
				<div class='no_matches_found no_margin'><?PHP echo w('no_hosting_accounts_found', 0); ?></div>
			<?PHP endif; ?>
		</div>

	<script> default_asset('<?PHP echo (x('show_asset'))?x('show_asset'):'license'?>', 'z'); </script>
	</div>
</div>




<div class='tab_content' id='general' style='display:none;'>
<?PHP errors($errors); ?>
<h1 class='tab_content_label_2col tab_customer_dashboard'>
	<ul>
		<li><a href='<?PHP echo href('customers','customer_edit',array('id'=>x('id'),'show_tab'=>'general')); ?>'><?PHP echo $customer['name']; ?></a></li>
		<li class='right'><a href='<?PHP echo href('helpdesk', 'dashboard', array('customer_id' => x('id'), 'user_id' => $customer['primary_user_id'], 'show_tab' => 'create_ticket')); ?>' class='form_button'><?PHP w('contact_customer'); ?></a></li>
	</ul>
</h1>
<table style='width: 100%;'>
	<tr>
		<td style='width: 31%; padding-right: 2%;'>
			<div class='tab_content_wrapper_wpf'>
			<h1 class='tab_content_label'><?PHP echo w('customer_information', 0); ?></h1>
				<?PHP echo dashboard_customers::customer_info($customer); ?>
			</div><br /><br />

			<div class='tab_content_wrapper_wpf'>
			<h1 class='tab_content_label'><?PHP echo w('primary_contact', 0); ?></h1>
				<?PHP echo dashboard_customers::primary_contact($customer['id']); ?>
			</div><br /><br />

			<div class='tab_content_wrapper_wpf'>
			<h1 class='tab_content_label'><?PHP echo w('security_question', 0); ?></h1>
				<?PHP echo dashboard_customers::security_question($customer['id']); ?>
			</div>
		</td>
		<td style='width: 32%; padding-right: 2%;'>
			<div class='tab_content_wrapper_wpf'>
			<h1 class='tab_content_label'><?PHP echo w('quick_links', 0); ?></h1>
				<table class='form_table'>
					<tr>
						<td class='text<?PHP echo alt($m3=0); ?>'><?PHP echo w('add_new_invoice', 0)?>:</td>
						<td class='label<?PHP echo alt($m3); ?>'><a href='<?PHP echo href('customers', 'customer_edit', array('show_tab' => 'invoices', 'add_new_invoice' => 'y', 'id' => x('id')))?>'><?PHP echo w('go_link')?></a></td>
					</tr>
					<tr>
						<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP echo w('generate_invoices', 0)?>:</td>
						<td class='label<?PHP echo alt($m3); ?>'><a href='<?PHP echo href('customers', 'customer_edit', array('show_tab' => 'invoices', 'generate_invoices' => 'y', 'id' => x('id')))?>'><?PHP echo w('go_link')?></a></td>
					</tr>
					<tr>
						<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP echo w('view_all_invoices', 0)?>:</td>
						<td class='label<?PHP echo alt($m3); ?>'><a href='<?PHP echo href('customers', 'customer_edit', array('show_tab' => 'invoices', 'id' => x('id')))?>'><?PHP echo w('go_link')?></a></td>
					</tr>
					<tr>
						<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP echo w('view_all_orders', 0)?>:</td>
						<td class='label<?PHP echo alt($m3); ?>'><a href='<?PHP echo href('customers', 'customer_edit', array('show_tab' => 'orders', 'id' => x('id')))?>'><?PHP echo w('go_link')?></a></td>
					</tr>
				</table>
			</div><br /><br />

			<div class='tab_content_wrapper_wpf'>
			<h1 class='tab_content_label'><?PHP echo w('customer_private_notes', 0); ?></h1>
				<?PHP forms::action(); ?>
				<?PHP forms::hidden('id', 0, x('id')); ?>
				<?PHP forms::hidden('mod', 0, x('mod')); ?>
				<?PHP forms::hidden('task', 0, x('task')); ?>
				<?PHP forms::hidden('save_notes', 0, 'y'); ?>
				<?PHP echo forms::hidden('show_tab', 0, 'general'); ?>
				<?PHP forms::textarea('notes', 0, forms::value('notes', $customer['notes']), '94%', '95px; background-color: #fefae4; border-color: #ccc; padding: 8px;'); ?><br /><br />
				<center><?PHP forms::submit(0, 0, w('click_to_save', 0), 0, 'submit_nm', 1); ?></center>
				</form>
			</div><br />
		</td>
		<td style='width: 32%;'>
			<div class='tab_content_wrapper_wpf'>
			<h1 class='tab_content_label'><?PHP echo w('quick_stats', 0); ?></h1>
				<table class='form_table'>
					<tr>
						<td class='text<?PHP echo alt($m3=0); ?>'><?PHP echo w('invoices_paid', 0)?>:</td>
						<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $invoices_paid['total']; ?> ( <?PHP echo $invoices_paid['amount']; ?> )</td>
					</tr>
					<tr>
						<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP echo w('invoices_due', 0)?>:</td>
						<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $invoices_due['total']; ?> ( <?PHP echo $invoices_due['amount']; ?> )</td>
					</tr>
					<tr>
						<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP echo w('invoices_cancelled', 0)?>:</td>
						<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $invoices_cancelled['total']; ?> ( <?PHP echo $invoices_cancelled['amount']; ?> )</td>
					</tr>
					<tr>
						<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP echo w('credit_balance', 0)?>:</td>
						<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $credit_balance?></td>
					</tr>
					<tr>
						<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP echo w('complete_orders', 0)?>:</td>
						<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $complete_orders['total']; ?> ( <?PHP echo $complete_orders['amount']; ?> )</td>
					</tr>
					<tr>
						<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP echo w('incomplete_orders', 0)?>:</td>
						<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $incomplete_orders['total']; ?> ( <?PHP echo $incomplete_orders['amount']; ?> )</td>
					</tr>
					<tr>
						<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP echo w('pending_orders', 0)?>:</td>
						<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $pending_orders['total']; ?> ( <?PHP echo $pending_orders['amount']; ?> )</td>
					</tr>
					<tr>
						<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP echo w('suspended_orders', 0)?>:</td>
						<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $suspended_orders['total']; ?> ( <?PHP echo $suspended_orders['amount']; ?> )</td>
					</tr>
					<tr>
						<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP echo w('cancelled_orders', 0)?>:</td>
						<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $cancelled_orders['total']; ?> ( <?PHP echo $cancelled_orders['amount']; ?> )</td>
					</tr>
					<tr>
						<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP echo w('fraud_orders', 0)?>:</td>
						<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $fraud_orders['total']; ?> ( <?PHP echo $fraud_orders['amount']; ?> )</td>
					</tr>
					<tr>
						<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP echo w('total_licenses', 0)?>:</td>
						<td class='label<?PHP echo alt($m3); ?>'><?PHP echo customer::get_license_count(x('id')); ?></td>
					</tr>
				</table><br />
			</div>
		</td>
	</tr>
	<tr>
		<td colspan='2' style='padding-right: 2%;'><br />

			<?PHP if (!empty($email_logs)&&is_array($email_logs)): ?>
				<div class='tab_content_wrapper_wpf no_top_left_border'>
			<h1 class='tab_content_label'><?PHP echo w('customer_email_logs', 0); ?></h1>
					<table class='data_grid'>
						<tr class='th'>
							<th><?PHP echo $el['id']['image']; ?><a href='<?PHP echo $el['id']['link']; ?>'><?PHP w('id'); ?></a></th>
							<th><?PHP echo $el['subject']['image']; ?><a href='<?PHP echo $el['subject']['link']; ?>'><?PHP w('subject'); ?></a></th>
							<th><?PHP echo $el['created']['image']; ?><a class='on' href='<?PHP echo $el['created']['link']; ?>'><?PHP w('created'); ?></a></th>
							<th class='options'><?PHP w('options'); ?></th>
						</tr>
						<?PHP foreach ($email_logs as $unique): $data=prepare_emails($unique); ?>
							<tr <?PHP echo $data['alt']; ?>>
								<td><?PHP echo $data['id']; ?></td>
								<td><?PHP echo $data['subject']; ?></td>
								<td><?PHP echo $data['created']; ?></td>
								<td class='options'><?PHP echo $data['view']; ?></td>
							</tr>
						<?PHP endforeach; ?>
					</table>
					<?PHP echo $pagination_email_logs; ?>
				</div>
			<?PHP else: ?><div class='tab_content_wrapper_wpf'>
			<h1 class='tab_content_label'><?PHP echo w('customer_email_logs', 0); ?></h1><?PHP echo w('no_emails_sent_so_far', 0); ?></div><?PHP endif; ?>
		</td>
		<td><br />
			<div class='tab_content_wrapper_wpf no_top_left_border'>
			<h1 class='tab_content_label'><?PHP echo w('actions', 0); ?></h1>
				<?PHP echo forms::action(); ?>
				<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
				<?PHP echo forms::hidden('task', 0, x('task')); ?>
				<?PHP echo forms::hidden('id', 0, x('id')); ?>
				<?PHP echo forms::hidden('update_customer', 0, 'y'); ?>
				<?PHP echo forms::hidden('show_tab', 0, 'general'); ?>
				<table class='form_table'>
					<tr class='th'>
						<th colspan='2'></th>
					</tr>
					<tr>
						<td class='text'><?PHP w('status:'); forms::overlib(w('overlib_status', 0)); ?></td>
						<td class='label'><?PHP forms::select('status', 0, array('enabled' => w('enabled', 0), 'disabled' => w('disabled', 0)), forms::value('status', $customer['status'])); ?></td>
					</tr>
					<tr>
						<td class='text_alt'><?PHP w('name:'); forms::overlib(w('overlib_customer_name', 0)); ?></td>
						<td class='label_alt'><?PHP forms::text('name', 0, forms::value('name', $customer['name']), 0, 'medium'); ?></td>
					</tr>
					<tr>
						<td class='text_alt'><?PHP w('vat_number:'); forms::overlib(w('overlib_vat_number', 0)); ?></td>
						<td class='label_alt'><?PHP forms::text('vat_number', 0, forms::value('vat_number', $customer['vat_number']), 0, 'medium'); ?></td>
					</tr>
					<tr>
						<td class='text_alt'><?PHP w('how_found:'); forms::overlib(w('overlib_how_found', 0)); ?></td>
						<td class='label_alt'><?PHP forms::text('how_found', 0, forms::value('how_found', $customer['how_found']), 0, 'medium'); ?></td>
					</tr>
					<tr>
						<td class='submit' colspan='2'><?PHP echo $delete_option?> <?PHP echo w('-or-')?> <?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
					</tr>
				</table>
				</form>
			</div>
		</td>
	</tr>
</table><br />
</div>

<?PHP echo set_default_tab('general') ?>