<?PHP @template::ran_directly(); /* required for all templates */ ?>


<div class='tab_content hundred_percent' id='merge' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_wand'>
		<ul>
			<li><?PHP echo w('merge_one_customer_into_another'); ?></li>
			<li class='right'><a href='<?PHP echo href('customers', 'customer_editor', array('show_tab' => 'manage_existing')); ?>' class='form_button'><?PHP w('manage_customers'); ?></a></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper_wp'>
		<div class='notice'><?PHP echo w('overlib_choose_customer', 0)?></div>
		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
		<?PHP echo forms::hidden('task', 0, x('task')); ?>
		<?PHP echo forms::hidden('id', 0, x('id')); ?>
		<?PHP echo forms::hidden('show_tab', 0, x('show_tab')); ?>
		<?PHP echo forms::hidden('merge_customers', 0, 'y'); ?>
		<?PHP echo forms::hidden('customer_a', 0, ''); ?>
		<?PHP echo forms::hidden('customer_b', 0, ''); ?>
		<?PHP echo w('merge')?> <?PHP forms::text('search_a', 'customer_search', ''); ?> <?PHP echo w('into')?> <?PHP forms::text('search_b', 'customer_search', ''); ?> <?PHP forms::submit(0, 0, w('continue', 0), 0, 'form_button display_inline no_float', 1); ?> <?PHP echo w('-or-'); ?> <a href='<?PHP echo href('customers', 'customer_editor', array('show_tab'=>'add_new'))?>'><?PHP echo w('add_a_new_customer_first')?></a>
		</form>
	</div>
</div>


<div class='tab_content hundred_percent' id='add_new' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_customer_add'>
		<ul>
			<li><?PHP echo w('add_a_new_customer'); ?></li>
			<li class='right'><a href='<?PHP echo href('customers', 'customer_editor', array('show_tab' => 'manage_existing')); ?>' class='form_button'><?PHP w('manage_customers'); ?></a></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>

		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
		<?PHP echo forms::hidden('task', 0, x('task')); ?>
		<?PHP echo forms::hidden('add_new', 0, 'y'); ?>
		<?PHP echo forms::hidden('show_tab', 0, 'add_new'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('status:'); forms::overlib(w('overlib_status', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('status', 0, array('enabled' => w('enabled', 0), 'disabled' => w('disabled', 0)), x('status')); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('customer_name:'); forms::overlib(w('overlib_customer_name', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('name', 0, forms::value('name')); ?> <label><?PHP forms::checkbox('only_customer', 0, 'y', forms::value('only_customer'), "onclick='$(\"#add_user_form\").toggle();'"); ?> <?PHP echo w('only_add_customer')?></label></td>
			</tr>
		</table>
		<div id='add_user_form'>
			<table class='form_table' style='border-top:0px;'>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('first_name:'); forms::overlib(w('overlib_first_name', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('first_name', 0, forms::value('first_name')); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('last_name:'); forms::overlib(w('overlib_last_name', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('last_name', 0, forms::value('last_name')); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('username:'); forms::overlib(w('overlib_username', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('username', 0, forms::value('username')); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('email:'); forms::overlib(w('overlib_email', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('email', 0, forms::value('email')); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('password:'); forms::overlib(w('overlib_password', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::password('password', 0, forms::value('password')); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'></td>
					<td class='label<?PHP echo alt($m3); ?>'><label><?PHP forms::checkbox('send_registration_now', 0, 1, forms::value('send_registration_now')); ?><?PHP echo w('send_registration_details')?></label></td>
				</tr>
			</table>
		</div>
			<table class='form_table' style='border-top:0px;'>
				<tr>
					<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('add_customer', 0), 0, 'submit', 1); ?></td>
				</tr>
			</table>
		</form>
	</div>
</div>

<div class='tab_content hundred_percent' id='manage_existing' style='display:none;'>
<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_customers'>
		<ul>
			<li><?PHP echo w('existing_customers'); ?></li>
			<li class='right'><a href='<?PHP echo href('customers', 'customer_editor', array('show_tab' => 'add_new')); ?>' class='form_button'><?PHP w('add_customer'); ?></a><a href='<?PHP echo href('customers', 'customer_editor', array('show_tab' => 'merge')); ?>' class='form_button'><?PHP w('merge_customers'); ?></a><a href='<?PHP echo href('search', 'index', array('show_tab' => 'customers')); ?>' class='form_button'><?PHP w('search_customers'); ?></a></li>
		</ul>
	</h1>
	<?PHP if (!empty($customers)&&is_array($customers)): ?>
		<div class='tab_content_wrapper no_top_left_border'>
		<?PHP forms::action(false, 'POST', "onsubmit='return confirm(\"".w('sure_you_want_to_delete_customer', 0)."\");'"); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>

		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP forms::checkbox('checkbox_selector', 0, '', 0, "onclick='toggle_checkboxes(\"#manage_existing\");'"); ?></th>
				<th><?PHP echo $s['id']['image']; ?><a href='<?PHP echo $s['id']['link']; ?>'><?PHP w('id'); ?></a></th>
				<th><?PHP echo $s['name']['image']; ?><a href='<?PHP echo $s['name']['link']; ?>'><?PHP w('name'); ?></a></th>
				<th><?PHP w('primary_user'); ?></th>
				<!--<th><?PHP w('Total Licenses'); ?></th>-->
				<th><?PHP echo $s['status']['image']; ?><a href='<?PHP echo $s['status']['link']; ?>'><?PHP w('status'); ?></a></th>
				<th><?PHP echo $s['created']['image']; ?><a href='<?PHP echo $s['created']['link']; ?>'><?PHP w('created'); ?></a></th>
				<th class='options'><?PHP w('options'); ?></th>
			</tr>
			<tr id='controls' style='display:none;'>
				<th colspan='7'><?PHP forms::submit(0, 0, w('click_to_delete', 0), 0, 'submit', 1); ?> - or - <a href='<?PHP echo href('customers', 'customer_editor', $le); ?>'><?PHP w('click_to_close'); ?></a></th>
			</tr>

		<?PHP foreach ($customers as $customer): $data=prepare($customer); ?>

			<tr <?PHP echo $data['alt']; ?>>
				<td><?PHP echo $data['checkbox']; ?></td>
				<td><?PHP echo $data['id']; ?></td>
				<td><?PHP echo $data['name']; ?></td>
				<td><?PHP echo $data['primary']; ?></td>
				<!--<td><?PHP echo $data['total_licenses']; ?></td>-->
				<td><?PHP echo $data['status']; ?></td>
				<td><?PHP echo $data['created']; ?></td>
				<td class='options'><?PHP echo $data['delete']; ?> / <?PHP echo $data['manage']; ?></td>
			</tr>

		<?PHP endforeach; ?>

		</table>
		</form>
		<?PHP echo $pagination; ?>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_customers_found', 0); ?></p></div>
	<?PHP endif; ?>
</div>

<?PHP echo set_default_tab('manage_existing') ?>