<?PHP @template::ran_directly(); /* required for all templates */ ?>

<div class='tab_content hundred_percent' id='menu_editor' style='display:none;'>
	<?PHP errors($errors); ?>


	<h1 class='tab_content_label_2col tab_anchor'>
		<ul>
			<li><a href='<?PHP echo href('developer', 'menu_editor', array('show_tab' => 'menu_editor'))?>'><?PHP echo w('top_level_menus'); ?></a> <?PHP echo $level_nav?></li>
			<li id='text'><?PHP if (count($menus[$level])): ?><a href="<?PHP echo href('developer', 'menu_editor', array('do_sort_order' => 'y', 'level' => $level, 'parent_id' => x('parent_id')))?>"  title="<?PHP echo w('drag_drop_instructions', 0); ?>" onclick="modalbox(this, 350, '<?PHP echo href('developer', 'menu_editor', array('show_tab' => 'menu_editor', 'level' => $level, 'parent_id' => x('parent_id')))?>'); return false;"  title="<?PHP echo sx(w('drag_drop_instructions', 0)); ?>"><?PHP echo w('change_display_order')?></a> <img src='view/images/icons/arrow_switch.png' class='icon' />&nbsp;<?PHP endif; ?></li>
		</ul>
	</h1>


	<div class='tab_content_wrapper  no_top_left_border'>

	<table class='data_grid'>
		<tr class='th'>
			<th style='width:18%'><?PHP w('menu_name'); ?></th>
			<th style='width:18%'><?PHP w('module'); ?></th>
			<th style='width:18%'><?PHP w('task'); ?></th>
			<th style='width:46%'><?PHP w('default_tab'); ?></th>
		</tr>
	</table>

	<?PHP $m3=0; foreach ($menus[$level] as $menu): $data=prepare_menus($menu, $level); ?>
		<?PHP echo $data['form']?>
			<table class='data_grid_stacked'>
				<tr <?PHP echo $data['alt']; ?>>
					<td style='width:18%'><?PHP echo $data['name']; ?></td>
					<td style='width:18%'><?PHP echo $data['module']; ?></td>
					<td style='width:18%'><?PHP echo $data['task']; ?></td>
					<td style='width:46%'><?PHP echo $data['show_tab']; ?></td>
				</tr>
			</table>
		</form>
 
	<?PHP endforeach; ?>

	<?PHP forms::action(); ?>
	<?PHP forms::hidden('mod', 0, x('mod')); ?>
	<?PHP forms::hidden('task', 0, x('task')); ?>
	<?PHP forms::hidden('level', 0, $level); ?>
	<?PHP if (x('parent_id')) { forms::hidden('parent_id', 0, x('parent_id')); } ?>
	<?PHP forms::hidden('add_new_menu', 0, 'y'); ?>
	<?PHP echo forms::hidden('show_tab', 0, 'menu_editor'); ?>
		<table class='data_grid_stacked'>
			<tr style='background: #fefae4;'>
				<td style='width:18%'><?PHP echo forms::text('name', 0, '', 0, 'small_medium'); ?></td>
				<td style='width:18%'><?PHP echo forms::text('menu_module', 0, '', 0, 'small_medium'); ?></td>
				<td style='width:18%'><?PHP echo forms::text('menu_task', 0, '', 0, 'small_medium'); ?></td>
				<td style='width:46%'><?PHP echo forms::text('menu_tab', 0, '', 0, 'small_medium'); ?> <?PHP forms::submit(0, 0, w('add_new', 0), 0, 'submit_nm', 1); ?></td>
			</tr>
		</table>
	</form>
	</div>
</div>

<?PHP echo set_default_tab('menu_editor') ?>