<?PHP @template::ran_directly(); /* required for all templates */ ?> 

<?PHP if (x('customer_id')): ?>
	<?PHP echo mod::tabs($tabs, 'domains', 'domain_edit', "&id=".x('id')."&customer_id=".x('customer_id'), 'domains', $go_back_to_customer); ?>
<?PHP else: ?>
	<?PHP echo mod::tabs($tabs, 'domains', 'domain_edit', "&id=".x('id'), 'domains'); ?>
<?PHP endif; ?>


<div class='tab_content' id='register' style='display:none;'>
	<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_building'>
		<ul>
			<li><?PHP echo w('Domain Name:', 0); ?> <?PHP echo $domain['domain']; ?></li>
			<li class='right'><?PHP echo $domain['customer']; ?></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>
		<?PHP if (!$domain['registrar_id']): ?>
			<p class='no_matches_found'><?PHP echo w("Please assign this domain a registrar first using the \"Domain Summary\" link &raquo;", 0); ?></p>
		<?PHP elseif (file_exists($m3="modules/hosting/modules/{$server['module']}/view/account_admin.php")): ?>
			<?PHP include $m3; ?>
		<?PHP else: ?>
			<p class='no_matches_found'><?PHP echo w("Module {$server['module']} not found at:", 0)." \"{$m3}\""; ?></p>
		<?PHP endif; ?>
	</div>
</div>



<div class='tab_content' id='transfer' style='display:none;'>
	<?PHP errors($errors); ?>

	<div id='ajax_assign_server_package_errors'></div>
	<h1 class='tab_content_label_2col tab_building'>
		<ul>
			<li><?PHP echo w('Domain Name:', 0); ?> <?PHP echo $domain['domain']; ?></li>
			<li class='right'><?PHP echo $domain['customer']; ?></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>
		<?PHP if (!$domain['registrar_id']): ?>
			<p class='no_matches_found'><?PHP echo w("Please assign this domain a registrar first using the \"Domain Summary\" link &raquo;", 0); ?></p>
		<?PHP elseif (file_exists($m3="modules/hosting/modules/{$server['module']}/view/account_admin.php")): ?>
			<?PHP include $m3; ?>
		<?PHP else: ?>
			<p class='no_matches_found'><?PHP echo w("Module {$server['module']} not found at:", 0)." \"{$m3}\""; ?></p>
		<?PHP endif; ?>
	</div>
</div>




<div class='tab_content' id='general' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_building'>
		<ul>
			<li><?PHP echo w('Domain Name:', 0); ?> <?PHP echo $domain['domain']; ?></li>
			<li class='right'><?PHP echo $domain['customer']; ?></li>
		</ul>
	</h1>
	<div class='clear'></div>
	<div class='tab_content_wrapper no_top_left_border'>
		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
		<?PHP echo forms::hidden('task', 0, x('task')); ?>
		<?PHP echo forms::hidden('show_tab', 0, x('show_tab')); ?>
		<?PHP echo forms::hidden('id', 0, x('id')); ?>
		<?PHP echo forms::hidden('update_domain_summary', 0, 'y'); ?>
			<table class='form_table'>
				<tr class='th'>
					<th colspan='2'></th>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('SPBAS Package:'); forms::overlib(w('The package created in SPBAS associated with this domain.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><a href='<?PHP echo href('customers','customer_edit', array('id'=>$package['customer_id'], 'package_id'=>$package['id'], 'show_tab'=>'packages')); ?>'><?PHP echo $package['package_name']; ?></a></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Hosting Account:'); forms::overlib(w('The hosting account that is associated with this domain.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $hosting; ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Domain Registrar:'); forms::overlib(w('Choose a registrar to use for this domain.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $registrar_select[$domain['registrar_id']]; ?></td>
				</tr>
				
				<?PHP if ($domain['years']): ?>
					<tr>
						<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Years Registered:'); forms::overlib(w('The number of years that this domain was registered for.', 0)); ?></td>
						<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $domain['years']." ".(($domain['years']==1)?w('Year',0):w('Years',0)); ?></td>
					</tr>
				<?PHP endif; ?>
				<?PHP if ($domain['last_renew']): ?>
					<tr>
						<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Last Renewal:'); forms::overlib(w('The last renewal date of this domain.', 0)); ?></td>
						<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('last_renew', 0, forms::value('last_renew', $domain['last_renew']), false, 'date datepicker'); ?> <?PHP echo w('mm/dd/yyyy'); ?></td>
					</tr>
				<?PHP endif; ?>
				<?PHP if ($domain['next_renew']): ?>
					<tr>
						<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Next Renewal:'); forms::overlib(w('The next renewal date of this domain.', 0)); ?></td>
						<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('next_renew', 0, forms::value('next_renew', $domain['next_renew']), false, 'date datepicker'); ?> <?PHP echo w('mm/dd/yyyy'); ?></td>
					</tr>
				<?PHP endif; ?>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Created in SPBAS:'); forms::overlib(w('The date this domain was created in SPBAS.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP echo date(config('date_format').' '.config('time_format'), $domain['created']); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>' style='text-align:center;' colspan='2'><?PHP w('Private Admin Only Notes:');  ?><br /><?PHP forms::textarea('notes', 0, forms::value('notes', $domain['notes']), '550px', '75px'); ?></td>
				</tr>
				<tr>
					<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
				</tr>
			</table>
		</form>
	</div>
</div>

<?PHP echo set_default_tab('general') ?>