<?PHP @template::ran_directly(); /* required for all templates */ ?>


<div class='tab_content hundred_percent' id='add_new' style='display:none;'>
<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_email_add'>
		<ul>
			<li><?PHP echo w('add_a_new_mass_mail_campaign'); ?></li>
			<li id='text'><a class='form_button' href='<?PHP echo href('email', 'campaign_editor', array('show_tab'=>'manage_existing')); ?>'><?PHP w('go_back'); ?></a></li>
		</ul>
	</h1>
<div class='tab_content_wrapper no_top_left_border'>

	<?PHP echo forms::action(); ?>
	<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
	<?PHP echo forms::hidden('task', 0, x('task')); ?>
	<?PHP echo forms::hidden('show_tab', 0, 'add_new'); ?>
	<?PHP echo forms::hidden('add_new', 0, 'y'); ?>
	<table class='form_table'>
		<tr class='th'>
			<th colspan='2'></th>
		</tr>
		<tr>
			<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('campaign_name:'); forms::overlib(w('overlib_campaign_name', 0)); ?></td>
			<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('name', 0, forms::value('name')); ?></td>
		</tr>
		<tr>
			<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('customer_area_id:'); forms::overlib(w('overlib_customer_area_id', 0)); ?></td>
			<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('customer_area_id', 0, $customer_areas, forms::value('customer_area_id')); ?></td>
		</tr>
		<tr>
			<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('transport_id:'); forms::overlib(w('overlib_transport_id', 0)); ?></td>
			<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('transport_id', 0, $transports, forms::value('transport_id')); ?></td>
		</tr>
		<tr>
			<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('max_per_hour:'); forms::overlib(w('overlib_max_per_hour', 0)); ?></td>
			<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('max_per_hour', 0, forms::value('max_per_hour'), 0, 'small'); ?> <?PHP echo w('zero_or_blank_for_no_limit', 0)?></td>
		</tr>
		<tr>
			<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('rules:'); forms::overlib(w('overlib_rules', 0)); ?></td>
			<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('rules', 0, $rules, forms::value('rules')); ?></td>
		</tr>
		<tr>
			<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('send:'); forms::overlib(w('overlib_send', 0)); ?></td>
			<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('send', 0, $send, forms::value('send'), "onchange='toggle_send();'"); ?></td>
		</tr>
		<!--<?PHP echo alt($m3+=1); ?>-->
		<tr id='per_schedule_div' style='display:none'>
			<td class='text<?PHP echo alt($m3); ?>'><?PHP w('per_schedule:'); forms::overlib(w('overlib_per_schedule', 0)); ?></td>
			<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('per_schedule', 0, forms::value('per_schedule'), 0, 'date'); ?> <?PHP echo w('mmddYYYY', 0)?></td>
		</tr>
		<tr id='periodic_schedule_div' style='display:none'>
			<td class='text<?PHP echo alt($m3); ?>'><?PHP w('periodic_schedule:'); forms::overlib(w('overlib_periodic_schedule', 0)); ?></td>
			<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('periodic_schedule', 0, forms::value('periodic_schedule'), 0, 'small'); ?> <?PHP echo w('days', 0)?></td>
		</tr>
		<tr>
			<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('continue', 0), 0, 'submit', 1); ?></td>
		</tr>
	</table>
	<script> toggle_send(); </script>
	</form>
</div>
</div>

<div class='tab_content hundred_percent' id='manage_existing' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_email'>
		<ul>
			<li><?PHP echo w('existing_campaigns'); ?></li>
			<li id='text'><a class='form_button' href='<?PHP echo href('email', 'campaign_editor', array('show_tab'=>'add_new')); ?>'><?PHP w('add_mass_mail_campaign'); ?></a></li>
		</ul>
	</h1>
	<?PHP if (!empty($lists)&&is_array($lists)): ?>
		<div class='tab_content_wrapper  no_top_left_border'>
		<?PHP forms::action(); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>

		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP echo $s['id']['image']; ?><a href='<?PHP echo $s['id']['link']; ?>'><?PHP w('id'); ?></a></th>
				<th><?PHP echo $s['name']['image']; ?><a href='<?PHP echo $s['name']['link']; ?>'><?PHP w('name'); ?></a></th>
				<th><?PHP echo $s['send']['image']; ?><a href='<?PHP echo $s['send']['link']; ?>'><?PHP w('send'); ?></a></th>
				<th><?PHP echo $s['status']['image']; ?><a href='<?PHP echo $s['status']['link']; ?>'><?PHP w('status'); ?></a></th>
				<th><?PHP echo $s['created']['image']; ?><a href='<?PHP echo $s['created']['link']; ?>'><?PHP w('created'); ?></a></th>
				<th class='options'><?PHP w('options'); ?></th>
			</tr>
			<?PHP $m3=0; foreach ($lists as $unique): $data=prepare($unique, $send, $statuses); ?>
				<tr <?PHP echo $data['alt']; ?>>
					<td><?PHP echo $data['id']; ?></td>
					<td><?PHP echo $data['name']; ?></td>
					<td><?PHP echo $data['send']; ?></td>
					<td><?PHP echo $data['status']; ?></td>
					<td><?PHP echo $data['created']; ?></td>
					<td class='options'><?PHP echo $data['delete']; ?> / <?PHP echo $data['manage']; ?></td>
				</tr>
			<?PHP endforeach; ?>
		</table>
		</form>
		<?PHP echo $pagination; ?>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_email_campaigns_found', 0); ?></p></div>
	<?PHP endif; ?>
</div>

<?PHP echo set_default_tab('manage_existing') ?>