<?PHP @template::ran_directly(); /* required for all templates */ ?>


<div class='tab_content hundred_percent' id='add_new' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_email_add'>
		<ul>
			<li><?PHP w('add_new_template_to_the'); ?> <?PHP echo $groups[x('group')]?> <?PHP echo w('group', 0); ?></li>
			<li class='right'><a class='form_button' href='<?PHP echo href('email', 'templates', array('group' => x('group'), 'show_tab'=>'manage_existing')); ?>'><?PHP w('go_back'); ?></a></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>
		<?PHP forms::action(); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP forms::hidden('hidden_group', 'group', x('group')); ?>
		<?PHP forms::hidden('email_configuration_id', 0, $email_configuration_id); ?>
		<?PHP forms::hidden('add_email_template', 0, 'y'); ?>
		<?PHP forms::hidden('show_tab', 0, 'add_new'); ?>
		<table class='form_table'>
			<tr>
				<td class='text<?PHP echo alt($m3=0); ?>'><?PHP  w('event:'); forms::overlib(w('overlib_event', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('add_new_event_alias', 0, email::events_select_box($table_map[x('group')]['event']), forms::value('add_new_event_alias'), "onchange='toggle_valid_tags(\"add_new_event_alias\", \"add_new_parse_tags\", \"".x('group')."\");'"); ?> <?PHP forms::select('type', 0, array('text' => w('text', 0), 'html' => w('html', 0)), forms::value('type')); ?> <?PHP forms::select('priority', 0, array(3 => w('normal', 0), 1 => w('low', 0), 5 => w('high', 0)), forms::value('priority')); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('subject:'); forms::overlib(w('overlib_subject', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea('subject', 0, forms::value('subject'), '490px', '16px'); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('message:'); forms::overlib(w('overlib_message', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea('message', 0, forms::value('message'), '500px', '200px'); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('valid_tags:'); forms::overlib(w('overlib_valid_tags', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>' id='add_new_parse_tags'></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('add_new', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		<script> toggle_valid_tags("add_new_event_alias", "add_new_parse_tags", "<?PHP echo x('group')?>"); </script>
		</form>
	</div>
</div>

<div class='tab_content hundred_percent' id='manage_existing' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_email'>
		<ul>
			<li><?PHP echo w('view', 0); ?> <?PHP forms::select($uid=uid('x'), 'group', $groups, forms::value('group', x('group')), "onchange='toggle_template_group(\"#{$uid}\", \"".$m3=href('email', 'templates', array('show_tab'=>'manage_existing','group'=>''))."\");'"); ?></li>
			<li class='right'><a class='form_button' href='<?PHP echo href('email', 'templates', array('group' => x('group'), 'show_tab'=>'add_new')); ?>'><?PHP w('add_new_template'); ?></a></li>
		</ul>
	</h1>
	<div class='clear'></div>
	<?PHP if (!empty($templates)&&is_array($templates)): ?>
		<div class='tab_content_wrapper no_top_left_border'>
		<?PHP forms::action(); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
			<table class='data_grid'>
				<tr class='th'>
					<th><?PHP echo $sa['id']['image']; ?><a href='<?PHP echo $sa['id']['link']; ?>'><?PHP w('id'); ?></a></th>
					<th><?PHP echo $sa['subject']['image']; ?><a href='<?PHP echo $sa['subject']['link']; ?>'><?PHP w('subject'); ?></a></th>
					<th><?PHP w('event'); ?></th>
					<th class='options'><?PHP w('options'); ?></th>
				</tr>
				<?PHP $m3=0; foreach ($templates as $unique): $data=prepare_templates($unique, $table_map); ?>
					<tr <?PHP echo $data['alt']; ?>>
						<td><?PHP echo $data['id']; ?></td>
						<td><?PHP echo $data['subject']; ?></td>
						<td><?PHP echo $data['event']; ?></td>
						<td class='options'><?PHP echo $data['delete']; ?> / <?PHP echo $data['manage']; ?></td>
					</tr>
				<?PHP endforeach; ?>
			</table>
		</form>
		<?PHP echo $pagination; ?>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_email_templates_found', 0); ?></p></div>
	<?PHP endif; ?>
</div>

<?PHP echo set_default_tab('manage_existing') ?>