<?PHP @template::ran_directly(); /* required for all templates */ ?>

<div class='tab_content hundred_percent' id='tickets' style='display:none;'>
	<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_sitemap_color'>
		<ul>
			<li><?PHP echo w('support_queue'); ?> <?PHP forms::select($uid=uid('x'), 'support_queue', $tabs, forms::value('support_queue', x('support_queue')), "onchange='toggle_support_queue(\"#{$uid}\", \"".$m3=href('helpdesk', 'dashboard', array('show_tab'=>x('show_tab'),'support_queue'=>''))."\");'"); ?></li>
			<li class='right'><a href='<?PHP echo href('helpdesk', 'dashboard', array('support_queue' => x('support_queue'), 'return_to_queue' => x('show_tab'), 'show_tab' => 'create_ticket')); ?>' class='form_button'><?PHP w('create_new_ticket'); ?></a><a href='<?PHP echo href('search', 'index', array('show_tab' => 'helpdesk', 'support_queue' => x('support_queue'))); ?>' class='form_button'><?PHP w('search_tickets'); ?></a></li>
		</ul>
	</h1>
	<?PHP if (!$missing_requirements): ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('imap_missing', 0); ?></p></div>
	<?PHP elseif (!empty($use_queue[x('support_queue')])&&is_array($use_queue[x('support_queue')])): ?>
		<div class='tab_content_wrapper  no_top_left_border'>
			<table class='data_grid'>
				<tr class='th'>
					<th><center>#</center></th>
					<th><?PHP echo $a['ticket_id']['image']; ?><a href='<?PHP echo $a['ticket_id']['link']; ?>'><?PHP w('ticket_id'); ?></a></th>
					<th><?PHP echo $a['subject']['image']; ?><a href='<?PHP echo $a['subject']['link']; ?>'><?PHP w('subject'); ?></a></th>
					<th><?PHP echo $a['department']['image']; ?><a href='<?PHP echo $a['department']['link']; ?>'><?PHP w('dept'); ?></a></th>
					<th><?PHP echo $a['created']['image']; ?><a href='<?PHP echo $a['created']['link']; ?>'><?PHP w('created'); ?></a></th>
					<th><?PHP echo $a['last_reply']['image']; ?><a href='<?PHP echo $a['last_reply']['link']; ?>'><?PHP w('last_reply'); ?></a></th>
					<th class='options'><?PHP w('options'); ?></th>
				</tr>
				<?PHP $m3=0; foreach ($use_queue[x('support_queue')] as $unique): $data=prepare($unique); ?>
					<tr <?PHP echo $data['alt']; ?>>
						<td><center><?PHP echo $data['flag']; ?></center></td>
						<td><?PHP echo $data['ticket_id']; ?></td>
						<td><?PHP echo $data['subject']; ?></td>
						<td><?PHP echo $data['department']; ?></td>
						<td><?PHP echo $data['created']; ?></td>
						<td><?PHP echo $data['last_reply']; ?></td>
						<td class='options'><?PHP echo $data['delete']; ?> / <?PHP echo $data['remove']; ?> / <?PHP echo $data['view']; ?></td>
					</tr>
				<?PHP endforeach; ?>
			</table>
			<?PHP echo $pagination[x('support_queue')]; ?>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_tickets_found', 0); ?></p></div>
	<?PHP endif; ?>
</div>

<div class='tab_content hundred_percent' id='create_ticket' style='display:none;'>
	<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_comment'>
		<ul>
			<li><?PHP echo w('create_a_new_ticket'); ?></li>
			<li id='search'>
				<?PHP if (x('return_to_queue')): ?>
					<a href='<?PHP echo href('helpdesk', 'dashboard', array('support_queue' => x('support_queue'), 'show_tab' => x('return_to_queue'))); ?>' class='form_button'><?PHP w('go_back'); ?></a>
				<?PHP else: ?>
					<a href='<?PHP echo href('customers', 'customer_edit', array('id' => x('customer_id'), 'show_tab' => 'general')); ?>' class='form_button'><?PHP w('go_back'); ?></a>
				<?PHP endif; ?>
			</li>
		</ul>
	</h1>
	<?PHP if (!$missing_requirements): ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('imap_missing', 0); ?></p></div>	
	<?PHP else: ?>
		<div class='tab_content_wrapper no_top_left_border'>
			<form action='<?PHP echo $_SERVER['PHP_SELF']?>' method='POST' enctype="multipart/form-data">
			<?PHP forms::hidden('mod', 0, x('mod')); ?>
			<?PHP forms::hidden('task', 0, x('task')); ?>
			<?PHP forms::hidden('create_new_ticket', 0, 'y'); ?>
			<?PHP forms::hidden('show_tab', 0, 'create_ticket'); ?>
			<?PHP if (x('return_to_queue')) forms::hidden('return_to_queue', 0, x('return_to_queue')); ?>
			<?PHP if (x('support_queue')) forms::hidden('support_queue', 0, x('support_queue')); ?>
			<?PHP if (x('customer_id')) forms::hidden('customer_id', 0, x('customer_id')); ?>

			<script> var upload_number=new Array();  </script>
			<table class='form_table'>
				<tr class='th'>
					<th colspan='2'></th>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3=1); ?>'><?PHP w('choose_customer:'); forms::overlib(w('overlib_customer_id', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $customer_id; ?> <?PHP echo w('-or-'); ?> <a href='<?PHP echo href('customers', 'customer_editor', array('show_tab'=>'add_new'))?>'><?PHP echo w('add_a_new_customer_and_user_first')?></a></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('email_create_ticket:'); forms::overlib(w('overlib_email_create_ticket', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('email', 0, forms::value('email')); ?> <?PHP  w('from_department_id:'); ?> <?PHP forms::select('department_id', 0, $departments, forms::value('department_id')); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('recipient_first_name:'); forms::overlib(w('overlib_recipient_first_name', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('first_name', 0, forms::value('first_name')); ?> <?PHP forms::text('last_name', 0, forms::value('last_name')); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('create_ticket_subject:'); forms::overlib(w('overlib_create_ticket_subject', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('subject', 0, forms::value('subject'), 0, 'largest'); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('message:'); forms::overlib(w('overlib_message', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea('body', 0, forms::value('body'), '522px', '200px'); ?></td>
				</tr>
				<tr>
					<td>&nbsp;</td>
					<td class='label'><br /><?PHP forms::submit(0, 0, w('create_ticket_and_send', 0), 0, 'submit', 1); ?> <?PHP w('-or-'); ?> <a id='us1' href='#' onclick='show_uploads(1); return false;'><?PHP w('add_attachment'); ?></a><a id='uh1' style='display:none;' href='#' onclick='hide_uploads(1); return false;'><?PHP w('remove_all_attachments'); ?></a>

				<div class='attachment_container' id='a1' style='display:none;'>
					<input type="file" name="attachment11" id="attachment1" /> <a href="javascript:addFileInput(1);"><?PHP w('attach_another_file'); ?></a>
					<div id="moreUploads_1" class='moreUploads'></div>
				</div>
				<script> upload_number[1] = 2; </script><br /><br /></td>
				</tr>
			</table>
			</form>
		</div>
	<?PHP endif; ?>
</div>

<?PHP echo set_default_tab('tickets') ?>