$(function() { 
	$( "#customer_search" ).autocomplete({
		source: function( request, response ) {
			$.ajax({
				url: "index.php",
				dataType: "json",
				data: {
					mod: "helpdesk",
					task: "dashboard",
					ajax: "y",
					search_customers: "y",
					customer_search: $('#customer_search').val()
				},
				success: function( data ) {
					response( $.map( data, function( item ) {
						return {
							label: item.label,
							value: item.value,
							email: item.email,
							firstName: item.firstName,
							lastName: item.lastName
						}
					}));
				}
			});
			
		},
		minLength: 1,
		select: function( event, ui ) {
					$('#email').val(ui.item.email);
					$('#first_name').val(ui.item.firstName);
					$('#last_name').val(ui.item.lastName);
					ui.item.value=ui.item.aaa;
		}
	});
});

function log_customer_id(a, b)
	{
	$('#user_id').value=$(b).id;

	new Ajax.Updater('email', 'index.php', {
	evalScripts: true,
	method: 'POST',
	parameters: 'mod=helpdesk&task=dashboard&user_id='+$(b).id+'&update_email_create_ticket=y'
	// , onSuccess: function (t) { alert(t.responseText); }
	});
	//$('customer_id').value=str_replace('{x}', '', $(b).id);
	}

function toggle_support_queue(ref, link_out)
	{
	window.location=link_out+$(ref).val();
	}

function force_save()
	{
	$('#save_first').show();
	$('#saved').hide();
	}

function ticket_reply(ticket_id, reply_id)
	{
	$.post('index.php?mod=helpdesk&task=view_ticket&id='+ticket_id+'&reply_signature_only=y', 
	function (data) 
		{ 
		$('#r'+reply_id).html( data ); 
		});

	$('#n'+reply_id).show();
	}

function ticket_reply_quote(ticket_id, reply_id)
	{
	$.post('index.php?mod=helpdesk&task=view_ticket&reply_id='+reply_id+'&id='+ticket_id+'&quote_reply=y', 
	function (data) 
		{ 
		$('#r'+reply_id).html( data ); 
		});

	$('#n'+reply_id).show();
	}

function exclude_admin_from_department(admin_id, department_id)
	{
	var this_checkbox='#admin_'+admin_id
	var state=$(this_checkbox).is(':checked');

	$.post('index.php?mod=helpdesk&task=department_edit&admin_id='+admin_id+'&id='+department_id+'&exclude_admin_from_department=y&status='+state, 
	function (data) 
		{ 
		$("#exclude_errors").html( data ); 
		$('.success').effect("shake", { times: 2, direction: 'up' }, 200);
		});
	}

function discard_reply(id)
	{
	$('#n'+id).hide();
	hide_uploads(id);
	}

function addFileInput(id) 
	{ 
	var file = document.createElement("input"); 

	file.setAttribute("type", "file"); 
	file.setAttribute("name", "attachment"+id+upload_number[id]); 
	file.setAttribute("class", "upload_box"); 

	var l = document.createElement("a"); 

	l.setAttribute("href", "javascript:removeFileInput('f"+id+upload_number[id]+"', "+id+");"); 
	l.appendChild(document.createTextNode("Remove")); 
	l.setAttribute("class", "upload_box"); 

	var d = document.createElement("div"); 

	d.setAttribute("id", "f"+id+upload_number[id]); 
	d.appendChild(file); 
	d.appendChild(document.createTextNode(" ")); 
	d.appendChild(l); 
 	d.setAttribute("class", "upload_container"); 

	document.getElementById("moreUploads_"+id).appendChild(d); 
	upload_number[id]++; 
	}

function show_uploads(s) 
	{ 
	$('#a'+s).show();
	$('#us'+s).hide();
	$('#uh'+s).show();
	}

function hide_uploads(s) 
	{ 
	$('#us'+s).show();
	$('#uh'+s).hide();

	$('#attachment1').value='';
	$('#a'+s).hide();

	$(".upload_box").remove();
	}

function removeFileInput(i, id) 
	{
	var elm = document.getElementById(i); 
	document.getElementById("moreUploads_"+id).removeChild(elm); 
	upload_number[id]-=1; // decrement the max file upload counter if the file is removed 
	} 