<?PHP @template::ran_directly(); /* required for all templates */ ?>

<?PHP if (x('show_tab')=='package'): ?>

	<?PHP echo forms::action(); ?>
	<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
	<?PHP echo forms::hidden('task', 0, x('task')); ?>
	<?PHP echo forms::hidden('show_tab', 0, x('show_tab')); ?>
	<?PHP echo forms::hidden('id', 0, x('id')); ?>
	<?PHP echo forms::hidden('update_package_settings', 0, 'y'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('Account Status:'); forms::overlib(w('Manage the account status.<br /><br />If the account has been provisioned then changing the status here will change it on the server too.', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('status', 0, $account_statuses, forms::value('status', $account['status'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Account Provisioned?'); forms::overlib(w('Was the account provisioned to the server?', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'>
					<?PHP if ($account['is_provisioned']=='No'): ?>
						<label id='provision'>
							<?PHP echo forms::checkbox('provision_account_now', 0, 1, $_POST['provision_account_now'])?> <?PHP echo w('No, check to <b>provision</b> on save.', 0)?>
						</label>
					<?PHP else: ?>
						<label id='terminate'>
							<?PHP echo forms::checkbox('terminate_account_now', 0, 1, $_POST['terminate_account_now'])?> <?PHP echo w('Yes, check to <b>terminate</b> on save.', 0)?>
						</label>
					<?PHP endif; ?>
				</td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Domain Name:'); forms::overlib(w('The domain name associated with this account.<br /><br />if the account has been provisioned then changing the domain name here will change it on the server too.', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('domain', 0, forms::value('domain', $account['domain']), 0, 'medium'); ?></td>
			</tr>
			<?PHP if ($account['is_provisioned']=='Yes'): ?>
				<?PHP if (!empty($whm_packages)): ?>
					<tr>
						<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('WHM Plan Installed:'); forms::overlib(w('The plan that was installed in WHM for this account.<br /><br />Changing the WHM plan here will change it on the server too.', 0)); ?></td>
						<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('name', 0, $whm_packages, forms::value('name', $account['attr']['name'])); ?></td>
					</tr>
				<?PHP endif; ?>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Account Username:'); forms::overlib(w('The username associated with this account.<br /><br />Changing the username here will change it on the server too.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('username', 0, forms::value('username', $account['username']), 0, 'medium'); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Account Password:'); forms::overlib(w('The password associated with this account.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('password', 0, forms::value('password', $account['password']), 0, 'medium'); ?> <?PHP if ($account['is_provisioned']=='Yes'): ?><label><?PHP echo forms::checkbox('change_password', 0, 1, $_POST['change_password'])?> <?PHP echo w('Check to update the password in WHM.', 0)?></label><?PHP endif; ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('IP Address:'); forms::overlib(w('The IP address associated with this account.<br /><br />Changing the IP here will change it on the server too.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('ip', 0, forms::value('ip', $account['ip']), 0, 'medium'); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>_top' style='border-bottom: 1px solid #e1e1e1;'><?PHP w('Nameservers:'); forms::overlib(w('Nameservers assigned to this account.<br /><br />Changes <b>WILL NOT</b> be updated on the server.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>' style='border-bottom: 1px solid #e1e1e1;'>

						<?PHP for($i=1; $i<=4; $i++): ?>
							<p><?PHP echo w("NS{$i}:", 0); ?> <?PHP forms::text($key="ns_{$i}_{$account['nameservers'][$i]['id']}", 0, forms::value($key, $account['nameservers'][$i]['ns']), 0, 'medium'); ?> &raquo; <?PHP echo w("IP:", 0); ?> <?PHP forms::text($key="nsip_{$i}_{$account['nameservers'][$i]['id']}", 0, forms::value($key, $account['nameservers'][$i]['ip']), 0, 'medium'); ?></p><?PHP if ($i<4): ?><br /><?PHP endif; ?>
						<?PHP endfor; ?>
					</td>
				</tr>
				<!--<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>_top' style='border-bottom: 1px solid #e1e1e1;'><?PHP w('Nameservers:'); forms::overlib(w('Nameservers assigned to this account.<br /><br />Changing the entries here will change them on the server too.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>' style='border-bottom: 1px solid #e1e1e1;'>

						<?PHP for($i=1; $i<=4; $i++): ?>
							<p><?PHP echo w("NS{$i}:", 0); ?> <?PHP forms::text($key="ns_{$i}_{$account['nameservers'][$i]['id']}", 0, forms::value($key, $account['nameservers'][$i]['ns']), 0, 'medium'); ?> &raquo; <?PHP echo w("IP:", 0); ?> <?PHP forms::text($key="nsip_{$i}_{$account['nameservers'][$i]['id']}", 0, forms::value($key, $account['nameservers'][$i]['ip']), 0, 'medium'); ?></p><br />
						<?PHP endfor; ?>

						<label><?=forms::checkbox('update_nameservers', 0, 1, $_POST['update_nameservers'])?> <?PHP echo w('Check to update the nameservers in WHM.', 0)?></label>
					</td>
				</tr>-->
			<?PHP endif; ?>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
	</form>
<?PHP endif; ?>


<?PHP if (x('show_tab')=='reseller'): ?>
	<?PHP echo forms::action(); ?>
	<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
	<?PHP echo forms::hidden('task', 0, x('task')); ?>
	<?PHP echo forms::hidden('show_tab', 0, x('show_tab')); ?>
	<?PHP echo forms::hidden('id', 0, x('id')); ?>
	<?PHP echo forms::hidden('update_reseller', 0, 'y'); ?>
		<table class='form_table no_bottom_border' style='border-bottom:0;'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('Enable Reseller Features:'); forms::overlib(w('Set this to enabled if you want to make this a WHM reseller package.', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('enable_reseller', 0, $disable_enable, forms::value('enable_reseller', $account['attr']['enable_reseller']), "onchange='toggle_reseller();'"); ?></td>
			</tr>
		</table>
		<div id='enable_reseller_form'>
			<table class='form_table no_top_bottom_border'>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Reseller Account Ownership:'); forms::overlib(w('Whether or not the reseller will own his or her own account.<br /><br /><b>Warning:</b> Users who own their accounts are able to modify them. This will allow them to circumvent account creation limits you may have set up.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('makeowner', 0, $make_owner, forms::value('makeowner', $account['attr']['makeowner'])); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Enable Bandwidth Overselling:'); forms::overlib(w('Allows a reseller to oversell bandwidth.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('enable_overselling_bandwidth', 0, $disable_enable, forms::value('enable_overselling_bandwidth', $account['attr']['enable_overselling_bandwidth'])); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Enable Disk Space Overselling:'); forms::overlib(w('Allows a reseller to oversell disk space.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('enable_overselling_diskspace', 0, $disable_enable, forms::value('enable_overselling_diskspace', $account['attr']['enable_overselling_diskspace'])); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Account Limit:'); forms::overlib(w('The number of accounts to which the reseller has access.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('account_limit', 0, forms::value('account_limit', $account['attr']['account_limit']), 0, 'date'); ?>&nbsp;&nbsp;<i><?PHP echo w('Leave blank for no limit', 0); ?></i></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Enable Resource Limits:'); forms::overlib(w('Enables or disables limits on resources available to the reseller.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('enable_resource_limits', 0, $disable_enable, forms::value('enable_resource_limits', $account['attr']['enable_resource_limits']), "onchange='toggle_resource_limits();'"); ?><div id='resource_limits' style='display: inline;;'>&nbsp;&nbsp;<i><?PHP w('Bandwidth'); ?></i>&nbsp;&nbsp;<?PHP forms::text('bandwidth_limit', 0, forms::value('bandwidth_limit', $account['attr']['bandwidth_limit']), 0, 'small'); ?>&nbsp;<?PHP echo w('MB', 0); ?>&nbsp;&nbsp;<i><?PHP w('Disk Space'); ?></i>&nbsp;&nbsp;<?PHP forms::text('diskspace_limit', 0, forms::value('diskspace_limit', $account['attr']['diskspace_limit']), 0, 'small'); ?>&nbsp;<?PHP echo w('MB', 0); ?></div>
					</td>
				</tr>
			</table>
		</div>
		<table class='form_table'>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
	</form>
	<script> toggle_reseller(); toggle_resource_limits(); </script>
<?PHP endif; ?>