<?PHP @template::ran_directly(); /* required for all templates */ ?>

<?PHP if (x('customer_id')): ?>
	<?PHP echo mod::tabs($tabs, 'invoices', 'invoice_edit', "&id=".x('id')."&customer_id=".x('customer_id'), 'invoice_editor', $go_back_to_customer); ?>
<?PHP else: ?>
	<?PHP echo mod::tabs($tabs, 'invoices', 'invoice_edit', "&id=".x('id'), 'invoice_editor'); ?>
<?PHP endif; ?>

<div class='tab_content' id='details' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_coins'>
		<ul>
			<li><?PHP echo $customer_name; ?></li>
			<li class='right'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>
		<?PHP forms::action(); ?>
		<?PHP forms::hidden('id', 0, x('id')); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP if (x('customer_id')): ?><?PHP forms::hidden('customer_id', 0, x('customer_id')); ?><?PHP endif; ?>
		<?PHP forms::hidden('save_details', 0, 'y'); ?>
		<?PHP echo forms::hidden('show_tab', 0, 'details'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('customer:'); forms::overlib(w('overlib_customer', 0)); ?></td>
				<td class='label'><?PHP echo $customer_name; ?></td>
			</tr>
			<?PHP if ($package): ?>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('package:'); forms::overlib(w('overlib_package', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><a href='<?PHP echo href('customers', 'customer_edit', array('id'=>$package['customer_id'], 'package_id'=>$package['id'], 'show_tab'=>'packages'))?>'><?PHP echo sx($package['package_name'])?></a></td>
				</tr>
			<?PHP endif; ?>
			<?PHP if ($invoice_link): ?>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('invoice_url:'); forms::overlib(w('overlib_invoice_url', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $invoice_link?></td>
				</tr>
			<?PHP endif; ?>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('status:'); forms::overlib(w('overlib_status', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('status', 0, $statuses, forms::value('status', $invoice['status'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('invoice_created:'); forms::overlib(w('overlib_invoice_created', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('created', 0, forms::value('created', $invoice['created']), false, 'date datepicker'); ?> <?PHP echo w('mm/dd/yyyy'); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('invoice_due:'); forms::overlib(w('overlib_invoice_due', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('due_date', 0, forms::value('due_date', $invoice['due_date']), false, 'date datepicker'); ?> <?PHP echo w('mm/dd/yyyy'); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('invoice_number:'); forms::overlib(w('overlib_invoice_number', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('invoice_id', 0, forms::value('invoice_id', $invoice['invoice_id'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('total:'); forms::overlib(w('overlib_total', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $total; ?> <?PHP if ($total_taxes_raw>0): ?><?PHP echo w('includes')?> <?PHP echo $total_taxes; ?> <?PHP echo w('in_taxes')?><?PHP endif; ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('total_discount:'); forms::overlib(w('overlib_total_discount', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $total_discount; ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('invoice_total:'); forms::overlib(w('overlib_invoice_total', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $total_due; ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('total_paid:'); forms::overlib(w('overlib_total_paid', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><b><span class='text_green'><?PHP echo $sum_of_payments; ?></span></b></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('total_credits:'); forms::overlib(w('overlib_total_credits', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><b><span class='text_green'><?PHP echo $sum_of_credits; ?></span></b></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('invoice_balance:'); forms::overlib(w('overlib_balance', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><b><?PHP echo $balance; ?></b></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('click_to_save', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
</div>


<div class='tab_content' id='parts' style='display:none;'>
<?PHP if (x('part_id')&&!x('quick')): ?>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_coins_add'>
		<ul>
			<li><?PHP echo $customer_name; ?></li>
			<li class='right'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>
		<?PHP forms::action(false, 'POST', false, false, true, uid('x')); ?>
		<?PHP forms::hidden('id', 0, x('id')); ?>
		<?PHP forms::hidden('part_id', 0, x('part_id')); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP if (x('customer_id')): ?><?PHP forms::hidden('customer_id', 0, x('customer_id')); ?><?PHP endif; ?>
		<?PHP forms::hidden('edit_line_item', 0, 'y'); ?>
		<?PHP echo forms::hidden('show_tab', 0, 'parts'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text'><?PHP w('description:'); forms::overlib(w('overlib_description', 0)); ?></td>
				<td class='label'><?PHP forms::text('description', 0, forms::value('description', htmlspecialchars(s($part['description']))), false, 'large'); ?></td>
			</tr>
			<tr>
				<td class='text_alt'><?PHP w('total:'); forms::overlib(w('overlib_total', 0)); ?></td>
				<td class='label_alt'><?PHP echo $currency['symbol_prefix']; ?> <?PHP forms::text('total', 0, forms::value('total', $part['total']), false, 'money'); ?> <?PHP echo $currency['symbol_suffix']; ?> <?PHP echo $currency['alpha']; ?></td>
			</tr>
			<tr>
				<td class='text'><?PHP w('discount:'); forms::overlib(w('overlib_discount', 0)); ?></td>
				<td class='label'><?PHP forms::text('discount', 0, forms::value('discount', $part['discount']), false, 'money'); ?> <?PHP forms::select('discount_type', 0, $discount_type, forms::value('discount_type', $part['discount_type'])); ?></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
<?PHP elseif (x('add_line_detailed')): ?>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_coins_add'>
		<ul>
			<li><?PHP echo $customer_name; ?></li>
			<li class='right'><a class='form_button' href='<?PHP echo href('invoices', 'invoice_edit', $cancel_line_item); ?>'><?PHP w('go_back'); ?></a></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>
		<?PHP forms::action(); ?>
		<?PHP forms::hidden('id', 0, x('id')); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP if (x('customer_id')): ?><?PHP forms::hidden('customer_id', 0, x('customer_id')); ?><?PHP endif; ?>
		<?PHP forms::hidden('add_line_detailed', 0, 'y'); ?>
		<?PHP echo forms::hidden('show_tab', 0, 'parts'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text'><?PHP w('description:'); forms::overlib(w('overlib_description', 0)); ?></td>
				<td class='label'><?PHP forms::text('description', 0, forms::value('description'), false, 'medium_large'); ?></td>
			</tr>
			<tr>
				<td class='text_alt'><?PHP w('total:'); forms::overlib(w('overlib_total', 0)); ?></td>
				<td class='label_alt'><?PHP echo $currency['symbol_prefix']; ?> <?PHP forms::text('total', 0, forms::value('total'), false, 'money'); ?> <?PHP echo $currency['symbol_suffix']; ?> <?PHP echo $currency['alpha']; ?></td>
			</tr>
			<tr>
				<td class='text'><?PHP w('discount:'); forms::overlib(w('overlib_discount', 0)); ?></td>
				<td class='label'><?PHP forms::text('discount', 0, forms::value('discount'), false, 'money'); ?> <?PHP forms::select('discount_type', 0, $discount_type, forms::value('discount_type')); ?></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('click_to_save', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
<?PHP else: ?>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_coins'>
		<ul>
			<li><?PHP echo $customer_name; ?></li>
			<li class='right'><a href='<?PHP echo href('invoices', 'invoice_edit', array('id' => x('id'), 'add_line_detailed' => 'y', 'show_tab' => 'parts')); ?>' class='form_button'><?PHP w('add_new_item'); ?></a></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper  no_top_left_border'>

		<table class='data_grid'>
			<tr class='th'>
				<th style='width:230px;'><?PHP w('description'); ?></th>
				<th style='width:65px;'><?PHP w('total'); ?></th>
				<th style='width:65px;'><?PHP w('tax'); ?></th>
				<th style='width:65px;'><?PHP w('discount'); ?></th>
				<th style='width:100px;'><?PHP w('sub_total'); ?></th>
				<th class='options' style='width:140px;'><?PHP w('options'); ?></th>
			</tr>
		</table>

		<?PHP foreach ((array)$invoice_parts as $unique): $data=prepare_parts($unique, $currency['id']); ?>

		<?PHP forms::action(false, 'POST', false, false, true, uid('x')); ?>
		<?PHP forms::hidden('id', 0, x('id')); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP if (x('customer_id')): ?><?PHP forms::hidden('customer_id', 0, x('customer_id')); ?><?PHP endif; ?>
		<?PHP forms::hidden('part_id', 0, $data['part_id']); ?>
		<?PHP forms::hidden('update_line_item', 0, 'y'); ?>
		<?PHP forms::hidden('quick', 0, 'y'); ?>
		<?PHP echo forms::hidden('show_tab', 0, 'parts'); ?>
		<table class='data_grid'>
			<tr <?PHP echo $data['alt']; ?>>
				<td style='width:230px;'><?PHP forms::text('description', 0, htmlspecialchars(s($data['description'])), '', 'medium_large'); ?></td>
				<th style='width:65px;'><?PHP echo $data['total']; ?></th>
				<th style='width:65px;'><?PHP echo $data['tax']; ?></th>
				<th style='width:65px;'><?PHP echo $data['discount']; ?></th>
				<td style='width:100px;'><?PHP echo $currency['symbol_prefix']; ?> <?PHP forms::text('total_due', 0, $data['total_due'], false, 'money'); ?> <?PHP echo $currency['symbol_suffix']; ?></td>
				<td class='options' style='width:140px;'><?PHP echo $data['save']; ?> / <?PHP echo $data['remove']; ?> / <?PHP echo $data['manage']; ?></td>
			</tr>
		</table>
		</form>

		<?PHP endforeach; ?>

		<?PHP forms::action(false, "POST' enctype='multipart/form-data", false, false, true, uid('x')); ?>
		<?PHP forms::hidden('id', 0, x('id')); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP if (x('customer_id')): ?><?PHP forms::hidden('customer_id', 0, x('customer_id')); ?><?PHP endif; ?>
		<?PHP forms::hidden('add_line_item', 0, 'y'); ?>
		<?PHP echo forms::hidden('show_tab', 0, 'parts'); ?>
		<table class='data_grid'>
			<tr style='background: #fefae4;'>
				<td style='width:230px;'><?PHP forms::text('description', 0, '', '', 'medium_large'); ?></td>
				<td style='width:65px;'>-</td>
				<td style='width:65px;'>-</td>
				<td style='width:65px;'>-</td>
				<td style='width:100px;'><?PHP echo $currency['symbol_prefix']; ?> <?PHP forms::text('total_due', 0, (x('total_due')?x('total_due'):'0.00'), false, 'money'); ?> <?PHP echo $currency['symbol_suffix']; ?></td>
				<td class='options' style='width:140px;'><?PHP forms::submit(0, 0, w('quick_add', 0), 0, 'submit_nm', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
<?PHP endif; ?>
</div>


 
<div class='tab_content' id='payments' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_coins'>
		<ul>
			<li><?PHP echo $customer_name; ?></li>
			<li class='right'><span><i><?PHP echo w('total_paid:')?></i> <b><?PHP echo $sum_of_payments; ?></b></span></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper  no_top_left_border'>

		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP w('description'); ?></th>
				<th><?PHP w('transaction_id'); ?></th>
				<th><?PHP w('subscription_id'); ?></th>
				<th><?PHP w('amount'); ?></th>
				<th><?PHP w('created'); ?></th>
				<th class='options'><?PHP w('options'); ?></th>
			</tr>

		<?PHP $alt_increment=0; foreach ((array)$invoice_payments as $unique): $data=prepare_payments($unique, $currency['id'], $invoice['order_id']); ?>

		<tr <?PHP echo $data['alt']; ?>>
			<td><?PHP echo sx($data['description'])?></td>
			<td><?PHP echo sx($data['transaction_id']); ?></td>
			<td><?PHP echo sx($data['subscription_id']); ?></td>
			<td><?PHP echo $data['amount']; ?></td>
			<td><?PHP echo $data['created']; ?></td>
			<td class='options'><?PHP echo $data['remove']; ?></td>
		</tr>

		<?PHP endforeach; ?>

		<?PHP forms::action(); ?>
		<?PHP forms::hidden('id', 0, x('id')); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP if (x('customer_id')): ?><?PHP forms::hidden('customer_id', 0, x('customer_id')); ?><?PHP endif; ?>
		<?PHP forms::hidden('add_payment', 0, 'y'); ?>
		<?PHP echo forms::hidden('show_tab', 0, 'payments'); ?>
			<tr style='background: #fefae4;'>
				<td><?PHP forms::text('description', 0, ''); ?></td>
				<td><?PHP forms::text('transaction_id', 0, '', '', 'small_medium'); ?></td>
				<td><?PHP forms::text('subscription_id', 0, '', '', 'small_medium'); ?></td>
				<td><?PHP echo $currency['symbol_prefix'].$currency['symbol_suffix']; ?> <?PHP forms::text('amount', 0, '', '', 'money'); ?></td>
				<td class='options' colspan='2'><?PHP forms::submit(0, 0, w('add_payment', 0), 0, 'submit_nm', 1); ?></td>
			</tr>
		</form>

		</table>
	</div>
</div>


<div class='tab_content' id='credits' style='display:none;'>

	<?PHP errors($errors); ?>
		<h1 class='tab_content_label_2col tab_coins_add'>
			<ul>
				<li><?PHP echo $customer_name?></li>
				<li class='right'></li>
			</ul>
		</h1>
		<?PHP if (!empty($credits_used)&&is_array($credits_used)): ?>
		<div class='tab_content_wrapper  no_top_left_border'>
			<table class='data_grid'>
				<tr class='th'>
					<th><?PHP w('description'); ?></th>
					<th><?PHP w('applied_by'); ?></th>
					<th><?PHP w('applied_on'); ?></th>
					<th><?PHP w('amount'); ?></th>
					<th class='options'><?PHP w('options'); ?></th>
				</tr>

			<?PHP foreach ((array)$credits_used as $unique): $data=prepare_credit_usage($unique); ?>

				<tr <?PHP echo $data['alt']; ?>>
					<td><?PHP echo htmlspecialchars(sx($data['description'])); ?></td>
					<td><?PHP echo $data['applied_by']?></td>
					<th><?PHP echo $data['created']?></th>
					<td><?PHP echo $data['amount']?></td>
					<td class='options'><?PHP echo $data['remove']; ?></td>
				</tr>

			<?PHP endforeach; ?>
			</table>
		</div>
		<?PHP else: ?>
		<div class='no_matches_found'><?PHP echo w('no_credit_applied'); ?></div>
		<?PHP endif; ?><br /><br />

	<h1 class='tab_content_label_2col tab_coins'>
		<ul>
			<li><?PHP echo w('credit_available'); ?></li>
			<li class='right'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper  no_top_left_border'>

		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP w('description'); ?></th>
				<th><?PHP w('available_on'); ?></th>
				<th><?PHP w('amount'); ?></th>
				<th><?PHP w('balance'); ?></th>
				<th class='options'><?PHP w('options'); ?></th>
			</tr>

		<?PHP foreach ((array)$credits as $unique): $data=prepare_credits($unique); ?>

			<tr <?PHP echo $data['alt']; ?>>
				<td><?PHP echo $data['description']; ?></td>
				<th><?PHP echo $data['created']?></th>
				<td><?PHP echo $data['amount']?></td>
				<th><?PHP echo $data['balance']; ?></th>
				<td class='options'><!--<?PHP echo $data['save']; ?> / <?PHP echo $data['remove']; ?> / --><?PHP echo $data['apply']; ?></td>
			</tr>

		<?PHP endforeach; ?>

		<?PHP forms::action(); ?>
		<?PHP forms::hidden('id', 0, x('id')); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP if (x('customer_id')): ?><?PHP forms::hidden('customer_id', 0, x('customer_id')); ?><?PHP endif; ?>
		<?PHP forms::hidden('add_credit', 0, 'y'); ?>
		<?PHP forms::hidden('currency_id', 0, $currency['id']); ?>
		<?PHP echo forms::hidden('show_tab', 0, 'credits'); ?>
			<tr style='background: #fefae4;'>
				<td><?PHP forms::text('description', 0, htmlspecialchars(s($_POST['description'])), '', 'medium'); ?></td>
				<td><?PHP forms::text('available_on', 'created', date('m/d/Y'), false, 'date datepicker'); ?></td>
				<td><?PHP forms::text('amount', 0, $_POST['amount'], false, 'money'); ?> <?PHP echo $currency_formatted; ?></td>
				<td class='options' colspan='2'><a href='<?PHP echo href('customers', 'customer_edit', array('id' => $invoice['customer_id'], 'show_tab' => 'credits'))?>'><?PHP echo w('edit_credits'); ?></a> <?PHP echo w('-or-'); ?> <?PHP forms::submit(0, 0, w('add_credit', 0), 0, 'submit_nm', 1); ?></td>
			</tr>
		</form>

		</table>
	</div>

</div>

<?PHP echo set_default_tab('details') ?>