<?PHP @template::ran_directly(); /* required for all templates */ ?>

<?PHP echo mod::tabs($tabs, 'kb', 'article_edit', "&id=".x('id'), 'article_editor'); ?>

<div class='tab_content' id='general' style='display:none;'>
	<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_page_edit'>
		<ul>
			<li><?PHP w('kb_article'); ?> <?PHP echo sx($article['title']); ?></li>
			<li class='right'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>
		<?PHP forms::action(); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP forms::hidden('id', 0, x('id')); ?>
		<?PHP forms::hidden('show_tab', 0, 'general'); ?>
		<?PHP forms::hidden('update_article', 0, 'y'); ?>
			<table class='form_table'>
				<tr class='th'>
					<th colspan='2'></th>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('publish_status:'); forms::overlib(w('overlib_publish_status', 0));  ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('status', 0, array('Draft' => w('draft', 0), 'Publish' => w('publish', 0)), forms::value('status', $article['status'])); ?>&nbsp;&nbsp;<i><?PHP echo w('on')?></i>&nbsp;&nbsp;<?PHP echo $month; ?> / <?PHP echo $day; ?> / <?PHP echo $year; ?>&nbsp;&nbsp;<i><?PHP echo w('by')?></i>&nbsp;&nbsp;<?PHP forms::select('author', 0, $admin_select, forms::value('author', $article['author'])); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('title:'); forms::overlib(w('overlib_title', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('title', 0, forms::value('title', stripslashes(a($article['title']))), 0, 'largest'); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('content:'); forms::overlib(w('overlib_content', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea('contentx', 'content', forms::value('content', $article['content']), '800px', '275px'); ?></td>
				</tr>
				<tr>
					<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
				</tr>
			</table>
		</form>

	</div>
</div>

<div class='tab_content' id='attributes' style='display:none;'>
<?PHP errors($errors); ?>


	<h1 class='tab_content_label_2col tab_page_edit'>
		<ul>
			<li><?PHP w('kb_article'); ?> <?PHP echo sx($article['title']); ?></li>
			<li class='right'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>

		<?PHP forms::action(); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP forms::hidden('id', 0, x('id')); ?>
		<?PHP forms::hidden('update_attributes', 0, 'y'); ?>
		<?PHP forms::hidden('show_tab', 0, 'attributes'); ?>
		<?PHP forms::hidden('icon', 0, $article['icon']); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('sticky:'); forms::overlib(w('overlib_sticky', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('sticky', 0, array('No' => w('no_sticky', 0), 'Yes' => w('yes_sticky', 0)), forms::value('sticky', $article['sticky'])); ?></td>
			</tr>
			<?PHP if (third_party::is_enabled('Disqus')): ?>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('enable_disqus_comments:'); forms::overlib(w('overlib_enable_disqus_comments', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('enable_disqus_comments', 0, array('No' => w('no', 0), 'Yes' => w('yes', 0)), forms::value('enable_disqus_comments', $article['enable_disqus_comments'])); ?></td>
				</tr>
			<?PHP endif; ?>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('keywords:'); forms::overlib(w('overlib_keywords', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('keywords', 0, forms::value('keywords', $article['keywords']), 0, 'large'); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('icon:'); forms::overlib(w('overlib_icon', 0)); ?><br /><br />&nbsp;<a href='javascript:void(0);' onclick='reset_icons();' style='text-decoration: none;'><span class='text_blue'><?PHP  w('clear_icons'); ?></span></a></td>
				<td class='label<?PHP echo alt($m3); ?>'><div class='scroll' id='icon_chooser'><?PHP foreach($icons as $icon_row): foreach($icon_row as $key => $icon): ?>

<img class='non_focus' src='view/images/icons/<?PHP echo $icon?>' id='<?PHP echo $use_ico=str_replace('.png', '', $icon); ?>' onclick='set_icon("<?PHP echo str_replace('.png', '', $icon); ?>");' title='<?PHP w('click_to_choose', 0); ?>' />

		<?PHP endforeach; endforeach; ?></div></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>

			<?PHP if ($article['icon']): ?> <script> set_icon('<?PHP echo str_replace('.png', '', $article['icon']); ?>');  </script> <?PHP endif; ?>

	</div>
</div>

<div class='tab_content' id='categories' style='display:none;'>
<?PHP errors($errors); ?>

	<div id='cat2article_errors'></div>

	<h1 class='tab_content_label_2col tab_page_edit'>
		<ul>
			<li><?PHP w('kb_article'); ?> <?PHP echo sx($article['title']); ?></li>
			<li class='right'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper_wp'>


		<div class='notice'><?PHP echo w('set_include_notice', 0); ?></div>
		<table class='form_table'><?PHP
		$category_tree='';
		foreach ($assign_media_tree as $key => $value)
			{
			$checked=(in_array($key, article::article_categories(x('id'))))?' checked':'';
			$checkbox=forms::checkbox("category_{$key}", 0, $key, $checked, "onclick='assign_article_to_category({$key}, ".x('id').");'", 0, 0);
			$category_tree.="<tr><td class='label".(ooe($i+=1)?'':'_alt')."'>&nbsp;<label>{$checkbox} {$value}</label></td></tr>";
			}
		echo $category_tree;
		?></table>

	</div>
</div>

<div class='tab_content' id='attachments' style='display:none;'>
<?PHP errors($errors); ?>
	<?PHP if (x('add_new_attachment')): ?>
		<h1 class='tab_content_label_2col tab_page_edit'>
			<ul>
				<li><?PHP w('kb_article'); ?> <?PHP echo sx($article['title']); ?></li>
				<li class='right'><a class='form_button' href='<?PHP echo href('kb', 'article_edit', array('show_tab'=>'attachments', 'id'=>x('id'))); ?>'><?PHP w('go_back'); ?></a></li>
			</ul>
		</h1>
		<div class='tab_content_wrapper no_top_left_border'>
			<form action='<?PHP echo $_SERVER['PHP_SELF']?>' method='POST' enctype='multipart/form-data'>
			<?PHP forms::hidden('mod', 0, x('mod')); ?>
			<?PHP forms::hidden('task', 0, x('task')); ?>
			<?PHP forms::hidden('id', 0, x('id')); ?>
			<?PHP forms::hidden('show_tab', 0, 'attachments'); ?>
			<?PHP forms::hidden('add_new_attachment', 0, 'y'); ?>
			<table class='form_table'>
					<tr class='th'>
						<th colspan='2'></th>
					</tr>
					<tr>
						<td class='text_alt'><?PHP echo w('attachment:'); forms::overlib(w('overlib_attachment', 0)); ?></td>
						<td class='label_alt'><input size='25' type='file' name='attachment' /></td>
					</tr>
					<tr>
						<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('add_new', 0), 0, 'submit', 1); ?></td>
					</tr>
				</table>
			</form>
		</div>
	<?PHP else: ?>
		<div id='attachment2article_errors'></div>

		<h1 class='tab_content_label_2col tab_page_edit'>
			<ul>
				<li><?PHP w('kb_article'); ?> <?PHP echo sx($article['title']); ?></li>
				<li class='right'><a href='<?PHP echo href('kb', 'article_edit', array('show_tab' => 'attachments', 'add_new_attachment' => 'y', 'id' => x('id'))); ?>' class='form_button'><?PHP w('add_new_attachment'); ?></a></li>
			</ul>
		</h1>
		<div class='tab_content_wrapper_wp'>
			<table class='form_table'><?PHP
			$article_attachments=article::article_attachments(x('id'));
			foreach (attachment::select() as $key => $value)
				{
				$checked=(in_array($key, $article_attachments))?' checked':'';
				$checkbox=forms::checkbox("attachment_{$key}", 0, $key, $checked, "onclick='assign_attachment_to_article({$key}, ".x('id').");'", 0, 0);
				echo "<tr><td class='label".(ooe($i+=1)?'':'_alt')."'>&nbsp;<label>{$checkbox} {$value}</label></td></tr>";
				}
			?></table>
		</div>
	<?PHP endif; ?>
</div>

<div class='tab_content' id='related' style='display:none;'>
<?PHP errors($errors); ?>

	<div id='relation2article_errors'></div>

	<h1 class='tab_content_label_2col tab_page_edit'>
		<ul>
			<li><?PHP w('kb_article'); ?> <?PHP echo sx($article['title']); ?></li>
			<li class='right'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper_wp'>

		<?PHP if (!empty($all_articles)): ?>
			<table class='form_table'><?PHP
			$related_articles=article::related(x('id'));
			foreach ($all_articles as $key => $value)
				{
				$checked=(in_array($key, $related_articles))?' checked':'';
				$checkbox=forms::checkbox("related_{$key}", 0, $key, $checked, "onclick='assign_related_article({$key}, ".x('id').");'", 0, 0);
				echo "<tr><td class='label".(ooe($i+=1)?'':'_alt')."'>&nbsp;<label>{$checkbox} {$value}</label></td></tr>";
				}
			?></table>
		<?PHP else: ?>
			<?PHP w('must_have_more_than_one_article_to_use_feature'); ?>
		<?PHP endif; ?>

	</div>
</div>

<?PHP echo set_default_tab('general') ?>