<?PHP @template::ran_directly(); /* required for all templates */ ?>


<div class='tab_content hundred_percent' id='add_new' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_attach'>
		<ul>
			<li><?PHP w('add_a_new_attachment'); ?></li>
			<li class='right'><a href='<?PHP echo href('kb', 'attachment_editor', array('show_tab' => 'manage_existing')); ?>' class='form_button'><?PHP w('existing_attachments'); ?></a></li>
		</ul>
	</h1>
	<?PHP if (!isset_media_upload_path()):?>
		<div class='error'><a href='<?PHP echo href('settings', 'system', array('show_tab' => 'edit'))?>'><?PHP echo w('click_here')?></a> <?PHP echo w('conf_media_upload_path_first')?></div>
	<?PHP else: ?>
		<div class='tab_content_wrapper no_top_left_border'>
			<form action='<?PHP echo $_SERVER['PHP_SELF']?>' method='POST' enctype='multipart/form-data'>
			<?PHP forms::hidden('mod', 0, x('mod')); ?>
			<?PHP forms::hidden('task', 0, x('task')); ?>
			<?PHP forms::hidden('show_tab', 0, 'add_new'); ?>
			<?PHP forms::hidden('add_new', 0, 'y'); ?>
			<table class='form_table'>
					<tr class='th'>
						<th colspan='2'></th>
					</tr>
					<tr>
						<td class='text_alt'><?PHP echo w('attachment:'); forms::overlib(w('overlib_attachment', 0)); ?></td>
						<td class='label_alt'><input size='25' type='file' name='attachment' /></td>
					</tr>
					<tr>
						<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('add_new', 0), 0, 'submit', 1); ?></td>
					</tr>
				</table>
			</form>
		</div>
	<?PHP endif; ?>
</div>

<div class='tab_content hundred_percent' id='manage_existing' style='display:none;'>
<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_attach'>
		<ul>
			<li><?PHP w('existing_attachments'); ?></li>
			<li class='right'><a href='<?PHP echo href('kb', 'attachment_editor', array('show_tab' => 'add_new')); ?>' class='form_button'><?PHP w('add_attachment'); ?></a></li>
		</ul>
	</h1>
	<?PHP if (!empty($attachments)&&is_array($attachments)): ?>
		<div class='tab_content_wrapper  no_top_left_border'>
		<?PHP forms::action(false, 'POST', "onsubmit='return confirm(\"".w('sure_you_want_to_delete', 0)."\");'"); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>

		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP forms::checkbox('checkbox_selector', 0, '', 0, "onclick='toggle_checkboxes(\"#manage_existing\");'"); ?></th>
				<th><?PHP echo $s['id']['image']; ?><a href='<?PHP echo $s['id']['link']; ?>'><?PHP w('id'); ?></a></th>
				<th><?PHP echo $s['name']['image']; ?><a href='<?PHP echo $s['name']['link']; ?>'><?PHP w('name'); ?></a></th>
				<th><?PHP echo $s['mime_type']['image']; ?><a href='<?PHP echo $s['mime_type']['link']; ?>'><?PHP w('mime_type'); ?></a></th>
				<th><?PHP echo $s['created']['image']; ?><a href='<?PHP echo $s['created']['link']; ?>'><?PHP w('created'); ?></a></th>
				<th class='options'><?PHP w('options'); ?></th>
			</tr>
			<tr id='controls' style='display:none;'>
				<th colspan='6'><?PHP forms::submit(0, 0, w('click_to_delete', 0), 0, 'submit', 1); ?> - or - <a href='<?PHP echo href('kb', 'attachment_editor', array('show_tab' => 'manage_existing')); ?>'><?PHP w('click_to_close'); ?></a></th>
			</tr>

		<?PHP foreach ($attachments as $unique): $data=prepare($unique); ?>

			<tr <?PHP echo $data['alt']; ?>>
				<td><?PHP echo $data['checkbox']; ?></td>
				<td><?PHP echo $data['id']; ?></td>
				<td><?PHP echo $data['name']; ?></td>
				<td><?PHP echo $data['mime_type']; ?></td>
				<td><?PHP echo $data['created']; ?></td>
				<td class='options'><?PHP echo $data['delete']; ?> / <?PHP echo $data['manage']; ?></td>
			</tr>

		<?PHP endforeach; ?>

		</table>
		</form>
		<?PHP echo $pagination; ?>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_attachments_found', 0); ?></p></div>
	<?PHP endif; ?>
</div>

<?PHP echo set_default_tab('manage_existing') ?>