<?PHP @template::ran_directly(); /* required for all templates */ ?>


<div class='tab_content hundred_percent' id='manage_existing' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_book_open'>
		<ul>
			<li><?PHP w('kb_categories'); ?></li>
			<li class='right'><span class='span_folder'><?PHP echo $breadcrumb; ?></span></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper  no_top_left_border'>

	<table class='data_grid'>
		<tr class='th'>
			<th><?PHP echo $s['id']['image']; ?><a href='<?PHP echo $s['id']['link']; ?>'><?PHP w('id'); ?></a></th>
			<th><?PHP echo $s['icon']['image']; ?><a href='<?PHP echo $s['icon']['link']; ?>'><?PHP w('icon'); ?></a></th>
			<th><?PHP echo $s['name']['image']; ?><a href='<?PHP echo $s['name']['link']; ?>'><?PHP w('category_name'); ?></a></th>
			<th><?PHP echo $s['status']['image']; ?><a href='<?PHP echo $s['status']['link']; ?>'><?PHP w('status'); ?></a></th>
			<th><?PHP echo $s['created']['image']; ?><a href='<?PHP echo $s['created']['link']; ?>'><?PHP w('created'); ?></a></th>
			<th class='options'>( <a  href='#' onclick='$("#category").toggle(); return false;'><?PHP w('add_category'); ?></a> )</th>
		</tr>
		<tr id='category' class='controls' style='display:none;'>
			<th colspan='6'>
				<div class='controls_wrapper_wp'><?PHP forms::action(); ?>
				<?PHP forms::hidden('mod', 0, x('mod')); ?>
				<?PHP forms::hidden('task', 0, x('task')); ?>
				<?PHP forms::hidden('show_tab', 0, 'manage_existing'); ?>
				<?PHP forms::hidden('add_category', 0, 'y'); ?>
				<?PHP if (x('parent_id')): ?><?PHP forms::hidden('parent_id', 0, x('parent_id')); ?><?PHP endif; ?>
				<?PHP echo forms::text('category_name', 0, ''); ?> <?PHP forms::select('status', 0, $statuses, forms::value('status')); ?> <?PHP forms::submit(0, 0, w((x('parent_id'))?'add_sub_category':'add_category', 0), 0, 'submit_nm', 1); ?> <?PHP echo w('-or-')?> <a href='#' onclick='$("#category").hide(); return false;'><?PHP echo w('click_to_close')?></a>
				</form></div>
			</th>
		</tr>

		<?PHP if (!empty($categories)&&is_array($categories)): ?>
			<?PHP $m3=0; foreach ($categories as $unique): $data=prepare_categories($unique); ?>

				<tr <?PHP echo $data['alt']; ?>>
					<td><?PHP echo $data['id']; ?></td>
					<td><?PHP echo $data['icon']; ?></td>
					<td><?PHP echo $data['name']; ?></td>
					<td><?PHP echo $data['status']; ?></td>
					<td><?PHP echo $data['created']; ?></td>
					<td class='options'><?PHP echo $data['delete']; ?> / <?PHP echo $data['manage']; ?></td>
				</tr>

			<?PHP endforeach; ?>
		<?PHP endif; ?>
		
		<?PHP if (empty($categories)&&empty($media)): ?>
				<tr <?PHP echo $data['alt']; ?>>
					<td colspan='6'><?PHP echo w('no_categories_found')?></td>
				</tr>
		<?PHP endif; ?>

		</table>
		<?PHP echo $pagination; ?>
	</div>
	<?PHP if (x('toggle')): ?> <script> $("category").toggle(); </script> <?PHP endif; ?>
</div>

<?PHP echo set_default_tab('manage_existing') ?>