<?PHP @template::ran_directly(); /* required for all templates */ ?>

<div class='grid no_margin half'><span class='section_header'><?PHP echo w('top_4_most_viewed_pages')?></span><?PHP echo renderChartHTML("view/common/javascript/FusionCharts/FCF_Pie2D.swf", '', $chart['top4'], uid('top4'), 464, 275); ?></div>
<div class='grid quarter grid_space_left_more'>
	<span class='section_header_left'><?PHP echo w('kb_stats'); ?></span>
	<div class='tab_content_wrapper' style='display:block;'>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3=0); ?> mod_75'><?PHP echo w('total_categories:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('kb', 'category_editor', array('show_tab'=>'manage_existing'))?>'><?PHP echo kb_dashboard::total_categories()?></a></td>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3+=1); ?> mod_75'><?PHP echo w('total_articles:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('kb', 'article_editor', array('show_tab'=>'manage_existing'))?>'><?PHP echo kb_dashboard::total_articles()?></a></td>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3+=1); ?> mod_75'><?PHP echo w('most_helpful:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?> mod_25'><?PHP echo $most_helpful?></td>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3+=1); ?> mod_75'><?PHP echo w('total_attachments:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('kb', 'attachment_editor', array('show_tab'=>'manage_existing'))?>'><?PHP echo kb_dashboard::total_attachments()?></a></td>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3+=1); ?> mod_75'><?PHP echo w('total_terms:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('kb', 'glossary_editor', array('show_tab'=>'manage_existing'))?>'><?PHP echo kb_dashboard::total_terms()?></a></td>
			</tr>
		</table>
	</div>
</div>
<div class='grid quarter right margin_bottom_stats'>
	<span class='section_header_left'><?PHP echo w('quick_links'); ?></span>
	<div class='tab_content_wrapper' style='display:block;'>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3=0); ?> mod_75'><?PHP echo w('add_article:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('kb', 'article_editor', array('show_tab'=>'add_new'))?>'><?PHP echo w('go_link')?></a></td>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3+=1); ?> mod_75'><?PHP echo w('add_attachment:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('kb', 'attachment_editor', array('show_tab'=>'add_new'))?>'><?PHP echo w('go_link')?></a></td>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3+=1); ?> mod_75'><?PHP echo w('add_category:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('kb', 'category_editor', array('show_tab'=>'manage_existing', 'toggle'=>'category'))?>'><?PHP echo w('go_link')?></a></td>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3+=1); ?> mod_75'><?PHP echo w('add_glossary_term:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('kb', 'glossary_editor', array('show_tab'=>'add_new'))?>'><?PHP echo w('go_link')?></a></td>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3+=1); ?> mod_75'><?PHP echo w('add_site:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('kb', 'profile_editor', array('show_tab'=>'add_new'))?>'><?PHP echo w('go_link')?></a></td>
			</tr>
		</table>
	</div>
</div>
<div class='grid half right'>
		<span class='section_header_left'><?PHP echo w('recently_added_articles')?></span>
		<?PHP if (!empty($recent_articles)&&is_array($recent_articles)): ?>
			<div class='tab_content_wrapper no_top_border'>
			<table class='data_grid'>
				<tr class='th'>
					<th><?PHP w('title'); ?></th>
					<th><?PHP w('created'); ?></th>
					<th class='options'><?PHP echo w('options'); ?></th>
				</tr>
				<?PHP $m3=0; foreach ($recent_articles as $unique): $data=prepare_article($unique); ?>
					<tr <?PHP echo $data['alt']; ?>>
						<td><?PHP echo $data['title']; ?></td>
						<td><?PHP echo $data['created']; ?></td>
						<td class='options'><?PHP echo $data['manage']; ?></td>
					</tr>
				<?PHP endforeach; ?>
			</table>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_articles_found', 0); ?></p></div>
	<?PHP endif; ?>
</div>
<div class='clear margin_bottom'><!-- --></div>