<?PHP @template::ran_directly(); /* required for all templates */ ?>


<?PHP if (x('customer_id')): ?>
	<?PHP echo mod::tabs($tabs, 'license', 'license_edit', "&id=".x('id')."&customer_id=".x('customer_id'), 'license_editor', $go_back_to_customer); ?>
<?PHP else: ?>
	<?PHP echo mod::tabs($tabs, 'license', 'license_edit', "&id=".x('id'), 'license_editor'); ?>
<?PHP endif; ?>

<div class='tab_content' id='instances' style='display:none;'>
	<h1 class='tab_content_label_2col tab_shield'>
		<ul>
			<li><?PHP w('viewing_license_key'); ?> <?PHP echo $license['license_key']?></li>
			<li class='right'><?PHP echo $license['customer']; ?></li>
		</ul>
	</h1>
	<?PHP if ($license['status']=='Reissued'):?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('new_details_locked_in_on_reissue', 0); ?></p></div>
	<?PHP elseif (file_exists($m3_lt="modules/license_methods/modules/{$lt['method']}/view/license_instances.php")): ?>
	<?PHP errors($errors); ?>
	<div class='tab_content_wrapper no_top_left_border'>
		<?PHP include_once $m3_lt; ?>
	</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('licensing_method_not_found', 0)." <i>{$m3_lt}</i>"; ?></p></div>
	<?PHP endif; ?>
</div>


<div class='tab_content' id='log' style='display:none;'>

	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_shield'>
		<ul>
			<li><?PHP w('viewing_license_key'); ?> <?PHP echo $license['license_key']?></li>
			<li class='right'><?PHP echo $license['customer']; ?></li>
		</ul>
	</h1>

	<?PHP if (!empty($access_logs)&&is_array($access_logs)): ?>
		<div class='tab_content_wrapper  no_top_left_border'>

		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP echo $s['id']['image']; ?><a href='<?PHP echo $s['id']['link']; ?>'><?PHP w('id'); ?></a></th>
				<th><?PHP echo $s['flagged']['image']; ?><a href='<?PHP echo $s['flagged']['link']; ?>'><?PHP w('flagged'); ?></a></th>
				<th><?PHP echo $s['status']['image']; ?><a href='<?PHP echo $s['status']['link']; ?>'><?PHP w('status'); ?></a></th>
				<th><?PHP echo $s['created']['image']; ?><a class='on' href='<?PHP echo $s['created']['link']; ?>'><?PHP w('created'); ?></a></th>
				<th class='options'><?PHP w('options'); ?></th>
			</tr>

		<?PHP foreach ($access_logs as $unique): $data=prepare($unique); ?>

			<tr <?PHP echo $data['alt']; ?>>
				<td><?PHP echo $data['id']; ?></td>
				<td><?PHP echo $data['flagged']; ?></td>
				<td><?PHP echo $data['status']; ?></td>
				<td><?PHP echo $data['created']; ?></td>
				<td class='options'><?PHP echo $data['delete']; ?> / <?PHP echo $data['details']; ?></td>
			</tr>
			<tr class='toggle' id='<?PHP echo $data['uid']?>' style='display:none;'>
				<td colspan='5'><div class='tab_content_wrapper_wp'><?PHP echo $data['log_details']; ?></div></td>
			</tr>

		<?PHP endforeach; ?>

		</table>
		<?PHP echo $pagination; ?>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_access_logs_found', 0); ?></p></div>
	<?PHP endif; ?>
</div>


<div class='tab_content' id='licensing' style='display:none;'>
	<?PHP  if (file_exists($m3_lt="modules/license_methods/modules/{$lt['method']}/view/license_edit_type.php")): ?>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_shield'>
		<ul>
			<li><?PHP w('viewing_license_key'); ?> <?PHP echo $license['license_key']?></li>
			<li class='right'><?PHP echo $license['customer']; ?></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>
		<?PHP include_once $m3_lt; ?>
	</div>
	<?PHP else: ?>
		<h1 class='tab_content_label'><?PHP echo w('license_specific', 0); ?></h1>
		<div class='tab_content_wrapper '><p class='no_matches_found'><?PHP echo w('licensing_method_not_found', 0)." <i>{$m3_lt}</i>"; ?></p></div>
	<?PHP endif; ?>
</div>


<div class='tab_content' id='general' style='display:none;'>
	<?PHP errors($errors); ?>
	<div id='ajax_errors'></div>
	<h1 class='tab_content_label_2col tab_shield'>
		<ul>
			<li><?PHP w('viewing_license_key'); ?> <?PHP echo $license['license_key']?></li>
			<li class='right'><?PHP echo $license['customer']; ?></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>
		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
		<?PHP echo forms::hidden('task', 0, x('task')); ?>
		<?PHP echo forms::hidden('id', 0, x('id')); ?>
		<?PHP if (x('customer_id')): ?><?PHP forms::hidden('customer_id', 0, x('customer_id')); ?><?PHP endif; ?>
		<?PHP echo forms::hidden('show_tab', 0, 'general'); ?>
		<?PHP echo forms::hidden('save_general', 0, 'y'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=1); ?>'><?PHP w('status:'); forms::overlib(w('overlib_status', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('status', 0, $status_select, forms::value('status', $license['status'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('license_method:'); forms::overlib(w('overlib_license_method', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('licensing_method_id', 0, $licensing_methods, forms::value('licensing_method_id', $license['licensing_method_id'])); ?></td>
			</tr>
			<?PHP if ($license['product_display']): ?>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('product:'); forms::overlib(w('overlib_product', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $license['product_display']; ?></td>
				</tr>
			<?PHP endif; ?>
			<?PHP if ($license['price_tier_display']): ?>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('price_tier:'); forms::overlib(w('overlib_price_tier', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $license['price_tier_display']; ?></td>
				</tr>
			<?PHP endif; ?>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('package:'); forms::overlib(w('overlib_package', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $license['package_display']; ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('created:'); forms::overlib(w('overlib_created', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $license['created_display']; ?></td>
			</tr>
			<?PHP if ($license['status']!='Reissued'): ?>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('expires:'); forms::overlib(w('overlib_expires', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $license['expires_display']; ?></td>
				</tr>
			<?PHP endif; ?>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>' style='text-align:center;' colspan='2'><?PHP w('notes:');  ?><br /><?PHP forms::textarea('notes', 0, forms::value('notes', $license['notes']), '550px', '75px'); ?></td>
			</tr>
		<tr>
			<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
		</tr>
		</table>
		</form>
	</div>
</div>

<?PHP echo set_default_tab('general') ?>