<?PHP @template::ran_directly(); /* required for all templates */ ?>

<div class='grid no_margin half'><span class='section_header'><?PHP echo w('top_4_most_downloaded_media')?></span><?PHP echo renderChartHTML("view/common/javascript/FusionCharts/FCF_Pie2D.swf", '', $chart['top4'], uid('top4'), 464, 275); ?></div>
<div class='grid quarter grid_space_left_more'>
	<span class='section_header_left'><?PHP echo w('media_stats'); ?></span>
	<div class='tab_content_wrapper' style='display:block;'>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3=0); ?> mod_75'><?PHP echo w('media_categories:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('media', 'media_editor', array('show_tab'=>'all_media'))?>'><?PHP echo dashboard_media::media_categories()?></a></td>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3+=1); ?> mod_75'><?PHP echo w('media_uploaded:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('media', 'media_editor', array('show_tab'=>'all_media'))?>'><?PHP echo dashboard_media::media_uploaded()?></a></td>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3+=1); ?> mod_75'><?PHP echo w('total_downloads:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('media', 'media_editor', array('show_tab'=>'all_media'))?>'><?PHP echo dashboard_media::total_downloads()?></a></td>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3+=1); ?> mod_75'><?PHP echo w('total_download_controls:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('download_control', 'control_editor', array('show_tab'=>'manage_existing'))?>'><?PHP echo dashboard_media::download_controls()?></a></td>
			</tr>
		</table>
	</div>
</div>
<div class='grid quarter right margin_bottom_stats'>
	<span class='section_header_left'><?PHP echo w('quick_links'); ?></span>
	<div class='tab_content_wrapper' style='display:block;'>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3=0); ?> mod_75'><?PHP echo w('add_media_category:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('media', 'media_editor', array('show_tab'=>'all_media', 'toggle'=>'category'))?>'><?PHP echo w('go_link')?></a></td>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3+=1); ?> mod_75'><?PHP echo w('web_upload:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('media', 'media_editor', array('show_tab'=>'all_media', 'toggle'=>'media'))?>'><?PHP echo w('go_link')?></a></td>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3+=1); ?> mod_75'><?PHP echo w('ftp_upload:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('media', 'media_editor', array('show_tab'=>'all_media', 'toggle'=>'media_ftp'))?>'><?PHP echo w('go_link')?></a></td>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3+=1); ?> mod_75'><?PHP echo w('add_download_control:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?> mod_25'><a href='<?PHP echo href('download_control', 'control_editor', array('show_tab'=>'add_new'))?>'><?PHP echo w('go_link')?></a></td>
			</tr>
		</table>
	</div>
</div>
<div class='grid half right'>
		<span class='section_header_left'><?PHP echo w('recently_added_media')?></span>
		<?PHP if (!empty($recent_media)&&is_array($recent_media)): ?>
			<div class='tab_content_wrapper no_top_border'>
			<table class='data_grid'>
				<tr class='th'>
					<th><?PHP w('name'); ?></th>
					<th><?PHP w('mime'); ?></th>
					<th><?PHP w('created'); ?></th>
					<th class='options'><?PHP echo w('options'); ?></th>
				</tr>
				<?PHP $m3=0; foreach ($recent_media as $unique): $data=prepare_media($unique); ?>
					<tr <?PHP echo $data['alt']; ?>>
						<td><?PHP echo $data['name']; ?></td>
						<td><?PHP echo $data['mime']; ?></td>
						<td><?PHP echo $data['created']; ?></td>
						<td class='options'><?PHP echo $data['manage']; ?></td>
					</tr>
				<?PHP endforeach; ?>
			</table>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_media_found', 0); ?></p></div>
	<?PHP endif; ?>
</div>
<div class='clear margin_bottom'><!-- --></div>