<?PHP @template::ran_directly(); /* required for all templates */ ?>

<?PHP if (x('customer_id')): ?>
	<?PHP echo mod::tabs($tabs, 'media', 'set_editor', "&id=".x('id')."&customer_id=".x('customer_id'), 'sets', $go_back_to_customer); ?>
<?PHP else: ?>
	<?PHP echo mod::tabs($tabs, 'media', 'set_editor', "&id=".x('id'), 'sets'); ?>
<?PHP endif; ?>

<div class='tab_content' id='general' style='display:none;'>
	<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_images'>
		<ul>
			<li><?PHP w('media_set'); ?> <?PHP echo $set['name']; ?></li>
			<li class='right'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>
		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
		<?PHP echo forms::hidden('task', 0, x('task')); ?>
		<?PHP echo forms::hidden('show_tab', 0, 'general'); ?>
		<?PHP echo forms::hidden('id', 0, x('id')); ?>
		<?PHP if (x('customer_id')): ?><?PHP forms::hidden('customer_id', 0, x('customer_id')); ?><?PHP endif; ?>
		<?PHP echo forms::hidden('update_set', 0, 'y'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text_alt'><?PHP w('set_name:'); forms::overlib(w('overlib_set_name', 0)); ?></td>
				<td class='label_alt'><?PHP forms::text('name', 0, forms::value('name', $set['name'])); ?></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
</div>


<div class='tab_content' id='assign_asset' style='display:none;'>
	<?PHP errors($errors); ?>

		<div id='ajax_errors'></div>
		<h1 class='tab_content_label_2col tab_images'>
			<ul>
				<li><?PHP w('media_set'); ?> <?PHP echo $set['name']; ?></li>
				<li class='right'></li>
			</ul>
		</h1>
		<div class='tab_content_wrapper_wp'><table class='form_table'><?PHP
$product_tree='';
$products=product::get_all();
foreach ($products as $product)
	{
	$product_tree.="<tr><td class='label_alt'>&nbsp;&nbsp;<img src='view/images/icons/package.png' class='icon' /><b>{$product['name']}</b></td></tr>";

	$skus=product::get_skus($product['id']); 
	foreach($skus as $sku)
		{
		$checked=(in_array($sku['id'], product::assets('media', x('id'))))?' checked':'';
		$checkbox=forms::checkbox("sku_{$sku['id']}", 0, $sku['id'], $checked, "onclick='assign_asset({$product['id']}, {$sku['id']}, ".x('id').");'", 0, 0);
		$product_tree.="<tr><td class='label'>&nbsp;&nbsp;<label>{$checkbox} {$sku['name']}</label></td></tr>";
		}
	}
echo $product_tree;
?></table>
		</div>
</div>


<div class='tab_content' id='assign_media' style='display:none;'>
	<?PHP errors($errors); ?>

		<div id='cat2set_errors'></div>

		<h1 class='tab_content_label_2col tab_images'>
			<ul>
				<li><?PHP w('media_set'); ?> <?PHP echo $set['name']; ?></li>
				<li class='right'></li>
			</ul>
		</h1>
		<div class='tab_content_wrapper_wp'>
		<div class='notice'><?PHP echo w('set_include_notice', 0); ?></div>
		<table class='form_table'><?PHP
$category_tree='';
foreach ($assign_media_tree as $key => $value)
	{
	$checked=(in_array($key, media::set_categories(x('id'))))?' checked':'';
	$checkbox=forms::checkbox("category_{$key}", 0, $key, $checked, "onclick='assign_category_to_set({$key}, ".x('id').");'", 0, 0);
	$category_tree.="<tr><td class='label".(ooe($i+=1)?'':'_alt')."'>&nbsp;<label>{$checkbox} {$value}</label></td></tr>";
	}
echo $category_tree;
?></table></div>
</div>

<?PHP echo set_default_tab('general') ?>