<?PHP @template::ran_directly(); /* required for all templates */ ?>

<?PHP if (x('customer_id')): ?>
	<?PHP echo mod::tabs($tabs, 'orders', 'order_edit', "&id=".x('id')."&customer_id=".x('customer_id'), 'order_editor', $go_back_to_customer); ?>
<?PHP else: ?>
	<?PHP echo mod::tabs($tabs, 'orders', 'order_edit', "&id=".x('id'), 'order_editor'); ?>
<?PHP endif; ?>

<div class='tab_content' id='general' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_cart'>
		<ul>
			<li><?PHP echo $customer_link?> - <?PHP echo w('order_id'); ?><?PHP echo $order['id']; ?></li>
			<li class='right'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>
		<?PHP forms::action(); ?>
		<?PHP forms::hidden('id', 0, x('id')); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP forms::hidden('save_details', 0, 'y'); ?>
		<?PHP forms::hidden('comment_id', 0, $comment['id']); ?>
		<?PHP forms::hidden('order_id', 0, $order['id']); ?>
		<?PHP forms::hidden('user_id', 0, $order['user_id']); ?>
		<?PHP forms::hidden('user_id', 0, $order['user_id']); ?>
		<?PHP if (x('customer_id')): ?><?PHP forms::hidden('customer_id', 0, x('customer_id')); ?><?PHP endif; ?>
		<?PHP echo forms::hidden('show_tab', 0, 'general'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr> 
				<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('amount:'); forms::overlib(w('overlib_amount', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP echo sx($order['amount_display']); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('order_placed:'); forms::overlib(w('overlib_order_placed', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP echo date(config('date_format'), $order['created']); ?> <?PHP echo date(config('time_format'), $order['created']); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('order_status:'); forms::overlib(w('overlib_order_status', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('status', 0, $statuses, forms::value('status', $order['status'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('customer:'); forms::overlib(w('overlib_customer', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $customer_link; ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('user:'); forms::overlib(w('overlib_user', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $user_link; ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('order_form:'); forms::overlib(w('overlib_order_form', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $order_form_link; ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('price_sheet:'); forms::overlib(w('overlib_price_sheet', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $price_sheet_link; ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('pay_gateway:'); forms::overlib(w('overlib_pay_gateway', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $pay_gateway_link; ?></td>
			</tr>
			<?PHP if ($order['status']!='Incomplete'): ?>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('access_key:'); forms::overlib(w('overlib_access_key', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $order_confirmation; ?></td>
				</tr>
			<?PHP endif; ?>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>' style='text-align:center;' colspan='2'><?PHP w('notes:');  ?><br /><?PHP forms::textarea('notes', 0, forms::value('notes', $notes), '550px', '75px'); ?></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('click_to_save', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
</div>


<div class='tab_content' id='parts' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_cart'>
		<ul>
			<li><?PHP echo $customer_link?> - <?PHP echo w('order_id'); ?><?PHP echo $order['id']; ?></li>
			<li class='right'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper  no_top_left_border'>

		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP w('product'); ?></th>
				<th><?PHP w('qty'); ?></th>
				<th><?PHP w('setup_fee'); ?></th>
				<th><?PHP w('amount'); ?></th>
				<th><?PHP w('recurring'); ?></th>
				<th><?PHP w('tax'); ?></th>
				<!--<th><?PHP w('status'); ?></th>-->
			</tr>

			<?PHP foreach ((array)$order_parts as $unique): $data=prepare_parts($unique, $statuses); ?>
				<tr <?PHP echo $data['alt']; ?>>
					<td><?PHP echo $data['product']; ?></td>
					<td><?PHP echo $data['qty']; ?></td>
					<td><?PHP echo sx($data['setup_fee']); ?></td>
					<td><?PHP echo sx($data['amount']); ?></td>
					<td><?PHP echo sx($data['recurring']); ?></td>
					<td><?PHP echo sx($data['tax']); ?></td>
					<!--<td><?PHP echo $data['status']; ?></td>-->
				</tr>
			<?PHP endforeach; ?>

		</table>
	</div>
</div>

<?PHP echo set_default_tab('general') ?>