<?PHP @template::ran_directly(); /* required for all templates */ ?>

<?PHP echo mod::tabs($tabs, 'pay_gateways', 'pay_gateway_edit', "&id=".x('id'), 'pay_gateway_editor'); ?>


<div class='tab_content' id='logs' style='display:none;'>
	
	<?PHP errors($errors); ?>

	<?PHP if (x('log_id')): ?>
		<h1 class='tab_content_label_2col'><ul>
			<li><?PHP echo sx($gateway['name']); ?> <?PHP echo w('log_id'); ?><?PHP echo $log['id']?></li>
			<li id='text'><a class='form_button' href='<?PHP echo href('pay_gateways', 'pay_gateway_edit', array('show_tab'=>'logs', 'id'=>x('id'))); ?>'><?PHP w('go_back'); ?></a></li>
		</ul></h1>
		<div class='tab_content_wrapper no_top_left_border'>
			<table class='form_table'>
				<tr class='th'>
					<th colspan='2'></th>
				</tr>
				<tr>
					<td class='text'><?PHP w('order_id:'); forms::overlib(w('overlib_order_id', 0)); ?></td>
					<td class='label'><?PHP echo $order_link; ?></td>
				</tr>
				<tr>
					<td class='text_alt'><?PHP w('order_form:'); forms::overlib(w('overlib_order_form', 0)); ?></td>
					<td class='label_alt'><?PHP echo $order_form_link; ?></td>
				</tr>
				<tr>
					<td class='text'><?PHP w('customer:'); forms::overlib(w('overlib_customer', 0)); ?></td>
					<td class='label'><?PHP echo $customer_link; ?></td>
				</tr>
				<tr>
					<td class='text_alt'><?PHP w('user:'); forms::overlib(w('overlib_user', 0)); ?></td>
					<td class='label_alt'><?PHP echo $user_link; ?></td>
				</tr>
				<tr>
					<td class='text'><?PHP w('message:'); forms::overlib(w('overlib_message', 0)); ?></td>
					<td class='label'><?PHP forms::text('', 0, $log['message'], 0, 'largest'); ?></td>
				</tr>
				<tr>
					<td class='text_alt_top'><?PHP w('data:'); forms::overlib(w('overlib_data', 0)); ?></td>
					<td class='label_alt'><?PHP forms::textarea('', 0, $log['data'], '545px', '200px'); ?></td>
				</tr>
				<tr>
					<td class='text_top'><?PHP w('debug_form:'); forms::overlib(w('overlib_debug_form', 0)); ?></td>
					<td class='label'><?PHP forms::textarea('', 0, $debug_form, '545px', '200px'); ?></td>
				</tr>
			</table>
		</div>
	<?PHP else: ?>
			<h1 class='tab_content_label_2col tab_money'>
				<ul>
					<li><?PHP echo sx($gateway['name']); ?></li>
					<li class='right'></li>
				</ul>
			</h1>
			<?PHP if (!empty($logs)&&is_array($logs)): ?>
				<div class='tab_content_wrapper  no_top_left_border'>

				<table class='data_grid'>
					<tr class='th'>
						<th><?PHP echo $sb['id']['image']; ?><a href='<?PHP echo $sb['id']['link']; ?>'><?PHP w('id'); ?></a></th>
						<th><?PHP echo $sb['order_id']['image']; ?><a href='<?PHP echo $sb['order_id']['link']; ?>'><?PHP w('order'); ?></th>
						<th><?PHP echo $sb['customer_id']['image']; ?><a href='<?PHP echo $sb['customer_id']['link']; ?>'><?PHP w('customer'); ?></th>
						<th><?PHP echo $sb['user_id']['image']; ?><a href='<?PHP echo $sb['user_id']['link']; ?>'><?PHP w('user'); ?></th>
						<th><?PHP echo $sb['created']['image']; ?><a href='<?PHP echo $sb['created']['link']; ?>'><?PHP w('created'); ?></a></th>
						<th class='options'><?PHP w('options'); ?></th>
					</tr>
					<?PHP $m3=0; foreach ($logs as $unique): $data=prepare_log($unique); ?>
						<tr <?PHP echo $data['alt']; ?>>
							<td><?PHP echo $data['id']; ?></td>
							<td><?PHP echo $data['order']; ?></td>
							<td><?PHP echo $data['customer']; ?></td>
							<td><?PHP echo $data['user']; ?></td>
							<td><?PHP echo $data['created']; ?></td>
							<td class='options'><?PHP echo $data['delete']; ?> / <?PHP echo $data['view']; ?></td>
						</tr>
					<?PHP endforeach; ?>
				</table>
				<?PHP echo $pagination_logs; ?>
				</div>
			<?PHP else: ?>
				<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_logs_found', 0); ?></p></div>
			<?PHP endif; ?>

	<?PHP endif; ?>
</div>


<div class='tab_content' id='assign' style='display:none;'>
	<?PHP errors($errors); ?>
		<div id='assign_tab_errors'></div>
		<h1 class='tab_content_label_2col tab_money'>
			<ul>
				<li><?PHP echo sx($gateway['name']); ?></li>
				<li class='right'></li>
			</ul>
		</h1>
		<div class='tab_content_wrapper_wp'>
			<table class='form_table'><?PHP
		$tree='';
		$order_forms=order_forms::get_all();
		foreach ($order_forms as $order_form)
			{
			$checked=(pay_gateways::isset_gateway_jorder_form(x('id'), $order_form['id']))?' checked':'';
			$checkbox=forms::checkbox("target_{$order_form['id']}", 0, $order_form['id'], $checked, "onclick='assign_gateway2order_form(".x('id').", {$order_form['id']});'", 0, 0);

			$is_default=w('make_gateway_default', 0);
			$link=href('order_forms','order_form_edit', array('id'=>$order_form['id'], 'default_pay_gateway_id'=>$gateway['id'], 'show_tab'=>'general'));
			if ($order_form['default_pay_gateway_id']==$gateway['id'])
				{
				$is_default="{$gateway['name']} ".w('is_default_gateway', 0);
				}

			$tree.="<tr><td class='label".((ooe($m3+=1))?'':'_alt')."'>&nbsp;&nbsp;<label>{$checkbox} {$order_form['name']}</label> ( <a href='{$link}'>{$is_default}</a> )</td></tr>";
			}
		echo sx($tree);
		?></table>
		</div>
</div>


<div class='tab_content' id='general' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_money'>
		<ul>
			<li><?PHP echo sx($gateway['name']); ?></li>
			<li class='right'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>
		<?PHP forms::action(); ?>
		<?PHP forms::hidden('id', 0, x('id')); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP forms::hidden('save_gateway', 0, 'y'); ?>
		<?PHP echo forms::hidden('show_tab', 0, 'general'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=0); ?>'><?PHP  w('gateway:'); forms::overlib(w('overlib_gateway', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><b><?PHP echo $gateway['gateway']; ?></b></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP  w('name:'); forms::overlib(w('overlib_name', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('name', 0, forms::value('name', $gateway['name'])); ?></td>
			</tr>
			<?PHP if (is_array($pay_gateway_specific_templates)&&!empty($pay_gateway_specific_templates)): ?>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('pay_gateway_specific_emails:'); forms::overlib(w('overlib_pay_gateway_specific_emails', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><div class='scroll' style='width: 450px; height: 75px;'><?PHP foreach($pay_gateway_specific_templates as $unique): ?>
						<?PHP $data=prepare_pay_gateway_specific($unique, $assigned_pay_gateway_specific_templates) ?>
						<label><?PHP echo $data['checkbox']?> <?PHP echo $data['subject']?></label><br />
					<?PHP endforeach; ?></div></td>
				</tr>
			<?PHP endif; ?>
		</table>
		<?PHP if (file_exists($m3_pp="modules/pay_gateways/modules/{$gateway['gateway']}/view/admin.php")): ?>
			<?PHP include_once $m3_pp; ?>
		<?PHP endif; ?>
			<table class='form_table'>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
	<?PHP if (file_exists($m3_pp="modules/pay_gateways/modules/{$gateway['gateway']}/view/gateway_notes.php")&&!isset($skip_notes)): ?>
		<br /><br /><div class='notice_static'><?PHP include_once $m3_pp; ?></div>
	<?PHP endif; ?>
</div>

<?PHP echo set_default_tab('general') ?>