<?PHP @template::ran_directly(); /* required for all templates */ ?>

<div class='tab_content hundred_percent' id='logs' style='display:none;'>
	
	<?PHP errors($errors); ?>

	<?PHP if (x('log_id')): ?>
		<h1 class='tab_content_label_2col tab_money'>
			<ul>
				<li><?PHP w('gateway_log'); ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;( <a href='<?PHP echo $back?>'>&laquo;&laquo;&laquo;</a> <a href='<?PHP echo $forward?>'>&raquo;&raquo;&raquo;</a> )</li>
				<li class='right'><a class='form_button' href='<?PHP echo href('pay_gateways', 'pay_gateway_editor', array('show_tab'=>'logs', 'id'=>x('id'))); ?>'><?PHP w('go_back'); ?></a></li>
			</ul>
		</h1>
		<div class='tab_content_wrapper no_top_left_border'>
			<table class='form_table'>
				<tr class='th'>
					<th colspan='2'></th>
				</tr>
				<tr>
					<td class='text'><?PHP w('order_id:'); forms::overlib(w('overlib_order_id', 0)); ?></td>
					<td class='label'><?PHP echo $order_link; ?></td>
				</tr>
				<tr>
					<td class='text_alt'><?PHP w('order_form:'); forms::overlib(w('overlib_order_form', 0)); ?></td>
					<td class='label_alt'><?PHP echo $order_form_link; ?></td>
				</tr>
				<tr>
					<td class='text'><?PHP w('customer:'); forms::overlib(w('overlib_customer', 0)); ?></td>
					<td class='label'><?PHP echo $customer_link; ?></td>
				</tr>
				<tr>
					<td class='text_alt'><?PHP w('user:'); forms::overlib(w('overlib_user', 0)); ?></td>
					<td class='label_alt'><?PHP echo $user_link; ?></td>
				</tr>
				<tr>
					<td class='text'><?PHP w('log_message:'); forms::overlib(w('overlib_log_message', 0)); ?></td>
					<td class='label'><?PHP forms::text('', 0, $log['message'], 0, 'largest'); ?></td>
				</tr>
				<tr>
					<td class='text_alt_top'><?PHP w('data:'); forms::overlib(w('overlib_data', 0)); ?></td>
					<td class='label_alt'><?PHP forms::textarea('', 0, $log['data'], '545px', '200px'); ?></td>
				</tr>
				<tr>
					<td class='text_top'><?PHP w('debug_form:'); forms::overlib(w('overlib_debug_form', 0)); ?></td>
					<td class='label'><?PHP forms::textarea('', 0, $debug_form, '545px', '200px'); ?></td>
				</tr>
			</table>
		</div>
	<?PHP else: ?>
		<h1 class='tab_content_label_2col tab_money'>
			<ul>
				<li><?PHP echo w('all_gateway_logs'); ?></li>
				<li class='right'><a class='form_button' href='<?PHP echo href('pay_gateways', 'pay_gateway_editor', array('show_tab'=>'manage_existing')); ?>'><?PHP w('go_back'); ?></a></li>
			</ul>
		</h1>
			<?PHP if (!empty($logs)&&is_array($logs)): ?>
				<div class='tab_content_wrapper  no_top_left_border'>

				<table class='data_grid'>
					<tr class='th'>
						<th><?PHP echo $sb['id']['image']; ?><a href='<?PHP echo $sb['id']['link']; ?>'><?PHP w('id'); ?></a></th>
						<th><?PHP echo $sb['pay_gateway_id']['image']; ?><a href='<?PHP echo $sb['pay_gateway_id']['link']; ?>'><?PHP w('gateway'); ?></th>
						<th><?PHP echo $sb['order_id']['image']; ?><a href='<?PHP echo $sb['order_id']['link']; ?>'><?PHP w('order'); ?></th>
						<th><?PHP echo $sb['customer_id']['image']; ?><a href='<?PHP echo $sb['customer_id']['link']; ?>'><?PHP w('customer'); ?></th>
						<th><?PHP echo $sb['user_id']['image']; ?><a href='<?PHP echo $sb['user_id']['link']; ?>'><?PHP w('user'); ?></th>
						<th><?PHP echo $sb['created']['image']; ?><a href='<?PHP echo $sb['created']['link']; ?>'><?PHP w('created'); ?></a></th>
						<th class='options'><?PHP w('options'); ?></th>
					</tr>
					<?PHP $m3=0; foreach ($logs as $unique): $data=prepare_log($unique); ?>
						<tr <?PHP echo $data['alt']; ?>>
							<td><?PHP echo $data['id']; ?></td>
							<td><?PHP echo $data['gateway']; ?></td>
							<td><?PHP echo $data['order']; ?></td>
							<td><?PHP echo $data['customer']; ?></td>
							<td><?PHP echo $data['user']; ?></td>
							<td><?PHP echo $data['created']; ?></td>
							<td class='options'><?PHP echo $data['delete']; ?> / <?PHP echo $data['view']; ?></td>
						</tr>
					<?PHP endforeach; ?>
				</table>
				<?PHP echo $pagination_logs; ?>
				</div>
			<?PHP else: ?>
				<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_logs_found', 0); ?></p></div>
			<?PHP endif; ?>
	<?PHP endif; ?>
</div>

<div class='tab_content hundred_percent' id='add_new' style='display:none;'>
	<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_money_add'>
		<ul>
			<li><?PHP echo w('add_new_pay_gateway'); ?></li>
			<li class='right'><a class='form_button' href='<?PHP echo href('pay_gateways', 'pay_gateway_editor', array('show_tab'=>'manage_existing')); ?>'><?PHP w('installed_pay_gateways'); ?></a></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>

		<?PHP forms::action(); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP forms::hidden('show_tab', 0, 'add_new'); ?>
		<?PHP forms::hidden('add_new', 0, 'y'); ?>

		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text'><?PHP  w('name:'); forms::overlib(w('overlib_name', 0)); ?></td>
				<td class='label'><?PHP forms::text('name', 0, forms::value('name')); ?></td>
			</tr>
			<tr>
				<td class='text_alt'><?PHP  w('gateway:'); forms::overlib(w('overlib_gateway', 0)); ?></td>
				<td class='label_alt'><?PHP forms::select('gateway', 0, $available_gateways, forms::value('gateway')); ?></td>
			</tr>
			<tr>
				<td class='text'><?PHP  w('email_configuration_id:'); forms::overlib(w('overlib_email_configuration_id_gateways', 0)); ?></td>
				<td class='label'><?PHP forms::select('email_configuration_id', 0, $email_configurations, forms::value('email_configuration_id')); ?></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('add_new', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
</div>

<div class='tab_content hundred_percent' id='manage_existing' style='display:none;'>
<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_money'>
		<ul>
			<li><?PHP echo w('installed_pay_gateways'); ?></li>
			<li class='right'><a class='form_button' href='<?PHP echo href('pay_gateways', 'pay_gateway_editor', array('show_tab'=>'logs')); ?>'><?PHP w('view_logs'); ?></a> <a class='form_button' href='<?PHP echo href('pay_gateways', 'pay_gateway_editor', array('show_tab'=>'add_new')); ?>'><?PHP w('add_gateway'); ?></a></li>
		</ul>
	</h1>
	<?PHP if (!empty($pay_gateways)&&is_array($pay_gateways)): ?>
		<div class='tab_content_wrapper  no_top_left_border'>
		<?PHP forms::action(false, 'POST', "onsubmit='return confirm(\"".w('sure_you_want_to_remove_gateway', 0)."\");'"); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>

		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP forms::checkbox('checkbox_selector', 0, '', 0, "onclick='toggle_checkboxes(\"#manage_existing\");'"); ?></th>
				<th><?PHP echo $s['id']['image']; ?><a href='<?PHP echo $s['id']['link']; ?>'><?PHP w('id'); ?></a></th>
				<th><?PHP echo $s['name']['image']; ?><a href='<?PHP echo $s['name']['link']; ?>'><?PHP w('name'); ?></a></th>
				<th><?PHP echo $s['gateway']['image']; ?><a href='<?PHP echo $s['gateway']['link']; ?>'><?PHP w('gateway'); ?></a></th>
				<th><?PHP echo $s['created']['image']; ?><a class='on' href='<?PHP echo $s['created']['link']; ?>'><?PHP w('created'); ?></a></th>
				<th class='options'><?PHP w('options'); ?></th>
			</tr>
			<tr id='controls' style='display:none;'>
				<th colspan='6'><?PHP forms::submit(0, 0, w('click_to_remove', 0), 0, 'submit', 1); ?> - or - <a href='<?PHP echo href('pay_gateways', 'pay_gateway_editor', array('show_tab'=>'manage_existing')); ?>'><?PHP w('click_to_close'); ?></a></th>
			</tr>

		<?PHP foreach ($pay_gateways as $unique): $data=prepare($unique); ?>

			<tr <?PHP echo $data['alt']; ?>>
				<td><?PHP echo $data['checkbox']; ?></td>
				<td><?PHP echo $data['id']; ?></td>
				<td><?PHP echo sx($data['name']); ?></td>
				<td><?PHP echo $data['gateway']; ?></td>
				<td><?PHP echo $data['created']; ?></td>
				<td class='options'><?PHP echo $data['remove']; ?> / <?PHP echo $data['manage']; ?></td>
			</tr>

		<?PHP endforeach; ?>

		</table>
		</form>
		<?PHP echo $pagination; ?>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_pay_gateways_installed', 0); ?></p></div>
	<?PHP endif; ?>
</div>

<?PHP echo set_default_tab('manage_existing') ?>