<?PHP @template::ran_directly(); /* required for all templates */ ?>


<div class='tab_content hundred_percent' id='add_new' style='display:none;'>
<?PHP errors($errors); ?>

<h1 class='tab_content_label_2col tab_table_add'>
	<ul>
		<li><?PHP echo w('add_a_new_price_sheet'); ?></li>
		<li id='text'><a class='form_button' href='<?PHP echo href('price_sheets', 'price_sheet_editor', array('show_tab'=>'manage_existing')); ?>'><?PHP w('go_back'); ?></a></li>
	</ul>
</h1>
<div class='tab_content_wrapper no_top_left_border'>

	<?PHP echo forms::action(); ?>
	<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
	<?PHP echo forms::hidden('task', 0, x('task')); ?>
	<?PHP echo forms::hidden('show_tab', 0, 'add_new'); ?>
	<table class='form_table'>
		<tr class='th'>
			<th colspan='2'></th>
		</tr>
		<tr>
			<td class='text'><?PHP w('currency_id:'); forms::overlib(w('overlib_currency_id', 0)); ?></td>
			<td class='label'><?PHP forms::select('currency_id', 0, currency::make_select(), forms::value('currency_id'), "onchange='set_currency_label();'"); ?></td>
		</tr>
		<tr>
			<td class='text_alt'><?PHP w('base_on:'); forms::overlib(w('overlib_base_on', 0)); ?></td>
			<td class='label_alt'><?PHP forms::select('base_on', 0, $price_sheet_select, forms::value('base_on')); ?></td>
		</tr>
		<tr>
			<td class='text'><?PHP w('name:'); forms::overlib(w('overlib_name', 0)); ?></td>
			<td class='label'><?PHP forms::text('name', 0, forms::value('name')); ?></td>
		</tr>
		<tr>
			<td class='text_alt'><?PHP w('discount_percentage:'); forms::overlib(w('overlib_discount_percentage', 0)); ?></td>
			<td class='label_alt'><?PHP forms::text('discount_percentage', 0, forms::value('discount_percentage'), false, 'small'); ?> %</td>
		</tr>
		<tr>
			<td class='text'><?PHP w('start_date:'); forms::overlib(w('overlib_start_date', 0)); ?></td>
			<td class='label'><?PHP forms::text('start_date', 0, forms::value('start_date'), false, 'date datepicker'); ?> <?PHP echo w('mm/dd/yyyy'); ?></td>
		</tr>
		<tr>
			<td class='text_alt'><?PHP w('end_date:'); forms::overlib(w('overlib_end_date', 0)); ?></td>
			<td class='label_alt'><?PHP forms::text('end_date', 0, forms::value('end_date'), false, 'date datepicker'); ?> <?PHP echo w('mm/dd/yyyy'); ?></td>
		</tr>
		<tr>
			<td class='text'><?PHP w('sheet_type:'); forms::overlib(w('overlib_sheet_type', 0)); ?></td>
			<td class='label'><?PHP forms::select('type', 0, price_sheet::types(), forms::value('type'), "onchange='toggle_sheet_type(false);'"); ?></td>
		</tr>
	</table> 
	<div id='exchange_rate' style='display:none;'>
		<table class='form_table'>
			<tr>
				<td class='text_alt'><?PHP w('exchange_rate:'); forms::overlib(w('overlib_exchange_rate', 0)); ?></td>
				<td class='label_alt'>1 <?PHP echo $default_currency['alpha']; ?> = <?PHP forms::text('exchange_rate', 0, forms::value('exchange_rate'), false, 'small'); ?> <label id='selected_currency'></label></td>
			</tr>
		</table>
	</div>
	<table class='form_table'>
		<tr>
			<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('add_price_sheet', 0), 0, 'submit', 1); ?></td>
		</tr>
	</table>
	<script> toggle_sheet_type(); set_currency_label(); </script>
	</form>
</div>
</div>

<div class='tab_content hundred_percent' id='manage_existing' style='display:none;'>
<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_table'>
		<ul>
			<li><?PHP echo w('existing_price_sheets'); ?></li>
			<li id='text'><a class='form_button' href='<?PHP echo href('price_sheets', 'price_sheet_editor', array('show_tab'=>'add_new')); ?>'><?PHP w('add_price_sheet'); ?></a></li>
		</ul>
	</h1>
	<?PHP if (!empty($price_sheets)&&is_array($price_sheets)): ?>
		<div class='tab_content_wrapper  no_top_left_border'>
		<?PHP forms::action(false, 'POST', "onsubmit='return confirm(\"".w('sure_you_want_to_delete_price_sheet', 0)."\");'"); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>

		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP forms::checkbox('checkbox_selector', 0, '', 0, "onclick='toggle_checkboxes(\"#manage_existing\");'"); ?></th>
				<th><?PHP echo $s['id']['image']; ?><a href='<?PHP echo $s['id']['link']; ?>'><?PHP w('id'); ?></a></th>
				<th><?PHP echo $s['currency_id']['image']; ?><a href='<?PHP echo $s['currency_id']['link']; ?>'><?PHP w('currency'); ?></a></th>
				<th><?PHP echo $s['name']['image']; ?><a href='<?PHP echo $s['name']['link']; ?>'><?PHP w('name'); ?></a></th>
				<th><?PHP echo $s['type']['image']; ?><a href='<?PHP echo $s['type']['link']; ?>'><?PHP w('type'); ?></a></th>
				<th class='options'><?PHP w('options'); ?></th>
			</tr>
			<tr id='controls' style='display:none;'>
				<th colspan='6'><?PHP forms::submit(0, 0, w('click_to_delete', 0), 0, 'submit', 1); ?> - or - <a href='<?PHP echo href('users', 'user_editor', array('show_tab' => 'manage_existing')); ?>'><?PHP w('click_to_close'); ?></a></th>
			</tr>

		<?PHP foreach ($price_sheets as $price_sheet): $data=prepare($price_sheet); ?>

			<tr <?PHP echo $data['alt']; ?>>
				<td><?PHP echo $data['checkbox']; ?></td>
				<td><?PHP echo $data['id']; ?></td>
				<td><?PHP echo $data['currency']; ?></td>
				<td><?PHP echo $data['name']; ?></td>
				<td><?PHP echo $data['type']; ?></td>
				<td class='options'><?PHP echo $data['delete']; ?> / <?PHP echo $data['manage']; ?></td>
			</tr>

		<?PHP endforeach; ?>

		</table>
		</form>
		<?PHP echo $pagination; ?>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_price_sheets_found', 0); ?></p></div>
	<?PHP endif; ?>
</div>

<?PHP echo set_default_tab('manage_existing') ?>