<?PHP @template::ran_directly(); /* required for all templates */ ?>


<div class='tab_content hundred_percent' id='regions' style='display:none;'>
<?PHP errors($errors); ?>

	<?PHP if (x('add_region')): ?>
		<h1 class='tab_content_label_2col tab_world_add'>
			<ul>
				<li><?PHP echo w('add_new_region'); ?></li>
				<li class='right'><a class='form_button' href='<?PHP echo href('settings', 'regions', array('show_tab'=>'regions')); ?>'><?PHP w('go_back'); ?></a></li>
			</ul>
		</h1>
		<div class='tab_content_wrapper no_top_left_border'>
			<?PHP echo forms::action(); ?>
			<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
			<?PHP echo forms::hidden('task', 0, x('task')); ?>
			<?PHP echo forms::hidden('show_tab', 0, 'regions'); ?>
			<?PHP echo forms::hidden('add_region', 0, 'y'); ?>
			<?PHP echo forms::hidden('add_new_region', 0, 'y'); ?>
			<table class='form_table'>
				<tr class='th'>
					<th colspan='2'></th>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('region:'); forms::overlib(w('overlib_region', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('region', 0, forms::value('region')); ?> <?PHP forms::submit(0, 0, w('add_new', 0), 0, 'submit_nm', 1); ?></td>
				</tr>
			</table>
			</form>
		</div>
	<?PHP elseif (x('assign_regions')): ?>
		<div id='ajax_region_errors'></div>
		<h1 class='tab_content_label_2col tab_world_edit'>
			<ul>
				<li><?PHP echo w('define_regions_for'); ?> <b><?PHP echo $countries[x('id')]?></b></li>
				<li id='text'><a class='form_button' href='<?PHP echo href('settings', 'regions', array('show_tab'=>'regions')); ?>'><?PHP w('go_back'); ?></a></li>
			</ul>
		</h1>
		<div class='tab_content_wrapper  no_top_left_border'>
		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP echo w('regions_notice', 0); ?></th>
				<th class='options'><?PHP w('options'); ?></th>
			</tr>
			<?PHP $m3=0; foreach($regions as $key => $value): $data=prepare_regions($key, $value, x('id'), $assigned_regions); ?>
				<tr <?PHP echo $data['alt']; ?>>
					<td>&nbsp;<label><?PHP echo $data['checkbox']?> <?PHP echo $data['region']?></label></td>
					<td style='text-align: right;'>[ <?PHP echo $data['delete']?> ]</td>
				</tr>
			<?PHP endforeach; ?>
		</table>
		</div>
	<?PHP else: ?>
		<h1 class='tab_content_label_2col tab_world'>
			<ul>
				<li><?PHP echo w('define_regions_for_countries'); ?></li>
				<li id='text'><a href='<?PHP echo href('settings', 'regions', array('show_tab' => 'regions', 'add_region' => 'y')); ?>' class='form_button'><?PHP w('add_new_region'); ?></a></li>
			</ul>
		</h1> 

		<?PHP if (!empty($countries)&&is_array($countries)): ?>
			<div class='tab_content_wrapper  no_top_left_border'>
			<?PHP forms::action(); ?>
			<?PHP forms::hidden('mod', 0, x('mod')); ?>
			<?PHP forms::hidden('task', 0, x('task')); ?>

			<table class='data_grid'>
				<tr class='th'>
					<th><?PHP echo $s['name']['image']; ?><a href='<?PHP echo $s['name']['link']; ?>'><?PHP w('name'); ?></a></th>
					<th class='options'><?PHP w('options'); ?></th>
				</tr>
				<?PHP $m3=0; foreach ($countries as $key => $value): $data=prepare_countries($key, $value); ?>
					<tr <?PHP echo $data['alt']; ?>>
						<td><?PHP echo $data['name']; ?></td>
						<td class='options'><?PHP echo $data['assign_regions']; ?></td>
					</tr>
				<?PHP endforeach; ?>
			</table>
			</form>
			<?PHP echo $pagination_countries; ?>
			</div>
		<?PHP endif; ?>
	<?PHP endif; ?>
</div>

<?PHP echo set_default_tab('regions') ?>