<?PHP @template::ran_directly(); /* required for all templates */ ?>

<div class='tab_content hundred_percent' id='add_new' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_coins_add'>
		<ul>
			<li><?PHP echo w('add_a_new_tax_rule'); ?></li>
			<li class='right'><a class='form_button' href='<?PHP echo href('taxes', 'tax_editor', array('show_tab'=>'manage_existing')); ?>'><?PHP w('go_back'); ?></a></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>

		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
		<?PHP echo forms::hidden('task', 0, x('task')); ?>
		<?PHP echo forms::hidden('show_tab', 0, 'add_new'); ?>
		<?PHP echo forms::hidden('add_new', 0, 'y'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('name:'); forms::overlib(w('overlib_name', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('name', 0, forms::value('name')); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('display_name:'); forms::overlib(w('overlib_display_name', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('display_name', 0, forms::value('display_name')); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('rate:'); forms::overlib(w('overlib_rate', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('rate', 0, forms::value('rate'), 0, 'money'); ?> %</td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('add_new', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>

	</div>
</div>

<div class='tab_content hundred_percent' id='manage_existing' style='display:none;'>
<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_coins'>
		<ul>
			<li><?PHP echo w('existing_tax_rules'); ?></li>
			<li class='right'><a class='form_button' href='<?PHP echo href('taxes', 'tax_editor', array('show_tab'=>'add_new')); ?>'><?PHP w('add_tax_rule'); ?></a></li>
		</ul>
	</h1>
	<?PHP if (!empty($taxes)&&is_array($taxes)): ?>
		<div class='tab_content_wrapper  no_top_left_border'>
		<?PHP forms::action(false, 'POST', "onsubmit='return confirm(\"".w('sure_you_want_to_delete', 0)."\");'"); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>

		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP forms::checkbox('checkbox_selector', 0, '', 0, "onclick='toggle_checkboxes(\"#manage_existing\");'"); ?></th>
				<th><?PHP echo $s['id']['image']; ?><a href='<?PHP echo $s['id']['link']; ?>'><?PHP w('id'); ?></a></th>
				<th><?PHP echo $s['name']['image']; ?><a href='<?PHP echo $s['name']['link']; ?>'><?PHP w('tax_rule_name'); ?></a></th>
				<th><?PHP echo $s['display_name']['image']; ?><a href='<?PHP echo $s['display_name']['link']; ?>'><?PHP w('display_name'); ?></a></th>
				<th><?PHP echo $s['rate']['image']; ?><a href='<?PHP echo $s['rate']['link']; ?>'><?PHP w('rate'); ?></a></th>
				<th><?PHP echo $s['created']['image']; ?><a href='<?PHP echo $s['created']['link']; ?>'><?PHP w('created'); ?></a></th>
				<th class='options'><?PHP w('options'); ?></th>
			</tr>
			<tr id='controls' style='display:none;'>
				<th colspan='7'><?PHP forms::submit(0, 0, w('click_to_delete', 0), 0, 'submit', 1); ?> - or - <a href='<?PHP echo href('taxes', 'tax_editor', array('show_tab' => 'manage_existing')); ?>'><?PHP w('click_to_close'); ?></a></th>
			</tr>
			<?PHP $m3=0; foreach ($taxes as $unique): $data=prepare($unique); ?>
				<tr <?PHP echo $data['alt']; ?>>
					<td><?PHP echo $data['checkbox']; ?></td>
					<td><?PHP echo $data['id']; ?></td>
					<td><?PHP echo $data['name']; ?></td>
					<td><?PHP echo $data['display_name']; ?></td>
					<td><?PHP echo $data['rate']; ?></td>
					<td><?PHP echo $data['created']; ?></td>
					<td class='options'><?PHP echo $data['delete']; ?> / <?PHP echo $data['manage']; ?></td>
				</tr>
			<?PHP endforeach; ?>
		</table>
		</form>
		<?PHP echo $pagination; ?>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_tax_rules_found', 0); ?></p></div>
	<?PHP endif; ?>
</div>

<?PHP echo set_default_tab('manage_existing') ?>