<?PHP $session=@template::ran_directly($session); ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE8">
	<title>SPBAS - <?PHP echo sx($session['page_title']) ?></title>
	<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
	<meta name="robots" content="NOINDEX, NOFOLLOW"/>
	<meta name="generator" content="Kate ( http://kate-editor.org )">

	<?PHP if ($session['admin']['profile']['wysiwyg']): ?>
		<!-- TinyMCE -->
		<script type="text/javascript" src="view/javascript/tinymce/jscripts/tiny_mce/tiny_mce.js"></script>
		<script type="text/javascript">
			tinyMCE.init({
				// General options
				mode : <?PHP echo ($wysiwyg_exact)?"'exact'":"'textareas'"; ?>,
				<?PHP echo ($wysiwyg_exact)?"elements : '{$wysiwyg_exact}',":''; ?>
				theme : "simple"
			});
		</script>
		<!-- /TinyMCE -->
	<?PHP endif; ?>

	<!-- jQuery -->
	<script type="text/javascript" src="view/javascript/jquery/jquery-1.5.1.min.js"></script>	
	<script type="text/javascript" src="view/javascript/jquery/jquery.cookie.js"></script> 
	<script type="text/javascript" src="view/javascript/jquery-ui/js/jquery.ui.core.min.js"></script> 
	<script type="text/javascript" src="view/javascript/jquery-ui/js/jquery.ui.widget.min.js"></script> 
	<script type="text/javascript" src="view/javascript/jquery-ui/js/effects/jquery.ui.mouse.min.js"></script> 
	<script type="text/javascript" src="view/javascript/jquery-ui/js/effects/jquery.ui.draggable.min.js"></script> 
	<script type="text/javascript" src="view/javascript/jquery-ui/js/effects/jquery.ui.resizable.min.js"></script> 
	<script type="text/javascript" src="view/javascript/jquery-ui/js/effects/jquery.ui.dialog.min.js"></script> 
	<script type="text/javascript" src="view/javascript/jquery-ui/js/effects/jquery.ui.sortable.min.js"></script> 

	<!-- Superfish: http://users.tpg.com.au/j_birch/plugins/superfish/#download -->
	<link rel="stylesheet" type="text/css" href="view/javascript/superfish/css/superfish.css" media="screen">
	<script type="text/javascript" src="view/javascript/superfish/js/hoverIntent.js"></script>
	<script type="text/javascript" src="view/javascript/superfish/js/superfish.js"></script>
	<script type="text/javascript" src="view/javascript/superfish/js/supersubs.js"></script>
	<script type="text/javascript"> 
		$(document).ready(function(){ 
				$("ul.sf-menu").supersubs({ 
					minWidth:    12,   // minimum width of sub-menus in em units 
					maxWidth:    27,   // maximum width of sub-menus in em units 
					extraWidth:  2     // extra width can ensure lines don't sometimes turn over 
									// due to slight rounding differences and font-family 
				}).superfish({dropShadows:true});  // call supersubs first, then superfish, so that subs are 
								// not display:none when measuring. Call before initialising 
								// containing tabs for same reason. 
			}); 
	</script>

	<!-- jQuery UI -->	
	<link rel="stylesheet" href="view/javascript/jquery-ui/themes/base/jquery.ui.all.css">
	<script type="text/javascript" src="view/javascript/jquery-ui/js/effects/jquery.effects.core.min.js"></script>
	<script type="text/javascript" src="view/javascript/jquery-ui/js/effects/jquery.effects.shake.min.js"></script>
	<script type="text/javascript" src="view/javascript/jquery-ui/js/effects/jquery.effects.slide.min.js"></script>
	<script type="text/javascript" src="view/javascript/jquery-ui/js/effects/jquery.effects.highlight.min.js"></script>
	<script type="text/javascript" src="view/javascript/jquery-ui/js/effects/jquery.ui.widget.min.js"></script>
	<script type="text/javascript" src="view/javascript/jquery-ui/js/effects/jquery.ui.position.min.js"></script>
	<script type="text/javascript" src="view/javascript/jquery-ui/js/effects/jquery.ui.datepicker.min.js"></script>
	<script type="text/javascript" src="view/javascript/jquery-ui/js/effects/jquery.ui.autocomplete.min.js"></script>

	<!-- jQuery Round Corners -->
	<script type="text/javascript" src="view/javascript/jquery/jquery.corner.js"></script>
 
	<!-- Select boxes -->
	<script type="text/javascript" src="view/javascript/selectbox/jquery.selectBox.js"></script>
	<link rel="stylesheet" href="view/javascript/selectbox/jquery.selectBox.css">


	<!-- SPBAS Styling -->
	<link rel='stylesheet' type='text/css' href='view/css/style.css' />
	<link rel="shortcut icon" href="favicon.ico" type="image/x-icon" />
	<link rel="icon" href="favicon.ico" type="image/x-icon" />

	<!--[if IE]>
	<link rel="stylesheet" href="view/css/ie.css" type="text/css" />
	<![endif]-->


	<?PHP echo localize_js("view/javascript/application.js"); ?>
	<?PHP echo template::load_js_css($mod, 'modules/'); ?>

</head>

<body>
<div id='content_wrapper_main'>
<ul id='top_menu'>
	<li>
		<a class='logo' href='<?PHP echo href('dashboard','index'); ?>'><img src='view/images/spbas_admin.gif' /></a>
		<div id='new_version_a' class='version'><a href='#' id='new_version_url' class='new_version_available' target='_BLANK'>New Version Available!</a></div>
		<img id='new_version_b' class='top_nav_arrow' src='view/images/top_nav_arrow_inner.gif' />
		<div class='welcome_admin'>
			<a class='standard_link' title='<?PHP echo $session['admin']['first_name']; ?> <?PHP echo $session['admin']['last_name']; ?>' href='<?PHP echo href('admin', 'admin_edit', array('show_tab' => 'profile')); ?>'><img id='top_menu_profile_pic' src='index.php?mod=admin&task=profile_pic&alias=<?PHP echo md5($session['admin']['id'])?>&size=16' /> <?PHP w('welcome'); ?> <?PHP echo sx($session['admin']['first_name']); ?>!</a>
		</div>

		<img src='view/images/top_nav_arrow.gif' />
	</li>
	<li class='right'>
		<a class='logout' href='index.php?mod=logout'></a>

		<img class='top_menu_separator' src='view/images/top_menu_separator.gif' />
		<label class='standard_link top_date'><?PHP echo top_nav_date(); ?></label>
	</li>
</ul>
<div id='main_menu'>
	<?PHP echo $session['top_menu']; ?>
</div>
<div id='top_menu_search'>
	<?PHP forms::action(); ?>
	<?PHP forms::hidden('mod', 0, 'search'); ?>
	<?PHP forms::hidden('task', 0, 'index'); ?>
		<img src='view/images/loading.gif' id='loading_search' />
		<input type='text' id='search' name='quick_search' onkeyup='global_search(); return false;' autocomplete='off' />
	</form>
</div>
<div style='clear:both'></div>
<div id='global_search_results' style='display:none;'></div>
<div id='content_body'>