<?PHP @template::ran_directly(); ?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title><?PHP echo $title; ?></title>
	<meta name="robots" content="NOINDEX, NOFOLLOW"/>
	<meta name="generator" content="Kate ( http://kate-editor.org )">
	
	<link rel='stylesheet' type='text/css' href='view/css/print.css' />

	<!-- jQuery -->
	<script type="text/javascript" src="view/javascript/jquery/jquery-1.5.1.min.js"></script>	
	<script type="text/javascript" src="view/javascript/jquery/jquery.cookie.js"></script> 
	<script type="text/javascript" src="view/javascript/jquery-ui/js/jquery.ui.core.min.js"></script> 
	<script type="text/javascript" src="view/javascript/jquery-ui/js/jquery.ui.widget.min.js"></script> 
	<script type="text/javascript" src="view/javascript/jquery-ui/js/effects/jquery.ui.mouse.min.js"></script> 
	<script type="text/javascript" src="view/javascript/jquery-ui/js/effects/jquery.ui.draggable.min.js"></script> 
	<script type="text/javascript" src="view/javascript/jquery-ui/js/effects/jquery.ui.resizable.min.js"></script> 
	<script type="text/javascript" src="view/javascript/jquery-ui/js/effects/jquery.ui.dialog.min.js"></script> 
	<script type="text/javascript" src="view/javascript/jquery-ui/js/effects/jquery.ui.sortable.min.js"></script> 

	<!-- jQuery UI -->	
	<link rel="stylesheet" href="view/javascript/jquery-ui/themes/base/jquery.ui.all.css">
	<script type="text/javascript" src="view/javascript/jquery-ui/js/effects/jquery.effects.core.min.js"></script>
	<script type="text/javascript" src="view/javascript/jquery-ui/js/effects/jquery.effects.shake.min.js"></script>
	<script type="text/javascript" src="view/javascript/jquery-ui/js/effects/jquery.effects.slide.min.js"></script>
	<script type="text/javascript" src="view/javascript/jquery-ui/js/effects/jquery.effects.highlight.min.js"></script>
	<script type="text/javascript" src="view/javascript/jquery-ui/js/effects/jquery.ui.widget.min.js"></script>
	<script type="text/javascript" src="view/javascript/jquery-ui/js/effects/jquery.ui.position.min.js"></script>
	<script type="text/javascript" src="view/javascript/jquery-ui/js/effects/jquery.ui.datepicker.min.js"></script>
	<script type="text/javascript" src="view/javascript/jquery-ui/js/effects/jquery.ui.autocomplete.min.js"></script>
 
	<!-- Select boxes -->
	<script type="text/javascript" src="view/javascript/selectbox/jquery.selectBox.js"></script>
	<link rel="stylesheet" href="view/javascript/selectbox/jquery.selectBox.css">


	<?PHP echo localize_js("view/javascript/application.js"); ?>
	<?PHP echo template::load_js_css($mod, 'modules/'); ?>


	<link rel="shortcut icon" href="favicon.ico" type="image/x-icon" />
	<link rel="icon" href="favicon.ico" type="image/x-icon" />



	<?PHP if ($session['admin']['profile']['wysiwyg']): ?>
		<!-- TinyMCE -->
		<script type="text/javascript" src="view/javascript/tinymce/jscripts/tiny_mce/tiny_mce.js"></script>
		<script type="text/javascript">
			tinyMCE.init({
				// General options

					 
				mode : <?PHP echo ($wysiwyg_exact)?"'exact'":"'textareas'"; ?>,
				<?PHP echo ($wysiwyg_exact)?"elements : '{$wysiwyg_exact}',":''; ?>
				theme : "simple"
			});
		</script>
		<!-- /TinyMCE -->
	<?PHP endif; ?>

	<?PHP echo template::load_js_css($mod, 'templates/modules/'); ?>

</head>

<body>