var installed_version='v3.0.1';
var installed_numeric_version='301';

function check_for_new_version()
	{
	$.getJSON('index.php?mod=dashboard&task=index&ajax=y&version_check=y').success(function(data) { 
	
	 $.each(data, function(key, val) {
			if (key=='version_numeric') {
				if (installed_numeric_version<val)
				{
				$('#new_version_a').show();
				$('#new_version_b').show();
				}
			}
			
			if (key=='url') { 
			$('#new_version_url').attr("href", val); 
			}
		});
	});
	}

function toggle_tabs(target_id, mod, task)
	{
	// hide all content tabs
	$("div.tab_content").each(function(key, value)
		{
		$(value.id).hide(200);
		});

	// set all to off
	$("#tabs a.on").each(function(key, value)
		{
		$(value.id).toggleClass('on');
		});

	// set the target tab to focus
	var target_label=target_id+'_label';

	$('#'+target_label).toggleClass('on');
	$('#'+target_id).show();
	}

function global_search()
	{
	if (!window.global_search_timer)
		{
		window.global_search_timer=Math.round(new Date().getTime() / 1000);
		var last_ran=1;
		}
	else
		{
		var poll=Math.round(new Date().getTime() / 1000);
		var last_ran=poll-global_search_timer;
		window.global_search_timer=poll;
		}
		
	$('#global_search_results').show();
	$('#loading_search').show();
	
	
	$.post("index.php?mod=search&task=index&ajax=y", { quick_search: $('#search').val()  },  
	function( data ) 
		{ 
		if (last_ran>=1)
			{
			$( "#global_search_results" ).html( data ); 
			}

		$("#loading_search").hide(); 
		} );
	}


function modalbox(use, target_width, redirect)
	{
	$(function (){
		var url = use.href; 
		var title = use.title;
		var dialog = $("#dialog");
		if ($("#dialog").length == 0) {
			dialog = $('<div id="dialog" title="'+title+'" style="display:none"></div>').appendTo('body');
		} 
		// load remote content
		dialog.load(
			url, 
			{},
			function (responseText, textStatus, XMLHttpRequest) {
				dialog.dialog({
						width: target_width, 
						modal: true,
						close: function() {
							if (redirect) { window.location.replace(redirect); }
						}
				});
			}
		);

		return false;
	});
	}


/**
* A generic wrapper to prompting for a decision. 
* Loads the page if the user clicks the OK button.
*
* @param string module The module name
* @param string page The page requested.
* @param string confirm_message The message to display to the end user.

function prompt_decision(module, page, params, confirm_message)
	{
	var dialog = $("#dialog-confirm");
	if ($("#dialog-confirm").length == 0) {
		dialog = $('<div id="dialog" title="Please Confirm Your Decision" style="display:none"><p><span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>'+confirm_message+'</p></div>').appendTo('body');
	} 

	$(function() {

	$(dialog).dialog({
		resizable: false,
		height:150,
		width:350,
		modal: true,
		buttons: {
			Ok: function() {
				$( this ).dialog( "close" );
				window.location.replace('index.php?mod='+module+'&task='+page+params);
			},
			Cancel: function() {
				$( this ).dialog( "close" );
			}
		}
	});
	});
	}
	
*/

function glassbox(gid, gwidth, gheight)
	{
	$(function() {
		$( '#'+gid ).dialog({
			height: gheight,
			width: gwidth,
			modal: true
		});
	});
	}

function prompt_decision(module, page, params, confirm_message)
	{
	if (confirm(confirm_message))
		{
		// lpp(module, page, params)
		window.location='index.php?mod='+module+'&task='+page+params;
		}

	return false;
	}


function assign_template(template_id, id, column, table)
	{
	var this_checkbox='#t'+id+template_id;
	var state=$(this_checkbox).is(':checked');

	$.post('index.php?mod=email&task=template_edit&ajax=y&id='+id+'&template_id='+template_id+'&column='+column+'&table='+table+'&assign_template=y&status='+state, 
	function (data) 
		{ 
		$("#ajax_errors").html( data ); 
		$('.success').effect("shake", { times: 2, direction: 'up' }, 200);
		});
	}

function toggle_checkboxes(section)
	{
	// get the selector status for the section
	$(section).find(':checkbox').each( function() {
	if ($(this).attr('id') =='checkbox_selector')
		{
		status=$(this).is(':checked');
		return true;
		}
	});

	// open the controls box
	$(section).find('#controls').each( function() {
		if (status=='true')
			{
			$(this).show();
			}
		else { $(this).hide(); }
	});

	// Make the boxes follow the selector
	$(section).find(':checkbox').each( function() {
	if ($(this).attr('id')!='checkbox_selector')
		{
		$(this).attr("checked", ((status=='true')?true:false));
		}
	});
	}

$(document).ready(function() { 
	$('.datepicker').datepicker({dateFormat: "mm/dd/yy"}); 
	$('.success').effect("shake", { times: 2, direction: 'up' }, 200);
	$('.error').effect("shake", { times:2 }, 200);
	$('.selectbox').selectBox();
	
	check_for_new_version();
});

function exclude_template(template_id, id, event_alias, table)
	{
	var this_checkbox='#t'+id+template_id;
	var state=$(this_checkbox).is(':checked');
/*
	new Ajax.Updater('ajax_errors', 'index.php', {
	evalScripts: true,
	method: 'POST',
	parameters: 'mod=email&task=template_edit&id='+id+'&template_id='+template_id+'&event_alias='+event_alias+'&table='+table+'&exclude_template=y&status='+state
	// , onSuccess: function (t) { alert(t.responseText); }
	});*/
	$.post('index.php?mod=email&task=template_edit&id='+id+'&template_id='+template_id+'&event_alias='+event_alias+'&table='+table+'&exclude_template=y&status='+state, 
	function (data) 
		{ 
		$("#ajax_errors").html( data ); 
		$('.success').effect("shake", { times: 2, direction: 'up' }, 200);
		});
	}






/* END: The code below still needs to be ported to jQuery. */


/* 
 * More info at: http://kevin.vanzonneveld.net/techblog/category/php2js
 * 
 * php.js is copyright 2008 Kevin van Zonneveld.
 * 
 * Portions copyright Ates Goral (http://magnetiq.com), Legaev Andrey,
 * _argos, Jonas Raoni Soares Silva (http://www.jsfromhell.com),
 * Webtoolkit.info (http://www.webtoolkit.info/), Carlos R. L. Rodrigues, Ash
 * Searle (http://hexmen.com/blog/), Tyler Akins (http://rumkin.com), mdsjack
 * (http://www.mdsjack.bo.it), Alexander Ermolaev
 * (http://snippets.dzone.com/user/AlexanderErmolaev), Andrea Giammarchi
 * (http://webreflection.blogspot.com), Bayron Guevara, Cord, David, Karol
 * Kowalski, Leslie Hoare, Lincoln Ramsay, Mick@el, Nick Callen, Peter-Paul
 * Koch (http://www.quirksmode.org/js/beat.html), Philippe Baumann, Steve
 * Clay, booeyOH
 * 
 * Licensed under the MIT (MIT-LICENSE.txt) license.
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the
 * "Software"), to deal in the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, sublicense, and/or sell copies of the Software, and to
 * permit persons to whom the Software is furnished to do so, subject to
 * the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL KEVIN VAN ZONNEVELD BE LIABLE FOR ANY CLAIM, DAMAGES 
 * OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR 
 * OTHER DEALINGS IN THE SOFTWARE.
 */
function base64_encode(data) {
    // http://kevin.vanzonneveld.net
    // +   original by: Tyler Akins (http://rumkin.com)
    // +   improved by: Bayron Guevara
    // +   improved by: Thunder.m
    // +   improved by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
    // +   bugfixed by: Pellentesque Malesuada
    // +   improved by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
    // -    depends on: utf8_encode
    // *     example 1: base64_encode('Kevin van Zonneveld');
    // *     returns 1: 'S2V2aW4gdmFuIFpvbm5ldmVsZA=='
 
    // mozilla has this native
    // - but breaks in 2.0.0.12!
    //if (typeof this.window['atob'] == 'function') {
    //    return atob(data);
    //}
        
    var b64 = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=";
    var o1, o2, o3, h1, h2, h3, h4, bits, i = 0, ac = 0, enc="", tmp_arr = [];
 
    if (!data) {
        return data;
    }
 
    data = this.utf8_encode(data+'');
    
    do { // pack three octets into four hexets
        o1 = data.charCodeAt(i++);
        o2 = data.charCodeAt(i++);
        o3 = data.charCodeAt(i++);
 
        bits = o1<<16 | o2<<8 | o3;
 
        h1 = bits>>18 & 0x3f;
        h2 = bits>>12 & 0x3f;
        h3 = bits>>6 & 0x3f;
        h4 = bits & 0x3f;
 
        // use hexets to index into b64, and append result to encoded string
        tmp_arr[ac++] = b64.charAt(h1) + b64.charAt(h2) + b64.charAt(h3) + b64.charAt(h4);
    } while (i < data.length);
    
    enc = tmp_arr.join('');
    
    switch (data.length % 3) {
        case 1:
            enc = enc.slice(0, -2) + '==';
        break;
        case 2:
            enc = enc.slice(0, -1) + '=';
        break;
    }
 
    return enc;
}

function utf8_encode ( argString ) {
    // http://kevin.vanzonneveld.net
    // +   original by: Webtoolkit.info (http://www.webtoolkit.info/)
    // +   improved by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
    // +   improved by: sowberry
    // +    tweaked by: Jack
    // +   bugfixed by: Onno Marsman
    // +   improved by: Yves Sucaet
    // +   bugfixed by: Onno Marsman
    // +   bugfixed by: Ulrich
    // *     example 1: utf8_encode('Kevin van Zonneveld');
    // *     returns 1: 'Kevin van Zonneveld'
 
    var string = (argString+''); // .replace(/\r\n/g, "\n").replace(/\r/g, "\n");
 
    var utftext = "";
    var start, end;
    var stringl = 0;
 
    start = end = 0;
    stringl = string.length;
    for (var n = 0; n < stringl; n++) {
        var c1 = string.charCodeAt(n);
        var enc = null;
 
        if (c1 < 128) {
            end++;
        } else if (c1 > 127 && c1 < 2048) {
            enc = String.fromCharCode((c1 >> 6) | 192) + String.fromCharCode((c1 & 63) | 128);
        } else {
            enc = String.fromCharCode((c1 >> 12) | 224) + String.fromCharCode(((c1 >> 6) & 63) | 128) + String.fromCharCode((c1 & 63) | 128);
        }
        if (enc !== null) {
            if (end > start) {
                utftext += string.substring(start, end);
            }
            utftext += enc;
            start = end = n+1;
        }
    }
 
    if (end > start) {
        utftext += string.substring(start, string.length);
    }
 
    return utftext;
}

function str_replace (search, replace, subject, count) {
    // http://kevin.vanzonneveld.net
    // +   original by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
    // +   improved by: Gabriel Paderni
    // +   improved by: Philip Peterson
    // +   improved by: Simon Willison (http://simonwillison.net)
    // +    revised by: Jonas Raoni Soares Silva (http://www.jsfromhell.com)
    // +   bugfixed by: Anton Ongson
    // +      input by: Onno Marsman
    // +   improved by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
    // +    tweaked by: Onno Marsman
    // +      input by: Brett Zamir (http://brett-zamir.me)
    // +   bugfixed by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
    // +   input by: Oleg Eremeev
    // +   improved by: Brett Zamir (http://brett-zamir.me)
    // +   bugfixed by: Oleg Eremeev
    // %          note 1: The count parameter must be passed as a string in order
    // %          note 1:  to find a global variable in which the result will be given
    // *     example 1: str_replace(' ', '.', 'Kevin van Zonneveld');
    // *     returns 1: 'Kevin.van.Zonneveld'
    // *     example 2: str_replace(['{name}', 'l'], ['hello', 'm'], '{name}, lars');
    // *     returns 2: 'hemmo, mars'

    var i = 0, j = 0, temp = '', repl = '', sl = 0, fl = 0,
            f = [].concat(search),
            r = [].concat(replace),
            s = subject,
            ra = r instanceof Array, sa = s instanceof Array;
    s = [].concat(s);
    if (count) {
        this.window[count] = 0;
    }

    for (i=0, sl=s.length; i < sl; i++) {
        if (s[i] === '') {
            continue;
        }
        for (j=0, fl=f.length; j < fl; j++) {
            temp = s[i]+'';
            repl = ra ? (r[j] !== undefined ? r[j] : '') : r[0];
            s[i] = (temp).split(f[j]).join(repl);
            if (count && s[i] !== temp) {
                this.window[count] += (temp.length-s[i].length)/f[j].length;}
        }
    }
    return sa ? s : s[0];
}

function explode (delimiter, string, limit) {
    // Splits a string on string separator and return array of components. If limit is positive only limit number of components is returned. If limit is negative all components except the last abs(limit) are returned.  
    // 
    // version: 1008.1718
    // discuss at: http://phpjs.org/functions/explode    // +     original by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
    // +     improved by: kenneth
    // +     improved by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
    // +     improved by: d3x
    // +     bugfixed by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)    // *     example 1: explode(' ', 'Kevin van Zonneveld');
    // *     returns 1: {0: 'Kevin', 1: 'van', 2: 'Zonneveld'}
    // *     example 2: explode('=', 'a=bc=d', 2);
    // *     returns 2: ['a', 'bc=d']
     var emptyArray = { 0: '' };
    
    // third argument is not required
    if ( arguments.length < 2 ||
        typeof arguments[0] == 'undefined' ||        typeof arguments[1] == 'undefined' ) {
        return null;
    }
 
    if ( delimiter === '' ||        delimiter === false ||
        delimiter === null ) {
        return false;
    }
     if ( typeof delimiter == 'function' ||
        typeof delimiter == 'object' ||
        typeof string == 'function' ||
        typeof string == 'object' ) {
        return emptyArray;    }
 
    if ( delimiter === true ) {
        delimiter = '1';
    }    
    if (!limit) {
        return string.toString().split(delimiter.toString());
    } else {
        // support for limit argument        var splitted = string.toString().split(delimiter.toString());
        var partA = splitted.splice(0, limit - 1);
        var partB = splitted.join(delimiter.toString());
        partA.push(partB);
        return partA;    }
}

function setCookie(name,value,days) {
    if (days) {
        var date = new Date();
        date.setTime(date.getTime()+(days*24*60*60*1000));
        var expires = "; expires="+date.toGMTString();
    }
    else var expires = "";
    document.cookie = name+"="+value+expires+"; path=/";
}

function getCookie(name) {
    var nameEQ = name + "=";
    var ca = document.cookie.split(';');
    for(var i=0;i < ca.length;i++) {
        var c = ca[i];
        while (c.charAt(0)==' ') c = c.substring(1,c.length);
        if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
    }
    return null;
}

function deleteCookie(name) {
    setCookie(name,"",-1);
}