<?PHP
// You may need to use the full local path instead of the 
// relative path to admin as shown below with the default setting.
$default_admin_path='../admin/';

// load the modules class
$valid_mods=array('customer_areas','order_forms','license','ion','kb','cms','service_repair');
$valid_tasks=array(
// customer_areas
				'index',
				'register',
				'login',
				'public_announcements',
				'announcements',
				'dashboard',
				'process_session',
				'my_account',
				'my_invoices',
				'messages',
				'my_packages',
				'my_package_details',
				'resend_password',
				'whois_username',
				'change_password',
				'change_security_question',
				'delete_contact',
				'get_contact',
				'update_contact',
				'add_contact',
				'add_address',
				'update_address',
				'delete_address',
				'reissue_license',
				'suspend_license',
				'view_email',
				'opt_out',
				'invoice',
				'download_secure',
				'download',
				'downloads',
				'contact',						// <-- added v1.8
				'contact_form_send',			// <-- added v1.8
				'helpdesk',						// <-- added v1.8
				'view_ticket',					// <-- added v1.8
				'download_ticket_attachment',	// <-- added v1.8
				'department_options', 			// <-- added v1.8
				'loginshare',			 		// <-- added v1.9
				'next_invoice_renewal_date',	// <-- added v1.9.1
				'language_switcher',			// <-- added v3.0.0
				'fb-like-gate',					// <-- added v3.0.0

// order_forms
				'change_currency',
				'cart',
				'start_session',
				'product',
				'add_to_cart',
				'view_cart',
				'update_cart',
				'checkout',
				'whois_email',
				'whois_username',
				'create_customer_account',
				'payment',
				'customer_data_complete',
				'update_customer_account',
				'down_for_maintenance',
				'private',
				'payments',
				'order_process',
				'order_complete',
				'addon',			 			// <-- added v1.9
				'validate_vat',			 		// <-- added v1.9.1
				'available_languages',			// <-- added v3.0.0
				'create_order',					// <-- added v3.0.0
				'buy_now',						// <-- added v3.0.0
				'empty_cart',					// <-- added v3.0.0
				'ClickBank',					// <-- added v3.0.0
				'Click2Sell',					// <-- added v3.0.0
				'hosting',						// <-- added v3.0.0
				'extended_requirements',		// <-- added v3.0.0
				'requires_epp_code',			// <-- added v3.0.0
				'tld_years',					// <-- added v3.0.0
				'whois',						// <-- added v3.0.0

// license
				'get_local_key',
				'SPBAS_validate_license',
				'DesktopApp_validate_license',	// <-- added v1.9
				'license_expire_date',
				'change_license_status',
				'validate_via_js',
				'get_license_info',
				'register_free_version',		// <-- added v1.9.1
				'WSO_Pro_Key_Generation',		// <-- added 2.1
				'WSO_Pro_Sync',					// <-- added 2.1
				'HostBill',						// <-- added 2.1
				'license-keys-by-email',		// <-- added 3.0.0


// ION
				'validate_ion',

// KB
				'index',
				'down_for_maintenance',
				'private',
				'listings',
				'article',
				'print_page',
				'bookmarks',
				'download_attachment',
				'glossary',
				'search',
				'available_languages',			// <-- added v3.0.0

// CMS
				'index',
				'down_for_maintenance',
				'private',

// Service & Repair
				'all_customers',
				'update_customer_account',
				);

$no_api_key_required=array(
				'ClickBank',					// <-- added v3.0.0
				'Click2Sell',					// <-- added v3.0.0
				'buy_now',						// <-- added v3.0.0
				'validate_vat',			 		// <-- added v1.9.1
				'download_ticket_attachment', 	// <-- added v1.8
				'SPBAS_validate_license',		// <-- added v1.7
				'download',						// <-- added v1.7
				'download_secure', 
				'download_attachment',
				'validate_via_js'
				);
?>