<?PHP if (!class_exists('api')) { die('Invalid File Access'); } 

$errors=array();
$request=api_kb::glossary(
		$conf['api_handler'], 
		$conf['api_key'], 
		'kb', 
		'glossary', 
		false, // set to true for debug 
		((x('letter'))?x('letter'):'all')
		);

$conf['localization']=$request['localization'];
$conf['site']=$request['conf'];
$breadcrumb=$request['breadcrumb']; 
$terms=$request['terms']; 
unset($request);

$breadcrumb=breadcrumb($breadcrumb);

if ($conf['site']['enable_glossary']=='No') { die(header("Location: index.php")); }

$pagination=paging::compile($terms, 14, $conf['site']['show_total_glossary_terms']);
if ($pagination)
	{
	$terms=$pagination['data'];
	$pagination=$pagination['pagination'];
	}


// Build the letter menu
$letters=array();

$class=''; 
if (!x('letter')||x('letter')=='all') { $class='_on'; }
$letters['all']=array('label' => 'All', 'class' => $class);

$class=''; 
if (x('letter')=='0-9') { $class='_on'; }
$letters['0-9']=array('label' => '0-9', 'class' => $class);

for($i=65; $i<=90; $i++ )
	{
	$class=''; 
	if (x('letter')==chr($i)) { $class='_on'; }
	$letters[chr($i)]=array('label' => chr($i), 'class' => $class);
	}

function prepare($data)
	{
	$buffer=array();

	$buffer['alt']=(!ooe($GLOBALS['m3']+=1))?"class='alt'":'';

	$buffer['term']=sx($data['term']);
	$buffer['definition']=sx($data['definition']);

	return $buffer;
	}
?>