<?PHP if (!class_exists('api')) { die('Invalid File Access'); } 

$errors=array();

if ($_POST['validate_vat'])
	{ 
	$request=api_order_forms::validate_vat(
			$conf['api_handler'], 
			$conf['api_key'], 
			'order_forms', 
			'validate_vat', 
			false, // set to true for debug
			$_POST['vat_number'],
			$_POST['country_id']
			);

	die("{$request['result']}");
	}

$request=api_order_forms::checkout(
		$conf['api_handler'], 
		$conf['api_key'], 
		'order_forms', 
		'checkout', 
		false, // set to true for debug
		$_COOKIE['cart_session'],
		$_COOKIE['customer_session']
		);

$conf['localization']=$request['localization'];
$conf['site']=$request['conf'];
if ($conf['site']['status']=='Down for Maintenance')
	{
	$link=href('down_for_maintenance');
	die(header("Location: {$link}"));
	}
else if ($conf['site']['status']=='Private')
	{
	$link=href('private');
	die(header("Location: {$link}"));
	}

$cart=$request['cart'];
$countries=$request['countries'];
$insert_js=$request['js_country_with_states_string']; //pr($insert_js);
$states=$request['states'];
$security_questions=$conf['site']['security_questions'];
$session_locked=$request['session_locked'];  // pr($session_locked);
$checkout_prefill=($request['checkout_prefill'])?$request['checkout_prefill']:false;
$agreements=($request['agreements'])?$request['agreements']:false;
$tos=($request['tos'])?$request['tos']:false;
$currency_options=$request['currency_options']; // pr($currency_options);
$price_sheet_id=$request['price_sheet_id']; //pr($price_sheet_id);
$enable_vat=$request['conf']['enable_vat'];
$vat_number_shop=$request['conf']['vat_number'];
$vat_label=$request['conf']['vat_label'];
$vat_base_country=$request['conf']['vat_base_country'];
unset($request);


// the currency select box
$currency_select=forms::select('price_sheet_id', 0, $currency_options, $price_sheet_id, "onchange='choose_currency(\"{$_COOKIE['cart_session']}\", \"{$conf['site']['id']}\");'", 0, 0);
$currency_options=(is_array($currency_options)&&!empty($currency_options)&&count($currency_options)>1);


$insert_js='';

if ($_GET['logout'])
	{
	$link=href('checkout');
	set_cookie('customer_session', 0, time()-2538000);
	die(header("Location: {$link}"));
	}

if ($_POST['new']&&!$_POST['update_customer'])
	{
	if (!$_POST['first_name']) { $errors[]=w('error_first_name', 0); }
	if (!$_POST['last_name']) { $errors[]=w('error_last_name', 0); }
	if (!$_POST['company_name']) { $errors[]=w('error_company_name', 0); }
	if (!$_POST['email']) { $errors[]=w('error_email', 0); }
	else 
		{
		$request=api_order_forms::whois_email(
				$conf['api_handler'], 
				$conf['api_key'], 
				'order_forms', 
				'whois_email', 
				false, // set to true for debug
				$_POST['email']
				);

		if ($request['errors']) 
			{ 
			$errors=array_merge($errors, $request['errors']);
			}
		}

	if (!$_POST['username']) { $errors[]=w('error_username', 0); }
	else 
		{
		$request=api_order_forms::whois_username(
				$conf['api_handler'], 
				$conf['api_key'], 
				'order_forms', 
				'whois_username', 
				false, // set to true for debug
				$_POST['username']
				);

		if ($request['errors']) 
			{ 
			$errors=array_merge($errors, $request['errors']);
			}
		}

	if (!$_POST['password']) { $errors[]=w('error_password', 0); }
	if (!$_POST['verify_password']) { $errors[]=w('error_verify_password', 0); }
	if ($_POST['password']&&$_POST['verify_password']&&$_POST['password']!=$_POST['verify_password']) { $errors[]=w('error_passwords_do_not_match', 0); }
	if (!$_POST['business_name']) { $errors[]=w('error_business_name', 0); }
	if (!$_POST['address']) { $errors[]=w('error_address', 0); }
	if (!$_POST['city']) { $errors[]=w('error_city', 0); }
	if ($_POST['sop']=='province'&&!$_POST['province']) { $errors[]=w('error_province', 0); }
	if ($_POST['sop']=='state'&&!$_POST['state_id']) { $errors[]=w('error_state', 0); }
	if (!$_POST['postal_code']) { $errors[]=w('error_postal_code', 0); }
	if (!$_POST['phone']) { $errors[]=w('error_phone', 0); }
	if ($security_questions&&!$_POST['answer']) { $errors[]=w('error_answer', 0); }
	if ($agreements&&!$_POST['tos']) { $errors[]=w('error_tos', 0); }

	if (empty($errors))
		{ 
		$request=api_order_forms::create_customer_account(
				$conf['api_handler'], 
				$conf['api_key'], 
				'order_forms', 
				'create_customer_account', 
				false, // set to true for debug
				$_COOKIE['cart_session'],
				$_POST['first_name'],
				$_POST['last_name'],
				$_POST['company_name'],
				$_POST['email'],
				$_POST['username'],
				$_POST['password'],
				$_POST['business_name'],
				$_POST['address'],
				$_POST['city'],
				$_POST['country_id'],
				$_POST['state_id'],
				$_POST['province'],
				$_POST['postal_code'],
				$_POST['phone'],
				$_POST['notes'],
				$_POST['question'],
				$_POST['answer'],
				$_POST['tos'],
				capture_remote(),
				$_POST['vat_number']
				);

		// use it if you need it
		$third_party=$request['third_party']; 

		if (empty($request['errors']))
			{
			$link=href('payment');
			set_cookie('customer_session', 0, time()-2538000);
			set_cookie('customer_session', $request['session_id'], time()+2538000); // pr($request['session_id']);
			die(header("Location: {$link}"));
			}
		else { $errors=$request['errors']; }
		}
	}

if ($_POST['new']&&$_POST['update_customer'])
	{ 
	if (!$_POST['first_name']) { $errors[]=w('error_first_name', 0); }
	if (!$_POST['last_name']) { $errors[]=w('error_last_name', 0); }
	if (!$_POST['company_name']) { $errors[]=w('error_company_name', 0); }
	if (!$_POST['business_name']) { $errors[]=w('error_business_name', 0); }
	if (!$_POST['address']) { $errors[]=w('error_address', 0); }
	if (!$_POST['city']) { $errors[]=w('error_city', 0); }
	if ($_POST['sop']=='province'&&!$_POST['province']) { $errors[]=w('error_province', 0); }
	if ($_POST['sop']=='state'&&!$_POST['state_id']) { $errors[]=w('error_state', 0); }
	if (!$_POST['postal_code']) { $errors[]=w('error_postal_code', 0); }
	if (!$_POST['phone']) { $errors[]=w('error_phone', 0); }
	if ($agreements&&!$_POST['tos']) { $errors[]=w('error_tos', 0); }

	if (empty($errors))
		{ 
		$request=api_order_forms::update_customer_account(
				$conf['api_handler'], 
				$conf['api_key'], 
				'order_forms', 
				'update_customer_account', 
				false, // set to true for debug
				$_COOKIE['cart_session'],
				$_COOKIE['customer_session'],
				$_POST['first_name'],
				$_POST['last_name'],
				$_POST['company_name'],
				$_POST['business_name'],
				$_POST['address'],
				$_POST['city'],
				$_POST['country_id'],
				$_POST['state_id'],
				$_POST['province'],
				$_POST['postal_code'],
				$_POST['phone'],
				$_POST['tos'],
				$_POST['notes'],
				$_POST['vat_number']
				);

		// use it if you need it
		$third_party=$request['third_party']; 

		if (!$request['errors'])
			{
			$link=href('payment');
			die(header("Location: {$link}"));
			}
		else { $errors=$request['errors']; }
		}
	}

if ($_POST['existing']&&$_POST['do']=='login')
	{
	if (!$_POST['email']) { $errors[]=w('error_login_email', 0); }
	if (!$_POST['password']) { $errors[]=w('error_login_password', 0); }

	if (empty($errors))
		{ 
		$request=api_order_forms::login(
				$conf['api_handler'], 
				$conf['api_key'], 
				'order_forms', 
				'login', 
				false, // set to true for debug
				$_POST['email'],
				$_POST['password'],
				capture_remote()
				);

		// use it if you need it
		$third_party=$request['third_party']; 

		if (empty($request['errors']))
			{
			$link=href('checkout');
			set_cookie('customer_session', 0, time()-2538000);
			set_cookie('customer_session', $request['session_id'], time()+2538000);
			die(header("Location: {$link}"));
			}
		else { $errors=$request['errors']; }
		}
	}

if ($_POST['existing']&&$_POST['do']=='resend')
	{
	if (!$_POST['email']) { $errors[]=w('error_email', 0); }

	if (empty($errors))
		{
		$request=api_order_forms::resend_password(
				$conf['api_handler'], 
				$conf['api_key'], 
				'resend_password', 
				'login', 
				false, // set to true for debug
				$_POST['email']
				);

		// use it if you need it
		$third_party=$request['third_party']; 

		if (empty($request['errors']))
			{
			$errors[]=w('resent_successfully', 0);
			$errors['success']='y';
			}
		else { $errors=$request['errors']; }
		}
	}

if ($_COOKIE['customer_session'])
	{ 
	$rm_cookie=false;
	$request=api_order_forms::customer_data_complete(
			$conf['api_handler'], 
			$conf['api_key'], 
			'order_forms', 
			'customer_data_complete', 
			false, // set to true for debug
			$_COOKIE['cart_session'],
			$_COOKIE['customer_session']
			);

	if (empty($request['errors']))
		{
		$customer=$request['customer'];
		if (!is_array($customer)||empty($customer)) { $rm_cookie=true; }
		}
	else { $rm_cookie=true; }

	if ($rm_cookie)
		{
		set_cookie('customer_session', 0, time()-2538000); 
		unset($_COOKIE['customer_session']); 
		}
	}
else if ($checkout_prefill) 
	{ 
	$customer=$checkout_prefill; // pr($customer);
	}

$_POST['country_id']=($_POST['country_id'])?$_POST['country_id']:232; // 232 is USA
$_POST['country_id']=($customer['country_id'])?$customer['country_id']:$_POST['country_id'];
?>