
function toggle_login_resend(focus_group)
	{
	if (focus_group=='resend_group')
		{
		$('#resend_group').show();
		$('#login_group').hide();
		$('#resend_email').val($('#login_email').value);
		}
	else
		{
		$('#resend_group').hide();
		$('#login_group').show();
		$('l#ogin_email').val($('resend_email').value);
		}
	}

function product_selection(selected_id) 
	{
	$('#sku_id').val(selected_id);
	$('#products').submit();
	}

function ignore() {}

/**
* A generic wrapper to prompting for a decision. 
* Loads the page if the user clicks the OK button.
*
* @param string page The page requested.
* @param string confirm_message The message to display to the end user.
*/
function prompt_decision(task, params, confirm_message)
	{
	if (confirm(confirm_message))
		{
		// lpp(module, page, params)
		window.location='index.php?task='+task+params;
		}

	return false;
	}


function choose_currency(session_id, order_form_id)
	{
	$.post('index.php', 
			{ 
				mod: 'order_forms',
				task: 'change_currency',
				session_id: session_id,
				price_sheet_id: $('#price_sheet_id').val(),
				order_form_id: order_form_id,
			},  
	function( data ) 
			{
			return window.location.reload();
			});
	}

function load_pay_gateway(gateway)
	{
	var use=$('#gateway_chooser').val();

	$("div.pay_gateway_option").hide();
	$("[id='"+use+"']").show();
	}

function toggle_customer_status(use, clear_mb)
	{
	if (clear_mb)
		{
		$("div.error").hide();
		$("div.success").hide();
		}

	if (use=='new')
		{
		$('#new').removeClass('off');
		$('#new').removeClass('on');
		$('#new').toggleClass('on');

		$('#existing').removeClass('off');
		$('#existing').removeClass('on');
		$('#existing').toggleClass('off');

		if ($('#sign_in').length) { $('#sign_in').hide(); }
		$('#register').show();
		}
	else
		{
		$('#existing').removeClass('off');
		$('#existing').removeClass('on');
		$('#existing').toggleClass('on');

		$('#new').removeClass('off');
		$('#new').removeClass('on');
		$('#new').toggleClass('off');

		if ($('#sign_in').length) { $('#sign_in').show(); }
		$('#register').hide();
		}
	}

function toggle_state_province()
	{ 
	var has_states='#states'+$('#country_id').val();

	$('.states').hide();
	
	if ($(has_states).length)
		{
		$(has_states).show();
		$('#countries').hide();
		$('#sop').val('state');
		}
	else
		{
		$('#countries').show();
		$('#sop').val('province');
		}
	}

function set_state_choice(country_id)
	{
	var state_id='#states_'+country_id;

	$('#state_id').val($(state_id).val());
	}

function validte_vat()
	{
	$('#checkout_form').submit(function(e) {

		
	var response = $.ajax({
		url: 'index.php', 
		type: 'POST',
		async: false,
		cache: false,
		dataType: 'text',
		data: { mod: 'order_forms', task: 'checkout', validate_vat: 'y', vat_number: $('#vat_number').val(), country_id: $('#country_id').val(), }
		  }).responseText;
  

	if (response.length==0) { return true; }
	
	if (confirm(response))
		{
		$('#vat_number').value='';
		return true;
		}
		
	return false;
	});
	}

function toggle_domain_options(asset_id)
	{
	var domain_options='domain_registration_'+asset_id;
	var use = $('input:radio[id='+domain_options+']:checked').val();
	if (!use) 
		{ 
		$('input:radio[id='+domain_options+']').attr('checked', true);
		use='None';
		}

	var none='None_'+asset_id;
	var register='Register_'+asset_id;
	var transfer='Transfer_'+asset_id;
	var current=use+'_'+asset_id;
	var require_epp=$('.Transfer_epp_'+asset_id);

	$('.'+none).hide();
	$('.'+register).hide();
	$('.'+transfer).hide();
	require_epp.hide();
	if (use=='Transfer')
		{
		toggle_epp(asset_id, require_epp);
		}
	$('.'+current).show();
	}
	
function toggle_epp(asset_id, require_epp)
	{
	var tld_id=$('#transfer_tld_'+asset_id).val();

	$.post('index.php', 
			{ 
				mod: 'customer_areas',
				task: 'hosting',
				tld_id: tld_id,
				toggle_epp: 'y',
			},
	function( data ) 
			{
			if (data.length==9)
				{
				require_epp.show();
				}
			});
	}

function toggle_years_registrar(asset_id, rtr)
	{
	var tld_id=$('#'+rtr+'_tld_'+asset_id).val();
	var years=$('#'+rtr+'_years_'+asset_id);

	$.post('index.php', 
			{ 
			mod: 'customer_areas',
			task: 'hosting',
			tld_id: tld_id,
			toggle_years_tld: 'y',
			},  
	function( data ) 
			{
			years.html('');
			years.html(data);    
			});
	}