<?PHP if (!class_exists('api')) { die('Invalid File Access'); } ?>

<div id='nav_bar'>
	<?PHP if ($currency_options): ?>
		<div><?PHP echo w('choose_currency', 0); ?> <?PHP echo $currency_select; ?></div>
	<?PHP endif; ?>
	<ul>
		<li><a class='left' href='<?PHP echo href('cart'); ?>'><?PHP echo w('choose_products')?></a></li>
		<li><a href='<?PHP echo href('view_cart'); ?>'><?PHP echo w('view_cart')?></a></li>
		<li><a href='<?PHP echo href('checkout'); ?>'><?PHP echo w('checkout')?></a></li>
		<li><a class='right on' href='<?PHP echo href('payment'); ?>'><?PHP echo w('secure_payment')?></a></li>
	</ul>
</div>
<div class='clear'><!--ie--></div>

<ul class='categories'>
	<li><img src='templates/<?PHP echo $conf['template']?>/images/icons/lock.gif' class='icon_header' /> <?PHP echo w('secure_payment')?>

			<div class='expand'>
				<?PHP display_errors($errors); ?>

				<div class='data_grid_label_lp'><img src='templates/<?PHP echo $conf['template']?>/images/icons/arrow.gif' /> <?PHP echo w('order_summary')?> (<a href='<?PHP echo href('view_cart')?>'><?PHP echo w('change')?></a>)</div>
				<table class='data_grid'>
					<tr class='th'>
						<th><?PHP echo w('product'); ?></th>
						<th><?PHP echo w('qty'); ?></th>
						<th><?PHP echo w('setup_fee'); ?></th>
						<th><?PHP echo w('price'); ?></th>
						<th><?PHP echo w('recurring_price'); ?></th>
					</tr>
					<?PHP $m3=0; foreach ($cart[0] as $unique): $data=prepare_cart($unique); ?>
						<tr <?PHP echo $data['alt']; ?>>
							<td><?PHP echo $data['name']; ?></td>
							<td><?PHP echo $data['qty']; ?></td>
							<td><?PHP echo $data['setup_fee']; ?></td>
							<td><?PHP echo $data['price']; ?></td>
							<td><?PHP echo $data['recurring']; ?></td>
						</tr>

						<?PHP if (isset($cart[$data['cart_item_id']])) foreach ($cart[$data['cart_item_id']] as $unique_child): $data_child=prepare_cart($unique_child); ?>
							<tr <?PHP echo $data_child['alt']; ?>>
								<td><?PHP echo $data_child['name']; ?></td>
								<td><?PHP echo $data_child['qty']; ?></td>
								<td><?PHP echo $data_child['setup_fee']; ?></td>
								<td><?PHP echo $data_child['price']; ?></td>
								<td><?PHP echo $data_child['recurring']; ?></td>
							</tr>
						<?PHP endforeach; ?>

					<?PHP endforeach; ?>
					<?PHP if ($promotion_code): ?>
						<tr id='promotion_codes'>
							<td colspan='4' class='left'>(<a href='<?PHP echo href('view_cart', array('remove_promotion_code'=>$promotion_code))?>'>remove</a>) <?PHP echo $promotion_code?> <?PHP echo $promotion_code_description?></td>
							<td class='left'>-<?PHP echo $promotion_code_discount?></td>
						</tr>
					<?PHP endif; ?>
					<?PHP if (is_array($taxes)&&!empty($taxes)): ?>
						<?PHP foreach ((array)$taxes['country'] as $taxed): ?>
							<tr class='taxes'>
								<td colspan='4' class='right'><?PHP echo $taxed['name']?> @ <?PHP echo $taxed['rate']?></td>
								<td class='left'><?PHP echo $taxed['amount_formatted']?></td>
							</tr>
						<?PHP endforeach; ?>
						<?PHP foreach ((array)$taxes['region'] as $taxed): ?>
							<tr class='taxes'>
								<td colspan='4' class='right'><?PHP echo $taxed['name']?> @ <?PHP echo $taxed['rate']?></td>
								<td class='left'><?PHP echo $taxed['amount_formatted']?></td>
							</tr>
						<?PHP endforeach; ?>
					<?PHP endif; ?>
					<tr id='totals'>
						<td colspan='4' class='right'><i><?PHP echo w('total_due_today'); ?></i></td>
						<td><b><?PHP echo $total_due_today_formatted; ?></b></td>
					</tr>
					<?PHP if (empty($pay_gateways)&&$total_due_today>0||!is_array($pay_gateways)&&$total_due_today>0):?>
						<tr id='make_payment'>
							<td colspan='1'><img src='templates/<?PHP echo $conf['template']?>/images/icons/note.gif' class='icon' /> <i><?PHP echo w('logged_ip')?></i> <?PHP echo $_SERVER['SERVER_ADDR']; ?></td>
							<td colspan='4' class='right'><?PHP echo w('error_no_pay_gateways')?></td>
						</tr>
					<?PHP elseif ($total_due_today<=0): ?>
						<tr id='make_payment'>
							<td colspan='4'><img src='templates/<?PHP echo $conf['template']?>/images/icons/note.gif' class='icon' /> <i><?PHP echo w('logged_ip')?></i> <?PHP echo $_SERVER['SERVER_ADDR']; ?></td>
							<td>
							<?PHP forms::action(); ?>
							<?PHP forms::hidden('task', 0, 'order_process'); ?>
							<?PHP echo forms::submit(0, 0, w('continue', 0), 0, 'submit', 1); ?></form></td>
						</tr>
					<?PHP else: ?>
						<tr id='make_payment'>
							<td colspan='1'><img src='templates/<?PHP echo $conf['template']?>/images/icons/note.gif' class='icon' /> <i><?PHP echo w('logged_ip')?></i> <?PHP echo capture_remote(); ?></td>
							<td colspan='3' class='right'><i><?PHP echo w('choose_payment_method')?></i> <?PHP echo forms::select('gateway_chooser', 0, $pay_gateway_select, false, "onchange='load_pay_gateway();'"); ?></td>
							<td class='pay_gateway_option'>
								<?PHP $display='block'; foreach ($pay_gateway_form as $id => $form): ?>
									<div class='pay_gateway_option' id='<?PHP echo $id?>' style='display:<?PHP echo $display?>;'><?PHP echo $form?></div>
								<?PHP $display='none'; endforeach; ?>
							</td>
						</tr>
					<?PHP endif; ?>
				</table>
			</div>

	</li>
</ul>