<?PHP @template::ran_directly(); /* required for all templates */ ?>


<?PHP echo mod::tabs($tabs, 'admin', 'admin_edit', "&id=".x('id'), 'admin_editor'); ?>

<div class='tab_content' id='general' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_admin'>
		<ul>
			<li><?PHP echo $this_admin; ?></li>
			<li class='right'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>
		<?PHP forms::action(); ?>
		<?PHP forms::hidden('id', 0, x('id')); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP forms::hidden('old_email', 0, $target['email']); ?>
		<?PHP forms::hidden('old_username', 0, $target['username']); ?>
		<?PHP forms::hidden('save_general', 0, 'y'); ?>
		<?PHP echo forms::hidden('show_tab', 0, 'general'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('status:'); forms::overlib(w('overlib_status', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('status', 0, array('enabled' => w('enabled', 0), 'disabled' => w('disabled', 0)), forms::value('status', $target['status'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('first_name:'); forms::overlib(w('overlib_first_name', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('first_name', 0, forms::value('first_name', $target['first_name'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('last_name:'); forms::overlib(w('overlib_last_name', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('last_name', 0, forms::value('last_name', $target['last_name'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('username:'); forms::overlib(w('overlib_username', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('username', 0, forms::value('username', $target['username'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('email:'); forms::overlib(w('overlib_email', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('email', 0, forms::value('email', $target['email'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('password:'); forms::overlib(w('overlib_password', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('password', 0, forms::value('password')); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('phone:'); forms::overlib(w('overlib_phone', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('phone', false, forms::value('phone', $target['phone'])); ?></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('click_to_save', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
</div>


<div class='tab_content' id='profile' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_admin'>
		<ul>
			<li><?PHP echo $this_admin; ?></li>
			<li class='right'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>
	<form action='<?PHP echo $_SERVER['PHP_SELF']?>' method='POST' enctype='multipart/form-data'>
	<?PHP forms::hidden('id', false, x('id')); ?>
	<?PHP forms::hidden('mod', false, x('mod')); ?>
	<?PHP forms::hidden('task', false, x('task')); ?>
	<?PHP forms::hidden('save_profile', 0, 'y'); ?>
	<?PHP echo forms::hidden('show_tab', 0, 'profile'); ?>
	<?PHP echo forms::hidden('session_timeout', 0, '31556926'); ?>
	<table class='form_table'>
		<tr class='th'>
			<th colspan='2'></th>
		</tr>
		<tr>
			<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('wysiwyg:'); forms::overlib(w('overlib_wysiwyg', 0)); ?></td>
			<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('wysiwyg', 0, array(1 => w('yes', 0), 0 => w('no', 0)), $target['profile']['wysiwyg']); ?></td>
		</tr>
		<tr>
			<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('help_hints:'); forms::overlib(w('overlib_help_hints', 0)); ?></td>
			<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('show_help_hints', 0, array('Yes' => w('yes', 0), 'No' => w('no', 0)), forms::value('show_help_hints', $target['profile']['show_help_hints'])); ?></td>
		</tr>
		<tr>
			<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('rows_to_show:'); forms::overlib(w('overlib_rows_to_show', 0)); ?></td>
			<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('max_rows', 0, forms::value('max_rows', $target['profile']['max_rows']), 0, 'small'); ?></td>
		</tr>
<!--		<tr>
			<td class='text<?PHP echo alt($m3); ?>'><?PHP w('choose_skin:'); forms::overlib(w('overlib_choose_skin', 0)); ?></td>
			<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('template', 0, template::all_available(), forms::value('template', $target['profile']['template'])); ?></td>
		</tr>-->
		<?PHP if ($session['admin']['id']==x('id')): ?>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('profile_pic:'); forms::overlib(w('overlib_profile_pic', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'>
					<?PHP if (!isset_media_upload_path()):?>
						<a href='<?PHP echo href('settings', 'system', array('show_tab' => 'edit'))?>'><?PHP echo w('click_here')?></a> <?PHP echo w('conf_media_upload_path_first')?>
					<?PHP else: ?>
						<input size='18' type='file' name='profile_pic' /> <a href='<?PHP echo href('admin','admin_edit',array('remove_profile_pic'=>'y'))?>'><?PHP echo w('restore_default_pic', 0)?></a>
					<?PHP endif; ?>
				</td>
			</tr>
		<?PHP endif; ?>
		<tr>
			<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('signature:'); forms::overlib(w('overlib_signature', 0)); ?></td>
			<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea('signature', 0, forms::value('signature', $target['profile']['signature']), '310px', '110px'); ?></td>
		</tr>
		<tr>
			<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('click_to_save', 0), 0, 'submit', 1); ?></td>
		</tr>
	</table>
	</form>
	</div>
</div>

<div class='tab_content' id='log' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_admin'>
		<ul>
			<li><?PHP echo $this_admin; ?></li>
			<li class='right'></li>
		</ul>
	</h1>
	<?PHP if (!empty($logs)&&is_array($logs)): ?>
		<div class='tab_content_wrapper  no_top_left_border'>
			<table class='data_grid'>
				<tr class='th'>
					<th><?PHP echo $s['id']['image']; ?><a href='<?PHP echo $s['id']['link']; ?>'><?PHP w('log_id'); ?></a></th>
					<th><?PHP echo $s['ip']['image']; ?><a href='<?PHP echo $s['ip']['link']; ?>'><?PHP w('ip'); ?></a></th>
					<th><?PHP echo $s['host']['image']; ?><a href='<?PHP echo $s['host']['link']; ?>'><?PHP w('host'); ?></a></th>
					<th><?PHP echo $s['created']['image']; ?><a href='<?PHP echo $s['created']['link']; ?>'><?PHP w('logged_in_on'); ?></a></th>
				</tr>
				<?PHP foreach ($logs as $unique): $data=prepare_logs($unique); ?>
					<tr <?PHP echo $data['alt']; ?>>
						<td><?PHP echo $data['id']; ?></td>
						<td><?PHP echo $data['ip']; ?></td>
						<td><?PHP echo $data['host']; ?></td>
						<td><?PHP echo $data['created']; ?></td>
					</tr>
				<?PHP endforeach; ?>
			</table>
		<?PHP echo $pagination; ?>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('admin_never_logged_in', 0); ?></p></div>
	<?PHP endif; ?>
</div>


<div class='tab_content' id='acl' style='display:none;'>
	<?PHP errors($errors); ?>
	<div id='acl_ajax_errors'></div>
	<h1 class='tab_content_label_2col tab_admin'>
		<ul>
			<li><?PHP echo $this_admin; ?></li>
			<li class='right'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper  no_top_left_border'>
		<table class='data_grid'>
			<tr class='th'>
				<th colspan='2'><?PHP echo w('check_to_deny_access')?></th>
			</tr>
			<?PHP foreach ($all_menus['L1'] as $L1): $L1D=prepare($L1, $my_acl); ?>
					<tr style='background-color: #fff5c8;'>
						<td><?PHP echo $L1D['checkbox']; ?></td>
						<td><img src='view/images/icons/folder.png' class='icon' /> <b><?PHP echo $L1D['name']; ?></b></td>
					</tr>
					<?PHP foreach (template::find_children($L1D['id'], $all_menus['L2']) as $L2): $L2D=prepare($L2, $my_acl); ?>
						<tr style='background-color: #fefae4;'>
							<td style='width:1px;'><?PHP echo $L2D['checkbox']; ?></td>
							<td> - <img src='view/images/icons/folder.png' class='icon' />  <b><?PHP echo $L2D['name']; ?></b></td>
						</tr>
						<?PHP foreach(template::find_children($L2D['id'], $all_menus['L3']) as $L3): $L3d=prepare($L3, $my_acl); ?>
						<?PHP if (substr($L3d['name'], 0, 1)=='.') { continue; } ?>
							<tr>
								<td style='width:1px;'><?PHP echo $L3d['checkbox']; ?></td>
								<td> -- <img src='view/images/icons/layout_content.png' class='icon' />  <?PHP echo $L3d['name']; ?></td>
							</tr>
						<?PHP endforeach; ?>
					<?PHP endforeach; ?>
			<?PHP endforeach; ?>
		</table>
	</div>
</div>

<?PHP echo set_default_tab('general') ?>