<?PHP
// Do we have a cron key?
if (!x('cron_key')) 
	{
	$message=w('no_cron_key', 0);
	cron::add_log($message);
	die($message); 
	}

// Is the key the wrong size?
if (strlen(x('cron_key'))!=32) 
	{
	$message=w('wrong_size_cron_key', 0);
	cron::add_log($message);
	die($message); 
	}

// Is the key valid?
if (config('cron_key')!=x('cron_key')) 
	{
	$message=w('invalid_cron_key', 0);
	cron::add_log($message);
	die($message); 
	}

// run only a specific module
$run_only=array();
if (x('run_only'))
	{
	$run_only=explode(',', x('run_only'));
	}

// Good key, let's run the jobs!
$job_list=cron::job_list(date('l'), date('H').':00');//  pr(date('l')););
foreach ($job_list as $job)
	{
	if ($job['status']=='Disabled') { continue; }
	if (!empty($run_only)&&!in_array($job['job'], (array)$run_only)) { continue; }

	mod::dependencies($job['parent_mod']);
	if (file_exists($include="modules/cron_jobs/{$job['job']}.php"))
		{
		include_once $include;
		}
	}

// log the run
cron::add_log('Normal Run');
die(w('end_of_run', 0));
?>