<?PHP @template::ran_directly();

if (!is_array($intervals=config('invoice_reminders')))
	{
	$intervals=explode(',', $intervals);
	sort($intervals, SORT_NUMERIC);
	$intervals=array_reverse($intervals);
	foreach ($intervals as $key => $value) { $intervals[$key]=(int)$value; }

	foreach (invoice::get_all_past_due() as $invoice)
		{
		foreach ($intervals as $key => $interval)
			{
			if ($reminder=strtotime("+{$interval} days", $invoice['due_date'])>time()) { continue; }
			if ($interval<=$invoice['reminder_interval']) { continue; }

			invoice::send_invoice_reminder($invoice, $key, $interval);
			$invoice['reminder_interval']=$interval;
			}
		}
	}

// log the run
cron::add_job_log($job['id']);
?>