<?PHP @template::ran_directly();

$mail_notices=license::expire();

if ($mail_notices&&is_array($mail_notices)&&!empty($mail_notices))
	{
	foreach ($mail_notices as $notice)
		{
		// get the primary user for the customer
		$user=customer::get_primary_contact($notice['customer_id']);
		$product=product::get($notice['product_id']);
		$sku=product::get_sku_by_id($notice['sku_id']);

	// no errors, grab the e-mail templates
	if (empty($errors))
		{ 
		$event=email::get_event('license_expired', 'm3_email_license_events'); // pr($event);
		if (!$event) { $errors[]=w('no_event_found'); }
		}

	// no errors, grab the e-mail templates
	if (empty($errors))
		{ 
		$templates=email::get_templates_by_event('license_expired', 'm3_email_license_templates'); //  pr($templates);
		if (!$templates) { $errors[]=w('no_event_templates_found'); } 
		}

	// no errors, send the e-mail
	if (empty($errors))
		{
		// get the exclusions - no exclusions for system level templates...
		(array)$excludes=email::get_templates_excludes_by_event('license_expired', 'm3_email_license_template_excludes');

		// process each event
		foreach ($templates as $template)
			{
			// don't send excluded templates
			if (in_array($template['id'], $excludes)) { continue; }

			$conf_id=email::conf($template['email_configuration_id']);
			(array)$transport=email::get_configuration($conf_id); // pr($transport);

			$tag_values=array();
			$name=sx($product['name']);
			if ($sku['name']) { $name.=' ('.sx($sku['name']).')'; }
			$tag_values['product_name']=($name)?$name:'usage';
			$tag_values['license_key']=$notice['license_key'];
			$tag_values['email_signature']=$transport['signature'];
			$tag_values['client_first_name']=$user['first_name'];

			$send=@email::send(
							$transport, 
							$event['tags'], 
							$tag_values, 
							sx($user['first_name']), 
							sx($user['email']), 
							$transport['from'], 
							$transport['from_email'], 
							$template['subject'], 
							$template['message'], 
							'license_expired', 
							$conf_id, 
							$template['cc'], 
							$template['bcc'], 
							$template['priority'], 
							false, 
							false, 
							false, 
							$template['type']
							);

			if (is_array($send)) 
				{ 
				$errors[]=$send['error']; 
				email::log_attribute($send['log_id'], 'license_key', $notice['license_key']);
				}
			else { email::log_attribute($send, 'license_key', $notice['license_key']); }
			}
		}

		}
	}

// log the run
cron::add_job_log($job['id']);
?>