<?PHP @template::ran_directly(); /* required for all templates */ ?> 


<div class='tab_content hundred_percent' id='add_new' style='display:none;'>
<?PHP errors($errors); ?>

<h1 class='tab_content_label_2col tab_money_add'>
	<ul>
		<li><?PHP echo w('add_a_new_currency'); ?></li>
		<li class='right'><a class='form_button' href='<?PHP echo href('currency', 'currency_editor', array('show_tab'=>'manage_existing')); ?>'><?PHP w('go_back'); ?></a></li>
	</ul>
</h1>
<div class='tab_content_wrapper no_top_left_border'>

	<?PHP echo forms::action(); ?>
	<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
	<?PHP echo forms::hidden('task', 0, x('task')); ?>
	<?PHP echo forms::hidden('show_tab', 0, 'add_new'); ?>
	<?PHP echo forms::hidden('add_new', 0, 'y'); ?>
	<table class='form_table'>
		<tr class='th'>
			<th colspan='2'></th>
		</tr>
		<tr>
			<td class='text'><?PHP w('default:'); forms::overlib(w('overlib_default', 0)); ?></td>
			<td class='label'><?PHP forms::select('default', 0, $defaults, forms::value('default')); ?></td>
		</tr>
		<tr>
			<td class='text_alt'><?PHP w('major:'); forms::overlib(w('overlib_major', 0)); ?></td>
			<td class='label_alt'><?PHP forms::text('major', 0, forms::value('major')); ?></td>
		</tr>
		<tr>
			<td class='text'><?PHP w('minor:'); forms::overlib(w('overlib_minor', 0)); ?></td>
			<td class='label'><?PHP forms::text('minor', 0, forms::value('minor')); ?></td>
		</tr>
		<tr>
			<td class='text_alt'><?PHP w('alpha:'); forms::overlib(w('overlib_alpha', 0)); ?></td>
			<td class='label_alt'><?PHP forms::text('alpha', 0, forms::value('alpha')); ?></td>
		</tr>
		<tr>
			<td class='text'><?PHP w('display_decimals:'); forms::overlib(w('overlib_display_decimals', 0)); ?></td>
			<td class='label'><?PHP forms::text('display_decimals', 0, forms::value('display_decimals')); ?></td>
		</tr>
		<tr>
			<td class='text_alt'><?PHP w('symbol_prefix:'); forms::overlib(w('overlib_symbol_prefix', 0)); ?></td>
			<td class='label_alt'><?PHP forms::text('symbol_prefix', 0, forms::value('symbol_prefix')); ?></td>
		</tr>
		<tr>
			<td class='text'><?PHP w('symbol_suffix:'); forms::overlib(w('overlib_symbol_suffix', 0)); ?></td>
			<td class='label'><?PHP forms::text('symbol_suffix', 0, forms::value('symbol_suffix')); ?></td>
		</tr>
		<tr>
			<td class='text_alt'><?PHP w('hundreds_separator:'); forms::overlib(w('overlib_hundreds_separator', 0)); ?></td>
			<td class='label_alt'><?PHP forms::text('separator_hundreds', 0, forms::value('separator_hundreds')); ?></td>
		</tr>
		<tr>
			<td class='text'><?PHP w('separator_decimal:'); forms::overlib(w('overlib_separator_decimal', 0)); ?></td>
			<td class='label'><?PHP forms::text('separator_decimal', 0, forms::value('separator_decimal')); ?></td>
		</tr>
		<tr>
			<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('add_currency', 0), 0, 'submit', 1); ?></td>
		</tr>
	</table>
	</form>
</div>
</div>

<div class='tab_content hundred_percent' id='manage_existing' style='display:none;'>
<?PHP errors($errors); ?>

<?PHP if (x('id')): ?>

	<h1 class='tab_content_label_2col tab_money'>
		<ul>
			<li><?PHP echo w('edit_currency'); ?></li>
			<li class='right'><a class='form_button' href='<?PHP echo href('currency', 'currency_editor', array('show_tab'=>'manage_existing')); ?>'><?PHP w('go_back'); ?></a></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>


		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
		<?PHP echo forms::hidden('task', 0, x('task')); ?>
		<?PHP echo forms::hidden('id', 0, x('id')); ?>
		<?PHP echo forms::hidden('save_form', 0, 'y'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text'><?PHP w('default:'); forms::overlib(w('overlib_default', 0)); ?></td>
				<td class='label'><?PHP echo $currency_default; ?></td>
			</tr>
			<tr>
				<td class='text_alt'><?PHP w('major:'); forms::overlib(w('overlib_major', 0)); ?></td>
				<td class='label_alt'><?PHP forms::text('major', 0, forms::value('major', $currency['major'])); ?></td>
			</tr>
			<tr>
				<td class='text'><?PHP w('minor:'); forms::overlib(w('overlib_minor', 0)); ?></td>
				<td class='label'><?PHP forms::text('minor', 0, forms::value('minor', $currency['minor'])); ?></td>
			</tr>
			<tr>
				<td class='text_alt'><?PHP w('alpha:'); forms::overlib(w('overlib_alpha', 0)); ?></td>
				<td class='label_alt'><?PHP forms::text('alpha', 0, forms::value('alpha', $currency['alpha'])); ?></td>
			</tr>
			<tr>
				<td class='text'><?PHP w('display_decimals:'); forms::overlib(w('overlib_display_decimals', 0)); ?></td>
				<td class='label'><?PHP forms::text('display_decimals', 0, forms::value('display_decimals', $currency['display_decimals'])); ?></td>
			</tr>
			<tr>
				<td class='text_alt'><?PHP w('symbol_prefix:'); forms::overlib(w('overlib_symbol_prefix', 0)); ?></td>
				<td class='label_alt'><?PHP forms::text('symbol_prefix', 0, forms::value('symbol_prefix', $currency['symbol_prefix'])); ?></td>
			</tr>
			<tr>
				<td class='text'><?PHP w('symbol_suffix:'); forms::overlib(w('overlib_symbol_suffix', 0)); ?></td>
				<td class='label'><?PHP forms::text('symbol_suffix', 0, forms::value('symbol_suffix', $currency['symbol_suffix'])); ?></td>
			</tr>
			<tr>
				<td class='text_alt'><?PHP w('hundreds_separator:'); forms::overlib(w('overlib_hundreds_separator', 0)); ?></td>
				<td class='label_alt'><?PHP forms::text('separator_hundreds', 0, forms::value('separator_hundreds', $currency['separator_hundreds'])); ?></td>
			</tr>
			<tr>
				<td class='text'><?PHP w('separator_decimal:'); forms::overlib(w('overlib_separator_decimal', 0)); ?></td>
				<td class='label'><?PHP forms::text('separator_decimal', 0, forms::value('separator_decimal', $currency['separator_decimal'])); ?></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
<?PHP else: ?>

	<h1 class='tab_content_label_2col tab_money'>
		<ul>
			<li><?PHP echo w('existing_currencies'); ?></li>
			<li class='right'><a class='form_button' href='<?PHP echo href('currency', 'currency_editor', array('show_tab'=>'add_new')); ?>'><?PHP w('add_currency'); ?></a></li>
		</ul>
	</h1>
	<?PHP if (!empty($currencies)&&is_array($currencies)): ?>
		<div class='tab_content_wrapper  no_top_left_border'>
		<?PHP forms::action(false, 'POST', "onsubmit='return confirm(\"".w('sure_you_want_to_delete', 0)."\");'"); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>

		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP forms::checkbox('checkbox_selector', 0, '', 0, "onclick='toggle_checkboxes(\"#manage_existing\");'"); ?></th>
				<th><?PHP echo $s['id']['image']; ?><a href='<?PHP echo $s['id']['link']; ?>'><?PHP w('id'); ?></a></th>
				<th><?PHP echo $s['major']['image']; ?><a href='<?PHP echo $s['major']['link']; ?>'><?PHP w('major'); ?></a></th>
				<th><?PHP echo $s['minor']['image']; ?><a href='<?PHP echo $s['minor']['link']; ?>'><?PHP w('minor'); ?></a></th>
				<th><?PHP echo $s['alpha']['image']; ?><a href='<?PHP echo $s['alpha']['link']; ?>'><?PHP w('alpha'); ?></a></th>
				<th><?PHP echo $s['default']['image']; ?><a href='<?PHP echo $s['default']['link']; ?>'><?PHP w('default'); ?></a></th>
				<th class='options'><?PHP w('options'); ?></th>
			</tr>
			<tr id='controls' style='display:none;'>
				<th colspan='7'><?PHP forms::submit(0, 0, w('click_to_delete', 0), 0, 'submit', 1); ?> - or - <a href='<?PHP echo href('currency', 'currency_editor', array('show_tab' => 'manage_existing')); ?>'><?PHP w('click_to_close'); ?></a></th>
			</tr>

		<?PHP foreach ($currencies as $currency): $data=prepare($currency); ?>

			<tr <?PHP echo $data['alt']; ?>>
				<td><?PHP echo $data['checkbox']; ?></td>
				<td><?PHP echo $data['id']; ?></td>
				<td><?PHP echo $data['major']; ?></td>
				<td><?PHP echo $data['minor']; ?></td>
				<td><?PHP echo $data['alpha']; ?></td>
				<td><?PHP echo $data['default']; ?></td>
				<td class='options'><?PHP echo $data['delete']; ?> / <?PHP echo $data['manage']; ?></td>
			</tr>

		<?PHP endforeach; ?>

		</table>
		</form>
		<?PHP echo $pagination; ?>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('none_found', 0); ?></p></div>
	<?PHP endif; ?>
<?PHP endif; ?>
</div>

<?PHP echo set_default_tab('manage_existing') ?>