<?PHP @template::ran_directly(); /* required for all templates */ ?>

<div class='grid two_thirds no_margin'>
	<?PHP errors($errors); ?>
	<span class='section_header_left'><?PHP echo w('advanced_search'); ?>: <a href='#' onclick='toggle_advanced_search("customers"); return false;'><?PHP echo w('customers')?></a><!-- / <a href='#' onclick='toggle_advanced_search("users"); return false;'><?PHP echo w('users')?></a>--></span>
	<div class='tab_content_wrapper_nm' id='customers' style='display:block;'>
		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
		<?PHP echo forms::hidden('task', 0, 'customer_editor'); ?>
		<?PHP echo forms::hidden('show_tab', 0, 'manage_existing'); ?>
		<?PHP echo forms::hidden('do_advanced_search', 0, 'y'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='4'></th>
			</tr>
			<tr>
				<td class='label<?PHP echo alt($m3=0); ?>' colspan='4' style='padding-left: 6px;'><?PHP forms::text('advanced_search', 0, forms::value('advanced_search'), 0, 'advanced_search'); ?> <?PHP forms::submit(0, 0, w('search_customers', 0), 0, 'submit_nm', 1); ?> <?PHP echo w('-or-'); ?> <a href='<?PHP echo href('customers', 'customer_editor', array('show_tab'=>'manage_existing'))?>'><?PHP echo w('view_all_customers'); ?></a></td>
			</tr>
			<tr>
				<td class='search_label<?PHP echo alt($m3+=1); ?>'><label><?PHP echo forms::checkbox('name', 0, 1, forms::value('name', x('name'))); ?> <?PHP echo w('customer_name')?></label></td>
				<td class='search_label<?PHP echo alt($m3); ?>'><label><?PHP echo forms::checkbox('status', 0, 1, forms::value('status', x('status'))); ?> <?PHP echo w('status')?></label></td>
				<td class='search_label<?PHP echo alt($m3); ?>'><label><?PHP echo forms::checkbox('address', 0, 1, forms::value('address', x('address'))); ?> <?PHP echo w('address')?></label></td>
				<td class='search_label<?PHP echo alt($m3); ?>'><label><?PHP echo forms::checkbox('city', 0, 1, forms::value('city', x('city'))); ?> <?PHP echo w('city')?></label></td>
			</tr>
			<tr>
				<td class='search_label<?PHP echo alt($m3+=1); ?>'><label><?PHP echo forms::checkbox('postal_code', 0, 1, forms::value('postal_code', x('postal_code'))); ?> <?PHP echo w('postal_code')?></label></td>
				<td class='search_label<?PHP echo alt($m3); ?>'><label><?PHP echo forms::checkbox('phone', 0, 1, forms::value('phone', x('phone'))); ?> <?PHP echo w('phone')?></label></td>
				<td class='search_label<?PHP echo alt($m3); ?>'><label><?PHP echo forms::checkbox('business_name', 0, 1, forms::value('business_name', x('business_name'))); ?> <?PHP echo w('business_name')?></label></td>
				<td class='search_label<?PHP echo alt($m3); ?>'><label><?PHP echo forms::checkbox('province', 0, 1, forms::value('province', x('province'))); ?> <?PHP echo w('province')?></label></td>
			</tr>
			<tr>
				<td class='search_label<?PHP echo alt($m3+=1); ?>' colspan='2'><?PHP forms::select('state_id', 0, $states, forms::value('state_id', 0)); ?></td>
				<td class='search_label<?PHP echo alt($m3); ?>' colspan='2'><?PHP forms::select('country_id', 0, $countries, forms::value('country_id', 0)); ?></td>
			</tr>
		</table>
		</form>
	</div>
	<div class='tab_content_wrapper_nm' id='users' style='display:none;'>
		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, 'users'); ?>
		<?PHP echo forms::hidden('task', 0, 'user_editor'); ?>
		<?PHP echo forms::hidden('do_advanced_search', 0, 'y'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='4'></th>
			</tr>
			<tr>
				<td class='label<?PHP echo alt($m3=0); ?>' colspan='4' style='padding-left: 6px;'><?PHP forms::text('advanced_search', 0, forms::value('advanced_search'), 0, 'advanced_search'); ?> <?PHP forms::submit(0, 0, w('search_users', 0), 0, 'submit_nm', 1); ?> <?PHP echo w('-or-'); ?> <a href='<?PHP echo href('users', 'user_editor', array('show_tab'=>'manage_existing'))?>'><?PHP echo w('view_all_users'); ?></a></td>
			</tr>
			<tr>
				<td class='search_label<?PHP echo alt($m3+=1); ?>'><label><?PHP echo forms::checkbox('name', 0, 1, forms::value('name', x('name'))); ?> <?PHP echo w('customer_name')?></label></td>
				<td class='search_label<?PHP echo alt($m3); ?>'><label><?PHP echo forms::checkbox('status', 0, 1, forms::value('status', x('status'))); ?> <?PHP echo w('status')?></label></td>
				<td class='search_label<?PHP echo alt($m3); ?>'><label><?PHP echo forms::checkbox('email', 0, 1, forms::value('email', x('email'))); ?> <?PHP echo w('email')?></label></td>
				<td class='search_label<?PHP echo alt($m3); ?>'><label><?PHP echo forms::checkbox('username', 0, 1, forms::value('username', x('username'))); ?> <?PHP echo w('username')?></label></td>
			</tr>
			<tr>
				<td class='search_label<?PHP echo alt($m3+=1); ?>'><label><?PHP echo forms::checkbox('first_name', 0, 1, forms::value('first_name', x('first_name'))); ?> <?PHP echo w('first_name')?></label></td>
				<td class='search_label<?PHP echo alt($m3); ?>' colspan='3'><label><?PHP echo forms::checkbox('last_name', 0, 1, forms::value('last_name', x('last_name'))); ?> <?PHP echo w('last_name')?></label></td>
			</tr>
		</table>
		</form>
	</div>
</div>
<div class='grid quarter right'>
	<span class='section_header_left'><?PHP echo w('quick_stats'); ?></span>
	<div class='tab_content_wrapper_nm' style='display:block;'>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3=0); ?>'><?PHP echo w('total_customers:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?>'><a href='<?PHP echo href('customers', 'customer_editor')?>'><?PHP echo dashboard_customers::total_customers()?></a></td>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3+=1); ?>'><?PHP echo w('total_users:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?>'><a href='<?PHP echo href('users', 'user_editor')?>'><?PHP echo dashboard_customers::total_users()?></a></td>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3+=1); ?>'><?PHP echo w('last_user_login:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?>'><?PHP echo $last_user_login?></td>
			</tr>
			<tr>
				<td class='search_text<?PHP echo alt($m3+=1); ?>'><?PHP echo w('add_new:')?></td>
				<td class='search_label<?PHP echo alt($m3); ?>'><a href='<?PHP echo href('customers', 'customer_editor', array('show_tab' => 'add_new'))?>'><?PHP echo w('customer')?></a></td>
			</tr>
		</table>
	</div>
</div>
<div class='clear margin_bottom'><!-- --></div>

<div class='grid half no_margin'><br /><br /><span class='section_header'><?PHP echo w('customers_users_7_days_running')?></span><?PHP echo renderChartHTML("view/common/javascript/FusionCharts/FCF_MSColumn2D.swf", '', $chart['users'], uid('users'), 454, 210); ?></div>
<div class='grid half right'><br /><br /><span class='section_header'></span></div>
<div class='clear margin_bottom'><!-- --></div>



<div class='grid half no_margin'>
	<span class='section_header_left'><?PHP echo w('recent_customers')?></span>
	<?PHP if (!empty($customers)&&is_array($customers)): ?>
		<div class='tab_content_wrapper_nm no_top_border'>
		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP w('id'); ?></th>
				<th><?PHP w('name'); ?></th>
				<th><?PHP w('status'); ?></th>
				<th class='options'><a href='<?PHP echo href('customers','customer_editor')?>'><?PHP echo w('view_all'); ?></a></th>
			</tr>
			<?PHP $m3=0; foreach ($customers as $customer): $data=prepare_customers($customer); ?>
				<tr <?PHP echo $data['alt']; ?>>
					<td><?PHP echo $data['id']; ?></td>
					<td><?PHP echo $data['name']; ?></td>
					<td><?PHP echo $data['status']; ?></td>
					<td class='options'><?PHP echo $data['manage']; ?></td>
				</tr>
			<?PHP endforeach; ?>
		</table>
	</div>
<?PHP else: ?>
	<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_customers_found', 0); ?></p></div>
<?PHP endif; ?>
</div>
<div class='grid half right'>
	<span class='section_header_left'><?PHP echo w('recent_user_logins')?></span>
	<?PHP if (!empty($user_logins)&&is_array($user_logins)): ?>
		<div class='tab_content_wrapper_nm no_top_border'>
			<table class='data_grid'>
				<tr class='th'>
					<th><?PHP w('who'); ?></th>
					<th><?PHP w('ip'); ?></th>
					<th><?PHP w('logged_in_on'); ?></th>
					<th class='options'><a href='<?PHP echo href('users','user_editor')?>'><?PHP echo w('view_all'); ?></a></th>
				</tr>
				<?PHP $m3=0; foreach ($user_logins as $unique): $data=prepare_user_logs($unique); ?>
					<tr <?PHP echo $data['alt']; ?>>
						<td><?PHP echo $data['who']; ?></td>
						<td><?PHP echo $data['ip']; ?></td>
						<td><?PHP echo $data['created']; ?></td>
						<td class='options'><?PHP echo $data['manage']; ?></td>
					</tr>
				<?PHP endforeach; ?>
			</table>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_logs_found', 0); ?></p></div>
	<?PHP endif; ?>
</div>
<div class='clear margin_bottom'><!-- --></div>