<?PHP @template::ran_directly(); /* required for all templates */ ?> 

<?PHP echo mod::tabs($tabs, 'domains', 'registrars', "&id=".x('id'), 'registrars'); ?> 

<div class='tab_content' id='settings' style='display:none;'>
	<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_customer_area_add'>
		<ul>
			<li><label><?PHP w('Viewing Server:'); ?></label> <?PHP forms::select($uid=uid('l'), 'hosting', $server_select, forms::value('hosting', x('id')), "onchange='toggle_locations(\"#{$uid}\", \"".$m3=href('hosting', 'servers', array('show_tab'=> x('show_tab'),'id'=>''))."\");'"); ?></li>
			<li class='right'><a class='form_button' href='#' onclick='javascript:prompt_decision("hosting", "servers", "&remove=<?PHP echo x('id'); ?>", "<?PHP w('Sure you want to delete this server?'); ?>")'><?PHP w('Delete this Server'); ?></a></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>
		<?PHP if (file_exists($m3="modules/hosting/modules/{$server['module']}/view/server_admin.php")): ?>
			<?PHP include $m3; ?>
		<?PHP else: ?>
			<p class='no_matches_found'><?PHP echo w("Module {$server['module']} not found at:", 0)." \"{$m3}\""; ?></p>
		<?PHP endif; ?>
	</div>
</div>


<div class='tab_content' id='add_new' style='display:none;'>
	<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_customer_area_add'>
		<ul>
			<li><?PHP echo w('Add a New Domain Registrar'); ?></li>
			<li id='text'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>

		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
		<?PHP echo forms::hidden('task', 0, x('task')); ?>
		<?PHP if (x('id')): ?><?PHP echo forms::hidden('id', 0, x('id')); ?><?PHP endif; ?>
		<?PHP echo forms::hidden('show_tab', 0, 'add_new'); ?>
		<?PHP echo forms::hidden('add_new', 0, 'y'); ?>
			<table class='form_table'>
				<tr class='th'>
					<th colspan='2'></th>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('Choose Module:'); forms::overlib(w('Choose the domain registrar module that you would like to use.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('module', 0, $registrar_modules_available, forms::value('module')); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Module Name:'); forms::overlib(w('Please enter a name for this domain registrar module.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('name', 0, forms::value('name')); ?></td>
				</tr>
				<tr>
					<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('Add Registrar', 0), 0, 'submit', 1); ?></td>
				</tr>
			</table>
		</form>
	</div>
</div>


<div class='tab_content' id='general' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_customer_area'>
		<ul>
			<li><label><?PHP w('Viewing Registrar:'); ?></label> <?PHP forms::select($uid=uid('a'), 'domains', $registrar_select, forms::value('domains', x('id')), "onchange='toggle_registrars(\"#{$uid}\", \"".$m3=href('domains', 'registrars', array('show_tab'=> x('show_tab'),'id'=>''))."\");'"); ?></li>
			<li class='right'><a class='form_button' href='#' onclick='javascript:prompt_decision("domains", "registrars", "&remove=<?PHP echo x('id'); ?>", "<?PHP w('Sure you want to delete this domain registrar?'); ?>")'><?PHP w('Delete this Registrar'); ?></a></li>
		</ul>
	</h1>
	<div class='clear'></div>
	<div class='tab_content_wrapper no_top_left_border'>

		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
		<?PHP echo forms::hidden('task', 0, x('task')); ?>
		<?PHP echo forms::hidden('id', 0, x('id')); ?>
		<?PHP echo forms::hidden('update_general', 0, 'y'); ?>
			<table class='form_table'>
				<tr class='th'>
					<th colspan='2'></th>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('Choose Module:'); forms::overlib(w('Choose the domain registrar module that you would like to use.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $registrar_modules_available[$registrar['module']]; ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Registrar Status:'); forms::overlib(w('Please enable or disable this domain registrar module.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('status', 0, $statuses, forms::value('status', $registrar['status'])); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Module Name:'); forms::overlib(w('Please enter a name for this domain registrar module.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('name', 0, forms::value('name', $registrar['name'])); ?></td>
				</tr>
				<tr>
					<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
				</tr>
			</table>
		</form>
	</div>
</div>


<?PHP if (x('show_tab')=='logins'): ?>
	<div class='tab_content' id='logins' style='display:none;'>
		<?PHP errors($errors); ?>
		<h1 class='tab_content_label_2col tab_customer_area'>
			<ul>
				<li><label><?PHP w('Viewing Registrar:'); ?></label> <?PHP forms::select($uid=uid('b'), 'domains', $registrar_select, forms::value('domains', x('id')), "onchange='toggle_registrars(\"#{$uid}\", \"".$m3=href('domains', 'registrars', array('show_tab'=> x('show_tab'),'id'=>''))."\");'"); ?></li>
				<li class='right'><a class='form_button' href='#' onclick='javascript:prompt_decision("domains", "registrars", "&remove=<?PHP echo x('id'); ?>", "<?PHP w('Sure you want to delete this domain registrar?'); ?>")'><?PHP w('Delete this Registrar'); ?></a></li>
			</ul>
		</h1>
		<div class='clear'></div>
		<div class='tab_content_wrapper no_top_left_border'>
			<?PHP if (file_exists($m3="modules/domains/modules/{$registrar['module']}/view/registrar_admin.php")): include $m3; else: ?>
				<p class='no_matches_found'><?PHP echo w('Error 404 Module Not Found!',0);?></p>
			<?PHP endif; ?>
		</div>
	</div>
<?PHP endif; ?>

<?PHP if (x('show_tab')=='nameservers'): ?>
	<div class='tab_content' id='nameservers' style='display:none;'>
		<?PHP errors($errors); ?>
		<h1 class='tab_content_label_2col tab_customer_area'>
			<ul>
				<li><label><?PHP w('Viewing Registrar:'); ?></label> <?PHP forms::select($uid=uid('b'), 'domains', $registrar_select, forms::value('domains', x('id')), "onchange='toggle_registrars(\"#{$uid}\", \"".$m3=href('domains', 'registrars', array('show_tab'=> x('show_tab'),'id'=>''))."\");'"); ?></li>
				<li class='right'><a class='form_button' href='#' onclick='javascript:prompt_decision("domains", "registrars", "&remove=<?PHP echo x('id'); ?>", "<?PHP w('Sure you want to delete this domain registrar?'); ?>")'><?PHP w('Delete this Registrar'); ?></a></li>
			</ul>
		</h1>
		<div class='clear'></div>
		<div class='tab_content_wrapper no_top_left_border'>
			<?PHP if (file_exists($m3="modules/domains/modules/{$registrar['module']}/view/registrar_admin.php")): include $m3; else: ?>
				<p class='no_matches_found'><?PHP echo w('Error 404 Module Not Found!',0);?></p>
			<?PHP endif; ?>
		</div>
	</div>
<?PHP endif; ?>


<?PHP if (x('show_tab')=='contacts'): ?>
	<div class='tab_content' id='contacts' style='display:none;'>
		<?PHP errors($errors); ?>
		<h1 class='tab_content_label_2col tab_customer_area'>
			<ul>
				<li><label><?PHP w('Viewing Registrar:'); ?></label> <?PHP forms::select($uid=uid('b'), 'domains', $registrar_select, forms::value('domains', x('id')), "onchange='toggle_registrars(\"#{$uid}\", \"".$m3=href('domains', 'registrars', array('show_tab'=> x('show_tab'),'id'=>''))."\");'"); ?></li>
				<li class='right'><a class='form_button' href='#' onclick='javascript:prompt_decision("domains", "registrars", "&remove=<?PHP echo x('id'); ?>", "<?PHP w('Sure you want to delete this domain registrar?'); ?>")'><?PHP w('Delete this Registrar'); ?></a></li>
			</ul>
		</h1>
		<div class='clear'></div>
		<div class='tab_content_wrapper no_top_left_border'>
			<?PHP if (file_exists($m3="modules/domains/modules/{$registrar['module']}/view/registrar_admin.php")): include $m3; else: ?>
				<p class='no_matches_found'><?PHP echo w('Error 404 Module Not Found!',0);?></p>
			<?PHP endif; ?>
		</div>
	</div>
<?PHP endif; ?>

<?PHP echo set_default_tab('general') ?>