<?PHP @template::ran_directly(); /* required for all templates */ ?>

<div class='tab_content hundred_percent' id='add_new' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_email_add'>
		<ul>
			<li><?PHP echo w('add_new_email_transport'); ?></li>
			<li id='text'><a class='form_button' href='<?PHP echo href('email', 'settings', array('show_tab'=>'manage_existing')); ?>'><?PHP w('go_back'); ?></a></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>

		<?PHP forms::action(); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP forms::hidden('add_email_configuration', 0, 'y'); ?>
		<?PHP forms::hidden('show_tab', 0, 'add_new'); ?>

		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=0); ?>'><?PHP  w('name:'); forms::overlib(w('overlib_name', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('name', 0, forms::value('name')); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('from_email:'); forms::overlib(w('overlib_from_email', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('from_email', 0, forms::value('from_email')); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('from:'); forms::overlib(w('overlib_from', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('from', 0, forms::value('from')); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('signature:'); forms::overlib(w('overlib_signature', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea('signature', 0, forms::value('signature'), '175px', '50px'); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP  w('email_transport:'); forms::overlib(w('overlib_email_transport', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('email_transport', 0, $email_transports, forms::value('email_transport'), "onchange='toggle_transport();'"); ?></td>
			</tr>
		</table>
		<div id='smtp' style='display:none;'>
			<table class='form_table'>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP  w('smtp_port:'); forms::overlib(w('overlib_smtp_port', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('smtp_port', 0, $smtp_ports, forms::value('smtp_port')); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP  w('smtp_primary_host:'); forms::overlib(w('overlib_smtp_primary_host', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('smtp_primary_host', 0, forms::value('smtp_primary_host')); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP  w('smtp_secondary_host:'); forms::overlib(w('overlib_smtp_secondary_host', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('smtp_secondary_host', 0, forms::value('smtp_secondary_host')); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP  w('smtp_username:'); forms::overlib(w('overlib_smtp_username', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('smtp_username', 0, forms::value('smtp_username')); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP  w('smtp_password:'); forms::overlib(w('overlib_smtp_password', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('smtp_password', 0, forms::value('smtp_password')); ?></td>
				</tr>
			</table>
		<script> toggle_transport(); </script>
		</div>
		<table class='form_table'>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('add_new', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
</div>


<div class='tab_content hundred_percent' id='manage_existing' style='display:none;'>

	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_email'>
		<ul>
			<li><?PHP echo w('configurations'); ?></li>
			<li id='text'><a class='form_button' href='<?PHP echo href('email', 'settings', array('show_tab'=>'add_new')); ?>'><?PHP w('add_email_transport'); ?></a></li>
		</ul>
	</h1>
	<?PHP if (!empty($email_confs)&&is_array($email_confs)): ?>
		<div class='tab_content_wrapper  no_top_left_border'>
		<?PHP forms::action(); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>

		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP echo $s['id']['image']; ?><a href='<?PHP echo $s['id']['link']; ?>'><?PHP w('id'); ?></a></th>
				<th><?PHP echo $s['name']['image']; ?><a href='<?PHP echo $s['name']['link']; ?>'><?PHP w('name'); ?></a></th>
				<th><?PHP echo $s['created']['image']; ?><a href='<?PHP echo $s['created']['link']; ?>'><?PHP w('created'); ?></a></th>
				<th class='options'><?PHP w('options'); ?></th>
			</tr>

		<?PHP $m3=0; foreach ($email_confs as $unique): $data=prepare($unique); ?>

			<tr <?PHP echo $data['alt']; ?>>
				<td><?PHP echo $data['id']; ?></td>
				<td><?PHP echo $data['name']; ?></td>
				<td><?PHP echo $data['created']; ?></td>
				<td class='options'><?PHP echo $data['remove']; ?> / <?PHP echo $data['manage']; ?></td>
			</tr>

		<?PHP endforeach; ?>

		</table>
		</form>
		<?PHP echo $pagination_confs; ?>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_configurations_found', 0); ?></p></div>
	<?PHP endif; ?>

</div>

<?PHP echo set_default_tab('manage_existing') ?>