<?PHP @template::ran_directly(); /* required for all templates */ ?>

<?PHP echo mod::tabs($tabs, 'email', 'template_edit', '&id='.x('id').'&group='.x('group'), 'templates', array('group'=>x('group'))); ?> 

<div class='tab_content' id='general' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_email_edit'>
		<ul>
			<li><?PHP w('edit_template'); ?> <?PHP echo $groups[x('group')]?> <?PHP echo w('group', 0); ?></li>
			<li class='right'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>
		<?PHP forms::action(); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP forms::hidden('id', 0, x('id')); ?>
		<?PHP forms::hidden('group', 0, x('group')); ?>
		<?PHP forms::hidden('update_template', 0, 'y'); ?>
		<?PHP forms::hidden('show_tab', 0, 'general'); ?>
		<table class='form_table'>
			<tr>
				<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('status:'); forms::overlib(w('overlib_status', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('status', 0, $enable_disable, forms::value('status', $template['status'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP  w('event:'); forms::overlib(w('overlib_event', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $event_alias; ?> <?PHP forms::select('type', 0, array('text' => w('text', 0), 'html' => w('html', 0)), forms::value('type', $template['type'])); ?> <?PHP forms::select('priority', 0, array(3 => w('normal', 0), 1 => w('low', 0), 5 => w('high', 0)), forms::value('priority', $template['priority'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('subject:'); forms::overlib(w('overlib_subject', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea('subject', 0, forms::value('subject', $template['subject']), '500px', '15px'); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('message:'); forms::overlib(w('overlib_message', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea('message', 0, forms::value('message', $template['message']), '500px', '200px'); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('valid_tags:'); forms::overlib(w('overlib_valid_tags', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>' id='parse_tags'><?PHP echo email_ui_helper::format_replacable_tags($event['tags'])?></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
</div>


<div class='tab_content' id='assign' style='display:none;'>
	<?PHP errors($errors); ?>
	<div id='ajax_errors'></div>
	<?PHP echo $assignments?>
</div>


<div class='tab_content' id='advanced' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_email_edit'>
		<ul>
			<li><?PHP w('edit_template'); ?> <?PHP echo $groups[x('group')]?> <?PHP echo w('group', 0); ?></li>
			<li class='right'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>
		<?PHP forms::action(); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>
		<?PHP forms::hidden('id', 0, x('id')); ?>
		<?PHP forms::hidden('group', 0, x('group')); ?>
		<?PHP forms::hidden('update_template_advanced', 0, 'y'); ?>
		<?PHP forms::hidden('show_tab', 0, 'advanced'); ?>
		<table class='form_table'>
			<tr>
				<td class='text<?PHP echo alt($m3=0); ?>'><?PHP  w('email_configuration_id:'); forms::overlib(w('overlib_email_configuration_id', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('email_configuration_id', 0, $email_configurations, forms::value('email_configuration_id', $template['email_configuration_id'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('cc:'); forms::overlib(w('overlib_cc', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea('cc', 0, forms::value('cc', $template['cc']), '500px', '60px'); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('bcc:'); forms::overlib(w('overlib_bcc', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea('bcc', 0, forms::value('bcc', $template['bcc']), '500px', '60px'); ?></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
</div>

<?PHP echo set_default_tab('general') ?>