<?PHP @template::ran_directly(); /* required for all templates */ ?>

<div class='tab_content hundred_percent' id='add_new' style='display:none;'>
	<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_keyboard_add'>
		<ul>
			<li><?PHP echo w('add_support_department'); ?></li>
			<li class='right'><a href='<?PHP echo href('helpdesk', 'departments', array('show_tab' => 'manage_existing')); ?>' class='form_button'><?PHP w('all_support_departments'); ?></a></li>
		</ul>
	</h1>
	<?PHP if (!$missing_requirements): ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('imap_missing', 0); ?></p></div>	
	<?PHP else: ?>
		<div class='tab_content_wrapper no_top_left_border'>
			<?PHP forms::action(); ?>
			<?PHP forms::hidden('mod', 0, x('mod')); ?>
			<?PHP forms::hidden('task', 0, x('task')); ?>
			<?PHP forms::hidden('add_support_department', 0, 'y'); ?>
			<?PHP forms::hidden('show_tab', 0, 'add_new'); ?>

			<table class='form_table'>
				<tr class='th'>
					<th colspan='2'></th>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3=0); ?>'><?PHP  w('auto_reply_template:'); forms::overlib(w('overlib_auto_reply_template', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('enable_helpdesk_autoreply', 0, $no_yes, forms::value('enable_helpdesk_autoreply', $customer_area['enable_helpdesk_autoreply'])); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP  w('name:'); forms::overlib(w('overlib_name', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('name', 0, forms::value('name')); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('description:'); forms::overlib(w('overlib_description', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea('description', 0, forms::value('description'), '175px', '50px'); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('email:'); forms::overlib(w('overlib_email', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('email', 0, forms::value('email')); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('host:'); forms::overlib(w('overlib_host', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('host', 0, forms::value('host')); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('port:'); forms::overlib(w('overlib_port', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('port', 0, forms::value('port')); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('username:'); forms::overlib(w('overlib_username', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('username', 0, forms::value('username')); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('password:'); forms::overlib(w('overlib_password', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('password', 0, forms::value('password')); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('signature:'); forms::overlib(w('overlib_signature', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea('signature', 0, forms::value('signature'), '175px', '50px'); ?></td>
				</tr>
				<tr>
					<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('add_new', 0), 0, 'submit', 1); ?></td>
				</tr>
			</table>
			</form>
		</div>
	<?PHP endif; ?>
</div>


<div class='tab_content hundred_percent' id='manage_existing' style='display:none;'>
	<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_keyboard'>
		<ul>
			<li><?PHP echo w('all_support_departments'); ?></li>
			<li class='right'><a href='<?PHP echo href('helpdesk', 'departments', array('show_tab' => 'add_new')); ?>' class='form_button'><?PHP w('add_support_department'); ?></a></li>
		</ul>
	</h1>
	<?PHP if (!$missing_requirements): ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('imap_missing', 0); ?></p></div>	
	<?PHP elseif (!empty($departments)&&is_array($departments)): ?>
		<div class='tab_content_wrapper  no_top_left_border'>
		<?PHP forms::action(); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>

		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP echo $s['id']['image']; ?><a href='<?PHP echo $s['id']['link']; ?>'><?PHP w('id'); ?></a></th>
				<th><?PHP echo $s['name']['image']; ?><a href='<?PHP echo $s['name']['link']; ?>'><?PHP w('name'); ?></a></th>
				<th><?PHP echo $s['email']['image']; ?><a href='<?PHP echo $s['email']['link']; ?>'><?PHP w('email'); ?></a></th>
				<th><?PHP echo $s['created']['image']; ?><a href='<?PHP echo $s['created']['link']; ?>'><?PHP w('created'); ?></a></th>
				<th class='options'><?PHP w('options'); ?></th>
			</tr>
			<?PHP $m3=0; foreach ($departments as $unique): $data=prepare($unique); ?>
				<tr <?PHP echo $data['alt']; ?>>
					<td><?PHP echo $data['id']; ?></td>
					<td><?PHP echo $data['name']; ?></td>
					<td><?PHP echo $data['email']; ?></td>
					<td><?PHP echo $data['created']; ?></td>
					<td class='options'><?PHP echo $data['remove']; ?> / <?PHP echo $data['manage']; ?></td>
				</tr>
			<?PHP endforeach; ?>
		</table>
		</form>
		<?PHP echo $pagination; ?>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_support_departments_found', 0); ?></p></div>
	<?PHP endif; ?>
</div>

<?PHP echo set_default_tab('manage_existing') ?>