<?PHP @template::ran_directly(); /* required for all templates */ ?>

<?PHP if (x('show_tab')=='provisioning'): ?>
	<?PHP 
	if (!empty($servers_in_group)&&is_array($servers_in_group))
		{
		echo "<div class='tab_content_wrapper_wp '><table class='form_table'>";
		foreach ((array)$servers_in_group as $server)
			{
			echo "<tr><td class='label_alt'>&nbsp;&nbsp;<img src='view/images/icons/server_database.png' class='icon '/> <b>{$server['hostname']}</b> <i>".w('Choose the WHM plan to provision on this server for this hosting package from the list below.',0)."</i></td></tr>";
			$whm_packages=WHM::get_packages($server); 
			if ($whm_packages['data']['reason']) 
				{
				echo "<tr><td class='label'>&nbsp;&nbsp;<i>Error: {$whm_packages['data']['reason']}.</i> <a href='".href('hosting', 'servers', array('id' => $server['id'], 'show_tab' => 'settings'))."'>".w('click_here',0)."</a> ".w('to test the server connectivity with WHM',0)."</td></tr>";
				continue;
				}
			else
				{
				$default='';
				array_unshift($whm_packages['package'], array('name' => $disable_server));
				foreach($whm_packages['package'] as $whm_package)
					{
					$use_whm_package_name="use_package_name_{$server['id']}";
					$checked=(($package['attr'][$use_whm_package_name]==$whm_package['name'])?' checked':'');
					if (!$package['attr']&&!$default)
						{
						$default=$checked=' checked';
						hosting::save_package_attribute(x('id'), $use_whm_package_name, $disable_server);
						}
					$checkbox=forms::radio("use_package_name_{$server['id']}", 0, $whm_package['name'], $checked, "onclick='assign_server_whm_package_name(".x('id').", ".$server['id'].", \"{$use_whm_package_name}\", \"{$whm_package['name']}\");'", 0, 0);
					echo "<tr><td class='label'>&nbsp;&nbsp;<label>{$checkbox} {$whm_package['name']}</label></td></tr>";
					}
				}
			}
		echo "</table></div>";
		}
	else { ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><a href='<?PHP echo href('hosting', 'groups', array('show_tab' => 'assign')); ?>'><?PHP w('click_here'); ?></a> <?PHP w('to add at least one server to the group first.'); ?></p></div>
	<?PHP } ?>
<?PHP endif; ?>


<?PHP if (x('show_tab')=='reseller'): ?>
	<?PHP echo forms::action(); ?>
	<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
	<?PHP echo forms::hidden('task', 0, x('task')); ?>
	<?PHP echo forms::hidden('show_tab', 0, x('show_tab')); ?>
	<?PHP echo forms::hidden('id', 0, x('id')); ?>
	<?PHP echo forms::hidden('update_reseller', 0, 'y'); ?>
		<table class='form_table no_bottom_border' style='border-bottom:0;'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('Enable Reseller Features:'); forms::overlib(w('Set this to enabled if you want to make this a WHM reseller package.', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('enable_reseller', 0, $disable_enable, forms::value('enable_reseller', $package['attr']['enable_reseller']), "onchange='toggle_reseller();'"); ?></td>
			</tr>
		</table>
		<div id='enable_reseller_form'>
			<table class='form_table no_top_bottom_border'>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Reseller Account Ownership:'); forms::overlib(w('Whether or not the reseller will own his or her own account.<br /><br /><b>Warning:</b> Users who own their accounts are able to modify them. This will allow them to circumvent account creation limits you may have set up.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('makeowner', 0, $make_owner, forms::value('makeowner', $package['attr']['makeowner'])); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Enable Bandwidth Overselling:'); forms::overlib(w('Allows a reseller to oversell bandwidth.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('enable_overselling_bandwidth', 0, $disable_enable, forms::value('enable_overselling_bandwidth', $package['attr']['enable_overselling_bandwidth'])); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Enable Disk Space Overselling:'); forms::overlib(w('Allows a reseller to oversell disk space.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('enable_overselling_diskspace', 0, $disable_enable, forms::value('enable_overselling_diskspace', $package['attr']['enable_overselling_diskspace'])); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Enable Custom Nameservers:'); forms::overlib(w('Enabling this feature will prefix the customers domain name with ns1 and ns2 and add A records to the DNS entry for the account.<br /><br />You must enable nameserver IP sharing in WHM at:<br /><br />WHM -> Server Configuration -> Tweak Settings -> Allow Sharing Nameserver IPs -> On', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('custom_nameservers', 0, $disable_enable, forms::value('custom_nameservers', $package['attr']['custom_nameservers'])); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Account Limit:'); forms::overlib(w('The number of accounts to which the reseller has access.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('account_limit', 0, forms::value('account_limit', $package['attr']['account_limit']), 0, 'date'); ?>&nbsp;&nbsp;<i><?PHP echo w('Leave blank for no limit', 0); ?></i></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('Enable Resource Limits:'); forms::overlib(w('Enables or disables limits on resources available to the reseller.', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('enable_resource_limits', 0, $disable_enable, forms::value('enable_resource_limits', $package['attr']['enable_resource_limits']), "onchange='toggle_resource_limits();'"); ?><div id='resource_limits' style='display: inline;;'>&nbsp;&nbsp;<i><?PHP w('Bandwidth'); ?></i>&nbsp;&nbsp;<?PHP forms::text('bandwidth_limit', 0, forms::value('bandwidth_limit', $package['attr']['bandwidth_limit']), 0, 'small'); ?>&nbsp;<?PHP echo w('MB', 0); ?>&nbsp;&nbsp;<i><?PHP w('Disk Space'); ?></i>&nbsp;&nbsp;<?PHP forms::text('diskspace_limit', 0, forms::value('diskspace_limit', $package['attr']['diskspace_limit']), 0, 'small'); ?>&nbsp;<?PHP echo w('MB', 0); ?></div>
					</td>
				</tr>
				<?PHP if (!empty($servers_in_group)&&is_array($servers_in_group)): ?>
					<tr>
						<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('Define Reseller ACL List:'); forms::overlib(w('Choose the ACL list to use for each server. If you add a new ACL list in WHM it will show up here as an option.', 0)); ?></td>
						<td class='label<?PHP echo alt($m3); ?>'>
							<div class='scroll' style='background:none; padding:0; border:0; width: 475px;'>
								<table class='form_table' style='border:0;'>
									<?PHP foreach ((array)$servers_in_group as $server): $data=prepare_ACL_lists($server); ?>
										<tr>
											<td class='label_alt' style='border-width:0 0 1px 0; width: 25%'><img src='view/images/icons/server.png' class='icon' /><?PHP echo $server['hostname']; ?></td> 
											<td class='label_alt' style='border-width:0 0 1px 0;'>&raquo;&raquo;&raquo;&nbsp;&nbsp;<?PHP forms::select("acl_list_{$server['id']}", 0, $data['lists_available'], forms::value("acl_list_{$server['id']}", $package['attr']["acl_list_{$server['id']}"])); ?></td>
										</tr>
									<?PHP endforeach; ?>
								</table>
							</div>
						</td>
					</tr>
				<?PHP endif; ?>
			</table>
		</div>
		<table class='form_table'>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('save_changes', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
	</form>
	<script> toggle_reseller(); toggle_resource_limits(); </script>
<?PHP endif; ?>