/**
* Set the focus for category icon selection
* 
* @param object which The element to update.
*/
function set_icon(which)
	{
	if ($('#icon_chooser img').hasClass('focus')) 
		{
		$('#icon_chooser img').removeClass('focus');
		$('#icon_chooser img').addClass('non_focus');
		}

	var sel='#'+which;
	$(sel).attr('class', 'focus');
	$("#icon").val(which+'.png');
	}

/**
* Set the focus for category icon selection to nothing.
* 
* @param object which The element to update.
*/
function reset_icons()
	{
	if ($('#icon_chooser img').hasClass('focus')) 
		{
		$('#icon_chooser img').removeClass('focus');
		$('#icon_chooser img').addClass('non_focus');
		}
		
	$("#icon").val('');
	}

function assign_article_to_category(category_id, article_id)
	{
	var this_checkbox='#category_'+category_id
	var state=$(this_checkbox).is(':checked');

	$.post('index.php?mod=kb&task=article_edit&category_id='+category_id+'&id='+article_id+'&cat2article=y&status='+state, 
	function (data) 
		{ 
		$("#cat2article_errors").html( data ); 
		$('.success').effect("shake", { times: 2, direction: 'up' }, 200);
		});
	}

function assign_attachment_to_article(attachment_id, article_id)
	{
	var this_checkbox='#attachment_'+attachment_id
	var state=$(this_checkbox).is(':checked');

	$.post('index.php?mod=kb&task=article_edit&attachment_id='+attachment_id+'&id='+article_id+'&attachment2article=y&status='+state, 
	function (data) 
		{ 
		$("#attachment2article_errors").html( data ); 
		$('.success').effect("shake", { times: 2, direction: 'up' }, 200);
		});
	}

function assign_related_article(relation, article_id)
	{
	var this_checkbox='#related_'+relation
	var state=$(this_checkbox).is(':checked');

	$.post('index.php?mod=kb&task=article_edit&relation='+relation+'&id='+article_id+'&related2article=y&status='+state, 
	function (data) 
		{ 
		$("#relation2article_errors").html( data ); 
		$('.success').effect("shake", { times: 2, direction: 'up' }, 200);
		});
	}

function assign_profile_to_category(category_id, profile_id)
	{
	var this_checkbox='#category_'+category_id
	var state=$(this_checkbox).is(':checked');

	$.post('index.php?mod=kb&task=profile_edit&category_id='+category_id+'&id='+profile_id+'&cat2profile=y&status='+state, 
	function (data) 
		{ 
		$("#cat2profile_errors").html( data ); 
		$('.success').effect("shake", { times: 2, direction: 'up' }, 200);
		});
	}

function toggle_profile(ref, link_out)
	{ 
	window.location=link_out+$(ref).val();
	}