<?PHP
# This file is for the license server:
# {server_name} [Server ID: {server_id}] [created: {created_date}]


# The $license variable.
# Feel free to change it as you see needed.
$license='';

$servers   = array();
$servers[] = '{installed_host}{installed_directory}'; // main server

# You can ignore everything below this line if you want to --------------------------

$query_string="license={$license}";
$query_string.="&product_id={product_id}";
$query_string.="&sku_id={sku_id}";

$per_server={per_server};
$per_install={per_install};
$per_site={per_site};

$enable_dns_spoof='{enable_dns_spoof}';

# functions -------------------------------------------------------------------------

// added v2.0.10
function make_token() { return md5('{secret_key}'.time()); }
// END added v2.0.10

function get_key()
	{
	$data=@file("key.php");

	if (!$data) { return false; }

	$buffer=false;
	foreach ($data as $line) { $buffer.=$line; }
	if (!$buffer) { return false; }

	$buffer=@str_replace("<", "", $buffer);
	$buffer=@str_replace(">", "", $buffer);
	$buffer=@str_replace("?PHP", "", $buffer);
	$buffer=@str_replace("?", "", $buffer);
	$buffer=@str_replace("/*--", "", $buffer);
	$buffer=@str_replace("--*/", "", $buffer);

	return @str_replace("\n", "", $buffer);
	}

function parse_local_key()
	{
	if (!@file_exists("key.php")) { return false; }

	$raw_data=@base64_decode(get_key());
	$raw_array=@explode("|", $raw_data);
	if (@is_array($raw_array)&&@count($raw_array)<8) { return false; }

	return $raw_array;
	}

// added 05-15-2008
function pa_wildcard($host_array)
	{
	if (!is_array($host_array)) { return array(); }

	foreach ($host_array as $access)
		{
		$first_dot=strpos($_SERVER['HTTP_HOST'], '.');
		$strlen=strlen($_SERVER['HTTP_HOST']);
		$target=substr($_SERVER['HTTP_HOST'], $first_dot, $strlen);
		if ($host=md5("{secret_key}*".$target)==$access)
			{
			return $host_array[]=$_SERVER['HTTP_HOST'];
			}
		}

	return $host_array;
	}
// END: added 05-15-2008

function validate_local_key($array)
	{
	$raw_array=parse_local_key();

	if (!@is_array($raw_array)||$raw_array===false)
		{
		return "<verify status='invalid_key' message='Please contact support for a new license key.' />";
		}

	if ($raw_array[11]&&@strcmp(@md5("{secret_key}".$raw_array[11]), $raw_array[12])!=0)
		{ 
		return "<verify status='invalid_key' message='Please contact support for a new license key.' />";
		}

	if ($raw_array[9]&&@strcmp(@md5("{secret_key}".$raw_array[9]), $raw_array[10])!=0)
		{
		return "<verify status='invalid_key' message='Please contact support for a new license key.' />";
		}

	if (@strcmp(@md5("{secret_key}".$raw_array[1]), $raw_array[2])!=0)
		{
		return "<verify status='invalid_key' message='Please contact support for a new license key.' ".$raw_array[9]." addon_array='{$raw_array[11]}' />";
		}

	if ($raw_array[1]<time()&&$raw_array[1]!="never")
		{
		return "<verify status='invalid_key' message='Please contact support for a new license key.' ".$raw_array[9]." addon_array='{$raw_array[11]}' />";
		}

	if ($array['per_server'])
		{
		$server=phpaudit_get_mac_address();
		$mac_array=@explode(",", $raw_array[6]);
		if (!@in_array(@md5("{secret_key}".$server[0]), $mac_array))
			{
			return "<verify status='invalid_key' message='Please contact support for a new license key.' ".$raw_array[9]." addon_array='{$raw_array[11]}' />";
			}

		$host_array=@explode(",", $raw_array[4]);
		if (!@in_array(@md5("{secret_key}".@gethostbyaddr(@gethostbyname($server[1]))), $host_array))
			{
			return "<verify status='invalid_key' message='Please contact support for a new license key.' ".$raw_array[9]." addon_array='{$raw_array[11]}' />";
			}
		}
	else if ($array['per_install']||$array['per_site'])
		{
		if ($array['per_install'])
			{
			$directory_array=@explode(",", $raw_array[3]);
			$valid_dir=path_translated();
			$valid_dir=@md5("{secret_key}".$valid_dir);
			if (!@in_array($valid_dir, $directory_array))
				{
				return "<verify status='invalid_key' message='Please contact support for a new license key.' ".$raw_array[9]." addon_array='{$raw_array[11]}' />";
				}
			}

		$host_array=@explode(",", $raw_array[4]);
		$host_array=pa_wildcard($host_array);
		if (!@in_array(@md5("{secret_key}".$_SERVER['HTTP_HOST']), $host_array))
			{
			return "<verify status='invalid_key' message='Please contact support for a new license key.' ".$raw_array[9]." addon_array='{$raw_array[11]}' />";
			}

		$ip_array=@explode(",", $raw_array[5]);
		if (!@in_array(@md5("{secret_key}".server_addr()), $ip_array))
			{
			return "<verify status='invalid_key' message='Please contact support for a new license key.' ".$raw_array[9]." addon_array='{$raw_array[11]}' />";
			}
		}

	return "<verify status='active' message='The license key is valid.' ".$raw_array[9]." addon_array='{$raw_array[11]}' />";
	}

function phpaudit_exec_curl($array)
    {
    $array=@explode("?", $array);

    $link=curl_init();
    curl_setopt($link, CURLOPT_URL, $array[0]);
    curl_setopt($link, CURLOPT_POSTFIELDS, $array[1]);
    curl_setopt($link, CURLOPT_VERBOSE, 0);
    curl_setopt($link, CURLOPT_SSL_VERIFYPEER, 0);
    curl_setopt($link, CURLOPT_SSL_VERIFYHOST, 0);
    curl_setopt($link, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($link, CURLOPT_FOLLOWLOCATION, 1);
    curl_setopt($link, CURLOPT_MAXREDIRS, 6);
    curl_setopt($link, CURLOPT_CONNECTTIMEOUT, 30);
    curl_setopt($link, CURLOPT_TIMEOUT, 15);
    $results=curl_exec($link);
	if (curl_errno($link)>0)
		{
		curl_close($link);
		return false;
		}
    curl_close($link);

	if (@strpos($results, "verify")===false) { return false; }

    return $results;
    }

# DOES NOT WORK FOR WINDOWS!!!!!!!
# No good way to get the mac address for win.
function phpaudit_get_mac_address()
	{
	$fp=@popen("/sbin/ifconfig", "r");

	if (!$fp) { return -1; } # returns invalid, cannot open ifconfig

	$res=@fread($fp, 4096);
	@pclose($fp);

	$array=@explode("HWaddr", $res);
	if (@count($array)<2) { $array=@explode("ether", $res); } # FreeBSD
	$array=@explode("\n", $array[1]);
	$buffer[]=@trim($array[0]);

	$array=@explode("inet addr:", $res);
	if (@count($array)<2) { $array=@explode("inet ", $res); } # FreeBSD
	$array=@explode(" ", $array[1]);
	$buffer[]=@trim($array[0]);

	return $buffer;
	}



function path_translated()
	{
	$option=array('PATH_TRANSLATED', 
				  'ORIG_PATH_TRANSLATED', 
				  'SCRIPT_FILENAME', 
				  'DOCUMENT_ROOT',
				  'APPL_PHYSICAL_PATH');

	foreach ($option as $key)
		{
		if (!isset($_SERVER[$key])||strlen(trim($_SERVER[$key]))<=0) { continue; }

		if (@substr(php_uname(), 0, 7)=='Windows'&&strpos($_SERVER[$key], '\\'))
			{
			return  @substr($_SERVER[$key], 0, @strrpos($_SERVER[$key], '\\'));
			}
		
		return  @substr($_SERVER[$key], 0, @strrpos($_SERVER[$key], '/'));
		}

	return false;
	// return 'no path could be determined.';
	}

function server_addr()
	{
	$options=array('SERVER_ADDR', 'LOCAL_ADDR');
	foreach ($options as $key)
		{
		if (isset($_SERVER[$key])) { return $_SERVER[$key]; }
		}

	return false;
	// return 'no IP could be determined.';
	}

# END functions ---------------------------------------------------------------------

if ($per_server)
	{
	$server_array=phpaudit_get_mac_address();
	$query_string.="&access_host=".@gethostbyaddr(@gethostbyname($server_array[1]));
	$query_string.="&access_mac=".$server_array[0];
	}
else if ($per_install)
	{
	$query_string.="&access_directory=".path_translated();
	$query_string.="&access_ip=".server_addr();
	$query_string.="&access_host=".$_SERVER['HTTP_HOST'];
	}
else if ($per_site)
	{
	$query_string.="&access_ip=".server_addr();
	$query_string.="&access_host=".$_SERVER['HTTP_HOST'];
	}

// added v2.0.10
$query_string.='&access_token=';
$query_string.=$token=make_token();
// END added v2.0.10

foreach($servers as $server) 
	{
    $data=phpaudit_exec_curl($server.'/validate_internal.php?'.$query_string);
    if ($data) { break; }
	}

// $data=false; // Uncomment this to test the local keys
$skip_dns_spoof=false;
if (!$data)
	{
	$array['per_server']=$per_server;
	$array['per_install']=$per_install;
	$array['per_site']=$per_site;
	$data=validate_local_key($array);
	$skip_dns_spoof=true;
	}

$parser=@xml_parser_create('');
@xml_parser_set_option($parser, XML_OPTION_CASE_FOLDING, 0);
@xml_parser_set_option($parser, XML_OPTION_SKIP_WHITE, 1);
@xml_parse_into_struct($parser, $data, $values, $tags);
@xml_parser_free($parser);

$returned=$values[0]['attributes'];
$returned['addon_array']=@str_replace(" ", '+', @unserialize(@base64_decode($returned['addon_array'])));

if (empty($returned)) { $returned['status']="invalid"; }

if (!$returned['status']) { die('Invalid license'); }

if ($returned['status']=="invalid") { die('Invalid license'); }

if ($returned['status']=="suspended") { die('Suspended license'); }

if ($returned['status']=="expired") { die('Expired license'); }

if ($returned['status']=="pending") { die('Pending license'); }

if ($returned['status']=="invalid_key") { die('Invalid license key'); }

// added v2.0.10
if ($returned['status']=='active'
	&&strcmp(md5('{secret_key}'.$token), $returned['access_token'])!=0
	&&$enable_dns_spoof=='yes'
	&&!$skip_dns_spoof)
	{
	$returned['status']="invalid"; 
	}
// END added v2.0.10

unset($query_string, $per_server, $per_install, $per_site, $server, $data, $parser, $values, $tags, $sinfo, $token);
?>