<?PHP @template::ran_directly(); /* required for all templates */ ?>

<div class='tab_content hundred_percent' id='general' style='display:none;'>
	<?PHP if (!isset_media_upload_path()):?>
		<a href='<?PHP echo href('settings', 'system', array('show_tab' => 'edit'))?>'><?PHP echo w('click_here')?></a> <?PHP echo w('conf_media_upload_path_first')?>
	<?PHP else: ?>
		<?PHP errors($errors); ?>

		<?PHP if (x('category_id')): ?>
			<h1 class='tab_content_label_2col tab_compress'>
				<ul>
					<li><?PHP w('manage_downloads'); ?>: <?PHP echo $breadcrumb; ?></li>
					<li class='right'><a class='form_button' href='<?PHP echo href('media', 'downloads', array('show_tab'=>'general', 'parent_id'=>x('parent_id'))); ?>'><?PHP w('go_back'); ?></a></li>
				</ul>
			</h1>
			<div class='tab_content_wrapper no_top_left_border'>
				<?PHP echo forms::action(); ?>
				<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
				<?PHP echo forms::hidden('task', 0, x('task')); ?>
				<?PHP echo forms::hidden('show_tab', 0, 'general'); ?>
				<?PHP echo forms::hidden('parent_id', 0, x('parent_id')); ?>
				<?PHP echo forms::hidden('category_id', 0, x('category_id')); ?>
				<?PHP echo forms::hidden('update_category', 0, 'y'); ?>
				<table class='form_table'>
					<tr class='th'>
						<th colspan='2'></th>
					</tr>
					<tr>
						<td class='text'><?PHP w('parent_category:'); forms::overlib(w('overlib_parent_category', 0)); ?></td>
						<td class='label'><?PHP forms::select('new_parent_id', 0, $category_select, forms::value('new_parent_id', $edit_category['parent_id'])); ?></td>
					</tr>
					<tr>
						<td class='text_alt'><?PHP w('status:'); forms::overlib(w('overlib_status', 0)); ?></td>
						<td class='label_alt'><?PHP forms::select('status', 0, $statuses, forms::value('status', $edit_category['status'])); ?></td>
					</tr>
					<tr>
						<td class='text'><?PHP w('name:'); forms::overlib(w('overlib_name', 0)); ?></td>
						<td class='label'><?PHP forms::text('name', 0, forms::value('name', $edit_category['name'])); ?></td>
					</tr>
					<tr>
						<td class='text_alt_top'><?PHP w('description:'); forms::overlib(w('overlib_description', 0)); ?></td>
						<td class='label_alt'><?PHP forms::textarea('description', 0, forms::value('description', $edit_category['description']), '180px', '75px'); ?></td>
					</tr>
					<tr>
						<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('click_to_save', 0), 0, 'submit', 1); ?></td>
					</tr>
				</table>
				</form>
			</div>
		<?PHP else: ?>
			<h1 class='tab_content_label_2col tab_compress'>
				<ul>
					<li><?PHP w('manage_downloads'); ?></li>
					<li class='right'><span class='span_folder'><?PHP echo $breadcrumb; ?></span></li>
				</ul>
			</h1>
			<div class='tab_content_wrapper  no_top_left_border'>

			<table class='data_grid'>
				<tr class='th'>
					<th><?PHP w('name'); ?></th>
					<th><?PHP w('created'); ?></th>
					<th class='options'>(<?PHP echo w('new'); ?> <a href='#' onclick='media_controls("category"); return false;'><?PHP echo w('new_category'); ?></a> | <a href='#' onclick='media_controls("media"); return false;'><?PHP echo w('new_media'); ?></a>)</th>
				</tr>
				<tr id='category' class='controls' style='display:none;'>
					<th colspan='3'>
						<div class='controls_wrapper_wp'><?PHP forms::action(); ?>
						<?PHP forms::hidden('mod', 0, x('mod')); ?>
						<?PHP forms::hidden('task', 0, x('task')); ?>
						<?PHP forms::hidden('show_tab', 0, 'general'); ?>
						<?PHP forms::hidden('toggle', 0, 'category'); ?>
						<?PHP forms::hidden('add_category', 0, 'y'); ?>
						<?PHP if (x('parent_id')): ?><?PHP forms::hidden('parent_id', 0, x('parent_id')); ?><?PHP endif; ?>
						<?PHP echo forms::text('category_name', 0, ''); ?> <?PHP forms::select('status', 0, $statuses, forms::value('status')); ?> <?PHP forms::submit(0, 0, w((x('parent_id'))?'add_sub_category':'add_category', 0), 0, 'submit_nm', 1); ?> <?PHP echo w('-or-')?> <a href='#' onclick='$("#category").hide(); return false;'><?PHP echo w('click_to_close')?></a>
						</form></div>
					</th>
				</tr>
				<tr id='media' class='controls' style='display:none;'>
					<th colspan='3'>
						<div class='controls_wrapper_wp'>
						<form action='<?PHP echo $_SERVER['PHP_SELF']?>' method='POST' enctype='multipart/form-data'>
						<?PHP forms::hidden('mod', 0, x('mod')); ?>
						<?PHP forms::hidden('task', 0, x('task')); ?>
						<?PHP forms::hidden('show_tab', 0, 'general'); ?>
						<?PHP forms::hidden('toggle', 0, 'media'); ?>
						<?PHP forms::hidden('parent_id', 0, (x('parent_id')?x('parent_id'):0)); ?>

						<div id='web_upload' style='display:block;'>
							<div class='file_upload' style='display:block;'>
								<input size='38' type='file' id='file_1' name='file_1' /> <a href='#' onclick='add_file("<?PHP echo w('only_5_at_a_time')?>"); return false;'>Add Another</a>
							</div>
							<div id='f1' class='file_upload' style='display:none;'>
								<input size='38' type='file' name='file_2' /> <a href='#' onclick='remove_file(1); return false;'>Remove</a>
							</div>
							<div id='f2' class='file_upload' style='display:none;'>
								<input size='38' type='file' name='file_3' /> <a href='#' onclick='remove_file(2); return false;'>Remove</a>
							</div>
							<div id='f3' class='file_upload' style='display:none;'>
								<input size='38' type='file' name='file_4' /> <a href='#' onclick='remove_file(3); return false;'>Remove</a>
							</div>
							<div id='f4' class='file_upload' style='display:none;'>
								<input size='38' type='file' name='file_5' /> <a href='#' onclick='remove_file(4); return false;'>Remove</a>
							</div>
						<a href='#' onclick='$("#media").hide(); return false;'><?PHP echo w('cancel')?></a> <?PHP echo w('-or-')?> <a href='#' onclick='switch_upload(); return false;'><?PHP echo w('manual_ftp')?></a> <?PHP echo w('-or-')?> <?PHP forms::submit('add_media', 0, w('add_media_to_category', 0), 0, 'submit_nm', 1); ?>
						</div>
						<div id='ftp_upload' style='display:none;'>
							<table>
								<tr>
									<td><?PHP echo w('display_name:')?></td>
									<td><?PHP forms::text('name', 0, forms::value('name'), 0, 'large'); ?></td>
								</tr>
								<tr>
									<td><?PHP echo w('actual_filename:')?></td>
									<td><?PHP forms::text('filename', 0, forms::value('filename'), 0, 'large'); ?></td>
								</tr>
							</table>
						<a href='#' onclick='$("#media").hide(); return false;'><?PHP echo w('cancel')?></a> <?PHP echo w('-or-')?> <a href='#' onclick='switch_upload(); return false;'><?PHP echo w('web_upload')?></a> <?PHP echo w('-or-')?> <?PHP forms::submit('manually_add_media', 0, w('add_media_to_category', 0), 0, 'submit_nm', 1); ?>
						</div>
						</form></div>

					<?PHP if ($_POST['manually_add_media']): ?>
						<script> media_controls("media"); switch_upload(); </script>
					<?PHP endif; ?>
					</th>
				</tr>

				<?PHP if (!empty($categories)&&is_array($categories)): ?>
					<?PHP $m3=0; foreach ($categories as $unique): $data=prepare_media($unique); ?>

						<tr <?PHP echo $data['alt']; ?>>
							<td><?PHP echo $data['name']; ?></td>
							<td><?PHP echo $data['created']; ?></td>
							<td class='options'><?PHP echo $data['delete']; ?> / <?PHP echo $data['manage']; ?></td>
						</tr>

					<?PHP endforeach; ?>
				<?PHP endif; ?>
				<?PHP if (!empty($media)&&is_array($media)): ?>
					<?PHP foreach ($media as $unique): $data=prepare_files($unique); ?>

						<tr <?PHP echo $data['alt']; ?>>
							<td><?PHP echo $data['name']; ?></td>
							<td><?PHP echo $data['created']; ?></td>
							<td class='options'><?PHP echo $data['delete']; ?></td>
						</tr>

					<?PHP endforeach; ?>
				<?PHP endif; ?>
				
				<?PHP if (empty($categories)&&empty($media)): ?>
						<tr <?PHP echo $data['alt']; ?>>
							<td colspan='3'><?PHP echo w('no_media_found')?></td>
						</tr>
				<?PHP endif; ?>

				</table>
			</div>
		<?PHP endif; ?>
		<?PHP if (x('toggle')=='category'): ?><script> media_controls("category"); </script><?PHP endif; ?>
		<?PHP if (x('toggle')=='media'): ?><script> media_controls("media"); </script><?PHP endif; ?>
		<?PHP if (x('toggle')=='media_ftp'): ?><script> media_controls("media"); switch_upload(); </script><?PHP endif; ?>
	<?PHP endif; ?>
</div>

<?PHP echo set_default_tab('general') ?>