<?PHP @template::ran_directly(); /* required for all templates */ ?>

<div class='tab_content hundred_percent' id='general' style='display:none;'>
	<?PHP errors($errors); ?>

	<?PHP if (x('add_set')): ?>
		<h1 class='tab_content_label_2col tab_images'>
			<ul>
				<li><?PHP w('add_new_set'); ?></li>
				<li class='right'><a class='form_button' href='<?PHP echo href('media', 'sets', array('show_tab'=>'general')); ?>'><?PHP w('existing_media_sets'); ?></a></li>
			</ul>
		</h1>
		<div class='tab_content_wrapper no_top_left_border'>
			<?PHP echo forms::action(); ?>
			<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
			<?PHP echo forms::hidden('task', 0, x('task')); ?>
			<?PHP echo forms::hidden('show_tab', 0, 'general'); ?>
			<?PHP echo forms::hidden('add_set', 0, 'y'); ?>
			<table class='form_table'>
				<tr class='th'>
					<th colspan='2'></th>
				</tr>
				<tr>
					<td class='text_alt'><?PHP w('set_name:'); forms::overlib(w('overlib_set_name', 0)); ?></td>
					<td class='label_alt'><?PHP forms::text('name', 0, forms::value('name')); ?></td>
				</tr>
				<tr>
					<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('add_new', 0), 0, 'submit', 1); ?></td>
				</tr>
			</table>
			</form>
		</div>
	<?PHP else: ?>
		<h1 class='tab_content_label_2col tab_images'>
			<ul>
				<li><?PHP w('existing_media_sets'); ?></li>
				<li class='right'><a href='<?PHP echo href('media', 'sets', array('show_tab' => 'general', 'add_set' => 'y')); ?>' class='form_button'><?PHP w('add_new_set'); ?></a></li>
			</ul>
		</h1>
		<?PHP if (!empty($sets)&&is_array($sets)): ?>
			<div class='tab_content_wrapper  no_top_left_border'>
			<table class='data_grid'>
				<tr class='th'>
					<th><?PHP echo $s['id']['image']; ?><a href='<?PHP echo $s['id']['link']; ?>'><?PHP w('id'); ?></a></th>
					<th><?PHP echo $s['name']['image']; ?><a href='<?PHP echo $s['name']['link']; ?>'><?PHP w('name'); ?></a></th>
					<th><?PHP echo $s['created']['image']; ?><a href='<?PHP echo $s['created']['link']; ?>'><?PHP w('created'); ?></a></th>
					<th class='options'><?PHP w('options'); ?></th>
				</tr>
				<?PHP $m3=0; foreach ($sets as $unique): $data=prepare_sets($unique); ?>
					<tr <?PHP echo $data['alt']; ?>>
						<td><?PHP echo $data['id']; ?></td>
						<td><?PHP echo $data['name']; ?></td>
						<td><?PHP echo $data['created']; ?></td>
						<td class='options'><?PHP echo $data['delete']; ?> / <?PHP echo $data['manage']; ?></td>
					</tr>
				<?PHP endforeach; ?>
			</table>
			<?PHP echo $pagination_sets; ?>
			</div>
		<?PHP else: ?>
			<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_sets_found', 0); ?></p></div>
		<?PHP endif; ?>
	<?PHP endif; ?>
</div>

<?PHP echo set_default_tab('general') ?>