<?PHP @template::ran_directly(); /* required for all templates */ ?>

<!--<?PHP echo ($product['status']=='Renewal')?"<div class='notice'>".w('renewal_product',0)." <a href='http://solidphp.com/docs/index.php?task=article&article_id=27'>".w('more_information',0)."</a>.</div>":''?>-->

<?PHP echo mod::tabs($tabs, 'products', 'product_edit', "&id=".x('id'), 'product_editor'); ?>



<?PHP if ($product['status']=='Renewal'): ?>
	<div class='tab_content' id='assign' style='display:none;'>
			<div class='tab_content_wrapper_wp'><?PHP echo w('feature_no_apply_renewal',0)?> <a onclick="reload_tab('general', 'products', 'product_edit', '&id=<?PHP echo x('id')?>');" href="#"><?PHP echo w('Click_here',0)?></a> <?PHP echo w('change_status_if_needed',0)?></div>
	</div>

	<div class='tab_content' id='addons' style='display:none;'>
			<div class='tab_content_wrapper_wp'><?PHP echo w('feature_no_apply_renewal',0)?> <a onclick="reload_tab('general', 'products', 'product_edit', '&id=<?PHP echo x('id')?>');" href="#"><?PHP echo w('Click_here',0)?></a> <?PHP echo w('change_status_if_needed',0)?></div>
	</div>

	<div class='tab_content' id='renewals' style='display:none;'>
		<?PHP errors($errors); ?>

			<div id='ajax_renewal_errors'></div>
			<h1 class='tab_content_label_2col tab_product_addons'>
				<ul>
					<li><?PHP echo sx($product['name'])?> - <?PHP echo w('assign_renewal_to_product',0)?></li>
					<li class='right'></li>
				</ul>
			</h1>
			<div class='tab_content_wrapper_wp'><table class='form_table'><?PHP
	$product_tree='';
	$products=product::get_all();
	$renewal_assignments=product::renewal_assignments(x('id'));

	// filter out non-eligable products
	foreach ($products as $key => $value) 
		{
		// remove this product, can't assign it to itself
		if ($value['id']==x('id')) { unset($products[$key]); } 

		// remove this product, can't assign it to another renewal
		if ($value['status']=='Renewal') { unset($products[$key]); } 
		}

	foreach ($products as $product_list)
		{
		$product_tree.=sx("<tr><td class='label_alt'>&nbsp;&nbsp;<b>{$product_list['name']}</b></td></tr>");

		$skus=product::get_skus($product_list['id']); 
		foreach($skus as $sku)
			{
			$checked=(in_array($sku['id'], $renewal_assignments))?' checked':'';
			$checkbox=forms::checkbox("product_sku_{$sku['id']}", 0, $sku['id'], $checked, "onclick='assign_renewal(".x('id').", {$sku['id']});'", 0, 0);
			$product_tree.="<tr><td class='label'><label>{$checkbox} {$sku['name']}</label></td></tr>";
			}
		}
	echo sx(($product_tree)?$product_tree:w('no_products_available_for_assignment',0));
	?></table> 
			</div>
	</div>
<?PHP else: ?>
	<div class='tab_content' id='renewals' style='display:none;'>
			<div class='tab_content_wrapper_wp'><?PHP echo w('feature_no_apply_regular_products',0)?> <a onclick="reload_tab('general', 'products', 'product_edit', '&id=<?PHP echo x('id')?>');" href="#"><?PHP echo w('Click_here',0)?></a> <?PHP echo w('change_status_if_needed',0)?></div>
	</div>

	<div class='tab_content' id='assign' style='display:none;'>
		<?PHP errors($errors); ?>

			<div id='cat2set_errors'></div>

			<h1 class='tab_content_label_2col tab_product_addons'>
				<ul>
					<li><?PHP echo sx($product['name']); ?></li>
					<li class='right'></li>
				</ul>
			</h1>
			<div class='tab_content_wrapper_wp'>

			<?PHP if (!empty($order_forms)&&is_array($order_forms)): ?>
				<?PHP

			foreach ($order_forms as $order_form_id => $order_form)
				{
				$category_tree.="<div class='tiled_bkg no_margin'>&nbsp;&nbsp;<img src='view/{$conf['template']}/images/icons/cart.png' class='icon' /> <a href='#' onclick='$(\"#x{$order_form_id}\").toggle(); return false; '>{$order_form}</a></div>";

				$categories=prepare_order_form_categories($order_form_id);
				$category_tree.="<table id='x{$order_form_id}' class='form_table' style='width: 98%'>";
				if (!empty($categories)&&is_array($categories))
					{
					foreach ($categories as $key => $value)
						{
						$checked=(order_forms::isset_product_in_category($product['id'], $key, $order_form_id))?' checked':'';
						$checkbox=forms::checkbox("product_{$key}", 0, $product['id'], $checked, "onclick='assign_product2category({$product['id']}, {$key}, {$order_form_id});'", 0, 0);
						$category_tree.="<tr><td class='label".(ooe($i+=1)?'':'_alt')."'>&nbsp;<label>{$checkbox} {$value}</label></td></tr>";
						}
					}
				else { $category_tree.="<tr><td class='label'>&nbsp;".w('no_order_form_categories_found', 0)."</td></tr>"; }
				$category_tree.='</table><br />';
				}
		echo $category_tree;
		?>
		<?PHP else: ?>
			<?PHP echo w('no_order_forms_created_yet')?> <a href='<?PHP echo href('order_forms', 'order_form_editor', array('show_tab' => 'add_new'))?>'><?PHP echo w('click_here')?></a> <?PHP echo w('to_add_an_order_form_now')?>
		<?PHP endif; ?>
		</div>
	</div>

	<div class='tab_content' id='addons' style='display:none;'>
		<?PHP errors($errors); ?>
		<div id='addon_errors'></div>

		<?PHP 
		$sort_addons=0;
		$addon_product_tree='';

		// this is all SKUs for the current product
		$this_tier=array();
		foreach (product::get_skus(x('id')) as $tier) 
			{
			$this_tier[]=$tier['id']; 
			}

		$addon_products=product::get_all();
		foreach ($addon_products as $addon_product)
			{ 
			if ($addon_product['status']=='Renewal') { continue; }
			if ($addon_product['id']==x('id')) { continue; }
			$link=''; $is_addon_for_product=false;
			foreach (product::addons($addon_product['id']) as $already_assigned)
				{ 
				if (in_array($already_assigned, (array)$this_tier)) 
					{ 
					$link=href('products', 'product_edit', array('id' => $addon_product['id'], 'show_tab' => 'addons'));
					$link=w('already_has', 0)." \"{$product['name']}\" <a href='{$link}'>".w('assigned_as_an_addon', 0)."</a>.";
					$is_addon_for_product=true; break; 
					}
				}

			$addon_product_tree.="<tr><td class='label_alt'>&nbsp;&nbsp;<b>{$addon_product['name']}</b> {$link}</td></tr>";
			if ($is_addon_for_product) { continue; }
			foreach(product::get_skus($addon_product['id']) as $addon_sku)
				{
				$checked=(in_array($addon_sku['id'], product::addons(x('id'))))?' checked':'';
				if ($checked) { $sort_addons+=1; }
				$checkbox=forms::checkbox("sku_{$addon_sku['id']}", 0, $addon_sku['id'], $checked, "onclick='assign_addon({$addon_sku['id']}, {$addon_sku['product_id']}, ".x('id').");'", 0, 0);
				$addon_product_tree.="<tr><td class='label'><label>{$checkbox} {$addon_sku['name']}</label></td></tr>";
				}
			}
		?>

		<h1 class='tab_content_label_2col tab_product_addons'>
			<ul>
				<li><?PHP echo sx($product['name']); ?> <?PHP if ($sort_addons>1): ?>( <a href="<?PHP echo href('products', 'product_edit', array('show_tab' => 'addons', 'change_addon_display_order' => 'y', 'id' => x('id')))?>"  title="<?PHP echo w('drag_drop_instructions', 0); ?>" onclick="modalbox(this, 600, '<?PHP echo href('products', 'product_edit', array('show_tab' => 'addons', 'id' => x('id')))?>'); return false;"><img src='view/images/icons/arrow_switch.png' class='icon' title='<?PHP echo w('change_display_order')?>' /></a> )<?PHP endif; ?></li>
				<li class='right'></li>
			</ul>
		</h1>
		<div class='tab_content_wrapper_wp'><table class='form_table'><?PHP echo ($addon_product_tree)?$addon_product_tree:w('no_addon_products_available', 0); ?></table>
		</div>
	</div>
<?PHP endif; ?>

<div class='tab_content' id='email' style='display:none;'>

	<?PHP errors($errors); ?>
	<div id='ajax_errors'></div>
	<h1 class='tab_content_label'><?PHP echo w('email_events'); ?></h1>
	<div class='tab_content_wrapper_wp'>
	<div class='notice'><?PHP echo w('event_notice', 0); ?></div>
	<?PHP if (is_array($events)&&!empty($events)):?>
		<?PHP foreach($events as $event): ?>
			<?PHP if ($event['alias']=='product_specific') { continue; } ?>
			<div class='tiled_bkg'>&nbsp;&nbsp;<img src='view/<?PHP echo $conf['template']?>/images/icons/bell.gif' class='icon' /> <a href='#' onclick='$("<?PHP echo $event['alias']?>").toggle(); return false; '><b><?PHP echo sx($event['name'])?></b></a></div>
			<div id='<?PHP echo $event['alias']?>' style='display:none; padding: 8px 12px;'>
			<?PHP $templates=email::get_templates_by_event($event['alias'], 'm3_email_product_templates'); ?>
			<?PHP $excludes=email::get_templates_excludes_by_event($event['alias'], 'm3_email_product_template_excludes'); ?>
				<?PHP if (!empty($templates)&&is_array($templates)): ?>
					<table class='form_table'>
						<tr class='th'>
							<th colspan='2'></th>
						</tr>
						<?PHP $m3=0; foreach($templates as $template): $data=prepare_templates($template, x('id'), $excludes); ?>
							<tr>
								<td class='label<?PHP echo (ooe($m3+=1)?'':'_alt'); ?>'>&nbsp;<label><?PHP echo $data['checkbox']?> <?PHP echo $data['subject']?></label></td>
							</tr>
						<?PHP endforeach; ?>
					</table>
				<?PHP else: ?><?PHP echo w('no_templates_found', 0); ?><?PHP endif; ?>
			</div>
		<?PHP endforeach; ?>
	<?PHP endif; ?>
	</div>

</div>


<div class='tab_content' id='assets' style='display:none;'>

	<?PHP errors($errors); ?>
	<?PHP if (x('assign_new_assets')): /* idea didn't work out, would need to assign assets to product price tiers */ ?>
		<h1 class='tab_content_label_2col tab_product_add'>
			<ul>
				<li><?PHP echo sx($product['name']); ?></li>
				<li class='right'><a href='<?PHP echo href('products','product_edit', array('id'=>x('id'), 'show_tab'=>'assets')); ?>' class='form_button'><?PHP w('go_back'); ?></a></li>
			</ul>
		</h1>
		<div class='tab_content_wrapper_wp'><?PHP

$map=array('license'=>'shield','download_control'=>'compress','media'=>'shape_square_go','support_package'=>'group');
foreach (array('license', 'download_control', 'support_package', 'media') as $key => $use_mod)
	{
	$product_tree.="<div class='tiled_bkg'>&nbsp;&nbsp;<img class='icon' src='view/images/icons/{$map[$use_mod]}.png' /> <a href='#' onclick='default_asset(\"{$use_mod}\", \"y\"); return false; '>".w($use_mod, 0)."</a></div>";

	$product_tree.="<div id='y{$use_mod}'  style='display:".((!$key)?'block':'none')."; padding: 0 12px 8px 12px;'>";
	foreach ($available_assets[$use_mod] as $asset)
		{
		$link=href(
				'products', 'product_edit', 
				array(
					'id' => x('id'), 
					'assign_new_assets' => 'y', 
					'show_tab' => 'assets', 
					'asset_id' => $asset['id'], 
					));

		$product_tree.="<a href='{$link}' class='form_button'><span class='green'>".w('assign_asset', 0)."</span> {$asset['name']}</a><div class='clear'></div><br />";
		}
	$product_tree.="</div>";
	}


echo $product_tree;
?>
		</div>
	<?PHP else: ?>
		<h1 class='tab_content_label_2col tab_product_assets'>
			<ul>
				<li><?PHP echo sx($product['name']); ?></li>
				<li class='right'><!--<a href='<?PHP echo href('products','product_edit', array('id'=>x('id'), 'assign_new_assets'=>'y', 'show_tab'=>'assets')); ?>' class='form_button'><?PHP w('assign_new_assets'); ?></a>--></li>
			</ul>
		</h1>
		<?PHP if (!empty($assets)&&is_array($assets)): ?>
			<div class='tab_content_wrapper no_top_left_border'>

			<table class='data_grid'>
				<tr class='th'>
					<th><?PHP echo $sa['mod']['image']; ?><a href='<?PHP echo $sa['mod']['link']; ?>'><?PHP w('module'); ?></a></th>
					<th><?PHP echo $sa['asset_id']['image']; ?><a href='<?PHP echo $sa['asset_id']['link']; ?>'><?PHP w('asset'); ?></a></th>
					<th><?PHP echo $sa['product_id']['image']; ?><a href='<?PHP echo $sa['product_id']['link']; ?>'><?PHP w('product'); ?></a></th>
					<th><?PHP echo $sa['qty']['image']; ?><a href='<?PHP echo $sa['qty']['link']; ?>'><?PHP w('qty'); ?></a></th>
					<th class='options'><?PHP w('options'); ?></th>
				</tr>

			<?PHP foreach ($assets as $unique): $data=prepare_asset($unique); ?>

				<tr <?PHP echo $data['alt']; ?>>
					<td><?PHP echo $data['module']; ?></td>
					<td><?PHP echo $data['asset']; ?></td>
					<td><?PHP echo $data['product']; ?></td>
					<td><?PHP echo $data['qty']; ?></td>
					<td class='options'><?PHP echo $data['remove']; ?></td>
				</tr>

			<?PHP endforeach; ?>

			</table>
			<?PHP echo $pagination_assets; ?>
			</div>
		<?PHP else: ?>
			<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_assets_for_product', 0); ?></p></div>
		<?PHP endif; ?>
	<?PHP endif; ?>
</div>



<div class='tab_content' id='tiers' style='display:none;'>

	<?PHP errors($errors); ?>
	<?PHP if (x('buy_now_button')): ?>
		<h1 class='tab_content_label_2col tab_products'>
			<ul>
				<li><?PHP echo sx($product['name']); ?></li>
				<li class='right'><a class='form_button' href='<?PHP echo href('products', 'product_edit', array('show_tab'=>'tiers', 'id'=>x('id'))); ?>'><?PHP w('go_back'); ?></a></li>
			</ul>
		</h1>
		<div class='notice'><?PHP echo w('buy_now_button_note', 0); ?></div>
		<div class='tab_content_wrapper no_top_left_border'>
			<table class='form_table' style='border-bottom:0;'>
				<tr class='th'>
					<th colspan='2'></th>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('price_tier:'); forms::overlib(w('overlib_price_tier', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><b><?PHP echo $product['name']; ?> - <?PHP echo $this_pricing['name']; ?></b></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('price_sheet_id:'); forms::overlib(w('overlib_price_sheet_id', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('buy_now_price_sheet_id', 0, $price_sheets, forms::value('price_sheet_id')); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('order_form_id:'); forms::overlib(w('overlib_order_form_id', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select($use_id=uid('of'), 'order_form_id', $order_forms, forms::value('order_form_id'), "onchange='toggle_pay_gateway(\"{$use_id}\");'"); ?></td>
				</tr>
			</table>
			<div id='buy_now_snippet' title='<?PHP echo w('buy_now_button', 0)?>' style='display:none;'></div>
			<?PHP $use_m3=($m3+=1); foreach($order_forms as $key => $order_form_name): $valid_gateways=valid_pay_gateways($key, $pay_gateways); ?>
				<div id='order_form_<?PHP echo $key; ?>' class='buy_now_gateways' style='display:none;'>
					<table class='form_table' style='border-top:0;'>
						<tr>
							<td class='text<?PHP echo alt($use_m3); ?>'><?PHP w('pay_gateway_id:'); forms::overlib(w('overlib_pay_gateway_id', 0)); ?></td>
							<td class='label<?PHP echo alt($m3); ?>'>
								<?PHP if (!empty($valid_gateways)): ?>
									<?PHP forms::select($use_id2=uid('pg'), 'pay_gateway_id', $valid_gateways, forms::value('pay_gateway_id'));?> 
								<?PHP else: ?>
									<?PHP w('cannot_continue_no_gateways_assigned_to_order_form'); ?>
								<?PHP endif;?>
							</td>
						</tr>
					</table>
					<?PHP if (!empty($valid_gateways)): ?>
						<table class='form_table' style='border-top:0;'>
							<tr>
								<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('generate_button', 0), "onclick='build_buy_now_button(\"".x('id')."\", \"".x('pricing_id')."\", \"{$use_id}\", \"{$use_id2}\"); glassbox(\"buy_now_snippet\", 450, 125); return false;'", 'submit', 1); ?></td>
							</tr>
						</table>
					<?PHP endif;?>
				</div>
			<?PHP endforeach; ?>
			<script> toggle_pay_gateway("<?PHP echo $use_id; ?>"); </script>
		</div>
	<?PHP elseif (x('pricing_id')): ?>
		<h1 class='tab_content_label_2col tab_products'>
			<ul>
				<li><?PHP echo sx($product['name']); ?></li>
				<li class='right'><a class='form_button' href='<?PHP echo href('products', 'product_edit', array('show_tab'=>'tiers', 'id'=>x('id'))); ?>'><?PHP w('manage_price_tiers'); ?></a></li>
			</ul>
		</h1>
		<div class='tab_content_wrapper no_top_left_border'>
			<?PHP echo forms::action(); ?>
			<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
			<?PHP echo forms::hidden('task', 0, x('task')); ?>
			<?PHP echo forms::hidden('show_tab', 0, 'tiers'); ?>
			<?PHP echo forms::hidden('id', 0, x('id')); ?>
			<?PHP echo forms::hidden('pricing_id', 0, x('pricing_id')); ?>
			<?PHP echo forms::hidden('product_sku_pricing_id', 0, $this_pricing['id']); ?>
			<?PHP echo forms::hidden('update_pricing', 0, 'y'); ?>
			<table class='form_table'>
				<tr class='th'>
					<th colspan='2'></th>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('name:'); forms::overlib(w('overlib_name', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('name', 0, forms::value('name', $this_pricing['name'])); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('description:'); forms::overlib(w('overlib_description', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea('description', 0, forms::value('description', $this_pricing['description']), '180px', '50px'); ?></td>
				</tr>
				<?PHP if (is_array($addons=product::addons(x('id')))&&!empty($addons)):  ?>
					<tr>
						<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('exclude_addons:'); forms::overlib(w('overlib_exclude_addons', 0)); ?></td>
						<td class='label<?PHP echo alt($m3); ?>'><div class='scroll' style='width: 450px; height: 75px;'>
							<?PHP foreach($addons as $unique): ?>
								<?PHP $data=prepare_excluded_addons($unique, $excluded_addons); ?>
								<label><?PHP echo $data['checkbox']?> <?PHP echo $data['name']?></label><br />
							<?PHP endforeach; ?></div>
						</td>
					</tr>
					<tr>
						<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('require_addons:'); forms::overlib(w('overlib_require_addons', 0)); ?></td>
						<td class='label<?PHP echo alt($m3); ?>'><div class='scroll' style='width: 450px; height: 75px;'>
							<?PHP foreach($addons as $unique): ?>
								<?PHP $data=prepare_required_addons($unique, $required_addons); ?>
								<label><?PHP echo $data['checkbox']?> <?PHP echo $data['name']?></label><br />
							<?PHP endforeach; ?></div>
						</td>
					</tr>
				<?PHP endif; ?>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('product_activation:'); forms::overlib(w('overlib_product_activation', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('activation', 0, $activation, forms::value('activation', $this_pricing['activation'])); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('domain_slab:'); forms::overlib(w('overlib_domain_slab', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('domain_slab_id', 0, $domain_slabs, forms::value('domain_slab_id', $this_pricing['domain_slab_id'])); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('pricing_status:'); forms::overlib(w('overlib_pricing_status', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP $s=$statuses; unset($s['Renewal']); forms::select('status', 0, $s, forms::value('status', $this_pricing['status'])); $statuses=$s; ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('min_order:'); forms::overlib(w('overlib_min_order', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('min_order', 0, forms::value('min_order', $this_pricing['min_order'])); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('max_order:'); forms::overlib(w('overlib_max_order', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('max_order', 0, forms::value('max_order', $this_pricing['max_order'])); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('use_units:'); forms::overlib(w('overlib_use_units', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('use_units', 0, $yes_no, forms::value('use_units', $this_pricing['use_units'])); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('setup_fee:'); forms::overlib(w('overlib_setup_fee', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('setup_fee', 0, forms::value('setup_fee', $this_pricing['setup_fee']), 0, 'money'); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('price:'); forms::overlib(w('overlib_price', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('price', 0, forms::value('price', $this_pricing['price']), 0, 'money'); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('payment_type:'); forms::overlib(w('overlib_payment_type', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('payment_type', 0, $payment_types, forms::value('payment_type', $this_pricing['payment_type']), "onchange='toggle_payment_type();'"); ?></td>
				</tr>
			</table>
			<div id='recurring' style='display:none;'>
				<table class='form_table'>
					<tr>
						<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('price_recurring:'); forms::overlib(w('overlib_price_recurring', 0)); ?></td>
						<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('price_recurring', 0, forms::value('price_recurring', $this_pricing['price_recurring']), 0, 'money'); ?>  <?PHP echo w('add_recurring_to_first_payment'); ?> <?PHP forms::select('add_recurring_to_first_payment', 0, array('No' => w('no', 0), 'Yes' => w('yes', 0)), forms::value('add_recurring_to_first_payment', $this_pricing['add_recurring_to_first_payment'])); ?></td>
					</tr>
					<tr>
						<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('recurring_term:'); forms::overlib(w('overlib_recurring_term', 0)); ?></td>
						<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('recurring_term', 0, forms::value('recurring_term', $this_pricing['recurring_term']), 0, 'smaller'); ?></td>
					</tr>
					<tr>
						<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('recurring_period:'); forms::overlib(w('overlib_recurring_period', 0)); ?></td>
						<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('recurring_period', 0, $periods, forms::value('recurring_period', $this_pricing['recurring_period'])); ?></td>
					</tr>
					<tr>
						<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('recurring_total_invoices:'); forms::overlib(w('overlib_recurring_total_invoices', 0)); ?></td>
						<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('recurring_total_invoices', 0, forms::value('recurring_total_invoices', $this_pricing['recurring_total_invoices']), 0, 'smaller'); ?></td>
					</tr>
				</table>
			</div>
			<table class='form_table'>
				<tr>
					<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('click_to_save', 0), 0, 'submit', 1); ?></td>
				</tr>
			</table>
			<?PHP if ($_POST['payment_type']||$this_pricing['payment_type']): ?><script> toggle_payment_type(); </script> <?PHP endif; ?>
			</form>
		</div>
	<?PHP elseif (x('add_pricing')): ?>
		<h1 class='tab_content_label_2col tab_product_add'>
			<ul>
				<li><?PHP echo sx($product['name']); ?></li>
				<li class='right'><a class='form_button' href='<?PHP echo href('products', 'product_edit', array('show_tab'=>'tiers', 'id'=>x('id'))); ?>'><?PHP w('go_back'); ?></a></li>
			</ul>
		</h1>
		<div class='tab_content_wrapper no_top_left_border'>
			<?PHP echo forms::action(); ?>
			<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
			<?PHP echo forms::hidden('task', 0, x('task')); ?>
			<?PHP echo forms::hidden('show_tab', 0, 'tiers'); ?>
			<?PHP echo forms::hidden('id', 0, x('id')); ?>
			<?PHP echo forms::hidden('add_pricing', 0, 'y'); ?>
			<table class='form_table'>
				<tr class='th'>
					<th colspan='2'></th>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('name:'); forms::overlib(w('overlib_name', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('name', 0, forms::value('name')); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('description:'); forms::overlib(w('overlib_description', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea('description', 0, forms::value('description'), '180px', '50px'); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('product_activation:'); forms::overlib(w('overlib_product_activation', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('activation', 0, $activation, forms::value('activation')); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('domain_slab:'); forms::overlib(w('overlib_domain_slab', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('domain_slab_id', 0, $domain_slabs, forms::value('domain_slab_id')); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('pricing_status:'); forms::overlib(w('overlib_pricing_status', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('status', 0, $statuses, forms::value('status')); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('min_order:'); forms::overlib(w('overlib_min_order', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('min_order', 0, forms::value('min_order', 1)); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('max_order:'); forms::overlib(w('overlib_max_order', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('max_order', 0, forms::value('max_order', 1)); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('setup_fee:'); forms::overlib(w('overlib_setup_fee', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('setup_fee', 0, forms::value('setup_fee', 0)); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('price:'); forms::overlib(w('overlib_price', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('price', 0, forms::value('price', 0)); ?></td>
				</tr>
				<tr>
					<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('payment_type:'); forms::overlib(w('overlib_payment_type', 0)); ?></td>
					<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('payment_type', 0, $payment_types, forms::value('payment_type'), "onchange='toggle_payment_type();'"); ?></td>
				</tr>
			</table>
			<div id='recurring' style='display:none;'>
				<table class='form_table'>
					<tr>
						<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('price_recurring:'); forms::overlib(w('overlib_price_recurring', 0)); ?></td>
						<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('price_recurring', 0, forms::value('price_recurring'), 0, 'money'); ?>  <?PHP echo w('add_recurring_to_first_payment'); ?> <?PHP forms::select('add_recurring_to_first_payment', 0, array('No' => w('no', 0), 'Yes' => w('yes', 0)), forms::value('add_recurring_to_first_payment')); ?></td>
					</tr>
					<tr>
						<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('recurring_term:'); forms::overlib(w('overlib_recurring_term', 0)); ?></td>
						<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('recurring_term', 0, forms::value('recurring_term', 1), 0, 'smaller'); ?></td>
					</tr>
					<tr>
						<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('recurring_period:'); forms::overlib(w('overlib_recurring_period', 0)); ?></td>
						<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('recurring_period', 0, $periods, forms::value('recurring_period')); ?></td>
					</tr>
					<tr>
						<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('recurring_total_invoices:'); forms::overlib(w('recurring_total_invoices', 0)); ?></td>
						<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('recurring_total_payments', 0, forms::value('recurring_total_payments', 0), 0, 'smaller'); ?></td>
					</tr>
				</table>
			</div>
			<table class='form_table no_top_border'>
				<tr>
					<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('click_to_save', 0), 0, 'submit', 1); ?></td>
				</tr>
			</table>
			<?PHP if ($_POST['payment_type']): ?><script> toggle_payment_type(); </script> <?PHP endif; ?>
			</form>
		</div>
	<?PHP else: ?>
		<h1 class='tab_content_label_2col tab_products'>
			<ul>
				<li><?PHP echo sx($product['name']); ?> <?PHP if (!empty($pricing)&&is_array($pricing)&&count($pricing)>1): ?> ( <a href="<?PHP echo href('products', 'product_edit', array('show_tab' => 'tiers', 'change_display_order' => 'y', 'id' => x('id')))?>"  title="<?PHP echo w('drag_drop_instructions', 0); ?>" onclick="modalbox(this, 600, '<?PHP echo href('products', 'product_edit', array('show_tab' => 'tiers', 'id' => x('id')))?>'); return false;"><img src='view/images/icons/arrow_switch.png' class='icon' title='<?PHP echo w('change_display_order')?>' /></a> )<?PHP endif; ?></li>
				<li class='right'><a href='<?PHP echo href('products', 'product_edit', array('show_tab' => 'tiers', 'add_pricing' => 'y', 'id' => x('id'))); ?>' class='form_button'><?PHP w('add_new_pricing'); ?></a></li>
			</ul>
		</h1>
		<?PHP if (!empty($pricing)&&is_array($pricing)): ?>
			<div class='tab_content_wrapper no_top_left_border'>
			<?PHP forms::action(false, 'POST', "onsubmit='return confirm(\"".w('sure_you_want_to_delete_pricing', 0)."\");'"); ?>
			<?PHP forms::hidden('mod', 0, x('mod')); ?>
			<?PHP forms::hidden('task', 0, x('task')); ?>
			<?PHP forms::hidden('id', 0, x('id')); ?>
			<?PHP forms::hidden('show_tab', 0, 'tiers'); ?>

			<table class='data_grid'>
				<tr class='th'>
					<th><?PHP forms::checkbox('checkbox_selector', 0, '', 0, "onclick='toggle_checkboxes(\"#tiers\");'"); ?></th>
					<th><?PHP echo $s['id']['image']; ?><a href='<?PHP echo $s['id']['link']; ?>'><?PHP w('id'); ?></a></th>
					<th><?PHP echo $s['name']['image']; ?><a href='<?PHP echo $s['name']['link']; ?>'><?PHP w('name'); ?></a></th>
					<th><?PHP echo $s['payment_type']['image']; ?><a href='<?PHP echo $s['payment_type']['link']; ?>'><?PHP w('type'); ?></a></th>
					<th><?PHP echo $s['status']['image']; ?><a href='<?PHP echo $s['status']['link']; ?>'><?PHP w('status'); ?></a></th>
					<th class='options'><?PHP w('options'); ?></th>
				</tr>
				<tr id='controls' style='display:none;'>
					<th colspan='6'><?PHP forms::submit(0, 0, w('click_to_delete', 0), 0, 'submit', 1); ?> - or - <a href='<?PHP echo href('products', 'product_edit', array('show_tab' => 'tiers', 'id' => x('id'))); ?>'><?PHP w('click_to_close'); ?></a></th>
				</tr>

			<?PHP foreach ($pricing as $level): $data=prepare($level); ?>

				<tr <?PHP echo $data['alt']; ?>>
					<td><?PHP echo $data['checkbox']; ?></td>
					<td><?PHP echo $data['id']; ?></td>
					<td><?PHP echo $data['name']; ?></td>
					<td><?PHP echo $data['payment_type']; ?></td>
					<td><?PHP echo $data['status']; ?></td>
					<td class='options'><?PHP echo $data['delete']; ?> / <?PHP echo $data['buy_now_button']; ?> / <?PHP echo $data['manage']; ?></td>
				</tr>

			<?PHP endforeach; ?>

			</table>
			</form>
			<?PHP echo $pagination_sku; ?>
			</div>
		<?PHP else: ?>
			<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_pricing_in_db', 0); ?></p></div>
		<?PHP endif; ?>
	<?PHP endif; ?>
</div>


<div class='tab_content' id='general' style='display:none;'>
<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_products'>
		<ul>
			<li><?PHP echo sx($product['name']); ?></li>
			<li class='right'></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>

		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
		<?PHP echo forms::hidden('task', 0, x('task')); ?>
		<?PHP echo forms::hidden('id', 0, x('id')); ?>
		<?PHP echo forms::hidden('save_form', 0, 'y'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=1); ?>'><?PHP w('status:'); forms::overlib(w('overlib_status', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('status', 0, $statuses, forms::value('status', $product['status'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('keywords:'); forms::overlib(w('overlib_keywords', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('keywords', 0, forms::value('keywords', $product['keywords']), 0, 'largest', 1); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('product_name:'); forms::overlib(w('overlib_product_name', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('name', 0, forms::value('name', $product['name']), 0, 'largest', 1); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('short_description:'); forms::overlib(w('overlib_short_description', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea('short_description', 0, forms::value('short_description', $product['short_description']), '550px', '25px'); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('long_description:'); forms::overlib(w('overlib_long_description', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea('long_description', 0, forms::value('long_description', $product['long_description']), '550px', '150px'); ?></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('click_to_save', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
</div>

<?PHP echo set_default_tab('general') ?>