<?PHP @template::ran_directly(); /* required for all templates */ ?>


<div class='tab_content hundred_percent' id='add_new' style='display:none;'>
<?PHP errors($errors); ?>

<h1 class='tab_content_label_2col tab_product_add'>
	<ul>
		<li><?PHP echo w('add_a_new_product'); ?></li>
		<li class='right'><a href='<?PHP echo href('products', 'product_editor', array('show_tab' => 'manage_existing')); ?>' class='form_button'><?PHP w('existing_products'); ?></a></li>
	</ul>
</h1>
<div class='tab_content_wrapper no_top_left_border'>

	<?PHP echo forms::action(); ?>
	<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
	<?PHP echo forms::hidden('task', 0, x('task')); ?>
	<?PHP echo forms::hidden('show_tab', 0, 'add_new'); ?>
	<?PHP echo forms::hidden('add_new', 0, 'y'); ?>
	<table class='form_table'>
		<tr class='th'>
			<th colspan='2'></th>
		</tr>
		<tr>
			<td class='text<?PHP echo alt($m3=1); ?>'><?PHP w('status'); forms::overlib(w('overlib_status', 0)); ?></td>
			<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('status', 0, $statuses, forms::value('status')); ?></td>
		</tr>
		<tr>
			<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('keywords:'); forms::overlib(w('overlib_keywords', 0)); ?></td>
			<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('keywords', 0, forms::value('keywords'), 0, 'largest', 1); ?></td>
		</tr>
		<tr>
			<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('product_name:'); forms::overlib(w('overlib_product_name', 0)); ?></td>
			<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('name', 0, forms::value('name'), 0, 'largest', 1); ?></td>
		</tr>
		<tr>
			<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('short_description:'); forms::overlib(w('overlib_short_description', 0)); ?></td>
			<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea('short_description', 0, forms::value('short_description'), '530px', '25px'); ?></td>
		</tr>
		<tr>
			<td class='text<?PHP echo alt($m3+=1); ?>_top'><?PHP w('long_description:'); forms::overlib(w('overlib_long_description', 0)); ?></td>
			<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::textarea('long_description', 0, forms::value('long_description'), '530px', '150px'); ?></td>
		</tr>
		<tr>
			<td class='submit' colspan='2'><?PHP forms::submit(0, 0, w('add_product', 0), 0, 'submit', 1); ?></td>
		</tr>
	</table>
	</form>
</div>
</div>

<div class='tab_content hundred_percent' id='manage_existing' style='display:none;'>
<?PHP errors($errors); ?>
	<h1 class='tab_content_label_2col tab_products'>
		<ul>
			<li><?PHP echo w('existing_products'); ?></li>
			<li class='right'><a href='<?PHP echo href('products', 'product_editor', array('show_tab' => 'add_new')); ?>' class='form_button'><?PHP w('add_product'); ?></a><a href='<?PHP echo href('search', 'index', array('show_tab' => 'products')); ?>' class='form_button'><?PHP w('search_products'); ?></a></li>
		</ul>
	</h1>
	<?PHP if (!empty($products)&&is_array($products)): ?>
		<div class='tab_content_wrapper no_top_left_border'>
		<?PHP forms::action(false, 'POST', "onsubmit='return confirm(\"".w('sure_you_want_to_delete_product', 0)."\");'"); ?>
		<?PHP forms::hidden('mod', 0, x('mod')); ?>
		<?PHP forms::hidden('task', 0, x('task')); ?>

		<table class='data_grid'>
			<tr class='th'>
				<th><?PHP forms::checkbox('checkbox_selector', 0, '', 0, "onclick='toggle_checkboxes(\"#manage_existing\");'"); ?></th>
				<th><?PHP echo $s['id']['image']; ?><a href='<?PHP echo $s['id']['link']; ?>'><?PHP w('id'); ?></a></th>
				<th><?PHP echo $s['name']['image']; ?><a href='<?PHP echo $s['name']['link']; ?>'><?PHP w('product_name'); ?></a></th>
				<th><?PHP echo $s['status']['image']; ?><a href='<?PHP echo $s['status']['link']; ?>'><?PHP w('product_status'); ?></a></th>
				<th class='options'><?PHP w('options'); ?></th>
			</tr>
			<tr id='controls' style='display:none;'>
				<th colspan='5'><?PHP forms::submit(0, 0, w('click_to_delete', 0), 0, 'submit', 1); ?> - or - <a href='<?PHP echo href('products', 'product_editor', array('show_tab' => 'manage_existing')); ?>'><?PHP w('click_to_close'); ?></a></th>
			</tr>

		<?PHP foreach ($products as $product): $data=prepare($product); ?>

			<tr <?PHP echo $data['alt']; ?>>
				<td><?PHP echo $data['checkbox']; ?></td>
				<td><?PHP echo $data['id']; ?></td>
				<td><?PHP echo $data['name']; ?></td>
				<td><?PHP echo $data['status']; ?></td>
				<td class='options'><?PHP echo $data['delete']; ?> / <?PHP echo $data['clone']; ?> / <?PHP echo $data['manage']; ?></td>
			</tr>

		<?PHP endforeach; ?>

		</table>
		</form>
		<?PHP echo $pagination_products; ?>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('no_matches_found...', 0); ?></p></div>
	<?PHP endif; ?>
</div>

<?PHP echo set_default_tab('manage_existing') ?>