<?PHP @template::ran_directly(); /* required for all templates */ ?>


<?PHP if (x('customer_id')): ?>
	<?PHP echo mod::tabs($tabs, 'users', 'user_edit', "&id=".x('id')."&customer_id=".x('customer_id'), 'user_editor', $go_back_to_customer); ?>
<?PHP else: ?>
	<?PHP echo mod::tabs($tabs, 'users', 'user_edit', "&id=".x('id'), 'user_editor'); ?>
<?PHP endif; ?>


<div class='tab_content' id='log' style='display:none;'>
	<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_user_go'>
		<ul>
			<li><?PHP echo sx("{$user['first_name']} {$user['last_name']}"); ?></li>
			<li class='right'><?PHP echo $customer_association; ?></li>
		</ul>
	</h1>

	<?PHP if (!empty($logs)&&is_array($logs)): ?>
		<div class='tab_content_wrapper  no_top_left_border'>
			<table class='data_grid'>
				<tr class='th'>
					<th><?PHP echo $s['id']['image']; ?><a href='<?PHP echo $s['id']['link']; ?>'><?PHP w('log_id'); ?></a></th>
					<th><?PHP echo $s['ip']['image']; ?><a href='<?PHP echo $s['ip']['link']; ?>'><?PHP w('ip'); ?></a></th>
					<th><?PHP echo $s['host']['image']; ?><a href='<?PHP echo $s['host']['link']; ?>'><?PHP w('host'); ?></a></th>
					<th><?PHP echo $s['created']['image']; ?><a href='<?PHP echo $s['created']['link']; ?>'><?PHP w('logged_in_on'); ?></a></th>
				</tr>
				<?PHP foreach ($logs as $unique): $data=prepare_logs($unique); ?>
					<tr <?PHP echo $data['alt']; ?>>
						<td><?PHP echo $data['id']; ?></td>
						<td><?PHP echo $data['ip']; ?></td>
						<td><?PHP echo $data['host']; ?></td>
						<td><?PHP echo $data['created']; ?></td>
					</tr>
				<?PHP endforeach; ?>
			</table>
		<?PHP echo $pagination; ?>
		</div>
	<?PHP else: ?>
		<div class='tab_content_wrapper'><p class='no_matches_found'><?PHP echo w('user_never_logged_in', 0); ?></p></div>
	<?PHP endif; ?>
</div>

<div class='tab_content' id='general' style='display:none;'>
<?PHP errors($errors); ?>

	<h1 class='tab_content_label_2col tab_user_edit'>
		<ul>
			<li><?PHP echo sx("{$user['first_name']} {$user['last_name']}"); ?></li>
			<li class='right'><?PHP echo $customer_association; ?></li>
		</ul>
	</h1>
	<div class='tab_content_wrapper no_top_left_border'>

		<?PHP echo forms::action(); ?>
		<?PHP echo forms::hidden('mod', 0, x('mod')); ?>
		<?PHP echo forms::hidden('task', 0, x('task')); ?>
		<?PHP echo forms::hidden('id', 0, x('id')); ?>
		<?PHP if (x('customer_id')): ?><?PHP forms::hidden('customer_id', 0, x('customer_id')); ?><?PHP endif; ?>
		<?PHP echo forms::hidden('old_email', 0, $user['email']); ?>
		<?PHP echo forms::hidden('old_username', 0, $user['username']); ?>
		<?PHP echo forms::hidden('save_form', 0, 'y'); ?>
		<table class='form_table'>
			<tr class='th'>
				<th colspan='2'></th>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3=0); ?>'><?PHP w('status:'); forms::overlib(w('overlib_status', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('status', 0, array('enabled' => w('enabled', 0), 'disabled' => w('disabled', 0)), forms::value('status', $user['status'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('mailing_status:'); forms::overlib(w('overlib_mailing_status', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::select('mailing_status', 0, array('opt-in' => w('opt-in', 0), 'opt-out' => w('opt-out', 0)), forms::value('mailing_status', $opt_out)); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('last_login:'); forms::overlib(w('overlib_last_login', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP echo $last_login; ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('security_question:'); forms::overlib(w('overlib_security_question', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP echo sx($security_question); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('first_name:'); forms::overlib(w('overlib_first_name', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('first_name', 0, forms::value('first_name', $user['first_name'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('last_name:'); forms::overlib(w('overlib_last_name', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('last_name', 0, forms::value('last_name', $user['last_name'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('username:'); forms::overlib(w('overlib_username', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('username', 0, forms::value('username', $user['username'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('email:'); forms::overlib(w('overlib_email', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::text('email', 0, forms::value('email', $user['email'])); ?></td>
			</tr>
			<tr>
				<td class='text<?PHP echo alt($m3+=1); ?>'><?PHP w('password:'); forms::overlib(w('overlib_password', 0)); ?></td>
				<td class='label<?PHP echo alt($m3); ?>'><?PHP forms::password('password', 0, forms::value('password')); ?></td>
			</tr>
			<tr>
				<td class='submit' colspan='2'><?PHP echo $delete_option; ?> <?PHP echo w('-or-'); ?><?PHP forms::submit(0, 0, w('click_to_save', 0), 0, 'submit', 1); ?></td>
			</tr>
		</table>
		</form>
	</div>
</div>

<?PHP echo set_default_tab('general') ?>