<?PHP if (!class_exists('api')) { die('Invalid File Access'); } 

// query the API
$request=api_customer_area::invoice(
		$conf['api_handler'], 
		$conf['api_key'], 
		'customer_areas', 
		'invoice', 
		false, // set to true for debug 
		$_GET['id'],
		capture_remote()
		); 

$conf['localization']=$request['localization']; // pr($conf['localization']);
$conf['site']=$request['conf'];
$is_session_locked=($request['is_session_locked']=='Yes')?true:false; // pr($is_session_locked);
$invoice=$request['invoice']; // pr($invoice);

if (!$invoice)
	{
	$message=w('invalid_invoice_request', 0);
	$title=(strlen(trim($message))>0)?$message:'Invalid Invoice Request';
	}
else
	{
	$line_items=$request['line_items'];
	$customer=$request['customer'];
	$order_form=$request['order_form']; // pr($order_form);
	$company_name=$request['company_name'];
	$company_address=$request['company_address'];
	$credits_used=$request['credits_used'];
	$invoice_payments=$request['invoice_payments'];
	$title=$conf['site']['page_title'];
	$balance=$request['balance'];
	if ($invoice['status']=='Paid')
		{
		$balance=$invoice['total_formatted'];
		}
	$total_due_today=$request['total_due_today'];
	$make_payment=$request['make_payment'];// pr($make_payment);
	$auto_pay=($request['auto_pay']=='Enabled'); // echo $auto_pay; die;
	$show_pay_option=($total_due_today>0&&$make_payment&&$invoice['status']=='Due');

	// set the correct cookies
	set_cookie('customer_session', 0, time()-2538000);
	set_cookie('customer_session', $_GET['id'], time()+2538000);
	set_cookie('cart_session', 0, time()-2538000);
	if (!$is_session_locked) { set_cookie('cart_session', $_GET['id'], time()+2538000); }

	/**
	* Process code for presentation
	* 
	* @param array $data
	* @param integer $currency_id
	* @return array
	*/
	function prepare_line_items($data, $currency_id)
		{
		$buffer=array();

		$buffer['alt']=(!ooe($GLOBALS['m3']+=1))?"class='alt'":'';

		$buffer['part_id']=$data['id'];
		$buffer['description']=sx($data['description']);
		$buffer['total']=$data['total_display'];
		$buffer['discount']=$data['discount_display'];
		$buffer['total_due']=$data['total_due_display'];

		return $buffer;
		}


	/**
	* Process code for presentation
	* 
	* @param array $data
	* @return array
	*/
	function prepare_credit_usage($data)
		{
		$buffer=array();

		$buffer['alt']=(!ooe($GLOBALS['m3']+=1))?"class='alt'":'';

		$buffer['description']=sx($data['description']);
		$buffer['amount']=$data['amount_display'];
		$buffer['created']=date(config('date_format'), $data['created']);

		return $buffer;
		}

	/**
	* Process code for presentation
	* 
	* @param array $data
	* @param integer $currency_id
	* @return array
	*/
	function prepare_payments($data, $currency_id)
		{
		$buffer=array();

		$buffer['alt']=(!ooe($GLOBALS['m3']+=1))?"class='alt'":'';

		$buffer['id']=$data['id'];
		$buffer['description']=sx($data['description']);
		$buffer['transaction_id']=($data['transaction_id'])?$data['transaction_id']:'-';
		$buffer['subscription_id']=($data['subscription_id'])?$data['subscription_id']:'-';
		$buffer['amount']=$data['amount_display'];
		$buffer['created']=date(config('date_format'), $data['created']);


		return $buffer;
		}
	}
unset($request);
?>