<?PHP if (!class_exists('api')) { die('Invalid File Access'); } 


if ($_COOKIE['customer_session']) { die(header("Location: ".href('dashboard'))); }

// query the API
$request=api_customer_area::build_login_page(
		$conf['api_handler'], 
		$conf['api_key'], 
		'customer_areas', 
		'login', 
		false // set to true for debug 
		); 

$conf['localization']=$request['localization'];
$conf['site']=$request['conf'];

$errors=array();
if ($_POST['do']=='login')
	{
	if (!$_POST['email']) { $errors[]=w('error_login_email', 0); }
	if (!$_POST['password']) { $errors[]=w('error_login_password', 0); }

	if (empty($errors))
		{
		$request=api_customer_area::login(
				$conf['api_handler'], 
				$conf['api_key'], 
				'customer_areas', 
				'login', 
				false, // set to true for debug 
				$_POST['email'],
				$_POST['password'],
				capture_remote()
				); 

		// use it if you need it
		$third_party=$request['third_party'];

		if (empty($request['errors']))
			{
			process_loginshare($third_party);

			$link=href('dashboard');
			set_cookie('customer_session', 0, time()-2538000);
			set_cookie('customer_session', $request['session_id'], time()+2538000);
			die(header("Location: {$link}"));
			}
		else { $errors=$request['errors']; }
		}
	}

if ($_POST['do']=='resend')
	{
	if (!$_POST['email']) { $errors[]=w('error_resend_email', 0); }

	if (empty($errors))
		{
		// echo md5(md5('45eb06850').md5('N$5'));  die;
		// echo md5(md5('1575e7b50').md5('+-I'));  die;
		$request=api_customer_area::resend_password(
				$conf['api_handler'], 
				$conf['api_key'], 
				'customer_areas', 
				'resend_password', 
				false, // set to true for debug 
				$_POST['email']
				); 

		// use it if you need it
		$third_party=$request['third_party'];

		if (empty($request['errors']))
			{
			$errors[]=w('resent_successfully', 0);
			$errors['success']='y';
			}
		else { $errors=$request['errors']; }
		}
	}

$breadcrumb=' &raquo; '.w('login', 0);
?>