<?PHP if (!class_exists('api')) { die('Invalid File Access'); } ?>

<div id='inner_tab_container'>
	<ul>
		<li><a id='tab_open_tickets' class='left' href='#' onclick='toggle_tab("open_tickets", "helpdesk", "<?PHP echo x('tab')?>", 1);'><?PHP echo w('open_tickets'); ?></a></li>
		<li><a id='tab_closed_tickets' href='#' onclick='toggle_tab("closed_tickets", "helpdesk", "<?PHP echo x('tab')?>", 1);'><?PHP echo w('closed_tickets'); ?></a></li>
		<li><a id='tab_start_ticket' class='right' href='#' onclick='toggle_tab("start_ticket", "helpdesk", "<?PHP echo x('tab')?>", 1);'><?PHP echo w('start_ticket'); ?></a></li>
	</ul>
</div>
<div style='clear:both;'><!--ie--></div>

<div class='box'>
	<?PHP display_errors($errors); ?>

	<div class='inner_tab_content' id='open_tickets' style='display:none;'>
		<?PHP if (!empty($open_tickets)&&is_array($open_tickets)): ?>
			<table class='data_grid'>
				<tr class='th'>
					<th><?PHP echo w('ticket_id'); ?></th>
					<th><?PHP echo w('subject'); ?></th>
					<th><?PHP echo w('department'); ?></th>
					<th><?PHP echo w('created'); ?></th>
					<th class='options'><?PHP w('options'); ?></th>
				</tr>

			<?PHP $m3=0; foreach ($open_tickets as $unique): $data=prepare_tickets($unique, $departments); ?>

				<tr <?PHP echo $data['alt']; ?>>
					<td><?PHP echo $data['ticket_id']; ?></td>
					<td><?PHP echo $data['subject']; ?></td>
					<td><?PHP echo $data['department']; ?></td>
					<td><?PHP echo $data['created']; ?></td>
					<td class='options'><?PHP echo $data['close_ticket']; ?> / <?PHP echo $data['view_ticket']; ?></td>
				</tr>

			<?PHP endforeach; ?>

			</table>
			<?PHP echo $pagination_open_tickets; ?>
		<?PHP else: ?>
			<?PHP echo w('no_open_tickets_found', 0); ?>
		<?PHP endif; ?>
	</div>

	<div class='inner_tab_content' id='closed_tickets' style='display:none;'>
		<?PHP if (!empty($closed_tickets)&&is_array($closed_tickets)): ?>
			<table class='data_grid'>
				<tr class='th'>
					<th><?PHP echo w('ticket_id'); ?></th>
					<th><?PHP echo w('subject'); ?></th>
					<th><?PHP echo w('department'); ?></th>
					<th><?PHP echo w('created'); ?></th>
					<th class='options'><?PHP w('options'); ?></th>
				</tr>

			<?PHP $m3=0; foreach ($closed_tickets as $unique): $data=prepare_tickets($unique, $departments); ?>

				<tr <?PHP echo $data['alt']; ?>>
					<td><?PHP echo $data['ticket_id']; ?></td>
					<td><?PHP echo $data['subject']; ?></td>
					<td><?PHP echo $data['department']; ?></td>
					<td><?PHP echo $data['created']; ?></td>
					<td class='options'><?PHP echo $data['view_ticket']; ?></td>
				</tr>

			<?PHP endforeach; ?>

			</table>
			<?PHP echo $pagination_closed_tickets; ?>
		<?PHP else: ?>
			<?PHP echo w('no_closed_tickets_found', 0); ?>
		<?PHP endif; ?>
	</div>

	<div class='inner_tab_content' id='start_ticket' style='display:none;'>
		<form action='<?PHP echo $_SERVER['PHP_SELF']?>' method='POST' enctype="multipart/form-data" id='ticket_options'>
		<?PHP forms::hidden('task', 0, 'helpdesk'); ?>
		<?PHP forms::hidden('new_ticket', 0, 'y'); ?>
		<?PHP forms::hidden('tab', 0, 'start_ticket'); ?>
		<table>
			<tr>
				<td class='label'><?PHP echo w('choose_department:'); ?></td>
				<td class='text'><?PHP echo forms::select('department_id', 0, $department_select, forms::value('department_id'), "onchange='choose_department(\"".(isset($_POST['package_id'])?$_POST['package_id']:0)."\");'"); ?></td>
			</tr>
		</table>
		<div id='department_options' style='display:none'></div>
		<?PHP if ($_POST['package_id']): ?> <script> choose_department("<?PHP echo $_POST['package_id']; ?>"); </script> <?PHP endif; ?>
		<div id='package_renewal_options' style='display:none'></div>


		<script> var upload_number=new Array(); </script>
		<div id='new_ticket_form' style='display:none;'>
			<?PHP forms::hidden('show_new_ticket_form', 0, 'y'); ?>
			<table>
				<tr>
					<td class='label' style='border-top: 0;'><?PHP echo w('subject:'); ?></td>
					<td class='text'><?PHP echo forms::text('subject', 0, forms::value('subject')); ?></td>
				</tr>
				<tr>
					<td class='label_top'><?PHP echo w('reply:'); ?></td>
					<td class='text'><?PHP echo forms::textarea('reply', 0, forms::value('reply'), '263px', '200px'); ?></td>
				</tr>
				<tr>
					<td class='label_submit'>&nbsp;</td>
					<td class='text'><?PHP echo forms::submit('', 0, w('start_ticket', 0)); ?> <?PHP w('-or-'); ?> <a id='us1' href='#' onclick='show_uploads(1); return false;'><?PHP w('add_attachment'); ?></a><a id='uh1' style='display:none;' href='#' onclick='hide_uploads(1); return false;'><?PHP w('remove_all_attachments'); ?></a>

					<div class='attachment_container' id='a1' style='display:none;'>
						<input type="file" name="attachment11" id="attachment1" /> <a href="javascript:addFileInput(1);"><?PHP w('attach_another_file'); ?></a>
						<div id="moreUploads_1" class='moreUploads'></div>
					</div>
					<script> upload_number[1] = 2;  </script></td>
				</tr>
			</table>
		</div>
		<?PHP if ($_POST['show_new_ticket_form']): ?><script> $('new_ticket_form').show(); </script><?PHP endif; ?>
		</form>
	</div>
</div>

<script> toggle_tab('<?PHP echo (x('tab'))?x('tab'):'open_tickets'; ?>', 'helpdesk', 0); </script>