function toggle_tab(tab, task, focus_tab, hide_errors, extras)
	{ 
	$('.inner_tab_content').hide();
	$('.inner_tab_content').toggleClass('off');
	$('#inner_tab_container .on').removeClass('on');

	if (hide_errors)
		{
		$('div.success').remove();
		$('div.error').remove();
		}
		
	$('#tab_'+tab).toggleClass('on');
	$('#'+tab).show();
	}

function toggle_login_resend(focus_group)
	{
	if (focus_group=='resend_group')
		{
		$('#resend_group').show();
		$('#login_group').hide();
		$('#resend_email').val($('#login_email').val());
		}
	else
		{
		$('#resend_group').hide();
		$('#login_group').show();
		$('#login_email').val($('#resend_email').val());
		}
	}

function ignore() {}

/**
* A generic wrapper to prompting for a decision. 
* Loads the page if the user clicks the OK button.
*
* @param string page The page requested.
* @param string confirm_message The message to display to the end user.
*/
function prompt_decision(task, params, confirm_message)
	{
	if (confirm(confirm_message))
		{
		// lpp(module, page, params)
		window.location='index.php?task='+task+params;
		}

	return false;
	}


function toggle_state_province()
	{ 
	var has_states='#states'+$('#country_id').val();

	$('.states').hide();
	
	if ($(has_states).length)
		{
		$(has_states).show();
		$('#countries').hide();
		$('#sop').val('state');
		}
	else
		{
		$('#countries').show();
		$('#sop').val('province');
		}
	}


function set_state_choice(country_id)
	{
	var state_id='#states_'+country_id;

	$('#state_id').val($(state_id).val());
	}


function toggle_rows_to_show(link_out)
	{
	var max_rows=$('#max_rows').val();

	return window.location=link_out+'&max_rows='+max_rows;
	}


function discard_reply(id)
	{
	$('#n'+id).hide();
	hide_uploads(id);
	}


function addFileInput(id) 
	{ 
	var file = document.createElement("input"); 

	file.setAttribute("type", "file"); 
	file.setAttribute("name", "attachment"+id+upload_number[id]); 
	file.setAttribute("class", "upload_box"); 

	var l = document.createElement("a"); 

	l.setAttribute("href", "javascript:removeFileInput('f"+id+upload_number[id]+"', "+id+");"); 
	l.appendChild(document.createTextNode("Remove")); 
	l.setAttribute("class", "upload_box"); 

	var d = document.createElement("div"); 

	d.setAttribute("id", "f"+id+upload_number[id]); 
	d.appendChild(file); 
	d.appendChild(document.createTextNode(" ")); 
	d.appendChild(l); 
 	d.setAttribute("class", "upload_container"); 

	document.getElementById("moreUploads_"+id).appendChild(d); 
	upload_number[id]++; 
	}

function show_uploads(s) 
	{ 
	$('#a'+s).show();
	$('#us'+s).hide();
	$('#uh'+s).show();
	}

function hide_uploads(s) 
	{ 
	$('#us'+s).show();
	$('#uh'+s).hide();

	$('#attachment1').value='';
	$('#a'+s).hide();

	$(".upload_box").remove();
	}

function removeFileInput(i, id) 
	{
	var elm = document.getElementById(i); 
	document.getElementById("moreUploads_"+id).removeChild(elm); 
	upload_number[id]-=1; // decrement the max file upload counter if the file is removed 
	} 

function choose_department(package_id)
	{
	department_id=$('#department_id').val();

	if (department_id==0)
		{
		return window.location='index.php?task=helpdesk&tab=start_ticket';
		}
		
	$.post('index.php',
		   {
			mod: 'customer_areas',
			task: 'helpdesk',
			choose_department: 'y',
			department_id: department_id,
			package_id: package_id,
		   }, 
	function (data) 
		{ 
		$('#department_options').show();
		$('#department_options').html(data);
		});
	
// 	new Ajax.Updater('department_options', 'index.php', {
// 	evalScripts: true,
// 	method: 'POST',
// 	parameters: 'task=helpdesk&choose_department=y&department_id='+department_id+'&package_id='+package_id,
// 	onSuccess: function (t) { $('department_options').show(); }
//	});
	
	
	}

function package_options(package_id)
	{
	department_id=$('#department_id').val();

	$.post('index.php',
		   {
			mod: 'customer_areas',
			task: 'helpdesk',
			choose_department: 'y',
			renewal_options: 'y',
			department_id: department_id,
			package_id: package_id,
		   }, 
	function (data) 
		{
		$('#package_renewal_options').show();
		$('#package_renewal_options').html(data);
		});
	
// 	new Ajax.Updater('package_renewal_options', 'index.php', {
// 	evalScripts: true,
// 	method: 'POST',
// 	parameters: 'task=helpdesk&choose_department=y&renewal_options=y&department_id='+department_id+'&package_id='+package_id, 
// 	onSuccess: function (t) { $('package_renewal_options').show(); }
// 	});
	}