<?PHP if (!class_exists('api')) { die('Invalid File Access'); } ?>


<div id='inner_tab_container'>
	<ul>
		<li><a id='tab_downloads' class='left' href='#' onclick='toggle_tab("downloads", "my_package_details", "<?PHP echo x('tab')?>", 1, "&package_id=<?PHP echo x('package_id')?>");'><?PHP echo w('downloads'); ?></a></li>
		<li><a id='tab_licenses' href='#' onclick='toggle_tab("licenses", "my_package_details", "<?PHP echo x('tab')?>", 1, "&package_id=<?PHP echo x('package_id')?>");'><?PHP echo w('licenses'); ?></a></li>
		<li><a id='tab_addon_packages' href='#' onclick='toggle_tab("addon_packages", "my_package_details", "<?PHP echo x('tab')?>", 1, "&package_id=<?PHP echo x('package_id')?>");'><?PHP echo w('addon_packages'); ?></a></li>
		<li><a id='tab_hosting' href='#' onclick='toggle_tab("hosting", "my_package_details", "<?PHP echo x('tab')?>", 1, "&package_id=<?PHP echo x('package_id')?>");'><?PHP echo w('Web Hosting'); ?></a></li>
		<li><a id='tab_domains' href='#' onclick='toggle_tab("domains", "my_package_details", "<?PHP echo x('tab')?>", 1, "&package_id=<?PHP echo x('package_id')?>");'><?PHP echo w('Domains'); ?></a></li>
		<li><a id='tab_package' class='right' href='#' onclick='toggle_tab("package", "my_package_details", "<?PHP echo x('tab')?>", 1, "&package_id=<?PHP echo x('package_id')?>");'><?PHP echo w('summary'); ?></a></li>
	</ul>
</div>
<div style='clear:both;'><!--ie--></div>

<div class='box'>
	<?PHP display_errors($errors); ?>

	<div class='inner_tab_content' id='downloads' style='display:none;'>

		<?PHP if ($download_expiration&&strlen($download_expiration)>1&&$enable_downloads): ?>
			<div class='dlc_success'><?PHP echo $download_expiration?></div><br /><br />
		<?PHP elseif ($download_expiration&&!$enable_downloads): ?>
			<div class='dlc_error'><?PHP echo $download_expiration?></div><br /><br />
			<?PHP if (is_array($renewal_options)&&!empty($renewal_options)&&$conf['site']['order_form_url']): ?>
				<div class='dlc_success'>
					<?PHP $m3=0; foreach($renewal_options as $option): $data=prepare_product($option, $conf['site']['order_form_url']); ?>
						<?PHP echo $data['name']; ?> <a href='<?PHP echo $data['link']?>'><?PHP echo w('continue_to_order')?></a><br />
					<?PHP endforeach; ?>
				</div><br /><br />
			<?PHP endif; ?>
		<?PHP endif; ?>

		<?PHP echo $breadcrumb_media?>
		<?PHP if (!empty($categories)||!empty($media)): ?>
			<table class='data_grid'>
				<tr class='th'>
					<th><?PHP echo w('name'); ?></th>
					<th><?PHP echo w('created'); ?></th>
				</tr>
				<?PHP $m3=0; foreach ($categories as $unique): $data=prepare_download_categories($unique); ?>
					<tr <?PHP echo $data['alt']; ?>>
						<td><?PHP echo $data['name']; ?></td>
						<td><?PHP echo $data['created']; ?></td>
					</tr>
				<?PHP endforeach; ?>
				<?PHP foreach ($media as $unique): $data=prepare_downloads($unique, $enable_downloads, $limit_downloads); ?>
					<tr <?PHP echo $data['alt']; ?>>
						<td><?PHP echo $data['name']; ?> ( <a href='#' onclick='$("x<?PHP $data['id']; ?>").toggle();'><?PHP echo w('view_download_history', 0); ?></a> )
							<div id='x<?PHP echo $data['id']; ?>' class='scroll margin_top' style='display: none;'><?PHP echo $data['download_logs']?></div>
						</td>
						<td><?PHP echo $data['created']; ?></td>
					</tr>
				<?PHP endforeach; ?>
			</table>
		<?PHP else: ?>
			<?PHP if ($breadcrumb_media): ?><br />&nbsp;&nbsp;<?PHP endif; ?><?PHP echo w('no_downloads_found', 0); ?>
		<?PHP endif; ?>
	</div>
	
	<div class='inner_tab_content' id='support_packages' style='display:none;'>
		<?PHP if (!empty($support_packages)&&is_array($support_packages)): ?>
			<table class='data_grid'>
				<tr class='th'>
					<th><?PHP echo w('name'); ?></th>
					<th><?PHP echo w('term'); ?></th>
					<th><?PHP echo w('created'); ?></th>
					<th><?PHP echo w('expires'); ?></th>
				</tr>

			<?PHP $m3=0; foreach ($support_packages as $unique): $data=prepare_support_packages($unique); ?>

				<tr <?PHP echo $data['alt']; ?>>
					<td><?PHP echo $data['name']; ?></td>
					<td><?PHP echo $data['term']; ?></td>
					<td><?PHP echo $data['created']; ?></td>
					<td><?PHP echo $data['expires']; ?></td>
				</tr>

			<?PHP endforeach; ?>

			</table>
		<?PHP else: ?>
			<?PHP echo w('no_support_packages_found', 0); ?>
		<?PHP endif; ?>
	</div>

	<div class='inner_tab_content' id='licenses' style='display:none;'>
		<?PHP if (x('license_id')): ?>
			<table>
				<tr>
					<td class='label'><?PHP echo w('created:'); ?></td>
					<td class='text'><?PHP echo date(config('date_format'), $license['created']); ?></td>
				</tr>
				<?PHP if ($license['activated']): ?>
					<tr>
						<td class='label'><?PHP echo w('activated:'); ?></td>
						<td class='text'><?PHP echo date(config('date_format'), $license['activated']); ?></td>
					</tr>
				<?PHP endif; ?>
				<?PHP if ($license['expires']&&$license['status']=='Active'): ?>
					<tr>
						<td class='label'><?PHP echo w('expires:'); ?></td>
						<td class='text'><?PHP echo $license_expires; ?></td>
					</tr>
				<?PHP endif; ?>
				<tr>
					<td class='label'><?PHP echo w('status:'); ?></td>
					<td class='text'><?PHP echo $license['status']; ?><?PHP echo $license_reissues; ?></td>
				</tr>
				<tr>
					<td class='label'><?PHP echo w('license_key:'); ?></td>
					<td class='text'><?PHP echo $license['license_key']?></td>
				</tr>
				<?PHP if ($license['local_key']&&$license['status']=='Active'): ?>
					<tr>
						<td class='label_top'><?PHP echo w('local_license_key:'); ?><?PHP if ($license['license_method']['method']=='PHPAudit'): ?><br /><br /><a href='<?PHP echo $local_key_link?>'>Click to Download</a><?PHP endif; ?></td>
						<td class='text'><div class='scroll_large'><pre><?PHP echo urldecode($license['local_key'])?></pre></div></td>
					</tr>
				<?PHP endif; ?>

				<?PHP if (is_array($license['instances'])&&!empty($license['instances'])&&$license['status']=='Active'): ?>
					<?PHP foreach ($license['instances'] as $instance): ?>
						<?PHP if (do_show_details($instance, $access=array('valid_host', 'domain'))): ?>
							<tr>
								<td class='label_top'><?PHP echo w('valid_hosts:'); ?></td>
								<td class='text'>
								<div class='scroll_small'>
									<?PHP foreach($access as $type): ?>
									<?PHP if (!is_array($instance[$type])) { continue; } ?>
										<?PHP foreach ($instance[$type] as $host): ?>
												<?PHP echo $host?><br />
										<?PHP endforeach; ?>
									<?PHP endforeach; ?>
								</div></td>
							</tr>
						<?PHP endif; ?>
						<?PHP if (do_show_details($instance, $access=array('valid_directory', 'server_hostname'))): ?>
							<tr>
								<td class='label_top'><?PHP echo w('valid_hosts:'); ?></td>
								<td class='text'>
								<div class='scroll_small'>
									<?PHP foreach($access as $type): ?>
									<?PHP if (!is_array($instance[$type])) { continue; } ?>
										<?PHP foreach ($instance[$type] as $host): ?>
												<?PHP echo $host?><br />
										<?PHP endforeach; ?>
									<?PHP endforeach; ?>
								</div></td>
							</tr>
						<?PHP endif; ?>
						<?PHP if (do_show_details($instance, $access=array('valid_ip', 'ip'))): ?>
							<tr>
								<td class='label_top'><?PHP echo w('valid_hosts:'); ?></td>
								<td class='text'>
								<div class='scroll_small'>
									<?PHP foreach($access as $type): ?>
									<?PHP if (!is_array($instance[$type])) { continue; } ?>
										<?PHP foreach ($instance[$type] as $host): ?>
												<?PHP echo $host?><br />
										<?PHP endforeach; ?>
									<?PHP endforeach; ?>
								</div></td>
							</tr>
						<?PHP endif; ?>
						<?PHP if (do_show_details($instance, $access=array('valid_mac'))): ?>
							<tr>
								<td class='label_top'><?PHP echo w('valid_hosts:'); ?></td>
								<td class='text'>
								<div class='scroll_small'>
									<?PHP foreach($access as $type): ?>
									<?PHP if (!is_array($instance[$type])) { continue; } ?>
										<?PHP foreach ($instance[$type] as $host): ?>
												<?PHP echo $host?><br />
										<?PHP endforeach; ?>
									<?PHP endforeach; ?>
								</div></td>
							</tr>
						<?PHP endif; ?>
					<?PHP endforeach; ?>
				<?PHP endif; ?>
			</table>
		<?PHP else: ?>
			<?PHP if (!empty($licenses)&&is_array($licenses)||x('licensing_search')): ?>
				<div class='search_box'>
					<?PHP echo forms::action(); ?>
					<?PHP echo forms::hidden('task', 0, x('task')); ?>
					<?PHP echo forms::hidden('package_id', 0, x('package_id')); ?>
					<?PHP echo forms::hidden('tab', 0, 'licenses'); ?>
					<?PHP echo forms::text('license_ac', 'licensing_search', '', 0, 'large', 0); ?> 
					<?PHP echo forms::submit(0, 0, w('search', 0), 0, 'submit', 0); ?>
					<div id='ac_choices'></div>
					<script> new Ajax.Autocompleter("license_ac", "ac_choices", "<?PHP echo $licensing_ac_search?>", {minChars: 2, frequency: 0.2}); </script> <?PHP echo $clear_all_filters_licensing?>
					</form>
				</div>
				<?PHP if (!empty($licenses)&&is_array($licenses)): ?> 
					<table class='data_grid'>
						<tr class='th'>
							<th><?PHP echo w('license_key'); ?></th>
							<th><?PHP echo w('status'); ?></th>
							<th><?PHP echo w('created'); ?></th>
							<th class='options'><?PHP w('options'); ?></th>
						</tr>

					<?PHP $m3=0; foreach ($licenses as $unique): $data=prepare_licenses($unique, $suspend_licenses); ?>

						<tr <?PHP echo $data['alt']; ?>>
							<td><?PHP echo $data['license_key']; ?></td>
							<td><?PHP echo $data['status']; ?></td>
							<td><?PHP echo $data['created']; ?></td>
							<td class='options'><?PHP echo $data['view']; ?></td>
						</tr>

					<?PHP endforeach; ?>

					</table>
					<?PHP echo $pagination_license; ?>
				<?PHP else: ?>
					<?PHP echo w('no_licenses_found', 0); ?>
				<?PHP endif; ?>
			<?PHP else: ?>
				<?PHP echo w('no_licenses_found', 0); ?>
			<?PHP endif; ?>
		<?PHP endif; ?>
	</div>



	<div class='inner_tab_content' id='addon_packages' style='display:none;'>
		
		<?PHP if ($package['parent_package_id']==0&&$addon_purchase_link&&$package['status']&&$package['status']=='Active'):  ?>
			<div class='dlc_success'><a href='<?PHP echo $addon_purchase_link; ?>'><?PHP w('purchase_additional_addons'); ?></a></div><br /><br />
		<?PHP endif; ?>
		
		<?PHP if (!empty($addon_packages)&&is_array($addon_packages)): ?>
			<table class='data_grid'>
				<tr class='th'>
					<th><?PHP echo w('id'); ?></th>
					<th><?PHP echo w('package_name'); ?></th>
					<th><?PHP echo w('status'); ?></th>
					<th><?PHP echo w('created'); ?></th>
					<th class='options'><?PHP w('options'); ?></th>
				</tr>
				<?PHP $m3=0; foreach ($addon_packages as $unique): $data=prepare_addon_packages($unique); ?>
					<tr <?PHP echo $data['alt']; ?>>
						<td><?PHP echo $data['id']; ?></td>
						<td><?PHP echo $data['package_name']; ?></td>
						<td><?PHP echo $data['status']; ?></td>
						<td><?PHP echo $data['created']; ?></td>
						<td class='options'><?PHP echo $data['downloads']; ?> / <?PHP echo $data['summary']; ?></td>
					</tr>
				<?PHP endforeach; ?>
			</table>
		<?PHP elseif ($package['parent_package_id']>0 && $package['package_type']=='Addon'): ?>
			<?PHP w('this_is_an_addon_package'); ?> <a href='<?PHP echo href('my_package_details', array('package_id' => $package['parent_package_id'], 'tab' => 'package')); ?>'><?PHP w('view_parent_package'); ?></a>
		<?php else: ?>
			<?PHP w('no_addons_found'); ?>
		<?PHP endif; ?>
	</div>


	<div class='inner_tab_content' id='package' style='display:none;'>
		<table>
			<tr>
				<td class='label'><?PHP echo w('package_status:'); ?></td>
				<td class='text'><?PHP echo $package['status']; ?></td>
			</tr>
			<tr>
				<td class='label'><?PHP echo w('invoicing_status:'); ?></td>
				<td class='text'><?PHP echo $invoice_statuses[$package['invoice_status']]; ?></td>
			</tr>
			<tr>
				<td class='label'><?PHP echo w('package_name:'); ?></td>
				<td class='text'><?PHP echo $package['package_name']; ?></td>
			</tr>
			<tr>
				<td class='label'><?PHP echo w('start_date:'); ?></td>
				<td class='text'><?PHP echo date(config('date_format'), $package['start_date']); ?></td>
			</tr>
			<?PHP if ($package['end_date']): ?>
				<tr>
					<td class='label'><?PHP echo w('end_date:'); ?></td>
					<td class='text'><?PHP echo date(config('date_format'), $package['end_date']); ?></td>
				</tr>
			<?PHP endif; ?>
			<tr>
				<td class='label'><?PHP echo w('billing_start_date:'); ?></td>
				<td class='text'><?PHP echo date(config('date_format'), $package['billing_start_date']); ?></td>
			</tr>
			<?PHP if ($package['billing_end_date']): ?>
				<tr>
					<td class='label'><?PHP echo w('billing_end_date:'); ?></td>
					<td class='text'><?PHP echo date(config('date_format'), $package['billing_end_date']); ?></td>
				</tr>
			<?PHP endif; ?>
			<?PHP if ($package['last_renewal_date']): ?>
				<tr>
					<td class='label'><?PHP echo w('last_renewal_date:'); ?></td>
					<td class='text'><?PHP echo date(config('date_format'), $package['last_renewal_date']); ?></td>
				</tr>
			<?PHP endif; ?>
			<tr>
				<td class='label'><?PHP echo w('next_renewal_date:'); ?></td>
				<td class='text'><?PHP echo date(config('date_format'), $package['next_renewal_date']); ?></td>
			</tr>
		</table>
	</div>


	<div class='inner_tab_content' id='hosting' style='display:none;'>

		<?PHP if (x('account_id')&&is_array($account)&&!empty($account)): ?>
			<table>
				<tr>
					<td class='label'><?PHP echo w('status:'); ?></td>
					<td class='text'><?PHP echo $account['status']; ?></td>
				</tr>
				<tr>
					<td class='label'><?PHP echo w('created:'); ?></td>
					<td class='text'><?PHP echo date(config('date_format'), $account['created']); ?></td>
				</tr>
				<?PHP if ($account['control_panel']): ?>
					<tr>
						<td class='label'><?PHP echo w('Control Panel:'); ?></td>
						<td class='text'><a href='<?PHP echo $account['control_panel']; ?>' target='_blank'><?PHP echo w('Click to Visit'); ?></a></td>
					</tr>
				<?PHP endif; ?>
				<?PHP if ($account['reseller_control_panel']): ?>
					<tr>
						<td class='label'><?PHP echo w('Reseller Control Panel:'); ?></td>
						<td class='text'><a href='<?PHP echo $account['reseller_control_panel']; ?>' target='_blank'><?PHP echo w('Click to Visit'); ?></a></td>
					</tr>
				<?PHP endif; ?>
				<tr>
					<td class='label'><?PHP echo w('Domain Name:'); ?></td>
					<td class='text'><?PHP echo $account['domain']['domain']; ?></td>
				</tr>
				<tr>
					<td class='label'><?PHP echo w('Username:'); ?></td>
					<td class='text'><?PHP echo $account['username']; ?></td>
				</tr>
				<tr>
					<td class='label'><?PHP echo w('Password:'); ?></td>
					<td class='text'><?PHP echo $account['password']; ?></td>
				</tr>
				<tr>
					<td class='label'><?PHP echo w('Name Servers:'); ?></td>
					<td class='text'><?PHP echo nl2br($account['nameservers']); ?></td>
				</tr>
			</table>
		<?PHP else: ?>
			<?PHP if (!empty($hosting)&&is_array($hosting)): ?>
				<table class='data_grid'>
					<tr class='th'>
						<th><?PHP echo w('id'); ?></th>
						<th><?PHP echo w('Domain'); ?></th>
						<th><?PHP echo w('Plan'); ?></th>
						<th><?PHP echo w('status'); ?></th>
						<th><?PHP echo w('created'); ?></th>
						<th class='options'><?PHP w('options'); ?></th>
					</tr>
					<?PHP $m3=0; foreach ($hosting as $unique): $data=prepare_hosting($unique); ?>
						<tr <?PHP echo $data['alt']; ?>>
							<td><?PHP echo $data['id']; ?></td>
							<td><?PHP echo $data['domain']; ?></td>
							<td><?PHP echo $data['plan']; ?></td>
							<td><?PHP echo $data['status']; ?></td>
							<td><?PHP echo $data['created']; ?></td>
							<td class='options'><?PHP echo $data['summary']; ?></td>
						</tr>
					<?PHP endforeach; ?>
				</table>
			<?php else: ?>
				<?PHP w('No hosting accounts found.'); ?>
			<?PHP endif; ?>
		<?PHP endif; ?>
	</div>


	<div class='inner_tab_content' id='domains' style='display:none;'>
		<?PHP if (!empty($domains)&&is_array($domains)): ?>
			<table class='data_grid'>
				<tr class='th'>
					<th><?PHP echo w('id'); ?></th>
					<th><?PHP echo w('Domain'); ?></th>
					<th><?PHP echo w('Years Registered'); ?></th>
					<th><?PHP echo w('Last Renewal'); ?></th>
					<th><?PHP echo w('Next Renewal'); ?></th>
					<th><?PHP echo w('created'); ?></th>
				</tr>
				<?PHP $m3=0; foreach ($domains as $unique): $data=prepare_domains($unique); ?>
					<tr <?PHP echo $data['alt']; ?>>
						<td><?PHP echo $data['id']; ?></td>
						<td><?PHP echo $data['domain']; ?></td>
						<td><?PHP echo $data['years']; ?></td>
						<td><?PHP echo $data['last_renewal']; ?></td>
						<td><?PHP echo $data['next_renewal']; ?></td>
						<td><?PHP echo $data['created']; ?></td>
					</tr>
				<?PHP endforeach; ?>
			</table>
		<?php else: ?>
			<?PHP w('No domain names found.'); ?>
		<?PHP endif; ?>
	</div>


</div>

<script> toggle_tab('<?PHP echo (x('tab'))?x('tab'):'package'; ?>', 'my_package_details', 0); </script>