<?PHP
// Please enter your database logins below
$conf=array();
$conf['host']='{{{{{{db_host}}}}}}';
$conf['name']='{{{{{{db_name}}}}}}';
$conf['user']='{{{{{{db_user}}}}}}';
$conf['pass']='{{{{{{db_pass}}}}}}';

if($spbas=='customers'):

// bypass the remote API
define('USE_LOCAL_API', true);
define('ADMIN_PATH', '../admin/');
define('API_PATH', '../api/');
define('DEFAULT_STOREFRONT_MODULE', true);

$conf['api_key']='{{{{{{api_key}}}}}}';
$conf['api_home']='{{{{{{api_home}}}}}}';
$conf['api_handler']="{$conf['api_home']}/index.php";

// general
$conf['template']='default';
$conf['language']='en-us';

// pagination
$conf['pages']=12; 
$conf['rows']=5;

// A list of valid tasks.
$conf['valid_tasks']=array(
						'index', 
						'public_announcements', 
						'login', 
						'register', 
						'dashboard', 
						'my_account', 
						'my_invoices', 
						'messages',
						'my_packages',
						'my_package_details',
						'announcements',
						'invoice',
						'downloads',
						'download',
						'download_secure',
						'view_email',		// <-- v1.6
						'opt_out',			// <-- v1.6
						'contact',			// <-- v1.8
						'helpdesk',			// <-- v1.8
						'view_ticket',		// <-- v1.8
						'addon',			// <-- v1.9
						);

// password protected pages
$conf['password_protected']=array(
						'dashboard', 
						'my_account', 
						'my_invoices', 
						'messages',
						'my_packages',
						'my_package_details',
						'announcements',
						'download_secure',
						'helpdesk',			// <-- v1.8
						'view_ticket',		// <-- v1.8
						'addon',			// <-- v1.9
						);

elseif($spbas=='kb'):

// bypass the remote API
define('USE_LOCAL_API', true);
define('ADMIN_PATH', '../admin/');
define('API_PATH', '../api/');
define('DEFAULT_STOREFRONT_MODULE', true);

$conf['api_key']='{{{{{{api_key}}}}}}';
$conf['api_home']='{{{{{{api_home}}}}}}';
$conf['api_handler']="{$conf['api_home']}/index.php";

// general
$conf['template']='default';
$conf['language']='en-us';

// pagination
$conf['pages']=12; 
$conf['rows']=5;

// A list of valid tasks.
$conf['valid_tasks']=array(
						'index', 
						'down_for_maintenance', 
						'private', 
						'listings', 
						'search', 
						'glossary', 
						'article', 
						'article_email', 
						'print_page', 
						'bookmarks',
						'download_attachment'
						);

elseif($spbas=='order'):

// bypass the remote API
define('USE_LOCAL_API', true);
define('ADMIN_PATH', '../admin/');
define('API_PATH', '../api/');
define('DEFAULT_STOREFRONT_MODULE', true);

$conf['api_key']='{{{{{{api_key}}}}}}';
$conf['api_home']='{{{{{{api_home}}}}}}';
$conf['api_handler']="{$conf['api_home']}/index.php";

// general
$conf['template']='default';
$conf['language']='en-us';

// pagination
$conf['pages']=12; 
$conf['rows']=5;

// A list of valid tasks.
$conf['valid_tasks']=array(
						'change_currency',
						'cart',
						'product',
						'view_cart',
						'checkout',
						'payment',
						'down_for_maintenance',
						'private',
						'payments',
						'order_process',
						'order_complete',
						'addon',
						'buy_now',
						'hosting'
						);

// password protected pages
$conf['password_protected']=array();

endif; ?>