<?PHP if (!class_exists('api')) { die('Invalid File Access'); } 

if (!$_COOKIE['cart_session']) { die(header("Location: index.php")); }

$errors=array();


if ($_POST['toggle_epp']&&$_POST['tld_id'])
	{
	$request=api_order_forms::requires_epp_code(
			$conf['api_handler'], 
			$conf['api_key'], 
			'order_forms', 
			'requires_epp_code', 
			false, // set to true for debug
			$_POST['tld_id']
			); 

	die($request['is_epp_required']);
	}

if ($_POST['toggle_years_tld']&&$_POST['tld_id'])
	{
	$request=api_order_forms::tld_years(
			$conf['api_handler'], 
			$conf['api_key'], 
			'order_forms', 
			'tld_years', 
			false, // set to true for debug
			$_POST['tld_id']
			); 

	die($request['options']);
	}

$request=api_order_forms::hosting(
		$conf['api_handler'], 
		$conf['api_key'], 
		'order_forms', 
		'hosting', 
		false, // set to true for debug
		$_COOKIE['cart_session'],
		x('product_id'),
		x('sku_id'),
		x('addons'),
		x('package_id')
		); 

$conf['localization']=$request['localization'];
$conf['site']=$request['conf'];
if ($conf['site']['status']=='Down for Maintenance')
	{ 
	$link=href('down_for_maintenance');
	die(header("Location: {$link}"));
	}
else if ($conf['site']['status']=='Private')
	{
	$link=href('private');
	die(header("Location: {$link}"));
	}

$currency_options=$request['currency_options']; 
$price_sheet_id=$request['price_sheet_id']; 
$hosting_assets=$request['hosting_assets']; 
unset($request);

// the currency select box
$currency_select=forms::select('price_sheet_id', 0, $currency_options, $price_sheet_id, "onchange='choose_currency(\"{$_COOKIE['cart_session']}\", \"{$conf['site']['id']}\");'", 0, 0);
$currency_options=(is_array($currency_options)&&!empty($currency_options)&&count($currency_options)>1);



if ($_POST['add_to_cart'])
	{
	foreach ($_POST['domain_registration'] as $asset_id => $action)
		{
		if ($action=='Register')
			{
			if (!$_POST['register_domain'][$asset_id]) 
				{ 
				$errors[$asset_id][]=w('Please enter the domain name to continue.', 0); 
				}
			else
				{
				$request=api_order_forms::whois(
						$conf['api_handler'], 
						$conf['api_key'], 
						'order_forms', 
						'whois', 
						false, // set to true for debug
						$_POST['register_domain'][$asset_id],
						$_POST['register_tld'][$asset_id]
						); 

				if (!$request['available'])
					{
					$errors[$asset_id][]=w('Please choose another domain name. That one is taken already.', 0); 
					}
				}
			}

		if ($action=='Transfer')
			{
			if (!$_POST['transfer_domain'][$asset_id]) 
				{ 
				$errors[$asset_id][]=w('Please enter the domain name to continue.', 0); 
				}

			if ($_POST['transfer_epp'][$asset_id]=='Required'&&!$_POST['epp_code'][$asset_id]) 
				{ 
				$errors[$asset_id][]=w('Please enter the EPP code to continue.', 0); 
				}
			}

		if ($action=='None')
			{
			if (!$_POST['domain'][$asset_id]||!$_POST['domain_tld'][$asset_id]) 
				{ 
				$errors[$asset_id][]=w('Please enter the domain name to continue.', 0); 
				}
			}
		}

	if (empty($errors))
		{
		$request=api_order_forms::add_to_cart(
				$conf['api_handler'], 
				$conf['api_key'], 
				'order_forms', 
				'add_to_cart', 
				false, // set to true for debug
				$_COOKIE['cart_session'], 
				x('product_id'), 
				x('sku_id'), 
				(x('package_id')?x('package_id'):0), 
				$addons, 
				base64_encode(serialize($_POST))
				);
	
		if (empty($request['errors']))
			{
			$link=href('view_cart');
			die(header("Location: {$link}"));
			}
		else 
			{ 
			$errors=$request['errors']; 
			unset($_POST['sku_id']);
			}
		}
	}
?>