<?PHP if (!class_exists('api')) { die('Invalid File Access'); } ?>

<div id='nav_bar'>
	<?PHP if ($currency_options): ?>
		<div><?PHP echo w('choose_currency', 0); ?> <?PHP echo $currency_select; ?></div>
	<?PHP endif; ?>
	<ul>
		<li><a class='on left' href='<?PHP echo href('cart', $choose_products); ?>'><?PHP echo w('choose_products')?></a></li>
		<li><a href='<?PHP echo href('view_cart'); ?>'><?PHP echo w('view_cart')?></a></li>
		<?PHP if (!empty($cart)&&is_array($cart)): ?>
			<li><a href='<?PHP echo href('checkout'); ?>'><?PHP echo w('checkout')?></a></li>
		<?PHP else: ?>
			<li><a href='#' class='disable'><?PHP echo w('checkout')?></a></li>
		<?PHP endif; ?>
		<?PHP if (!empty($cart)&&is_array($cart)&&$_COOKIE['customer_session']): ?>
			<li><a class='right' href='<?PHP echo href('payment')?>'><?PHP echo w('secure_payment')?></a></li>
		<?PHP else:?>
			<li><a class='right disable' href='#'><?PHP echo w('secure_payment')?></a></li>
		<?PHP endif; ?>
	</ul>
</div>
<div class='clear'><!--ie--></div>

<ul class='categories'>
<?PHP foreach($categories_base as $key => $category): $category=prepare_category($category, $categories, $tlc); ?>
	<li><img src='templates/<?PHP echo $conf['template']?>/images/icons/folder.gif' class='icon_header' /> <?PHP echo $category['name']?>

		<?PHP if ($category['expand']): ?>
			<div class='expand'>

				<?PHP if (is_array($category['sub'])&&!empty($category['sub'])): ?>
					<ul class='sub_categories'>
						<?PHP foreach($category['sub'] as $sub_category): $sub_category=prepare_sub_category($sub_category, $category['id']); ?>
							<li><img src='templates/<?PHP echo $conf['template']?>/images/icons/folder.gif' class='icon' /> <a href='<?PHP echo $sub_category['link']; ?>'><?PHP echo $sub_category['name']; ?></a></li>
						<?PHP endforeach; ?>
					</ul>
				<?PHP endif; ?>

				<?PHP if (is_array($category['products'])&&!empty($category['products'])): ?>
					<ul class='products'>
						<?PHP foreach($category['products'] as $key => $product): $product=prepare_product($product, $key); ?>
							<li>
								<h1><?PHP echo s($product['name']); ?></h1>
								<p><?PHP echo nl2br(s($product['short_description'])); ?></p>
								<div<?PHP echo $product['border']?>><a href='<?PHP echo $product['link']?>'><?PHP echo w('continue_to_order')?></a></div>
							</li>
						<?PHP endforeach; ?>
					</ul>
				<?PHP else: ?>
					<span><?PHP echo w('no_products_found')?></span>
				<?PHP endif; ?>
			</div>
		<?PHP endif; ?>

	</li>
<?PHP endforeach; ?>
</ul>