<?PHP if (!class_exists('api')) { die('Invalid File Access'); } ?>


<div id='nav_bar'>
	<?PHP if ($currency_options): ?>
		<div><?PHP echo w('choose_currency', 0); ?> <?PHP echo $currency_select; ?></div>
	<?PHP endif; ?>
	<ul>
		<li><a class='left' href='<?PHP echo href('cart'); ?>'><?PHP echo w('choose_products')?></a></li>
		<li><a href='<?PHP echo href('view_cart'); ?>'><?PHP echo w('view_cart')?></a></li>
		<li><a href='<?PHP echo href('checkout'); ?>' class='on'><?PHP echo w('checkout')?></a></li>
		<?PHP if (!empty($cart)&&is_array($cart)&&$_COOKIE['customer_session']): ?>
			<li><a class='right' href='<?PHP echo href('payment')?>'><?PHP echo w('secure_payment')?></a></li>
		<?PHP else:?>
			<li><a class='right disable' href='#'><?PHP echo w('secure_payment')?></a></li>
		<?PHP endif; ?>
	</ul>
</div>
<div class='clear'><!--ie--></div>

<ul class='categories'>
	<li><img src='templates/<?PHP echo $conf['template']?>/images/icons/cart.gif' class='icon_header' /> <a href='<?PHP echo href('')?>'><?PHP echo w('shop')?></a> &raquo; <?PHP echo w('checkout')?>

			<div class='expand'>
					<!--<div id='paypal_verified'>
						<p><img src='templates/<?PHP echo $conf['template']?>/images/paypal_verified.gif' title='Paypal Verified' /></p>
						<p><b>Credit Card Customers:</b></p>
						<p>Please note that your card will be billed as <label class='green'>SolidPHP, Inc.</label> on your monthly statements.</p>
					</div>-->

					<?PHP display_errors($errors); ?>
					
					<?PHP if ($_COOKIE['customer_session']): ?>
						<div class='data_grid_label_lp'><img src='templates/<?PHP echo $conf['template']?>/images/icons/arrow.gif' /> <?PHP echo w('you_are_logged_in')?></div>
						<ul id='customer_status'>
							<li><label id='existing' class='off'><a class='on' href='<?PHP echo href('checkout',array('logout'=>'y'))?>'><?PHP echo w('click_here_to_logout')?></a></label></li>
						</ul>
					<?PHP else: ?>
						<div class='data_grid_label_lp'><img src='templates/<?PHP echo $conf['template']?>/images/icons/arrow.gif' /> <?PHP echo w('please_choose_one')?></div>
						<ul id='customer_status'>
							<li><label id='existing' class='off'><input<?PHP if (!$_POST||$_POST['existing']): ?> checked <?PHP endif; ?> type='radio' name='customer_status' onclick='toggle_customer_status("existing", 1);' /> <?PHP echo w('existing_customer_login')?></label></li>
							<li><label id='new' class='on'><input<?PHP if (!$_POST||$_POST['new']): ?> checked <?PHP endif; ?> type='radio' name='customer_status' onclick='toggle_customer_status("new", 1);' /> <?PHP echo w('new_customers_register')?></label></li>
						</ul>
					<?PHP endif; ?>

				<div id='register'>

					<?PHP echo forms::action(false, 'POST', '', '', true, 'checkout_form'); ?>
					<?PHP echo forms::hidden('task', 0, 'checkout'); ?>
					<?PHP echo forms::hidden('new', 0, 'y'); ?>
					<?PHP echo forms::hidden('sop', 0, ''); ?>
					<?PHP echo forms::hidden('state_id', 0, ''); ?>
					<?PHP if ($_COOKIE['customer_session']): ?><?PHP echo forms::hidden('update_customer', 0, 'y'); ?><?PHP endif; ?>
					<div class='data_grid_label_lp'><img src='templates/<?PHP echo $conf['template']?>/images/icons/arrow.gif' /> <?PHP echo w('contact_information')?></div>
						<table>
							<tr>
								<td class='label'><?PHP echo w('first_name:'); ?></td>
								<td class='text'><?PHP echo forms::text('first_name', 0, forms::value('first_name', $customer['first_name']), 0, 'checkout'); ?></td>
							</tr>
							<tr>
								<td class='label'><?PHP echo w('last_name:'); ?></td>
								<td class='text'><?PHP echo forms::text('last_name', 0, forms::value('last_name', $customer['last_name']), 0, 'checkout'); ?></td>
							</tr>
							<tr>
								<td class='label'><?PHP echo w('company:'); ?></td>
								<td class='text'><?PHP echo forms::text('company_name', 0, forms::value('company_name', $customer['company_name']), 0, 'checkout'); ?></td>
							</tr>
						</table><br />

					<?PHP if (!$_COOKIE['customer_session']): ?>
						<div class='data_grid_label_lp'><img src='templates/<?PHP echo $conf['template']?>/images/icons/arrow.gif' /> <?PHP echo w('create_login')?></div>
							<table>
								<tr>
									<td class='label'><?PHP echo w('email:'); ?></td>
									<td class='text'><?PHP echo forms::text('email', 0, forms::value('email', $customer['email']), 0, 'checkout'); ?></td>
								</tr>
								<tr>
									<td class='label'><?PHP echo w('username:'); ?></td>
									<td class='text'><?PHP echo forms::text('username', 0, forms::value('username', $customer['username']), ' maxlength="15"', 'checkout')?></td>
								</tr>
								<tr>
									<td class='label'><?PHP echo w('password:'); ?></td>
									<td class='text'><?PHP echo forms::password('password', 0, forms::value('password'), 0, 'checkout')?></td>
								</tr>
								<tr>
									<td class='label'><?PHP echo w('verify_password:'); ?></td>
									<td class='text'><?PHP echo forms::password('verify_password', 0, forms::value('verify_password'), 0, 'checkout')?></td>
								</tr>
							</table><br />
					<?PHP endif; ?>

					<div class='data_grid_label_lp'><img src='templates/<?PHP echo $conf['template']?>/images/icons/arrow.gif' /> <?PHP echo w('billing_address')?></div>
						<table>
							<tr>
								<td class='label'><?PHP echo w('business_name:'); ?></td>
								<td class='text'><?PHP echo forms::text('business_name', 0, forms::value('business_name', $customer['business_name']), 0, 'checkout'); ?></td>
							</tr>
							<tr>
								<td class='label'><?PHP echo w('address:'); ?></td>
								<td class='text'><?PHP echo forms::text('address', 0, forms::value('address', $customer['address']), 0, 'checkout'); ?></td>
							</tr>
							<tr>
								<td class='label'><?PHP echo w('city:'); ?></td>
								<td class='text'><?PHP echo forms::text('city', 0, forms::value('city', $customer['city']), 0, 'checkout'); ?></td>
							</tr>
							<tr>
								<td class='label'><?PHP echo w('country:'); ?></td>
								<td class='text'><?PHP echo forms::select('country_id', 0, $countries, forms::value('country_id', $customer['country_id']), "onchange='toggle_state_province();'", 0, 1); ?></td>
							</tr>
							<?PHP foreach ($states as $country => $group): ?>
								<tr id='states<?PHP echo $country?>' class='states' style='display:none;'>
									<td class='label'><?PHP w('state_id:'); ?></td>
									<td class='text'><?PHP forms::select("states_{$country}", 0, $group, forms::value('state_id', $customer['state_id']), "onchange='set_state_choice({$country});'", 'state_select'); ?><script> set_state_choice(<?PHP echo $country?>); </script></td>
								</tr>
							<?PHP endforeach; ?>
							<tr id='countries'>
								<td class='label'><?PHP echo w('province:'); ?></td>
								<td class='text'><?PHP echo forms::text('province', 0, forms::value('province', $customer['province']), 0, 'checkout'); ?></td>
							</tr>
							<tr>
								<td class='label'><?PHP echo w('postal_code:'); ?></td>
								<td class='text'><?PHP echo forms::text('postal_code', 0, forms::value('postal_code', $customer['postal_code']), 0, 'checkout'); ?></td>
							</tr>
							<?PHP if ($enable_vat=='Yes'): ?>
								<tr>
									<td class='label'><?PHP echo w('enter_vat_number:'); ?></td>
									<td class='text'><?PHP echo forms::text('vat_number', 0, forms::value('vat_number', $customer['vat_number']), 0, 'checkout'); ?><?PHP echo ($vat_label)?" <label class='vat_label'>{$vat_label}</label>":''; ?></td>
								</tr>
							<?PHP endif; ?>
							<tr>
								<td class='label'><?PHP echo w('phone:'); ?></td>
								<td class='text'><?PHP echo forms::text('phone', 0, forms::value('phone', $customer['phone']), 0, 'checkout'); ?></td>
							</tr>
						</table><br />

					<?PHP if ($security_questions&&!$_COOKIE['customer_session']): ?>
					<div class='data_grid_label_lp'><img src='templates/<?PHP echo $conf['template']?>/images/icons/arrow.gif' /> <?PHP echo w('security_question')?></div>
						<table>
							<tr>
								<td class='label'><?PHP echo w('choose_question:'); ?></td>
								<td class='text'><?PHP echo forms::select('question', 0, $security_questions, forms::value('question')); ?></td>
							</tr>
							<tr>
								<td class='label'><?PHP echo w('answer_question:'); ?></td>
								<td class='text'><?PHP echo forms::text('answer', 0, forms::value('answer'), 0, 'answer'); ?></td>
							</tr>
						</table><br />
					<?PHP endif; ?>

					<?PHP if (is_array($agreements)&&!empty($agreements)): ?>
					<div class='data_grid_label_lp'><img src='templates/<?PHP echo $conf['template']?>/images/icons/arrow.gif' /> <?PHP echo w('agreements')?></div>
						<?PHP foreach($agreements as $agreement): ?>
							<?PHP echo forms::textarea("checkout_notes' readonly='readonly", "agreement_{$agreement['id']}", sx($agreement['copy']), '', ''); ?><br /><br />
						<?PHP endforeach; ?>

						<label class='tos'><?PHP echo forms::checkbox('tos', 0, 'I Agree', ($_POST['tos'])?$_POST['tos']:$tos)?> <?PHP echo w('i_agree')?></label><br /><br />
					<?PHP endif; ?>

					<div class='data_grid_label_lp'><img src='templates/<?PHP echo $conf['template']?>/images/icons/arrow.gif' /> <?PHP echo w('order_notes')?></div>
						<?PHP echo forms::textarea('checkout_notes', 'notes', forms::value('notes', $customer['notes']), '', ''); ?><br /><br />
						<table>
							<tr>
								<td class='label_submit'><a href='<?PHP echo href('')?>'><?PHP echo w('shop')?></a>, <a href='<?PHP echo href('view_cart')?>'><?PHP echo w('view_cart')?></a> <?PHP echo w('or')?> </td>
								<td class='text' style='float: right;'><?PHP echo forms::submit(0, 0, w('continue', 0), 0, 'submit', 1); ?></td>
							</tr>
						</table>

					<script> 
						toggle_state_province(); 
						<?PHP if ($_POST['new']): ?>toggle_customer_status('new', 0);<?PHP endif; ?>
					</script>

					</form>
				</div>

				<div id='sign_in' style='display:none;'>
					<div class='data_grid_label_lp'><img src='templates/<?PHP echo $conf['template']?>/images/icons/arrow.gif' /> <?PHP echo w('please_login_below')?></div>
					<div id='login_group'>
						<?PHP echo forms::action(); ?>
						<?PHP echo forms::hidden('task', 0, 'checkout'); ?>
						<?PHP echo forms::hidden('do', 0, 'login'); ?>
						<?PHP echo forms::hidden('existing', 0, 'y'); ?>
						<table>
							<tr>
								<td class='label'><?PHP echo w('email_address_username:'); ?></td>
								<td class='text'><?PHP echo forms::text('login_email', 'email', forms::value('email'), 0, 'checkout'); ?></td>
							</tr>
							<tr>
								<td class='label'><?PHP echo w('password:'); ?></td>
								<td class='text'><?PHP echo forms::password('password', 0, forms::value('password'), 0, 'checkout'); ?></td>
							</tr>
							<tr>
								<td class='label_submit'><a href='#' onclick='toggle_login_resend("resend_group"); return false;'><?PHP echo w('resend_password'); ?></a></td>
								<td class='text'><?PHP echo forms::submit('', 0, w('login', 0)); ?></td>
							</tr>
						</table>
						</form>
					</div>


					<div id='resend_group' style='display:none;'>
						<?PHP echo forms::action(); ?>
						<?PHP echo forms::hidden('task', 0, 'checkout'); ?>
						<?PHP echo forms::hidden('do', 0, 'resend'); ?>
						<?PHP echo forms::hidden('existing', 0, 'y'); ?>
						<table>
							<tr>
								<td class='label'><?PHP echo w('email_address:'); ?></td>
								<td class='text'><?PHP echo forms::text('resend_email', 'email', forms::value('email'), 0, 'checkout'); ?></td>
							</tr>
							<tr>
								<td class='label_submit'>&laquo; <a href='#' onclick='toggle_login_resend("login_group"); return false;'><?PHP echo w('go_back_to_login:'); ?></a></td>
								<td class='text'><?PHP echo forms::submit('', 0, w('resend', 0)); ?></td>
							</tr>
						</table>
						</form>
					</div>


					<script> 
						<?PHP if (x('do')): ?>toggle_login_resend("<?PHP echo x('do')?>_group");<?PHP endif; ?>
						<?PHP if (x('existing')): ?>toggle_customer_status('existing', 0);<?PHP endif; ?>
					</script>
				</div>
				<div class='clear'><!--ie--></div>

			</div>

	</li>
</ul>

<?PHP if ($enable_vat=='Yes'): ?> <script> validte_vat(); </script> <?PHP endif; ?>